Title

NUMAPS Modeling Developer Manual

Modeling and Simulating Reference

User Manual

Version 1.0.0.0, Jan. 26, 2001

University of Florida
Southwest Florida Research and Education Center
2686 SR 29N
Immokalee, Fl 34142-9515
Office (239) 658-3400
Fax (239)658-3469

E-mail ktm@ifas.ufl.edu

http://ifas.ufl.edu

© Copyright 2007, IFAS, Univ. of FL. All rights reserved

Printed in U. S. A.


How to use this Manual

¡¡


NUMAPS Simulation Application Overview

Introduction of NUMAPS Simulation Application

The NUMAPS is a Nutrient Management Plan Support System that assists growers in the selection and application of the best management practices (BMPs) that relate to water and nutrition management in citrus and sugarcane.

The conventional modeling/simulation procedures are to simplify system/phenomenon, describe them mathematically, develop a program in a computer language such as Java, C++ or FORTRAN etc., and finally, ran the application of program. Some other approaches for the mathematical solution use the simulation tools such as Matlab, Maple, Mathematica, for which the modeling developer still can not get rid of the programming work in a special high-level mathematical scripting language. The equation editors in these simulation tools can not replace the logical programming. The modeling developers have to take a significant amount of time on the program in a computer language. When debugger, they have to convert the program back to the equations to exam. The NUMPAS simulation use a unique web-based authoring tool, SimulationEditor for which the developer do not need any programming development in computer languages and can fully focus on the entering of the equations and do not need to worry about the programming development of Java codes. The logics of process in the modeling are included in the equations, e.g. condition logic are expressed by the left-curly bracket in a definition by cases, i.e. defining expression is different for different values of the parameter; "do loop" are expressed by a tricky combination of summation and left-curly brackets in a definition by cases (see Cell Days Elapse to Allowed Depletion Equation).

SimulationEditor incorporates the EquationEditor describe the NUMAPS model structure in the form of elements (e.g. block, cell, profile, layer, weather, irrigation, root density) which is beyond the pure Math. The simulation is done based on this structure. Click an element object in the SimulationEditor, an EquationEditor as authoring tool will be opened and provides an equation editor interface for the user. The equations are represented as a mathematical expression of symbols, including numbers and operators. The syntax of the equations is the same as ordinary math visually. Once all of the equations are entered, the java codes can be generated by its CodesGenerator. Each object element is a Java class in the Java codes and each equation becomes a Java method. The left side of equation is the returned value of the method. The symbols appearing on the right side of an equation in turn can get their value from other equations or from a database, otherwise they are constant values stored in the symbol dictionary. Running these source codes will create a stand-alone NUMAPS application which can solve several hundreds of simultaneous equations and simulates the water and nitrogen processes in the soil.

The SimulationEditor is based on ontology and designed by the ontology pioneer Dr. Howard Beck. Ontology is a formal representations of concepts and their interrelationships within a particular model of process in the agricultural. Equations are composed of symbols, and each of these symbols along with their definitions and units are represented as a concept in the ontology internally. Behind the EquationEditor, a hierarchical data structure (tree) for given equation is used for storing operators and symbols. Each node in the equation tree is also a node in the ontology. An ontology database and its management system are utilized to convert and store these ontology objects into ontology database in ontology language. In addition to the EquationEditor and CodesGenerator, the SimulationEditors also contains many other facilities, such as ReportGenerator, GraphicEditor, etc. The details about the SimulationEditor are shown in the reference (name ??)

In this stand-alone application, the farmers can enter all daily input data and block set-up information through an interface in this application. When running this NUMAPS application, the program calls up the WC[i,j,k,t] equation, and then all of the water related equations will be automatically chain recursively called up based on the equations entered. This process is similar for NH4-N concentration and NO3-N concentration. Thus, the hundreds of the simultaneous equations are solved. The calculated data are stored in the array of variables. Most symbols are array types, fewer symbols are functions types. The arrays of variables is initialized as -99999 and will have the value different from -99999 after the first calculation. When these variables is called again, it will not be calculated repeatedly, and the value that is stored in the array will be used to save CPU. The final results for the farmer's needs are shown on the report page and are categorized as daily reports, monthly reports, yearly reports as well as the graph display. The simulation is a vertical, one-dimensional development with time in days. The variables that represent properties in the horizontal plan are used as parameters in the simulation and affect the final results as well.

The generated Java codes have some rules based on the programming of the simulation editors. There are some notes shown below:

1. If there are different expressions for different conditions on the right side of an equation, the order of the conditions in the generated codes may not be the same as the order shown in the equation editor.

2. If there are several conditions for an expression of an equation, the order of the conditions in the generated codes may not be the same as the order shown in the equation editor.

3. The last condition in an equation expression in the generated source codes is always "otherwise equal to zero" if there is no otherwise condition indication.

4. Most of the software programming languages allow to use the statements such as A=A+B;
An ordinary simulation program may have A=B+C; in a function call and A=D+E; in a later function call.
However these are forbidden in our equation editor. The left side of our equation is a symbol or a function which is not allowed to appear on the right side of the equation with same indexes. The right side is the expression of calculation or conditional expressions. It is not allowed to have two equations for one given symbol.

5. The equation name could not include "-".

Click here to see the Java class / function calling tree

In-Season Irrigation And Nutrient Decision Support System For Citrus Production

The sandy soils of central and southern Florida have low water and nutrient retention capacities. Excessive irrigation may greatly increase nutrients leaching thereby contribute to contamination of the aquifer under-lying citrus production system. These systems can be managed in such a manner that the excessive downward drainage through the soil is minimized via use of improved irrigation management and/or scheduling strategies which are also critical to maximize water use efficiency. To aid growers in water management decision making, a computer-based decision support system was developed to facilitate more efficient use of water by making use of specific site characteristics and local weather data. System requirements include information on tree age, spacing, soil water holding characteristics, and monthly irrigation set-points for specific production blocks. The user inputs irrigation duration, and/or rainfall depths by block on a daily basis. The soil profile is divided into 40 five cm layers and both irrigated and non-irrigated zones are identified. Horizontal water movement is assumed to be confined within each vertical zone due to lack of lateral movement in the sandy Entisols that prevail in the citrus production region of central Florida. To estimate crop evapotranspiration (ET), daily reference ET values from the Florida Automated Weather Network station nearest the production area are downloaded automatically. Monthly and yearly water use reports are also provided by the decision support system. Appropriate use of this system should not only reduce statewide agricultural water requirements but also nitrogen-loading of groundwater resources associated with citrus production thereby enhancing the profitability and sustainability of Florida citrus production systems.


User Introduction

Introduction for Software User

The sandy soils of central and southern Florida have low water and nutrient retention capacities. Excessive irrigation may greatly increase nutrients leaching thereby contribute to contamination of the under-lying aquifer. These systems can be managed in such a manner that the excessive downward drainage through the soil is minimized via use of improved irrigation management and/or scheduling strategies which are also critical to maximize water use efficiency (WUE). To aid growers in water management decision making, a computer-based decision support system to facilitate more efficient use of water by making use of specific site characteristics and local weather data, was developed. The system requires information on tree age, spacing, soil water holding characteristics, and monthly irrigation set-points for specific production blocks. The user inputs irrigation duration, and/or rainfall depths by block on a daily basis. The soil profile is divided into 40 five cm layers and both irrigated, non-irrigated, dry-fertilized and non-dry-fertilized zones. Horizontal water movement is assumed to be confined within each vertical zone due to the sandy soils that prevail in Florida. To estimate crop ET, daily reference ET values from the Florida Automated Weather Network (FAWN) station nearest the production area are downloaded automatically. Monthly and yearly water use reports are also provided by the system. Appropriate use of this system should not only reduce statewide agricultural water requirements but also N-loading of groundwater resources associated with citrus production thereby enhancing the profitability and sustainability of Florida citrus production systems.

¡¡

¡¡


System Requirement

User Introduction

System Requirement

¡¡

Personal computer

The processor speed should be above 1G MHz, memory should be above 500MB.

Necessary software installed in your hard drive

Microsoft Office Access

J2SE Runtime Environment 5.0 or above version (For developer only)

¡¡


System Requirement

User Introduction

System Requirement

¡¡

Necessary software installed in your hard drive

Microsoft Office Access

J2SE Runtime Environment 5.0 or above version (For developer only)

¡¡


Soil Plan View

Soil Plan

¡¡


Orchard Top View (non-overlap case)

Orchard Top View

¡¡

¡¡


Orchard Top View (Overlap case)

¡¡

Orchard Top View (overlap case)

¡¡

¡¡


How to Run Application

User Introduction

How to Run Application

The steps to run the application are showing below: the red circle indicates the button you need to click.

1. Copy CWMSApplication folder from CD to your hard drive ¡¡
2. Click cwms.bat in the CWMSApplication folder, you will see a black window of cmd.exe (you may ignore this window) and a title page of Citrus Water Management System.

3. Click "Enter" button in the page of Citrus Water Management System.

4. Select Grove

Click "Add New Grove" button to set up the new grove, or "Edit Grove" button to update the grove info in you want. The "Test" Grove has data in database for the year 2005.

For the Fawn station selection refers to the "Fawn Station Map" in the Manual

¡¡

5. Click "Add New Block" button to set up the new grove, or "Edit Block" button to update the grove info in you want.

Note: Block ID is defined as Grove Name + Block Name.

RainGaugeID in database is defined as Grove Name + Rain Station.

¡¡

6. Select the Unit Information and Date Information. The unit you select will be used in the setup of the block properties and the data enter of rain/irrigation/ET/Nitrogen.

¡¡

7. Select the starting date and the ending date to simulate.

Since the initial water content and nitrogen concentration are set arbitrarily, the simulation interval should be more than 14 days.

8. Click "Enter Rain Data" to enter or modify rain data.

9. Click "Enter Irrigation Data" to enter or modify rain data.

10. Click "Enter Manual ET Data" to enter or modify ET data if you select the "Manual Entry" as the ET Source.

11. Click "Enter N Data". Click a little box if you have Nitrogen application to that specific block on that specific day, to open Nitrogen Input window.

Note: * The Entry Dates of Rain/irrigation/ET/Fertilizer are stored in the Grove table in database.

* When you click the Enter Data button, you may get warning message, e.g. the last time the data enter is earlier than the starting time, do you want continue, or the message: Operation interview days is smaller than the 14 days

¡¡

12. After you click the "Enter Nitrogen Data" button, you will get a window as below. Click a little square, you will see the Nitrogen input window as the one at the right side. The little square with check mark represents that there is nitrogen input on that specific day for a specific Block ID.

13. To see the detail of the simulation result, click "Simulation & Report" button to open the simulation report window.

You may change the Grove or data in this window.

14, In the simulation report window, you have opportunity to change the Grove name or simulation dates. Then you may click the "Simulation" button to run the program.

¡¡

15. You will be asked which form do you want to output. Please select one.
This refers the excel file output which shows the values of variables, such as water content etc for each simulation date and each simulation soil layer.

If you do not need, you may select "No Output"

If you choose "Simple Output File", few variables will be available.

16. You will see the progress bar move forth or back in the Simulation Status Dialog which will disappear when the job is done.
17. You may view the report by click the Tab "Daily Irrigation Schedule", " Daily Report", "Monthly Report" or "Yearly Report" in the middle of the window.
18. For each tab in the simulation report table, you need to select the Block and click the refresh button to view the output data.

¡¡

If you click the "Excel Result", you will get a file opened by the excel file, which will show the the values of variables, such as water content etc for each simulation date and each simulation soil layer.

¡¡

19. You may also click the "Result Chart: Total Layers" tab at the top of the window. Then select a block and click the Generate button to see the graph.

The fixed blue horizontal line represents the value of water content at allowed depletion for the top soil layer. Where the allowed depletion is historical value and varies with month.

The long cross line which moves with your cursor is helping you to locate the water content and date on the point of graph.

¡¡

20. If you click "Work Order for Simulation" (see the picture at left), you will get the work order window (see the picture at right). Click the "Simulate" button to start RUN process. The report of irrigation prediction (including the irrigation interval and the irrigation duration) will show in this window after the run finishes. Click "Print Report". you may get the print copy through your printer.


Ways to Input Data

This application accepts the following ways of data input

User enter input data through an window interface and saved in the database. Simulation program read data from database.

e.g. Grove info, Block info, Irrigation, Rain, ET, Nitrogen input.

Some historical data are stored in the database. Simulation program read data from database.

Simulation program get data from on-line

e.g. FAWN, AIEI if user choose getting ET data from online

The "wind speed", "yearly average temperature (10cm)" and "amplitude of top soil daily temperature avg"

are getting from FAWN also.

Simulation program get data from file input (e.g. WAM project)

This application can read data from text files "et-eaa.csv" and "rain-eaa.csv" which gives the ET, rain info. There is no graphic window for user input and the application run at command line. The Soil code, Land use code are input argument. The simulation result is shown in output file tmpday.csv

If the developer want to check the data reading from database or from input, he/she may un-comment out the statement getSimulationCondition() in DatabaseForCalculation.java. You may find the data in Eclipse console or "Simulation Condition Info" tab of Report Interface


Database Entry

Input Data

Necessary Entry Info to Store into Database

Click here to see the Block, irrigation zone and weather station

Click here to see fields of database tables

NUMAPS parameters required for Database Entry. Some info are set by user through the interfaces, some info are set by the developer based on the info provided by the project manager (e.g. soil properties), whereas some other info are set by the developer (e.g. canopy volume vs. tree ages). The user input interfaces have both English and metric unit system choices available.

Setup data needed only once per call for each block of a Grove

  1. Distance between trees in a row (cm or in), can be default value of 12 feet
  2. Distance between rows (cm or in), can be default value of 25 feet
  3. Number of ha or ac (This is needed if the fertilizer input info is amount per block)
  4. Year of Plant Date, can be default value of 15 years
  5. Wetted diameter of irrigation emitter (cm or in), can be default value of 12 feet
  6. Spray pattern (deg) , can be default value of 360
  7. Emitter flow rate (l/hr or gal/hr) , can be default value of 15 gal/hr
  8. Irrigation efficiency (%), can be default value of 85%
  9. Hedging Tree Height, can be default value of 16 feet
  10. Hedging Distance, can be default value of 8 feet
  11. Soil Series ID
  12. Irrigation depth (cm or in), if manual selected. Can be default value based on soil type 3 feet
  13. Set-point depth (cm or in), if manual selected. Can be default value based on soil type 1.5 feet ¨C 18 in.
  14. Allowed soil water depletion as a function of the month if manual selected.
  15. Irrigation Station Name
  16. Select ET source: Fawn or Manual. If from the Fawn, select the Fawn Station

Soil Properties

  1. Soil series layer depth in cm
  2. Soil Type (Flatewoods or Ridge)
  3. Water content at permanent wilting point in cm/cm
  4. Water content at field capacity in cm/cm
  5. Water content at saturation in cm/cm
  6. Saturated Hydraulic conductivity in cm/hour if "HCFlag"=1
  7. Portion of organic matter in soil if "SolubleRateCalculationActivationFlag"=1
  8. Portion of Soil Organic Carbon if "SolubleRateCalculationActivationFlag"=1
  9. Soil pH if "SolubleRateCalculationActivationFlag"=1
  10. Bulk Density in g/cm3
  11. Portion of clay if "SolubleRateCalculationActivationFlag"=1

Environmental data need daily

  1. Date,
  2. ETo (cm or in/day),
  3. Irrigation duration (min or fractional hour)
  4. Rain fall (cm or in)
  5. Wind speed (kph or mph), <3 mph
  6. Soil surface air temperature (C or F) Can we estimate to form yearly database?

Nitrogen Inputs

  1. Date,
  2. N application method (eg. Dry fertilizer, Fertigation),
  3. Fertilizer material, Ammonium Nitrate
  4. N application rate (kg/ha or lb/ac),


WAM Project

Input Data

User Interface

Click here to see the screen shots of the interface and how to run the application

All of the user input data have units choice, English or Metric

After user click the "Enter Rain Data", "Enter Irrigation Data" and "Enter ET Date", the program get data from on-line. When click save, the last enter data will be saved in the database. Next time when user changed the earlier data, the program will not get data from database instead of on-line. If you still want to get the data online, you need to modify the AIEI update table from input.mdb.

If your computer has Access 2007 installed, the inputwam.accdb is used. If your version of Access is older than 2007, the inputcwms.mdb is used.

For AIEI data:

For example:

http://aiei.ifas.ufl.edu/scripts/graphdata.php?stationID=121&yyyy=2007&mm=2&dd=14

provide data from Jan 21 to Feb 13

¡¡

For NorthernHighland irrDuration(min) * 0.003856 = irrDepth (cm)

For CentralHighland irrDuration(min) * 0.00525 = irrDepth (cm)

Note, NothernHighland Data: e.g. May 5, 2005

SM_20cm (webPageTable)- SM_20cm(On-line)=2%

SM_20cm (webPageTable)= SM_20cm(Graph)

CentralHighland Data: e.g. Dec. 5, 2005

for old online data

SM_10cm(On-line)-SM_10cm(webPageTable) =5.5%

SM_20cm(On-line)-SM_20cm(webPageTable) =4%

SM_30cm(On-line)-SM_30cm(webPageTable) =2.5%

SM_30cm(On-line)-SM_30cm(webPageTable) =-1 %

For new online data

SM_10cm(On-line)-SM_10cm(webPageTable) =4%

SM_20cm(On-line)-SM_20cm(webPageTable) =3%

SM_30cm(On-line)-SM_30cm(webPageTable) =2%

SM_30cm(On-line)-SM_30cm(webPageTable) =1 %

SM_10cm(On-line) = SM_10cm(Graph)

SM_20cm(On-line) = SM_20cm(Graph)

SM_30cm(On-line) = SM_30cm(Graph)

SM_30cm(On-line) = SM_30cm(Graph)

The round up rule between table, graph and on-line data may be different

¡¡

¡¡


Data On-line

Input Data

Data On-line

FAWN

Click here to see the Fawn station map for developer

Click here to see the Fawn station map for user

Click here to see the Fawn data on-line query

Click here to see the Fawn data unit

AIEI

An example to get data from AIEI on line is http://aiei.ifas.ufl.edu/scripts/graphdata.php?stationID=121&yyyy=2005&mm=11&dd=11

which provides the data for dateTimes, Con0, Con1, Con2,Con3, Sm0, Sm1, Sm2, Sm3, Rain, Irr, ET, and hourly data


Historical data from database

Input Data

Historical Data from Database

Some historical data are available from database, such as ET, Allowed Depletion:

Month | Historical ET (cm per day) | Allowed Depletion (%)
January | 0.177 | 0.5
February | 0.203 | 0.25
March | 0.254 | 0.25
April | 0.381 | 0.25
May | 0.457 | 0.25
June | 0.508 | 0.5
July | 0.508 | 0.5
August | 0.457 | 0.5
September | 0.381 | 0.5
October | 0.304 | 0.5
November | 0.228 | 0.5
December | 0.177 | 0.5

Note: The Historical ET is from Boman, B.J. and L.R. Parsons. 2002.

The allowed Depletion is from


WAM Project

Input Data

WAM Project

Grove ID:WAM084 BlockID: WAM084NUMAPS

Grove ID:WAM184 BlockID: WAM184NUMAPS

WAM uses database inputwam.mdb, CWMS uses database inputcwms.mdb. The same soil series ID represents different soil in different database.

The maximum depth of soil properties in WAM database may be from 30cm to 259cm. If the maximum depth of soil properties in WAM database is 30cm, we assume that the soil properties at 30cm -200cm depth are same as the soil properties at 30cm.

The maximum soil depth simulation is 200 cm for both WAM and CWMS.

In Eclipse working space, the CWMS results are located in the folder \eclipse\workspace\CWMS2.2\result, the WAM result is located in the folder \eclipse\run

In the stand alone application, the WAM result is located in the folder ../../run/

After the equation editor generates Java code, before run, set the following to create an non-interface application for WAM:

Set LThickRangeArr and LThickArrLeng (5cm per layer is not necessary)

The following setting are done automatically by Java function: updateSSID(String GroveName, String SSID)

set SolubleRateCalculationActivationFlag = 0
set VOLAActivationFlag = 0
set FourDrainperDayActivationFlag = 0
Keep HCFlag=1

Output column change request on Sep. 13, 2007 are as below

Column Letter | column number | Field Name for Ridge | Flatwood
A | 1 | Year of date | Year of date
C | 3 | 0 | NO3 leach
D | 4 | 0 | NH4 leach
j | 10 | NO3 leach | 0
k | 11 | NH4 leach | 0
O | 15 | set 0 for runoff | leach water (percolation)
P | 16 | Leach water (percolation) | set 0 for runoff
Q | 17 | Irrigation | Irrigation
 | All of other column | -99 | -99

Command line input set the following

First argument: soilCode default "999"; This SoilID is refer to Fares Paper which provides the data for the hydraulic conductivity.

Second argument:landUseCode default "84"

Third argument : isGraphic = "no"

Land use code 84 refers Tree Crops or Citrus Groves for Citrus Groves

Land use code 184 refers Tree Crops (fertility BMP) or Citrus Groves (fertility BMP) for Citrus Groves

Database class already set that if RainSource is rainFile then PredictIrrFlag=1. WAM use predicted irrigation as irrigation. See IDur and CIAM equation.

If there is no data below 155cm, it is assumed that it is same as 150-155cm

Available Information Files from Berry

landuse.dbf
soilname.dbf
SoilLayerCharacteristics.xls that provides the following data
SOILID, BOTHOR, BR15, FC,POR, CLAY, SILT, SATK, OM,PH, BSAT, CACO3, OBJECTID

SoilCharacteristics.xls that provides the following data
SoilID, CompName, CHS, SGROUP, CONA ,ISOIL, RC, RD, SSCLY, KSOILO

WAMSoils.zip
GlmsManual.pdf

Input File Format

et-eaa.csv: first line is et_adjust (per hour), , , , ,starting year, ending year.

The starting date is starting year, Jan 1, ending is Ending year Dec. 31

rain-eaa.csv : rain first line is y,YOD, , , ,starting year, ending year
Our code can be only read ET to decide starting day and end day.

The non-graphic output file is tmpday.csv that has the following columns on "per day" basis

1. YrDOY, 2. Total Suspended Solids (kg/ha/d), 3. Runoff Soluble NO3, 4. Runoff Soluble NH4, 5. Runoff Soluble Org N, 6. Runoff Soluble P, 7. Runoff Particulate NH4, 8. Runoff Particulate Org N, 9. Runoff Particulate P, 10. Perc NO3, 11. Perc NH4, 12. Perc Org N, 13, Perc P, 14. Biological Oxygen Demand(-99 for unknown), 15. Runoff water (cm), 16. Perc water , 17. Irrigation 18. P deficit term (used in EAAMod, set to 0 for other models) 19. Dry grain weight (kg/ha) 20. Storm Count

We calculate Perc NO3 (Symbol CLNR), Perc NH4 (Symbol CLAR), Perc water (CLWA/CA), Irrigation (CIAM*totalIrrArea/CA)

The following are the most common citrus soils using the soilID numbers in the WAM SoilCharcteristics file. The list contains soils that are already in our database, use there SoilID number but our information. If WAM gives us a soil code that is not on this list we will default to Candler (SoilID=62).
1, 11, 16, 20, 21, 24, 26, 42, 50, 52, 62, 108, 119, 136, 171, 200, 201, 221, 278, 311, 315, 316, 317, 318, 333, 360, 399, 410, and 427.

Using dry ammonium nitrate at 50 pounds of N per acre in four applications for both the citrus fertilizer BMP landuse (landuse code 184) and the citrus landuse (landuse code 84). Landuse code 184 will apply fertilizer on February 15, April 15, May 31, and September 15. The landuse code 84 will apply the same fertilizer on February 15, April 15, July 15, and October 15.

Variables comparison between Berry and CWMS (Based on GlmsManual.pdf)
¡¡

 | Berry |  | CWMS
 | Property Name | Unit | Property Name | Unit
Soil Layer Property | NOSOHZ | N/A | SSLDLength | N/A
 | BOTHOR(I) | cm | SSLayerDepth(SSLayerID+1) | cm
 | BR15 | in/in (cm/cm) | PWPWC | cm/cm
 | FC |  | FCWC | cm/cm
 | POR (Porosity) | in3 /in3 (cc/cc) | SWC | cm/cm
 | CLAY | % | Clay_pct | %
 | SILT |  | N/A |
 | SATK (SaturatedHydraulicConductivity) | in/hr (cm/hr) | SAHydraulicCon_k_cmPerH | cm/hr
 |  |  | HydraulicCon_n (HydraulicConductivityParameter) | N/A
 | OM |  | SOM_pct |
 | PH |  | soilPH |
 | BSAT |  | N/A |
 | CACO3 |  | N/A |
 |  |  | BulkDensity_gPerCubicCM |
 | soil organic carbon (OC). |  | SOC_pct | %
Soil Property | CompName |  | SoilSeries |
 | CHS |  | N/A |
 | SGROUP |  | N/A |
 | CONA |  | N/A |
 | ISOIL |  | N/A |
 | RC |  | N/A |
 | RD |  | N/A |
 | SSCLY |  | N/A |
 | KSOIL |  | N/A |
Tmpday.csv | Perc water |  | CLWA: cm^3 of water / cm^2 in ha. |
 | PercNH4 |  | CLAA: kg of N /ha |
 | PercNO3 |  | CLNA: kg of N /ha |
 | Irrigation of WAM | The amount of irrigation on a daily basis in cm | weighted average irrigation =(irrigated cm * irrigated area) / (inrow * betweenrow) | cm

Note: Perc means the amount leached below 2 meters

WAM.bat is as follows

@echo off
set soilCode = %1
set landUseCode=%2
set isGraphic = no

jre\bin\java -mx500000000 -classpath "./lib/jbcl.jar;./lib/jcalendar.jar;./lib/jchart.jar;./lib/lyra.jar;./lib/jetprint.jar;./simmodel/CWMS/module;./simmodel/CWMS/interfaces;./simmodel/CWMS/nitrogen;./simmodel/CWMS/others;./simmodel/CWMS/utility;./simmodel/CWMS/report;./res;" simmodel.CWMS.interfaces.Application %1 %2 %isGraphic%

or

@echo off
set soilCode = %1
set landUseCode=%2
set isGraphic = no

jre\bin\java -mx500000000 -classpath "./lib/jbcl.jar;./lib/jcalendar.jar;./lib/jchart.jar;./lib/lyra.jar;./lib/jetprint.jar;./simmodel/CWMS/module;./simmodel/CWMS/interfaces;./simmodel/CWMS/nitrogen;./simmodel/CWMS/others;./simmodel/CWMS/utility;./simmodel/CWMS/report;./res;" simmodel.CWMS.interfaces.Application %1 %2 %isGraphic%


Ways to Input Data

Check Settings before Calculation

HCFlag = 1.0 if you want the hydraulic conductivity consideration

FourDrainperDayActivationFlag which is set as block property in the database

SolubleRateCalculationActivationFlag which is set as block property in the database

VOLAActivationFlag which is set as block property in the database

LThickArrLeng and LThickRangeArr for layer thickness chosen.

dini


WAM Project

Input Data

Database File

- inputcwms.mdb : include test data file for developer (CWMS, WAM)

- inputFarmer.mdb : empty data file for farmer's test use

- inputwam.mdb : WAM database file for Access 2003. (currently use)

- inputwam.accdb : WAM database file for Access2007 version (currently not use)

- output.mdb


Array Index

Program Basic Parameters

Click here to see the tree soil plan view

For a given grove ID, there are several block IDs and one Fawn ID which are associated with this Grove. Several blocks share one rainfall station. Click here to see their relations. The simulation program is run for each Block ID one by one. These IDs in our application do not show up in the equation editor. They are controlled by the Java class outside the equation editor. Fawn ID is used by the database class only. Click here to see the simulation process.


Array Index

 Display for the developer

B asic Array Index Notation

i: Denotes the irrigated or non-irrigated area as well as dry-fertilizered or non-dry-fertilizered area. i = 1 means non-irrigated & dry-fertilized area; i = 2 means irrigated & dry-fertilized area; i=3 means non-irrigated & non-dry-fertilized area; i=4 means irrigated and non-dry-fertilized area.

j: Denotes the area of ring of profiles. j = 1 refers to the smallest radius. The maximum number is 5. If there are only 4 profiles, then the value of the variable with j = 5 will not be calculated.

k: Denotes the simulation layer index

t: Denotes the time step. Click here to see the modified daily time steps. Click here to see more about the time steps.

Notes:

1. The symbols in the soil layer module has indices i, j, k, t; the symbols in the soil profile module has indices i, j, t; the symbols in the soil cell module has indices t; the symbols in the block module has indices t; the symbols in the irrigation system module has index t; the symbols in the weather module has index t; the symbols in the root distribution module has no index;

2. If an indexes of an array variable does not show up in an equation expression, it implies that the index is not any thing other than i, j, k, t. For example, DWk-1 implies DWi, j, k-1, t, DW implies DWi, j, k, t.

3. Array index starts from 0, whereas the subscript index starts from 1. For example: WC[0,0,0,0] = WCi=1,j=1,k=1,t=1

Other Constant Data

Data consisting entirely of the number 9 (e. g. 999, 9999, -9999) denote invalid exception value or nonsense value.

¡¡

Equation/Symbol ID | Description | Equations
Number of Irrigated Dry Fertilized Profile Equation for "NPIDF" (soil cell) | The number of profiles (i=2) for which the irrigation, fertigation and dry fertilizer can be applied. |
Number of Irrigated Non Dry Fertilized Profile Equation for "NPINDF" (soil cell) | The number of profiles (i=4) for which the irrigation, fertigation can be applied, but dry fertilizer will not be applied. It is middle way area. It is assumed that there is no more than one profile for the irrigated and non-dry-fertilized area (i=4). For the case of RZR3>(BetweenRow-HedgingDistance)/2, he root density index may not be 4 and this case is neglected. Click here to see the picture. |
Number of Non Irrigated Dry Fertilized Profile Equation for "NPNIDF" (soil cell) | ¡¡ Number of non irrigated and dry fertilized profiles (i=1). Where NPIDF is number of irrigated , dry fertilized profiles, SpP is spray pattern, WD is wetted diameter, RZR is root zone radius. The profiles (i=1) for which the irrigation, fertigation can not be reached, but dry fertilizer will be applied. |
Number of Layers Equation for "NL" (soil profile) | The total number of layers for the simulation. The value is equal to the element of LThickRangeArr in last row of the 3rd column. |
Total Number of Time Steps (cell) | Total number of time steps for simulation. It equals the number of days user selected (current day is ending day) plus the number of days predicted for future irrigation schedule. | TNTS is obtained from database. It is total days of user selected (operationInterval) plus 3


Root Sections

Program Basic Parameters

Equation Descriptions for Root Sections and Root Density Layers

To see graphs, click the Root density vs. the soil depth; Root density vs. root sections

Click here to see the root density vs. layer index for root section 1, 2, 3, 4
Click here to see the relations among model layers, root density layers and soil series layers.
Click here to see the the comparison of root distributions for flatwoods and ridge.
Click here to see the definitions of root section

The root density distribution are dependent on the distance from the trunk (section index), soil depth and canopy volume of the tree. Where the canopy volume is obtained based on the tree year. Farmers provide the plant year input. If we calculate 20 years, we divided the 20 years into several terms, since the PC memory can not storage that much large array size. For each term period, there is starting date. Then we calculate the year of the middle time of the period. Thus we get the tree age. The tree age changes over time.

The private lab data provided by the author of Morgan K.T., et al., 2006 are for the canopy volumes as follows:
2.4, 3.2, 10.7, 13.3, 16.9, 28.4, 30.1, 31.5, 31.9, 36.6, 41.5 ;
the depths are for the range of every 15cm from 0-90cm;
the distance from truck are 50cm, 100cm, 150cm and 200cm.

The fitting parameters in root density matrix for different root sections, depth, and canopy Volume are obtained from data above.

Most of the fibrous roots are usually located within the top 24 to 30 inches of soil with significantly fewer roots occurring at greater depths. In contrast, root growth in poorly drained flatwoods soils, where trees are grown on raised beds and confined at depth by water or a hardpan layer, rooting depth is often limited to 28 to 40 inches and 75 percent of the roots are found in the surface foot of soil. Click here to see the root distribution comparison between ridge and flatwoods.

The root densities for ridge soil type at the depth of 90-120, 120-150, 150-180 and 180-200 cm are estimated by using a set of regression parameters (see the equation for RSL). See Sally notes: "Since we don't have root density data for layers below 90 cm, data published by other researcher are being used. These data are not in the same unit and are the average of different distance from the tree truck, so the ratio of average root density to the layer 60-90 is used as the basis to estimate the root density for layers 90-120, 120-150 and 150-180cm."

The root densities for flatwood soil type is zero at the depth larger than 90 cm

It is assumed that the root density is not reduced under the hedging distance.

Currently, "the root density vs. depth" and "the root density vs. root zone" are represents by the matrix, i.e. root density as function of depth is discrete. The "root density vs. canopy" is represents by analytic function. In the future improvement, We suggested that "root density vs. depth" is represents by analytic function. The "root density vs. canopy" is represents by several ranges. The reason is layer root length/total root length share the portion of ET and need more precise estimate.

Display for the developer

Equation ID | Description | Equations
Root Length Calculation for "rl"

(soil layer)

Root length, a measure of the total amount of roots in the layer, is equal to the root density times the layer volume. Where the LRD is the layer root density, its first argument is the root section index and the second argument is the simulation layer index.

The maximum number of the non-irrigated profile is 5 for spray pattern<360o and is 4 for spray pattern=360o. The maximum number of the irrigated profile is 4. The maximum number of the root section is 4.

For the irrigated and dry fertilizer applied area, the root section index is the same as the profile index if j<=4 and the root section index equals 4 if j=5.

For the non-irrigated and non-dry-fertilized area (i=3), it is assumed that the root section index equals 4. For the case of (BetweenRow-HedgingDistance)/2 <WD/2<RZR3, the root density index may not be 4 and this case is neglected. Click here to see the picture.

It is assumed the hedging in the middle way do not affect the root density. For the irrigated and non-dry-fertilized area (i=4), it is assumed that the root section index equals 4. For the case of RZR3>(BetweenRow-HedgingDistance)/2, the root density index may not be 4 and this case is neglected. Click here to see the picture.

LRD function here is LRD(int i, int j, int k, double ii, double jj ). LRD(j,k)=LRDi,j,k(j,k) here is LRD(i, j, k, j, k )

Click here to see the possible cases to define the soil profile
Profile Root Length Calculation equation for "PRL" (soil profile) | Profile root length is the sum of layer root length over all layers in the profile.
Cell Root Length Calculation Equation for "TR" (cell) | Cell total root length is equal to the sum of profile root length over profile index of irrigated area/non-irrigated area and dry/non-dry fertilized area. It is assumed the hedging in the middle way do not affect the root density.
Layer Root Density Equation for "LRD(ii,jj)"

(layer)

Root densities are represented by the root density layers (1-10), instead of simulation layers. Layer Root Density Equation represents the root density for a given root section index ii and a given simulation layer index jj. LRD has indexes i, j, k, and argument ii, jj in the Java codes, but k and jj always have same value. Here the root section index is counted starting from one.
RD is the root density matrix. The first index of RD subscript is the root density layer index, and the second index of RD subscript is the root section index.

The points RZLD2 (12.25), and RZLD3(18.75) are added by taking the average of RD1,ii and RD2, ii Click here to see the picture.

Root Zone Radius Matrix for "RZR" (root distribution) | The horizontal dimension of the root distribution is divided into three concentric circles centered on the trunk of the citrus tree. This matrix gives the radius of each circle.
Root Zone Layer Depth Matrix for "RZLD" (root distribution) This matrix contains the starting depth of each root density layer. There are nine root density layers in the root density matrix. The ith root density layer starts at RZLDi and ends at RZDLi+1. The 10th root density layer starts at RZLD10 and ends at the maximum simulation depth.

The points 12.25, and 18.75 are added by taking the average of RD1,ii and RD2, ii Click here to see the picture.

Root Density Matrix for "RD"

(root distribution)

This matrix describes a 3-dimensional root density profile for a citrus tree. Each element in the matrix represents a particular soil cell. The root density in a cell is a function of canopy volume. The columns represent the root section (distance from the trunk of the citrus tree), and the rows correspond to root density layers at various depths.
In this particular matrix, space is divided into 3 dimensions. The horizontal dimension consists of root section index which represents the distance from the trunk of the citrus tree. There are three concentric circles centered on the trunk, columns 1, 2, and 3 of the matrix, with column one being the smallest circle around the trunk. The radius corresponding to 1, 2, and 3 are described by the root section radius matrix. The 4th section (column 4) corresponds to an area outside the third circle but within a rectangular area of dimension "between row spacing" by "within row spacing". The vertical dimension consists of 10 root density layers (rows 1-10). Row 1 is the top root density layer, and subsequent layers correspond to different depths. The starting soil layer number of each root density layer is described by the root zone layer depth matrix.
These data are obtained from our fitting/data manipulating based on the average value of Carrizo Citrange and Swingle Citrumelo in Morgan K. T., et al., 2006. 		Click here to see equation for RD
Root Density Matrix of Carrizo equation for "RDc" ¡¡

For the test purpose, these data for Carrizo Citrange are read from the graph in Morgan K. T., et al., 2006.

Root Density Matrix of Swingle equation for "RDs" | For the test purpose, these data for Swingle Citrumelo are read from the graph in Morgan K. T., et al., 2006.
Regression Parameters to Lower Soil Layers Equation for "RSL"

(root distribution)

This matrix holds regression parameters for calculating root density at the four lowest root density layers. Ridge type soil has deeper root distribution, whereas the Flatwood type of soil distributes above 90 cm. The 0.8771 is the ratio of root density for 90-120 to 60-90 cm; 0.6851 is the ratio of root density for 120-150 to 60-90 cm; 0.4931 is the ratio of root density for 150-180 to 60-90 cm; 0.25 is the ratio of root density for 180-200 to 60-90 cm.

The last data is from Morgan, Kelly's suggestion, the other data are from Sally's code

Click here to see the the comparison of root distributions for flatwood and ridge.

Canopy Volume equation for "cv" (block) Click here to see the description

"CPA" is the cell area except middle way.


Parameters in vertical direction

Program Basic Parameters

Parameters in the vertical direction of soil

Click here to see soil series layer and Tipping Bucket model layer

Click here to see root density layer, soil series layer and Tipping Bucket Model layer

Soil depth is measured from soil surface. There are 3 groups of layer parameters defined in the vertical direction of soil:

1. Developer customized simulation layer (i.e. Tipping Bucket model layer) with index k (from LDk to LDk +LTk) defined by LThickRangeArr array. e.g. It can be defined that layer thickness LT equals 5cm from 0 to 50 cm depth; 10cm from 50 to 110 cm depths, and 15 cm from 110 to 200 depths. Water and fertilizer on the soil surface is located above 1st soil layer.

2. Soil Series Layers with index hd_SSLi (from SSLDii to SSLDii+1) , defined in database. e.g. soil series property may be defined from 0-15cm, 15-30cm, 30-60cm, 60-90cm, above 90cm

3. Root Section Layers. It's index is the index of array RZLD (from RZLDii to RZLDii+1) defined by RZLD equation

The value of soil temperature are soil depth dependent also as soil series and root density. However soil temperature as function of soil depth is an continuing function and it does not need to have soil temperature layers defined.

In additional of above 3 groups of layer parameters, there are also irrigation depth ("irrDep") and setpoint depth ("spDep"). The transK(dep) is used to transfer depth variable to simulation layer index k


Flexible Layer Thickness Description

Equation Descriptions for Flexible Layer Thickness

Click here to see the diagram for flexible soil layer definition

Click here to see the relations among simulation layers, root density layers and soil series layers.

The user of the NUMAPS has to modify the Layer Thickness Range Array equation and the array dimension (Layer Thickness Array Length) to define the simulation layer. The application will automatically calculate the simulation layer thickness and simulation layer depth as the function of simulation soil layer index k; depth to certain layer range as the function of layer range index; total number of layers and the maximum simulation depth based on this array. The TransK(dep) is used to converts soil depth (dep) to soil simulation layer index. The hd_SSLi is used to converts the simulation layer index k into soil series layer index. Currently, the soil temperature defined as the function of depth analytically and does not have soil temperature layer index.

Display for the developer

Equation ID Description

Equation Expression

Layer Thickness Array Length for "LThickArrLeng" (soil Block) | The total number of layer thickness ranges. It is also the number of rows for the Layer Thickness Array. | LThickArrLeng=3
Layer Thickness Range Array for "LThickRangeArr"

(soil Block)

A developer defined LThickArrLeng * 3 matrix. Row index is the layer range index which is ascending from top to bottom.

1st column is simulation layer thickness for each range

2nd column is number of layers for each range

3rd column is aggregated number of layers from soil surface to the last layer of each range. Developer may change the data in the matrix according to their needs. If the number of rows changed, the LThickArrLeng has to have corresponding row number change.
Layer Thickness Range Array 2 for "LThickRangeArr2" (soil Block)

An additional example of LThickRangeArr with constant layer thickness.

This Layer thickness definition requires LThickArrLeng=1.

For this definition to be used, the symbol name LThickRangeArr2 has to be renamed as LThickRangeArr
Layer Depth Equation for "LD"

(soil layer)

Layer depth is measured from the surface of the soil to the top of current soil layer. The 1st case use the 1st row of LThickRangeArr. If (k-1) th layer is in the 1st layer thickness range, only 1st case contributes to the sum. If (k-1)th layer is in the 2nd layer thickness range, 2nd case (when ii=1) and 3rd (when ii=2) case contribute to the sum. If (k-1)th layer is in the 3rd layer thickness range, 2nd case (when ii=2) and 3rd (when ii=3) case contribute to the sum.
Layer Thickness Equation for "LT"

(soil layer)

Layer thickness is obtained from Layer Thickness Range Array. 1st case of this equation uses the 1st row of the LThickRangeArr array. Other cases use the rows other than 1st row in the array. For given layer index k, there is only one case that contributes to the sum.
Layer Depth at Specific Layer Equation for "LDof(jj)" (soil profile) | LD(k=jj) . This equation is introduced to meet the need of code generator in equation editor.
Number of Layers Equation for "NL" (soil profile) | The total number of layers for the simulation. The value is equal to the element of LThickRangeArr in last row of the 3rd column.
Depth to Certain Layer Range Equation for "DepLR(ii)

(block)

The depth from soil surface to the bottom of last layer of range ii. If ii=1, it is layer thickness times # of layers in the 1st layer thickness range. If ii=2, it is layer thickness times # of layers in the 1st layer thickness range plus the layer thickness times # of layers in the 2nd layer thickness range. Where ii is the layer range index.
Cell Maximum Soil Depth Equation for "CMaxSoilDep" (cell) | The maximum simulation depth is calculated as summation of layer thickness over the layer index for any one profile.
Soil Layer Index transformed from Soil Layer Depth Equation for "transK(dep)" (soil layer) Converts soil depth (dep) to soil simulation layer index. If the dep is within the 1st layer thickness range, only 1st case contribute to the sum, i.e. dep divides layer thickness, then rounded down to the next lowest integer. If the dep is larger than the 1st layer thickness range, only 2nd case contribute to the sum.

e.g. 10th layer is from 45cm to 50 cm, transk(49cm)=10

Soil Series Layer Number Equation for "hd_SSLI" (soil layer) | Click here to see the description


Soil Series

Soil Series Equation Descriptions

Click here to see the relations among model layers, root density layers and soil series layers.

Soil Series property is from Sally and she got these data from Data reference: USDA-NRCS soil survey.

Display for the developer

Equation / Symbol ID | Description | Equations
Soil Series Layer Number Equation for "hd_SSLI" (soil layer) | The index denotation of the soil series layers converts the simulation layer index k into soil series layer index. Where hd_SSLI is an array with index i, j, k; ii is the soil series layer index; the SSLDii is the soil series layer depth for the soil series layer ii and measured from the soil surface to the top of this soil series layer. The hd_SSLi(i,j,k) is k dependent and not i, j dependent Soil series layer depths are used to define the soil series properties, e.g. PWPWC, SWC, KRA, etc. |
Soil Series Layer Depth (soil layer) | The depth of a specific soil series layer measured from the soil surface to the top of the soil series layer. | Symbol: "SSLD"
Total Number of Soil Series Layers (soil layer) | Maximum soil series layer number of a specific soil series | Symbol: "SSLMax"
Field Capacity Water Content Symbol for "FCWC" | Soil water content at field capacity, amount of water held in a soil after drainage of gravitational water. Any water added beyond field capacity runs off. FCWC(i,j,k) is k dependent and not i, j, dependent. Data reference: USDA-NRCS soil survey | Symbol for "FCWC" is obtained from database.


Horizontal Parameters

Program Basic Parameters

Soil Parameters in Horizontal Plan

There are several types of area parameters defined in the horizontal plan of soil, centered on the trunk of the citrus tree:

1. Cell area is InRow * betweenRow. The area of middle way is hedging distance * InRow distance.

2. Four Root sections (ring or circle or rectangle punched by a circle) measured by Root Zone Radius (RZR array)

3. Irrigated area (circle or pie) and non-irrigated area (rectangle punched by circle or pie) measured by wetted diameter (WD) and spray pattern (SpP).

4. Dry fertilizer is applied at the cell area except the middle way.

5. Irrigated profiles and non-irrigated profiles measured by comparison of root zone radius and wetted diameter, denoted by profile radius (profileRadius) and profile area (PA) indexed by i and j. This is the simulation object.

6. Shaded area and non-shaded area measured by Canopy Radius (CR)

Each given pair of simulation object indexes (i,j) is corresponded to a specific root zone; a specific irrigated or non-irrigated area, dry fertilizered area or non-dry fertilizered area and a specific profile, but not a shaded/non-shaded area. A profile can have a portion of shaded area and a potion of non-shaded area. Parameter shadeAreaRatio denotes the portion of shaded area within a profile. The shadeAreaRatio is obtained by comparison of canopy radius and profile radius.

Click here to see the diagram for the profile area and profile radius


Four Types of Profile

There four types of profile. They may be non-irrigated & dry-fertilized area (i=1); irrigated & dry-fertilized area (i=2); non-irrigated & non-dry-fertilized area (i=3); irrigated and non-dry-fertilized area (i=4). All of the irrigated areas are fertigation applied area. dry-fertilized area means that the dry-fertilizer applied area.

Click the following to see more cases Spray pattern < 3600 with orientation case 1; Spray pattern <360 0 with orientation case 2


Profiles

Profile Equation Descriptions

Click here to see the diagram for non-overlapped profile (spray pattern =3600)
Click here (this case is not considered. In the future we may count the random posibility) and here to see the diagram for non-overlapped profile (spray pattern <3600)
Click here to see the diagram for overlapped profile
Click here to see the possible cases to define the soil profile

Click here to see the calculation of the area of circular segment

The maximum number of the non-irrigated profile is 5 for spray pattern<360o and is 4 for spray pattern=360o. The maximum number of the irrigated profile is 4. The maximum number of the root section is 4.

Display for the developer

Equation ID | Description | Equations
Profile Area Equation

for "PA"

(soil profile)

The profile area represents non-irrigated and dry-fertilized area (PANIDF) if i=1; irrigated and dry-fertilized area (PAIDF) if i=2; non-irrigated and non-dry-fertilized area if i=3 (PANINDF); irrigated and non-dry-fertilized area (PAINDF) if i=4. All of the irrigated area are fertigation applied area. dry-fertilized area means that the dry-fertilizer applied area. SpP represents the degree of spray pattern. The first column of PANIDF represents the 3600 spray pattern; the second column of PANIDF represents the spray pattern less than 3600.

It is assumed that there is only one profile for the non-irrigated and non-dry-fertilized area (i=3). For the case of (BetweenRow-HedgingDistance)/2 <WD/2<RZR3, the root density index may not be 4 and this case is neglected. Click here to see the picture.

It is assumed that there is no more than one profile for the irrigated and non-dry-fertilized area (i=4). For the case of RZR3>(BetweenRow-HedgingDistance)/2, he root density index may not be 4 and this case is neglected. Click here to see the picture.
Profile Area of Irrigated Dry Fertilized Matrix Equation for "PAIDF" (Profile) | Profile Area for Irrigated Dry Fertilized Matrix (i=2) | Click here to see "PAIDF"
Profile Area of Irrigated Non Dry Fertilized EQUATION for "PAINDF" (Profile) | Profile Area for Irrigated Non Dry Fertilized (i=4)
Profile Area of Non Irrigated Dry Fertilized Matrix "for "PANIDF" (Profile) | Profile Area for Non Irrigated Dry Fertilized Matrix (i=1) | Click here to see "PANIDF"
Profile Area of Non Irrigated Non Dry Fertilized EQUATION for "PANINDF" (Profile) | Profile Area of Non Irrigated Non Dry Fertilized (i=3)
Overlap Between Row Arc Area EQUATION for "OverlapBRArcArea" (Cell) | Click here to see the diagram. | Click here to see the equation for "OverlapBRArcArea"
Overlap Between Row Arc Half Angle EQUATION "OverlapBRArcAngle" (Cell) | Click here to see the diagram. "OverlapBRArcAngle" is [image] of the picture
Overlap In Row Arc Area EQUATION "OverlapIRArcArea" (Cell) | Similar derivation as "OverlapBRArcArea" | Click here to see the equation for "OverlapIRArcArea"
Overlap In Row Arc Half Angle EQUATION "OverlapIRArcAngle" (Cell) | Similar derivation as "OverlapBRArcAngle"
Profile Radius Equation for "profileRadius" (soil profile) Profile Radius is used to measure the shade area ratio in each profile. For the irrigated area, the profile radius is the same as the irrigated profile radius. For the non irrigated area with spray pattern=3600, the profile is the non-irrigated radius. For non irrigated area with spray pattern<3600, the profile is irrigated radius with the same j as profile index.

Profile Radius is zero for i=3 and i=4.

Irrigated Profile Radius Matrix for "IPR" (soil profile) | Click here to see the Description | IPR(Irrigated profile radius)
Non Irrigated Profile Radius Matrix for "NIPR" (soil profile) | Click here to see the Description | NIPR(Non-irrigated profile radius)
Assumed Radius of Cell Boundary Equation for "assumedCellBoundaryR" (soil cell) | For the profile with the boundary of the rectangular area of InRow by betweenRow, the tree area with InRow*(betweenRow-HedgingDist) is converted to the circle area with the same value to get a value of assumedCellBoundaryR. In this conversion, the middle way area does not count since it’s resulting non-iggigated profile radius (NIPR) is used to measure the shadeAreaRatio
Total Number of Profiles Equation (cell) | Total number of profile index set up for array boundary of variables in irrigation area and dry fertilized or non-irrigation and dry fertilized area, e.g. NPIDF for irrigation area or NPNIDF for non-irrigation area. TNP is the maximum of NPIDF and NPNIDF.
Number of Irrigated Dry Fertilized Profile Equation for "NPIDF" (soil cell) | The number of profiles (i=2) for which the irrigation, fertigation and dry fertilizer can be applied.
Number of Irrigated Non Dry Fertilized Profile Equation for "NPINDF" (soil cell) The number of profiles (i=4) for which the irrigation, fertigation can be applied, but dry fertilizer will not be applied. It is in the middle way area.

It is assumed that there is no more than one profile for the irrigated and non-dry-fertilized area (i=4). For the case of RZR3>(BetweenRow-HedgingDistance)/2, he root density index may not be 4 and this case is neglected. Click here to see the picture.
Number of Non Irrigated Dry Fertilized Profile Equation for "NPNIDF" (soil cell)

Number of non irrigated and dry fertilized profiles (i=1). Where NPIDF is number of irrigated , dry fertilized profiles, SpP is spray pattern, WD is wetted diameter, RZR is root zone radius. The profiles (i=1) for which the irrigation, fertigation can not be reached, but dry fertilizer will be applied.

Number of Non Irrigated Non Dry Fertilized Profile Symbol for "NPNINDF" The number of profiles (i=3) for which the irrigation, fertigation can not be reached, and dry fertilizer will not be applied. It is in middle way area.

Here set "NPNINDF" = 1 since the case of "NPNINDF" >1 is very few.

"NPNINDF" = 1
Distance from Tree to Boundary of Hedging Area EQUATION for "DtstHedgingBoundary" (cell) | The distance between center of tree to hedging boundary
Distance from Tree to Boundary of In Row Area EQUATION for "DistToInRowBoundary" (cell) | The distance between center of tree to boundary of the in row area
Cell Plant Area Equation for "CPA" (Cell)


Irrigated and non-irrigated area

Equation Descriptions for the Irrigated and Non-irrigated Area

Ignore the overlap area.

For the current model we will ignore the increased water application rates in the overlap area, but we should add it later because this will lead to increased leaching of N in the overlap area.

The non-irrigated area includes the middle area (i.e. hedged space, or hedge width).

The irrigated area includes the irrigated and drip-line areas.

If the emitter diameter is large enough, the irrigated area might include part of the hedged space.

We need to count the water flow in the non-irrigated area also.

The irrigated area will not always fit nicely into the cell. There will be incidents where the irrigated area will be part of a cell, with the remaining part of the cell being non-irrigated. As far as scheduling irrigation (both interval and duration), the water content of the non-irrigated does not impact the scheduling. However, we do need to estimate water uptake by the tree from the non-irrigated area, which is done the same way as the irrigated area in regard to water content, ks, and root densities. We need to account for total water uptake in the non-irrigated areas because we must use these values for passive N uptake. The passive N uptake will affect both N soil content and active N uptake in the non-irrigated areas.

Display for the developer

Equation ID | Description | Equations
Profile Irrigated Area Matrix for "IPA"

(profile)

Matrix of profiles areas for irrigated areas is a one column matrix. The ith row of the matrix means the ith profile for the irrigated area of the cell. The profile areas are based on the root sections within wetted areas. The first element is the wetted area if the wetted diameter is smaller than the 1st root section's radius; otherwise it is the 1st root section area. The second element is zero if the wetted diameter is smaller than the 1st root section's radius; it is the wetted area minus the 1st zone area if the wetted diameter is smaller than the 2nd root section's radius and larger than the 1st root section's radius; otherwise, it is the area of the ring of the 2nd root section. The other elements are calculated in a similar way. SsP is the spray pattern, WD is the wetted diameter, RZR is the root section radius, Pi is constant 3.14159265.
This equation requires WD<InRow for non-overlap cases.
Profile Non Irrigated Area Matrix for "NIPA"

(profile)

The matrix of the profile areas matrix for non-irrigated areas. They are based on "the areas of the ring of a root section". The first column of this matrix represents a 360 degree spray pattern, while the second column of the matrix represents the spray patterns smaller than 360 degrees. The ith row refers to the soil profile with index = i in the non-irrigated zone. WD is the wetted diameter, RZR is the root section's radius, Pi is the constant 3.14159265.
This equation requires WD<InRow for non-overlap cases. 		¡¡
Total Area of Irrigated Equation for "totalIrrArea" (cell) | Total irrigated area is equal to the sum of profile area over profile index of irrigated area.
Total Area of Non Irrigated Equation for "totalNonIrrArea" (cell) | Total non irrigated area is equal to the cell area minus the total irrigated area.
Irrigated Profile Radius Matrix for "IPR" (soil profile) Radius of outer boundary for the ring/circle of irrigated profile. This 1x 4 matrix represents the radius for four irrigated profiles at most. If the boundary of the wetted area is smaller than the 1st root section, there is only one irrigated profile which is half of the wetted diameter. In this case the radius of the 2nd, 3rd and 4th irrigated profiles are set as zero.

¡¡

¡¡

Non Irrigated Profile Radius Matrix for "NIPR" (soil profile)

Radius of outer boundary for non-irrigation profile. The 1st column is for the case of spray pattern=3600, the 2nd column is for the case of spray pattern<3600.

For the profile with the boundary of the rectangular area of InRow by betweenRow, the rectangular of the tree area InRow*(betweenRow-HedgingDist) is converted to a circle with area of the same value as the rectangular area to get a radius, assumedCellBoundaryR. In this conversion, the middle way area does not count since this NIPR variable is used to measure the shadeAreaRatio.
Assumed Radius of Cell Boundary Equation for "assumedCellBoundaryR" (cell) | Click here to see the Description
Irrigated Area Calculation for "IA"

(irrigation system)

Calculates amount of area irrigated by a single emitter. If wetted diameter is greater than in-row distance, then area is just cell area times the spray pattern. Otherwise it is the area of the circle wetted by the emitter times the spray pattern. NOTE: if wetted diameter > in-row distance, isn't there overlap from neighboring emitters? Then some areas get irrigated twice, but this is not included in the calculation. This may be a good assumption if the amount of overlap is small. NOTE: It is assumed that the in-row distance is less than the between-row distance.


Shaded and non-shaded area

Equation Descriptions for the Shaded and Non-Shaded Area

click here to see the possible relative positions among canopy, profile and irrigated area for non-irrigated profile if the wetted diameter < canopy radius

Click here to see the relations between canopy volumes and canopy radius

When we calculate the rain amount or calculate the soil temperature, the shade area (or canopy area) and non-shaded area are treated differently. For the wind speed, we use shaded wind for both shaded and un-shaded area.

For given soil profile, we know its root section and know whether it is irrigated area or non-irrigated area. But It might happen that partial profile is shaded and partial profile is non-shaded. To solve, the shadeAreaRatio for each profile is calculated. The rain amount for a given profile will be the shadedAreaRatio weighted average of the shaded-rain and non-shaded rain. Same for temperature consideration.

We need to compare the profile radius and the canopy radius to determine the shadeAreaRatio. The outer profile is not ring nor circle and the assumedCellBoundaryR as an equivalent profile radius is calculated. There are many possible relative positions among canopy, profile and irrigated area for non-irrigated profile. Click here to see the diagram for the cases when the wetted diameter < canopy radius.

Determination of canopy radius

The relations between canopy volume and the tree age are given in the database and we need to calculate the canopy radius from the canopy volume. The data of "canopyVolume vs. treeAge" for treeAge=1 to 14" is from Sally/Kelly. All of the other data are added by data manipulation.

The simulation interval could be years long and the tree age will changed year by year. The tree age canopy volume are handled in the following way:
The simulation interval are divided into several terms. The length of term is dependent upon the computer memory and speed. Usually it is less than one year.
The year of plant date is a block property. Based on the year of plant date, we may calculate the tree age and canopy volume for each term based on the year of middle of term period. Month is neglected when counting tree age. We assume the canopy volume stays the same for the whole term period, but may changed from a term to another term.

When tree height >hedging tree height, the hedging top begins. When the tree canopy grows to touch the edge in the row, the side canopy will stop growing because of overlap. When the tree touches the side edge of the middle way, the hedging width maintains an open middle way between rows (click here to see the diagram). Hedging angle is about 7o vertical from the ground towards top of the tree. Wheaton T.A ., et al., 1995 assumed that the tree shape is the upper half of the ellipsoid before the tree touch the edge in the row or the edge of the middle way. Click here to see how to calculate canopy radius from canopy volume and how it is simplified. The large tree can be assumed as upper ellipsoid with intercept in the direction along in-row and hedging angle along the direction of between row. However, the calculation from canopy volume to canopy radius is complicated (there is no simple math expression for the canopy radius as a function of canopy volume for the upper half ellipsoid with tree intercept shown in the picture) and there are many possible cases (e.g. the canopy grows to tough the edge of in-row first or touch the edge of middle way first). We simply assumed that the tree shape is the upper half of the ellipsoid before the tree touch in the row, otherwise the shaded area=InRow*(betweenRow-HedgingDistance) is assumed.

After the tree touches the edge in the row or the edge of the middle way, the canopy area will not be circle and an equivalent radius is calculated.

Display for the developer

Equation ID | Description | Equations
Profile Shade Area Ratio Equation for "shadeAreaRatio" (soil profile)

If the profile radius is smaller than the canopy radius, the shadeAreaRatio equals one.

Otherwise, there are 3 cases. The 1st case is for the 1st profile of irrigated area or non -irrigated area with spray pattern < 3600. It is the canopy area divided by the profile area. The second case is the canopy ring area divided by the profile ring area. The 3rd case is for the first profile of non-irrigated area with spray pattern=3600.

Shade area ratio is zero for i=3 and i=4.

Click here to see Profile "shadeAreaRatio"
Canopy Radius Equation for "CR"

(block)

If the canopy of the yang tree does not touch the edge of the InRow or (betwennRow-HedgingDistance), the upper half of ellipsoid shape is used to calculate the canopy radius from the canopy volume. Otherwise the shaded area=InRow*(betweenRow-HedgingDistance) is assumed. Where the pi * (assumedCellBoundaryR)2 equals InRow*(betweenRow-HedgingDistance). Click here to see the relations between canopy volumes and canopy radius.

The first argument of max function refers the case of height of yang tree < hedgingTreeHeight. The second argument of max function refers the case of height of yang tree is high enough to hedged as hedgingTreeHeight.

If i=3 or i=4, it is considered that CR=0

Reference: Wheaton T.A ., et al., 1995.

Click here to see Canopy Radius equation
Canopy Volume Equation for "cv"
(block) 		The canopy volume is related to the natureCV from database based on tree age. But its value will be limited by the cell area and hedging parameters. CPA is the cell area except middle way.
Assumed Radius of Cell Boundary Equation for "assumedCellBoundaryR" (soil cell) | Click here to see the description
Hedging Tree Height (block) | Hedging tree height | Symbol: "hedgingTreeHeight"
Hedging Distance (block) | Hedging width, the middle distance between canopies of two trees in the between-row distance. | Symbol: "HedgingDist"
Canopy Volume Symbol | Canopy volume of a citrus tree which is function of tree age. It is database data that came from experiments (Morgan Kelly info). The date was for the tree age of 1-15, 20, 50 years old. The data for other tree age are obtained from the data manipulate. | Symbol: "natureCV"


Other Geometry Structures Parameters

Program Basic Parameters

Descriptions for Some Geometry and Basic Structure-Related Equations

To see the diagram, click 1, 2, 3, 4

The middles between rows are typically 8 feet wide, but can vary. It is the same as the hedged space or hedging distance.

Cell area is the same as tree area or tree space which includes the hedged space between rows.

Between-row is always greater than in-row. But the (between-row - hedge width) may not be greater than in-row.

Display for the developer

Equation ID | Description | Equations
Cell Area Calculation for "CA" (cell) | Area of cell is equal to the distance in row times the distance between rows. Note that the distance between rows includes the hedging distance. |
Soil Layer Volume for "LV" (soil layer) | The volume of a soil layer for a specific profile equaling the profile area (PA) times layer thickness (LT). |
Number of Trees Per Block Equation for "TreePerBlock" (block) | Click the nitrogen input to see the description |
Number of Trees Per Hectare Equation for "TreePerHectare" (blcok) | Click the nitrogen input to see the description |
Representative Number of Trees Per Unit Equation for "treePer" (cell) | Click the nitrogen input to see the description |


Time Step

Program Basic Parameters

Time Step related Equation Descriptions

* Basic time step

The basic time step is daily temp step with integer index t.

* Time order within a day (click here to see the NH4 calculation order within a day, click here to see that of NO3)

Although time step is daily, some process happens in the afternoon only and some process happens after another process. For example, the time of rain / irrigation / fertilizer are assumed at 12:00pm, the water / NH4 / NO3 drain in the afternoon. Thus the value of nitrogen uptake will be different between morning and afternoon. The resulting nitrogen concentration would be different if setting nitrification is happened before uptake or after uptake. In this program, the water contents and nitrogen concentrations are refer to the value of 0:00am for given day t. All of the process sequence are clear defined within a day in the symbol descriptions and equation descriptions. Ordinary daily time step does not count hours. Our enhanced daily time step using integer index for t, but the variables and process within a day has time order logically. We also introduce the time remaining to count the hour within a day.

* User selected date period and predicted date period

When user selects the date period (between date 1 and date 2) of simulation, he/she should enter the necessary input data for these date. Integer variable "TodayTS" denotes the number of days between date 1 and date 2. The simulation will expand 2 days more (total number of time step: TNTS) and the last 3 days is for predication irrigation schedule. Since the WCt=TodayTS is refer to the value of 0:00am, the weather / irrigation /fertilizer info on tth day is refer to the 12:00pm and will not available when user works on the data input, nor contributing to the WCt=TodayTS. Since there is no weather / irrigation/ fertilizer data available after current day, the ET data will use average value of ET for the previous five days.

* Term period and Simulated period (Click here to see diagram for term period. Click here to see the calculation order for multiple block and multiple terms)

Some other simulation application calculate water content and nitrogen concentration day by day, i.e. calculate day 2 after day 1 calculation. Calculation of current day requires previous day's data. But NUMAP application is unique. This program uses array WC[i,j,k,t] represents water content and calculate for all of the range of indexes together as a whole in the run. Due to the computer memory limitation, t can not be as large as thousands. However some projects require years calculation . To solve, the program divided the simulation period into several term periods. Developer selects the length of term. The program will run first term period first, then run second term period. The first day of simulation uses initialized data. The first day of second term will uses the data of previous day which are in first term. There are 2 days overlap between adjacent terms, i.e. the necessary data of last two days of previous term are copied to the corresponding variables of the first two days of current term.

* More date related variables in addition to the time index

1. The variables which are associated with t index are their corresponding Julian day as "julianDay" and their corresponding months in the Gregorian calendar as "monthOfDate".

2. The NApplyElapse is a variable for the date counting, started from the volatilization starting date and end to the current day, i.e. the number of the days elapsed from the volatilization starting day to tth day.


Irrigation

Equation Description for the Irrigation System

The irrigated water amount can be from input or from prediction

This application can predict future irrigation schedule and water amount

Display for the developer

Equation ID | Description | Equations
Irrigation Amount as a Function of Duration for "IAM(IDur)"(irrigation system) | A function used for converting the irrigation duration of running the irrigation pumps in minutes to the irrigation amount in centimeters. Where EFR is emitter flow rate in liters per hour, IE is the irrigation efficiency in percentage, and IA is irrigation area.
Irrigation Intensity Equation for 'IrrIntensity" (irrigation system) | See infiltration description
Irrigation Duration Calculation for "DUR" (irrigation system) | See irrigation schedule prediction description
Irrigation Duration Equation as Water Input for "IDur" (irrigation system) Whether the data of irrigation duration is from database or from predicted irrigation duration dependents upon duration source flag setting.

If the predicted irrigation duration is set, this equation will check if water content below the allowed depletion up to the set-point depth. As soon as the soil dries out below the allowed depletion within the set-point depth for any layer of any profile, the calculated DUR is used as irrigation duration. Otherwise, the irrigation is not necessary. This is based on an interpretation of IFAS irrigation recommendation provided by Kelly Morgan.

Before the simulation editor sets the project flag, the database class takes this job for now. If the value of IDURDB from database class is equal to the PredictIrrFlag = -9999.0 the calculated DUR is used as irrigation duration.

Total Irrigation Water for Application Equation for "TotalIrrApp" (irrigation system) | Total water applied with N application, including the water from prior to and during N applications as well as the water following N application.
Cell Daily Irrigation Amount Equation for "CIAM" (cell) | Convert irrigation duration in minute to irrigation amount in cm and assign the calculated value to the variable CIAM.
Emitter Flow Rate
(block) 		Volume of water discharged from the emitter within a period of time. Symbol: "EFR"
Irrigation Efficiency (block) | Percent of water pumped into the irrigation system that actually gets distributed by the emitter. System efficiency can be less than 100 percent due to leaks. | Symbol: "IE"
Irrigation Depth (block) | Database data which is measured from soil surface. | Symbol "irrDep" from database


Weather

Weather Data Source

Weather data source are from user input, file or online.


Rain and Shaded Rain

Weather

Equation Descriptions for the Rain and Shaded Rain

Click here to see how to calculate canopy radius from canopy volume

Click here to see the relation among canopy, profile and irrigated area for non-irrigated profile

The sources of the weather data are from user input, file or online.

Based on the reference (Fares, A., et al., submitted), we have the following info:

A threshold value of rainfall is 1.3 mm d-1 for complete canopy interception

The net precipitation reaching ground surface for shaded area equals 0.50 multiplied by the net precipitation reaching ground surface of non-shaded area for the low (< 5 mm) intensity rainfall.

The net precipitation reaching ground surface for shaded area equals 0.64 multiplied by the net precipitation reaching ground surface of non-shaded area for the high (¡Ý 5 mm) intensity rainfall.

Display for the developer

Equation ID | Description | Equations
Rain Intensity Equation for "RIntensity"

(weather)

The amount of rainfall falling over a unit area per unit of time in cm per hour. It is assumed that if the total rain in a day is 3 inch, the rain intensity is 1.75 inch/hour and the maximum value is 0.8* saturated hydraulic conductivity of top layer. The ponding may occur if the rain intensity is large than the saturated hydraulic conductivity. To simplify, the value of saturated hydraulic conductivity of top layer is used and value of 0.8 is the margin. It is also assumed that the rainfall intensity is proportional to the total rain in a day.

Rain intensity gives a relative figure of the severity of rainfall during a given duration of rainfall.

Saturated Hydraulic Conductivity at Top Layer Equation for "SAKtop" (cell) | SAK(i=1, j=1, k=1). This equation is introduced to meet the need of code generator in equation editor.
Shaded Rain Ratio Equation for "shadedRainRatio" (weather)

The ratio of the rain amount which comes to the soil to the total rain is calculated. If the rain amount<=0.104cm, all of the rain is blocked by the tree. If the rain amount is between 0.104 cm and 0.4 cm, 60% of the rain will come to the soil. Otherwise 76.8% of rain will fall on the soil.

Reference: Fares, A., et al., submitted (the data here are adjusted from Fares paper)

Rainfall for "R" (weather) | Rainfall amount per unit area for a given day | R
Profile Water Input At Stage A Equation for "PWIDI" (profile) | Click here to see the description
Profile Water Input At Stage D Equation for "PWID4" (profile) | Click here to see the description
Profile Shade Area Ratio Equation (profile)

Click here to see the description

 Click here to see Profile "shadeAreaRatio"
Canopy Radius Equation for "CR" (block) | Click here to see the description | Click here to see Canopy Radius equation
Profile Radius for "profileRadius"

(profile)

Click here to see the description
Irrigated Profile Radius Matrix for "IPR"

(soil profile)

Click here to see the description
Non Irrigated Profile Radius Matrix for "NIPR"

(soil profile)

Click here to see the description
Assumed Radius of Cell Boundary Equation for "assumedCellBoundaryR" (soil cell) | Click here to see the description


Soil Temperature

Weather

Soil Temperature Equation Description

Theoretical simplification

The one-dimensional thermal diffusion equation in the uniform material is as follows

The initial condition is hard to say (the current soil temperature may be related to the long time thermal diffusion), but the following boundary conditions could be assumed:

The following analytic equation (Hillel, D. 1982. or http://soilphysics.okstate.edu/toolkit/temperature/model.htm) satisfies the above differential equation and boundary conditions

Note: the assumptions are as follows:
1. The temperature at the soil surface has to satisfy: T(0,t)=Tavg - A * cos [2*pi *(t-to)/365].
2. The soil temperature at infinite depth is constant and is equal to the yearly averaged soil temperature of soil surface.
3. The thermal diffusivity is constant throughout the soil profile and throughout the year.
4. The temperature change within a day is not considered

The effect of the soil surface temperature to the soil temperature at 2m depth can not be developped within short time. The simulation of the soil temperature for a year and for 0 - 2m is not realistic possible work for our application.

Experimental historical data for shaded and un-shaded temperature in Florida by DuCharme, E.P. 1971

Click here to see the temperature as function of month and depth at Lakeland, FL. This picture is a copied page from DuCharme, E.P. 1971.

It is difficult to get the fitting function of "T vs. day" for Jan. to Dec. and difficult to get the fitting function of "T vs. Depth" for 0-200cm based on DuCharme's data. These experimental historical data are used to adjust the analytical equation.

Soil temperature from other simulation model.

Neitsch, S.L., 2002 represents the SWAT model and gives the dumping depth equation as follows without explanations on how to get them.

Where [image] is the soil water content scaling factor, SW is the amount of water in the soil profile expressed as depth of water in the profile (mm H2O), [image] is the soil bulk density (Mg/m3), and ztot is the depth from the soil surface to the bottom of the soil profile (mm). This paper also gives more considerations that we did not use.

The following paper gives more considerations that we did not use.

Williams, J.R., C.A. Jones, and P.T. Dyke, 1984. A modeling approach to determining the relationship between erosion and soil productivity. Transactions of the ASAE, 27:129-144

The analytic equation and the experimental historical data show the following characteristics of soil temperature. (Click here to see the character of soil temperature distribution)

The annual variation in soil temperature follows a sinusoidal function.

The fluctuation in temperature during the year (the amplitude of the sine wave) decreases with depth until, at some depth in the soil, the temperature remains constant throughout the year.

The timing of maximum and minimum temperatures varies with depth. There may be more than two month difference between the minimum temperature of top layer and the minimum temperature at 200cm.

Local customization and our model. The parameters in above equation and the modified factors for these parameters are determined in the following way

1. The yearly averaged soil temperature and the date of the coldest day can be obtained from Fawn on-line. These localized observation data are better than the experimental historical data for FL in paper. For the Block with no Fawn ID, it is assumed that the yearly averaged soil temperature=21oC, the annual change of top layer soil daily temperature = 11.6oC.

2. The historical data for the soil temperature show that the yearly averaged soil temperature is function of depth. We use historical data with some data manipulation to get the soilTAvgDepFactor to modify the yearly averaged soil temperature. From the graph of DuCharme, E.P. 1971, we got the yearly averaged soil temperature as function of depth. Fitting function of these data gave y=21.613-0.008*depth for depth<50cm and 19.546*depth0.022 for depth>50cm. The soil TAvgDepFactor is obtained by the normalization of these fitting functions.

3. Our data show that minimum Temperature may happen on both Jan 25, 2005 and Feb 12, 2005. We assume that the coldest day is Jan. 15.

Shaded soil temperature

Based on the data of DuCharme, E.P. 1971, we may get the difference between shaded and un-shaded soil temperature as function of Julian day and get the fitting function. Then, we make depth adjustment for the resulting fitting parameter. It is difficult to find available proper fitting function type, some data manipulation is included. The value of these data are no more than 5 oC, therefore the accuracy of the fitting function is not too picky. Otherwise, we have to try another approach. Click here to see the fitting data (T_adjuster vs. Julian date) which are estimate for the top soil layer and for the 200cm. The depth dependent function is obtained by the data manipulation.

For the profile which includes both shaded and non-shaded area, use shadedAreaRatio weighted average for the soil temperature adjustment.

The way to check/debugger these equations is to out put the soil temperature vs. Julian days at several soil depth, then get the monthly averaged soil temperature vs. month. Compare these curves with the graph here.

Display for the developer

Equation ID | Description | Equations
Layer Soil Temperature Equation for "soilTemp"

(soil layer)

Historical shade adjusted soil temperature as the function of depth and date in a year.

Where the shadeAreaRatio is the ratio of the shade area to the total area within the profile. The shadedSoilTempAdjustFactor is obtained from DuCharme, E.P. 1971.

Historical UnShaded Soil Layer Temperature Equation for "unshadedSoilTemp"

(soil layer)

An annual temperature variations in soil are represented by an analytic solution of a partial differential equation of a one dimensional conservation of heat and heat transfer. It is a damping sinusoidal function. The damping depth is from Neitsch, S.L.,2002.

The layerSoilTempAvg is our depth modification version for the traditionally used non-depth dependent yearly average soil temperature. The constant data of non-depth dependent yearly average soil temperature and The AmpAnnual is obtained from Fawn online. The modification is based on the experimental data from DuCharme, E.P. 1971.

The miniTampTimeLag is the date of the coldest day of a year, expressed by Julian day.

Reference: Hillel, D. 1982. or http://soilphysics.okstate.edu/toolkit/temperature/model.htm

Click here to see the equation for "unshadedSoilTemp"
Layer Average Soil Temperature Equation for "layerSoilTempAvg"

(soil layer)

The popularly used analytic solution of the differential equation of conservation of heat and heat transfer assumed that the yearly average soil temperature is constant and does not dependent upon the soil depth, that does not agree with the experimental results. Here the yearly averaged soil temperature is adjusted by multiplying its depth factor which is obtained from the data manipulate of DuCharme, E.P. 1971.
Yearly Average Soil Temperature Depth Factor Equation for "soilTAvgDepFactor"
(soil layer) 		The popularly used analytic solution of the differential equation of conservation of heat and heat transfer assumed that the yearly average soil temperature is constant and does not dependent upon the soil depth, that does not agree with the experimental results. Here the yearly averaged soil temperature depth factor is obtained from the data manipulate of DuCharme, E.P. 1971.

From the graph of DuCharme, E.P. 1971, we got the yearly averaged soil temperature as function of depth. Fitting function of these data gave y=21.613-0.008*depth for depth<50cm and 19.546*depth0.022 for depth>50cm. The soil TAvgDepFactor is obtained by the normalization of these fitting functions.

Shaded Soil Temperature Adjustment Factor Equation for "shadedSoilTempAdjustFactor"
(soil layer) 		The estimated values of un-shaded soil temperature minus shaded soil temperature as a function of depth and date are obtained by the data manipulate, based on DuCharme, E.P. 1971. It is a Julian date and soil depth dependent variable. Click here to see the fitting data (T_adjuster vs. Julian date) which are estimate for the top soil layer and for the 200cm. The depth dependent function is obtained by the data manipulation. Click here to see the equation for "shadedSoilTempAdjustFactor"
Layer Daily Damping Depth Equation for "dd" (soil layer)

The parameter in the historical soil temperature equation with a damping sinusoidal function.

This expression is obtained from Neitsch, S.L., 2002.

Layer Maximum Damping Depth Equation for "ddmax" (soil layer) | The parameter in damping depth equation obtained from Neitsch, S.L., 2002.
Layer Damping Depth Scaling Factor Equation for "wcScallingFactor" (soil layer) | The parameter in damping depth equation, obtained from Neitsch, S.L., 2002. CMaxSoilDep is the simulation depth. PWAdavg is the amount of water in the soil profile from soil surface to simulation depth.
Profile Water Amount as Daily Average EQUATION for 'PWAdavg" (profile) | The amount of water in the soil profile from soil surface to simulation depth.
Layer Daily Average Water Content Equation for "dailyWCavg"

(soil layer)

If there is rain or irrigation, the water content will be changed in the afternoon. For the layer which has 12-hour water drain, it is assumed that water content equals WC at 0:00-12:00 and FCWC at 12:00-24:00. For the layer which has 24-hour water drain (e.g. continue yesterday drain), it is assumed that water content equals FCWC for the whole day. The SWC is neglected in the daily average water content since the soil in some layers may stay in the saturated situation at most 6 hours before the water draining finishs.

If some parameters are soil water content-dependent, the dailyWCavg may be used.

Click here to see the equation for dailyWCavg

Average Soil Temperature for "SoilTempAvg"
(Weather)
         The "SoilTempAvg" is obtained from the "Mean 10cm Soil Temp" of the weather table on Fawn site online by averaging the data from year 2004 and 2005. For the Block with no Fawn ID, it is assumed that the yearly averaged soil temperature = 21oC. Symbol: SoilTempAvg
Annual Amplitude of the Surface Soil Temperature for "ampAnnual"
(Weather) 		Half of the annual soil temperature change as the amplitude of sinusoidal function for historical soil temperature. It is obtained from Fawn for year 2004. For the Block with no Fawn ID, it is assumed that the annual amplitude of top layer soil daily temperature = 0.5*11.6oC. Symbol: "ampAnnual"
Time Lag to Minimum Temperature(Weather) | The date of the coldest day of a year, expressed by Julian calendar. The coldest data is set as Jan. 15 | Symbol: "minTempTimeLag" =15.0
Shade Top Soil Temperature Equation for "shadeTopSoilTemp(topSoilDailyAvg)"

(soil cell)

Convert the weather temperature to the shaded temperature under canopy. Used for volatilization. The equation is obtained from the graph in DuCharme, E.P. 1971.
Shade Top Soil Temperature

(soil cell)

The top layer soil temperatures under the shade of the tree, corresponding to the top soil layer daily average temperatures for each month. The data is obtained from FAWN online. Symbol: "topSoilDailyAvg"


Wind

Weather

Wind Equation Description

The sources of the weather data are from user input, file or online.

Wind is characterized by the wind speed, direction (or x, y, z components) at a specific height. Here only wind speed at soil surface is used in the volatilization calculation.

CWMS of Sally's version uses wind shaded ratio 4.4. She said that this data is from Mottos in a web page. We did not use this data since we can not find this paper

Tanny, J., Cohen, S., 2003 provides the shaded wind speed within a citrus orchard as ShadedWindSpeed=0.302 * exp(0.332 * weatherWindSpeed).

In his experiment, the tree age is 6 year; planting distance is 3m by 5m and has reached full size; the maximum height of the tree approached is 3m. The weather wind speed is measured at 4m above the ground. Their anemometers were located at a height of 2.32m. We use this data since we do not have data for shaded wind speed at soil surface.

Display for the developer

Equation ID | Description | Equations
Shade Wind Speed Equation for "ShadeWS" (weather) | Converts the weather wind speed in kph to shaded wind speed in m/s under canopy, based on the control case in Tanny, J., Cohen, S., 2003. Tanny's shaded wind speed is measured at the height of 2.32 m and we assumed that it is same as the shaded wind speed on the soil surface. The canopy factor is added by Jin and Kelly. 7.8 is the canopy volume of a six year-old tree since Tanny's citrus tree is six years old. |
Weather Wind Speed | Weather Wind Speed from Fawn. If the grower does not provide the Fawn ID, the default value is 3.6killo meter/h | Symbol "WeatherWindSpeed"


Fawn

 Weather

FAWN Introduction

(http://fawn.ifas.ufl.edu/)

Click here to see the diagram from observation to computer

Click here to see the relations between Fawn station and Block/irrigation zone

The Florida Automated Weather Network (FAWN) provides up-to-date weather information through a system of automated weather stations distributed throughout the State of Florida.


Fawn Station Map

 Weather --> Fawn

FAWN Introduction

Click here to see the detail info for locations

The name of FAWN site will show on mouse over an station area of the map.


Fawn

 Weather --> Fawn

FAWN Data On-line Query

(http://fawn.ifas.ufl.edu/)

User enter the FAWN station in Grove Info interface. The online data is based on the FAWN station ID

An example to get data from Fawn on-line is shown below:
 http://fawn.ifas.ufl.edu/scripts/fawndataserver.asp?sql=select * from dailysummary where id=320 and datetime>='03/14/05' and datetime<'03/27/05'

Database Table Name | Fields Name
weather | ID,DateTime,TotalRad,NetRad,SoilTempAvg,SoilTemp50,SoilTemp10,AirTempAvg,AirTempMin,AirTempMax, AirTempSur,AirTemp1,AirTemp9,AirTemp15,RelHumAvg,RelHumMin,RelHumMax,WindSpeed,WindSpeedMax,WindSpeed9, WindSpeed15,WindDir,TotalPAR,Rainfall,LeafWetness,DewPoint,BatteryDCVolt,Evaporation,WindSpeedMin
dailysummary | ID,DateTime,AirTempMin,AirTempMax,Rainfall,Evaporation,HoursBelow70F,HoursBelow75F,TotalRad, ET,HoursBelow40F,HoursBelow45F,HoursBelow50F,HoursBelow55F,HoursBelow60F,HoursBelow65F
monthlySummary | Id,DateTime,AirTempMin,AirTempMax,Rainfall,Evaporation,HoursBelow70F,HoursBelow75F,HoursBelow40F, HoursBelow45F,HoursBelow50F,HoursBelow55F,HoursBelow60F,HoursBelow65F
weather_latest | ID,DateTime,TotalRad,NetRad,SoilTempAvg,SoilTemp50,SoilTemp10,AirTempAvg,AirTempMin,AirTempMax, AirTempSur,AirTemp1,AirTemp9,AirTemp15,RelHumAvg,RelHumMin,RelHumMax,WindSpeed,WindSpeedMax,WindSpeed9, WindSpeed15,WindDir,TotalPAR,Rainfall,LeafWetness,DewPoint,BatteryDCVolt,Evaporation,WindSpeedMin

If user choose "unkown" FAWN station in Grove info (FAWN ID is 999), the program gives historical data to replace online data.

Most of stations were added in late 1999. The data earlier than 1998 are not available.


FAWN Data Unit Conversion
This chart for the new FAWN Output Format scheduled for August 2004
 | Variable | Query Data Unit | English | Metric | Metric-English
1 | Array ID Number | int |  |  |
2 | Year | int |  |  |
3 | Day | int |  |  |
4 | Hour Minute 0000 to 2400 | hhmm |  |  |
5 | Battery Voltage | volts |  |  |
6 | Mean 10cm Soil Temp | degree C | degree F | degree C | (Degree C*1.8)+32
7 | Mean 60cm AirTemp | degree C | degree F | degree C | (Degree C*1.8)+32
8 | Mean 2m Air Temp | degree C | degree F | degree C | (Degree C*1.8)+32
9 | Mean 10m Air Temp | degree C | degree F | degree C | (Degree C*1.8)+32
10 | Mean 2m RelHum | pct | pct | pct |
11 | Barometric Pressure | millibars | inches Hg (60F) | millibars |
12 | Leaf Wetness | ohms |  |  |
13 | Total Rainfall | cm | inches | cm | cm x 0.3937 inch x 2.54
14 | Radiant Flux Densityor Irradiance | watts/m^2 or joules/sec/m^2 | BTU/ft*2/hr | watts/m^2 | watts/m*2 x 0.317
15 | Mean 10m WindSpeed | m/s (meter/s) | mph | m/s (meter/s) | m/s x 2.237
16 | Mean 10m WindDir | degree |  |  |
17 | Standard Deviation WindDir | degree |  |  |
18 | Max 10m WindSpeed | m/s (meter/s) | mph | m/s (meter/s) | m/s x 2.237
19 | Time of Max WS | hhmm |  |  |
20 | Min 10m WindSpeed | m/s (meter/s) | mph | m/s (meter/s) | m/s x 2.237
21 | Time of Max WS | hhmm |  |  |
22 | Radiant Flux or Irradiance | kj/m^2 |  | kj/m^2 |
23 | Mean Wet Bulb Temperature | degree C | degree F | degree C | (Degree C*1.8)+31
24 | Mean Dewpoint | degree C | degree F | degree C | (Degree C*1.8)+32
25 | Mean Vapor Pressure | kpa (kilopascals) | inches Hg (60F) | kpa | kpa*0.29613
26 | Mean Saturated Vapor Pressure | kpa | inches Hg (60F) | kpa | kpa*0.29613
27 | Mean Vapor Pressure Deficit | kpa | inches Hg (60F) | kpa | kpa*0.29613
28 | Total Evapotranspiration | mm | inches | mm | mm x 0.03937 inch x 25.4


Water

Water Balance

Several confusable variables for water content are explained below.

When water moves down through the soil profile according to the principle of a tipping bucket, each layer of the soil is conceptualized as a bucket, which can hold only the amount of water represented by the field capacity. The out flow from each soil layer is zero until filled to field capacity. When the soil water content in a soil layer reaches field capacity, any additional water flowing into the layer is moved to the next deeper layer of the soil profile. The normal time step in the tipping bucket model is one day. This is a computationally efficient scheme for simulating soil water transport, which requires few input parameters, few soil properties (only field capacity and wilting point) and simple empirical models, but reflect hydraulic processes.

The basic model used in our program is the tipping-bucket model modified by the simplified hydraulic conductivity consideration (i.e. limited wetting speed). There are several variables which represent the water content with integer indexes: i as profile type, j as profile, k as layer and t as time step. In order to simplify, only k and t indexes are shown below.

1. The modified daily time step which is beyond tipping bucket model

The pure tipping bucket model assumes that the water content is the same throughout the whole day. The water input and root water uptake on tth day affect the water content on (t+1)th day. Our program uses modified daily time steps, and the water content is not the same for the whole day. It is assumed that the water or fertilizer is inputted onto the surface of the soil at 12:00. The water content at a specific layer differs in the morning and the afternoon. When calculate the adjusted ET, it is assumed that the soil water content stay at WCk,t for 12 hours and stay at FCWC for 12 hours. The daily adjusted ET will be calculated with the average of morning water content and afternoon water content. The WCk,t represents the water content for kth layer at 0:00 on tth day. The water input WIk,t and drain water DWk,t (except when continuing yesterday's un-finished drain) will be the afternoon variable on tth day with no specific clock time indication.

Some variables are used as intermediate calculation variables. For example, in the nitrogen drain process for a day, the irrigation, water of prior/during fertigation, water following fertigation and rain are all considered separately, i.e. four drains per day. (Note: to avoid the confuse, we do not call the water of prior/during fertigation and water following fertigation as irrigation water.) Thus, the water contents for each process (such as WCD1k,t, WCD2k,t, WCD3k,t and WCD4k,t ) are introduced. Although we only have the time index of day with no specific clock time indication, the order for these four variables, which are related to the time on a day, are not interchangeable. Click here to see the time order of the variables.

Pure tipping bucket model assumes that the water is freely-draining and does not spend time passing layer by layer. However, an appropriate time scale to characterize preferential flow and transport processes would be of the order of hours, or even minutes. In our program, the time used to pass layer by layer is calculated. The remaining time for the current day (the time from now to 24:00), when passing kth layer, is calculated. The array of WFWCk,t is the instantaneous wetting front water content when the wetting front passes kth layer on the tth day. This instantaneous water content has clock time (wetting front passing kth layer on the tth day) associated with it, but has no clock time index nor clock time argument associated with the water content array variable.

2. Non-equilibrium water content which is beyond tipping bucket model

Tipping bucket model gives the balanced water content in equilibrium state and the water content will never be above the field capacity. Our program considers the soil water distribution profile for drain process at the non-equilibrium state. The value of wetting front water contents WFWCk,t can be above field capacity if the drain is not finished. Drain water DWk,t contributes to the water profile from 1st layer to kth layer. Click here to see the diagram.

If we want to plot the graph for the water content of the distribution profile for the un-finished drain water at 24:00 on tth day, we may consider, using the variable WCplotk,t which gives the water content of the water profile for each (i.e. kth) layer at 24:00 on tth day. The unfinished drain water, DWk, t , in which k is the wetting front layer at 24:00 on tth day, contributes to the water profile from 1st layer to wetting front layer at 24:00 on tth day.

3. Layer thickness modification

We need to calculate the water needed or the water leached at the irrigation depth. The partial simulation layer may be within the irrigation depth instead of the whole simulation layer. To increase the calculation accuracy, decreasing the layer thickness is costly. The part of the layer that crosses the irrigation depth is prorated in our program.

4. An assumed water content as an intermediate calculation variable

To determine the wetting front layer number, we need to calculate the wetting front moving speed. To calculate the wetting front speed at kth layer, we need to know the water content of the soil water distribution profile for the non-equilibrium state if the drain water would reach this layer on tth day. In fact, the drain water may even reach kth layer after 24:00 of tth day. An assumed intermeddler calculation variable (virtual variable), TBWCk,t, is introduced in order to calculate the wetting front speed. It is assumed that the water drains freely without a speed limit, like tipping bucket model on tth day only. When calculating TBWC on tth day, the water content from the previous day uses variable WCk,t from tipping bucket model, with simplified hydraulic conductivity modification. The water input TBWIk,t is used to calculate TBWCk,t on tth day. Click here to see the detail.

5. Flags for the simulation

Our program provides flag for "4 drains per day" and "hydraulic conductivity consideration".

"Four Drain Per Day Flag" is assigned by the simulation program. It is 0 if there is no water inputted on the soil surface or there is only one kind of water source. "Four Drains per Day Activation Flag" is assigned by the application user. If this flag is turned off, the simulation will not treat the four drains as separate, no matter how many kinds of water are inputted onto the soil surface.

When the hydraulic conductivity consideration flag equals 0, the simulation will use the tipping bucket model without the hydraulic conductivity consideration.

6. Soil water dependent nitrogen processes

Denitrification only happens when the water content is above FC. We assume that the water content is nearly SWC if DW>0.

How to count that the amount of water, that is equal to the daily ET, is removed from the soil on the day that irrigation or rainfall occurs:

The soil moisture may be above field capacity before drainage practically stops while the water is removed by the tree, and the soil will be at FC at the end of the day for our soil water model. For each layer, we subtract the daily ET per unit area for this layer from its water input WI, if there is enough WI to provide this amount of water. Otherwise, we subtract daily ET per unit volume for this layer from WC. Here, the daily layer ET, adjusted by the root length, is water content dependent. It is calculated as follows:

For the layer which is watered on tth day and the water sources are from irrigation, water with N application or rainfall of the current day, the ks adjusted ET is the average of the morning adjusted ET and the afternoon adjusted ET. The morning adjusted ET is based on WCk,t, which represents soil water content at 0:00 on tth day, that is prior to irrigation or rainfall; the afternoon adjusted ET is based on field capacity as water content. For the layers that are watered on tth day, but the water source is from yesterday's un-finished drain water, the adjusted ET is based on field capacity as water content. For the layers that are not watered on tth day, the adjusted ET is based on WCk,t.


Evapotranspiration

Water Balance

Evapotranspiration Equation Descriptions

Click here to see the diagram for the ET_Kc. Click here to see the diagram for ET_Ks. Click here to see the diagram for the Ks calculation.

Click here to see how ET is handled in the simulation.

An estimate of evapotranspiration for a specific crop (ETC) is calculated by multiplying the reference evapotranspiration (ETO) by an empirically determined crop coefficient (KC) and soil water depletion coefficient (KS).

The (KC) is specific for a crop, growth stage, and growing conditions resulting in estimated water use of a crop under local or regional climatic conditions. For citrus, the annual cycle of the citrus crop coefficient is as below. (See Morgan et al. (2006))

Kc=--0.0000086 * julianDay * julianDay + 0.0031 * julianDay + 0.8

At field capacity, roots can absorb water fast enough to supply the ETC demand of the atmosphere. However, water becomes more strongly bound to the soil matrix resulting in reduced soil water potential and is more difficult to extract as water content decreases. The soil water depletion coefficient (KS) is a measure of the reduction in ETC caused by reduced soil water uptake due to reduced potential. (See Morgan et al. (2006))

Ready available water content: RAWC = KRA x (FCWC - PWPWC)

KS = (q - qWP)/(qFC - RAWC - qWP)

where KRA is readily available coefficient and we set KRA=0.2 q is water content, qWP is the water content at wilting point. qFC is the water content at field capacity.

The relationship between the KS coefficient and soil water content in sandy soils was described by Morgan et al. (2006).

ET = (ET0)(KC)(KS)

For citrus, the evaporation from soil surface can be neglect.

Soil water uptake by citrus trees is closely related to root length density( Morgan et al., 2006b), thus soil regions containing higher root length density will dry out at a proportionally higher rate. Spatial fibrous root length density is assigned to each soil compartment (i.e.soil layer) based on its soil depth and distance from the tree trunk. Root length for a compartment is a function of root length density and compartment volume. Water uptake from a given soil compartment is assumed to proportional to the ratio of the compartments root length to total tree root length.

Source of ET

Database get ET data from FAWN or historical or user manual entry based on the user choice

The historical data for ET is given in the database.

If some ET data is missing, the average of last 5 days of ET is calculated by the database class.

Display for the developer

Equation ID | Description | Equations
Cell Evapotranspiration Equation for "ETCc" (cell) | Citrus crop adjusted evapotranspiration attributed to a cell. ETo is the evapotranspiration per unit area in the unit of cm/day. |
Evapotranspiration based on root density Equation for "ETLcs" (soil layer) | The kc & ks adjusted evapotranspiration per day on layer volume, based on the roots distribution in that cell, based on the percentage of roots length in the layer compared to the total roots length, and based on the factors in the soil coefficient (ks) and crop coefficient (kc). Its unit is cm3 per day. The rl is the total root length in teh specific layer, TR is teh total root length in the cell. Reference: Morgan, K. T., et al., 2006. |
Soil Water Coefficient Equation for "ks" (soil layer) | The soil coefficient is an adjust factor for evapotranspition and is a measure of how well the roots can absorb water, as a function of water concentration. In very dry soil, the roots have greater difficulty absorbing water even though the soil has moisture. WC is the water content at 0:00am on tth day, PWPWC is the water content at permanent wilting point, FCWC is the water content at field capacity, RAWC is the readily available water content. The resulting ks is used to calculate the water content at 0:00am on (t+1)th day Reference: Fig. 1, Morgan, K. T., et al., 2006. |
Crop Coefficient Equation for "kc" (block) | Empirically determined crop coefficient which adjusts evapotranspiration to the citrus crop. The Julian day dependent is because the crop uses different amounts of water at different times of the year. The ks has higher value in summer and lower value in winter. Reference: Fig. 5 in Morgan K.T., et al., 2006. |
Ready Available Water Content Equation for "RAWC" (soil layer) | RAWC is the water content that provides readily available soil water for the root. When water content is between FCWC-RAWC and FCWC, the ks is equal to one. The value of this variable is related to the soil type. KRA (readily available coefficient) is a soil type dependent variable. |
Readily Available Coefficient (soil layer) | The proportion of (FCWC-PWPWC) is defined as readily available for uptake. Usually the KRA is between 0.01 and 0.05 (here we use KRA=0.02). | Symbol: "KRA" = 0.02
Water Content Negative Part Equation for "WCneg" (soil layer) | Click the Basic Tipping Bucket page to see the description |
Evapotranspiration for Watered Day for "nowET" (soil layer) | Click here to see the description |
To see equations for rl, TR, click here


Basic Tipping Bucket Model

Water Balance

Equation Descriptions for the Basic Tipping Bucket Model

Click here to see the comparison between Tipping Bucket model and piston flow model.

Click here to see the diagram for the SWC, FCWC & PWPWC.

If 4 drains per day flag is turned off, the program will work as basic tipping bucket model.

Equation ID | Description | Equations
Water Amount for "WA"
(soil layer) 		The total amount of water in a layer is equal to the water content (WC) times layer volume (LV).
Water Amount at Saturation Calculation for "WAS"
(soil layer) 		The amount of water in the layer at saturation is equal to the water content at saturation (SWC) times the layer volume (LV).
Field Capacity calculation for "fc" (soil layer) | Water amount at field capacity in a layer is equal to the water amount per unit volume of soil at field capacity water content (FCWC) times layer volume (LV).
Permanent Wilting Point Calculation for "PWP"

(soil layer)

Calculates the amount of water in the layer at the permanent wilting point concentration. Where PWPWC is the water content at the permanent wilting point, LV is the layer volume.
Depletion Equation for "d"

(soil layer)

Depletion (d) expresses the dryness of the soil. It is the ratio of the amount by which the current soil wetness is below the maximum wetness and amount by which maximum dryness is below the maximum wetness. Depletion is 0 if wetness is at maximum and 1 if moisture content is smallest allowable dryness.

The depletion here is used for the initial condition of WC. There is no tree root and no ET deduction below 90cm for the Flatwoods soil type. Thus the water content will not go below field capacity.

Initial Depletion symbol for "dini" | Initial condition of deletion. | "dini" = 0.15
Water Content at a Specific Level of Depletion for "WC(d)"
(soil layer) 		Calculates the water content at a particular level of depletion at 0:00am on tth day. Where d is depletion, FCWC is the water content at field capacity, PWPWC is the water content at permanent wilting point.
Water Content Negative Part for "WCneg"

(soil layer)

The amount of water in a unit volume of soil, decreased daily through kc, ks adjusted evapotranspiration at kth layer from 0:00am to 24:00pm on tth day if there is no water inputted into the surface of soil on this day. Otherwise the ks adjusted evapotranspiration will be different in the morning and afternoon. The ETLcs, i.e. the ks & kc adjusted evapotranspiration per day on the layer is based on the WC on tth day which is the water content at 0:00.

The maximum deduction due to ET is FCWC which is shown as the expression for the second condition.

The WCneg is used for the WC and WI calculation.

To see ET related equations, click here
Water Content Positive Part for "WCpos"

(soil layer)

The water content daily increases through water input at kth layer on tth day for tipping bucket model with daily time step. WI is water input to the unit area of the layer, LT is the layer thickness, FCWC is the water content at field capacity, WA is the water amount, fc is the water amount at field capacity, LV is the layer volume. Tipping bucket model assumes that the maximum water content is FCWC and any additional water flowing into the layer is moved to the next deeper layer of the soil profile.

This variable is used for the WC calculation.

Water Input to Layer with Nitrogen for "WI"

(soil layer)

If 4 drain per day flag is turned on, the daily water input per unit area from various sources including the irrigation (WID1), the water from prior to and during N application (WID2), the water followed the N application (WID3) and the rain (WID4) are calculated separately and the total water input is the sum of water input from each source. Otherwise, we do not distinguish water input source and consider all of them together.

The water input for the first soil layer is the profile water input (PWI) minus the daily adjusted ET water. The water input for other layer (kth layer) is the water drain from above layer minus the daily adjusted ET water, if DW from above layer on tth day is large enough to provide this deduction. Otherwise, the daily ET per unit volume for this layer is subtracted from WCt. (see WC and WCneg calculations.)

Here we assume the irrigations, water with N application or rain are happened at 12:00pm, and WC will be changed after 12:00pm, thus the adjusted ET are different in the morning and afternoon. For the layer which is watered for 12 hours on tth day, the adjusted ET is the average of the morning adjusted ET and the afternoon adjusted ET. The morning adjusted ET is based on WCk,t, which represents soil water content at 0:00 on tth day, that is prior to irrigation or rainfall; the afternoon adjusted ET is based on field capacity as water content. For the layers that are watered for 24 hours on tth day, the adjusted ET is based on field capacity as water content. For the layers that are not watered on tth day, the adjusted ET is based on soil water content at 0:00 on tth day.

Click here to see the equation for "WIt"
Water Content Dynamics with Nitrogen Input for "WC" (soil layer) | Click WC_WI_DW page to see the description for WC. | Click here to see the equation for WC
Layer Drained Water by Water Input with Nitrogen for "DW" (soil layer) Daily drain water per unit area of layer bottom when this layer is wetting front of drain process. If the "FourDrainPerDayFlag" is turned on, the drain for irrigation (DWD1), water from prior to and during N application (DWD2), water followed N application (DWD3) and rain (DWD4) are calculated separately then are summed together. Otherwise, the water input (WI) will fill the soil of the layer and bring WC to FCWC; any additional water flowing into the layer is moved to the next deeper layer of the soil profile.

¡¡


Infiltration

Water Balance

Infiltration Equation Descriptions

Click here to see the diagram

For many rainfall events there is an initial period during which all the rainfall infiltrates into the soil. During this time, as water infiltrates, the capacity of the soil to absorb water decreases until it becomes less than the rainfall intensity. Infiltration rate is the rate of absorption and downward movement of water into the soil layer, i.e. flux at the soil surface.

The key points for the infiltration are as follows:

The water input onto the soil is the rainfall, irrigation water and the water of prior to, during, and following the N application.
Ponding and overland flow (runoff) occurs when water input onto the soil is larger than the infiltration capacity.
The infiltration capacity depends on: surface roughness (retention e.g. grass), surface organic layer, and by-pass pathways.
Surface soil water content (saturation, depth of water table).
Permeability (hydraulic conductivity) of soil (rate at which water moves through soil). The higher the hydraulic conductivity, the higher the capacity
Slope increases runoff. We ignore this case.

The model we used is based on the reference (Mein, R.G. et al., 1973). Mein discussed the situation in which the rainfall intensity is initially less than the infiltration capacity of the soil. Its assumption is as follows

There is a sharp wetting front for infiltration water.
The soil above the wetting front is saturated.
Soil is a homogeneous medium with a uniform initial moisture content.
The rainfall is of constant intensity until runoff begins and the infiltration process at a given location is one dimensional.
Raindrop compaction is not considered.

Mein gives the following relationship:

Our program adds more assumptions as follows:

Our soil is sandy soil which has larger saturated hydraulic conductivity.
Irrigation Intensity <<Ks
There is no rainfall greater than 2 inches per hour. Thus, both the rain Intensity and the irrigation Intensity is smaller than the saturated hydraulic conductivity and the rain (or irrigation) is falling slower than the soil can take it in. Therefore the infiltrationRate = rainIntensity or irrRate
The ponding time is never reached. For our sandy soil, the ponding rarely happens except in the case of hurricanes. Our program assumes that the ponding time is never reached.
The total infiltration time < 12 hour when using the remaining time of water flow to decide the wetting front of tth day, i.e. infiltration process is finished on the same day as rain / irrigation occurs.
SWC and WC are dependent upon the soil depth. It is against the Mein's assumption and we have made some modification for their equations.

Display for the developer

Infiltration will affect the resulting WC(t+1) and wetting front speed. The Tipping Bucket model does not allow the WC>FCWC, thus infiltration is only affect our wetting front speed.

The equations in reference (Mein, R.G. et al., 1973) assume that the WC and SWC are not dependent upon the depth and the infiltration depth equaling the infiltration water divided by the saturated water minus the water content. We need to extend these equations to our case, that the SWC and WC are layer-dependent. The calculation counting the layer-dependent for the SWC and WC would be complicated. To simplify, we use averaged WC within the infiltration depth to replace WC, and use SWCk=1 to replace SWCk. However, the consequence of recursive calculation would be using infiltration depth to calculate averaged WC, and using averaged WC to calculate infiltration depth. To avoid the contradicting recursive calculation, the assumed infiltration depth is introduced.

Infiltration describe the drain process, but not affect the final water balance if there is no runoff. Here infiltration is not directly used in the tipping bucket calculation and is used for the calculation of wetting front speed and only affect the WIflag and affect the final water content indirectly.

Equation ID | Description | Equation Expression
Assumed Infiltration Depth Equation for "AssumedInfDep" (soil profile)

The maximum infiltration depth is a function of current soil water content (WC) and saturated soil water content (SWC) which varies by layer index. To solve, the infiltration depth is approximated, and it is assumed that all layers have the same WC & SWC as those of the 1st layer. This variable will be used to calculate the pre-infiltration average water content in the infiltration area for the calculation of maximum infiltration depth.

Reference: Mein, R.G. et al., 1973.

Infiltration Maximum Depth Equation for "InfMaxDep" (soil profile)

It is assumed that there is a sharp wetting front for infiltration water and that the soil above the wetting front is saturated. Therefore, the maximum infiltration depth is equal to the total water infiltrating the soil, divided by (SWC-WC). The problem is that SWC and WC are the functions of the layer index. To simplify this problem, SWC(k=1) is used and the WC is replaced by the average water content, which is the total water to the assumed infiltration depth (PWTCD) divided by its volume.

Here it is assumed that runoff will not occur, since the rainfall intensity is usually less than the saturated hydraulic conductivity.

Reference: Mein, R.G. et al., 1973.
Infiltration Rate Equation for "InfRate"

(soil profile)

For many rainfall events, there is an initial period during which all the rainfall infiltrates into the soil. During this time, as water infiltrates, the capacity of the soil to absorb water decreases until it becomes less than the rainfall intensity (i.e. pounding/runoff occurs). Here it is assumed that runoff will not occur, since the rainfall intensity is usually smaller than saturated hydraulic conductivity. Therefore, the infiltration rate is equal to the rainfall intensity or irrigation intensity. If rain amount is larger than the irrigation amount in same day, rain intensity is used, otherwise irrigation intensity.

Reference: Mein, R.G. et al., 1973.
Infiltration Wetting Front Speed Equation for "InfWFSP" (soil layer)

Infiltration water wetting front speed for a specific layer is equal to Infiltration Rate divided by (SWC-WC). It is assumed that there is a sharp wetting front for infiltration water and the soil above the wetting front is saturated. SWC-WC is the water content increase provided by the infiltration water. InfRate is the rate of infiltration water movement on per hour bases.

Reference: Mein, R.G. et al., 1973.
Wet Front Speed Equation for "WFSP"

(soil layer)

It is assumed that before water move down to the maximum infiltration depth, infiltration is at wetting front speed. After then, use hydraulic conductivity wetting front speed as wetting front speed.
Irrigation Intensity Equation for "IrrIntensity" (irrigation system) | Calculates irrigation amount per unit irrigated area per hour in cm/hr. Where EFR is emitter flow rate in Liter per hour, IE is irrigation efficiency, IA is irrigation area.
Rainfall (weather) | Click here to see description | "R"
Rain Intensity Equation for "RIntensity"
(weather)

Click here to see description

Reference:

Mein, R.G. and C.L. Larson, 1973. Modeling infiltration during a steady rain. Water Resour. Res. 9(2): 384-394.


Hydraulic Conductivity

Water Balance

Simplified Hydraulic Conductivity Model with Daily Time Steps

The tipping bucket method has been criticized because it does not take into account all the physical forces on the soil water, only gravity and evaporation from the surface. In contrast, the accurate calculation from the Richard's equation are costly and can not use daily time steps. Here we create an simplified model in which the water is not freely-draining and does spend time passing layer by layer. We estimate how fast water is allowed to move down through the profile.

The pure Tipping Bucket model assumes that water moves the entire simulation depth (e.g. 200 cm) in one time step, whereas our hydraulic conductivity enhanced tipping bucket model with limited wetting front moving speed assumes that all irrigation, water with N application and rainfall occurs at noon and has a maximum of 12 hours to move through the soil on the fist day after an irrigation, water with N application or rainfall. The estimated time required to pass though each layer is subtracted from the 12 hour assumption. Only the layers for which, the time remaining is positive, will be watered in this day. Thus the layer of the wetting front at 24:00 can be determined.

It might be happened that a wetting front is from today's irrigation, another wetting front is from the continuing drain of yesterday's wetting front. The cases with multiple wetting fronts are also considered. It is a pure tricky data manipulation to determine the multiple wetting fronts from the time remaining of each layers by using several flags. The WFLNpreflag is based on the time remaining, the WFLNflag is based on the WFLNpreflag and the WIflag is based on the WFLNflag. WIflag tells us whether the water flow is 12 hours or 24 hours drain, whether the water flow of above layer is watered today or yesterday, or partial today and partial yesterday. WIflag is used to determine the ET and to decide whether the ET water is deducted from today's DW or yesterday's DW.

When we say a layer is wetting front on a day, usually means that this layer is wetting front at 24:00 on this day. However the wetting front passes many layers during the day. The wetting front at a layer during the day are used to calculate the wetting front moving speed. The wetting front layer number at 24:00 are used to calculate WC, WI and DW.

W e use DWk-1,t and WCk-1,t+1 to get soil moisture profile water content q (i.e. WFWCk-1,t) and then calculate k(q) for (k-1)th layer on tth day. We use WCk,t to get k(q) for kth layer on tth day. Then get wetting front speed (HCWFSPk,t), then calculate time remaining (WFTRk,t), then determining the wetting front index at the end of the day (i.e. the last layer to drain at 24:00pm on tth day) (WIflag gives the status for each layer), then get water content (WC) with the hydraulic conductivity enhanced Tipping Bucket model.

If there is unfinished drain on Yesterday, then there is water profile in the soil this morning at 0:00 and we may calculated the water profile. But if there is rain onto this soil this morning, we still use tipping bucket to calculate the water drain to layer by layer until 24:00. We still consider the soil layer to be drained is not above FCWC. This is why our model data do not agree with the observation data if there is frequently rainfall/irrigation.


HC Wetting Front Speed

Hydraulic Conductivity Wetting Front Speed Equation Descriptions

Click here to see the moisture profile for single wetting front; click here to see the moisture profile for multiple wetting fronts

Click here to see how to get the wetting front speed equation

Click here to see other's model for wetting front speed.

If layer depth < totalInfiltration_Zf, Wetting front speed = infiltartion_Zf / t = infiltrationRate / (qs - qi)

If layer depth > totalInfiltration_Zf, Wetting front speed is from hydraulic conductivity equations.

Where totalInfiltration_Zf is the infiltration depth

The picture below shows how to get the equation of the wetting front moving speed:

For k=1, there is no (k-1)th layer, we assume that the (k-1)th layer has saturated WC

The unsaturated hydraulic conductivity as the function of water content is based on Fares, et al, 2000.

Where q is the water content of soil moisture profile, qS is saturated moisture content, qr is the water content at the permanent wilting point, m is a fitting parameter in Fares paper and it is obtained for Candler fine sandy soil type and it is function of soil depth. For simplify, it is assumed that all soil of different soil type have the same data as the value of the fitting parameter n, averaged by depth, given in that paper.

Since the K(q) will blow up if WC is large than SWC, we set it no larger than Ks/2 based on Bouwer, H., 1966.

Estimate soil moisture profile q (WFWCk) which is the distribution of DWk when wetting front is at the bottom of kth layer.

The water content from Tipping Bucket model is never large than field capacity and can not be used as soil moisture profile q here. To get q, we have to considering the soil water profile (Fig 4 b, Charbeneau, 1989) (click here to see the soil moisture profile), i.e. the drain water DW of kth layer is not located in kth layer. It actually distributes from first layer to kth layer. The actual water content is calculated q plus this extra water due to DW distribution.

We can not use the analytic equations of Charbeneau, 1989, since his model assumes that the soil water content below the wetting front is at permanent wilting point and assumed that the soil is homogeneous which are not true for our case. His k(¦È) uses power-law hydraulic conductivity which is a different model from us also. His model can not handle multiple wetting fronts.

Specifically, we assume that the water content from (Zf -15cm) to Zf are same. The moisture profile q from 1st layer to (Zf -15cm) layer is a little more than triangle area. Triangle area is (0.5 * depth* (q ¨CFCWC)), but we use (0.6 * depth* (q ¨CFCWC) ) to represent large than triangle.

Drain water at kth layer, DWk,t represents the excess water when wet front reach kth layer. Based on this soil profile, q can be solved from the following equation

DWk,t = 15cm *(qk,t- FCWCk,t) +0.6 * (qk,t- FCWCk,t) * (LD-15)

We also set q is no larger than qS.

WCplot is water content of soil moisture profile

Upper limit of array:

In the WFWC equation, to avoid the WC array out of boundary, the condition t < TNTS is added. When t=TNTS, WFWC=0 and the wetting front is not calculated. TNTS is obtained from database. It is total days of user selected (operationInterval) plus 3

In the WFWC equation, there is k+1, thus WFWCk=NL will have trouble. WFSPk=NL will have no problem since it only needs WFWCk=NL-1. WFTRk=NL should have no problem.

The HCWFSP is slower for the soil with larger water content at saturation (SWC) or smaller saturated hydraulic conductivity.

If the rain/irrigation last several days, the WCt is near FCWC and the flux rate q2 is large. If there is small rain/irrigation again on tth day, the flux rate q1 is small, the wetting front speed is slow.

Equation ID | Description | Equations
Wet Front Water Content Equation for "WFWC"

(soil layer)

The soil water content of kth layer at the time when wetting front passes the bottom of this layer during the tth day, equals WCi,j,k,t+1 + an extra water content from the DWi,j,k,t.

This calculation of this extra water content is based on the soil moisture profile in the Fig 4 b, Charbeneau, 1989. Specifically, we assume that the water contents from LDk+1 to LDk+1-15cm are same and water contents from the soil surface to the LDk+1-15cm have the moisture profile=0.6*(LDk+1-15)*(WFWCi,j,k,t-1-FCWC). Where LDk is the depth from soil surface to the bottom of the kth layer. Click here to see the moisture profile.

The first condition in the equation expression refers to the top 15 cm for which, the moisture profile is a rectangular. If layer thickness is larger than 15 cm, the LT will replace 15cm.

To avoid the WC array out of boundary, the condition t<TNTS is added. When t=TNTS, the wetting front is not calculated. TNTS is obtained from database. It is total days of user selected (operationInterval) plus 3

The WFWC at the bottom layer of the simulation depth can not be calculated since k+1 is invalid. However, when calculate HCWFSPk=NL, only WFWCNL-1 is needed

The TBWCt+1 is the water content at kth layer on tth day when the drain process would be finished.

The derivation is as follows: DWi,j,k,t-1=(15+0.6*(LDk+1-15))*(WFWCi,j,k,t-1-FCWC). If DW>0, WCi,j,k,t+1 will be near FCWC. Where 15 & 0.6 are assumed data in assumed soil water profile.

k>1 condition is due to first layer will not continue yesterday's drain.

In the case that there is Yester day's unfinished drain,the water profile should include DWt-1

For non-watered layer, WFWC is not called. Within the infMacDep, the WFWC is not to be called

Click here to see the equation
Wet Front Water Content Condition Value Equation for "WFWCcond" (soil layer) | The wetting front speed calculation needs the WFWC for k-1 layer. But the k-1 layer is invalid for k=1. To solve this problem, we introduce WFWCcond which is WFWCk-1 if k>1. The assumptions are given for k=1.
Hydraulic Conductivity fitting parameter m Equation for "HCPm" (soil layer) | Parameter in the Hydraulic conductivity calculation based on Fares, et al, 2000. It is obtained for Candler fine sandy soil type and it is function of soil depth. For simplify, we use the average value for 0 to 1.1 m depth and use same value for all of the Candler soil type. HCPn = 3.321
Hydraulic Conductivity Parameter n (soil layer) | Hydraulic conductivity fitting parameter n in the paper, based on Fares, et al, 2000. It is assumed that all of the Candler soil type has same data as the value of the n, averaged by depth, given in that paper. | Symbol: "HCPn" =3.321 which is the average fitting parameter from 0-110cm (including different range of soil depth) in Fares paper.
Hydraulic Conductivity Function of Water Content for "KTheta" (soil layer) The unsaturated hydraulic conductivity as the function of water content based on Fares, et al, 2000. Where SAK is the saturated hydraulic conductivity. HCPm is a parameter in Fares, et al, 2000.

Since the Ktheta will blow up if WC is large than SWC, we set it no larger than Ks/2 based on Bouwer, H., 1966.

Wet Front Speed Equation (Soil Layer) ¡¡
Infiltration Wetting Front Speed Equation (Soil Layer) ¡¡
Hydraulic Conductivity Wetting Front Speed Equation for "HCWFSP"

(soil layer)

The wetting front speed for kth layer is the wetting front speed when the wetting front is at the bottom of (k-1)th layer and top of kth layer. Wetting front speed indicates how fast the water flow brings the dry soil to FCWC. The calculation is based on equation 4 in Charbeneau, Randall J., 1989. For k=1, the layer k-1 is invalid, the WFWCk=0 =SWC is assumed.

Here WFWCcond is WFWCk-1 except first layer. When WFWCk-1=WCk, the denominator of the equation expression equals zero. This case may happened if (k-1)th layer and kth layer are not watered on the tth day and we set HCWFSP=0. The condition of NL>0 is required by the WFWC.

First Layer do not have above layer. It is assumed that its above layer has water content SWC

WFWC should not be large than saturated water content. Otherwise, the KTheta will be infinity.

Click here to see the equation for HCWFSP
Water Content for plotting Equation using WFLNflag for "WCplot"

(soil layer)

When the wetting front of soil water flow reaches the kth layer, the drain water (DW) for kth layer is not located in kth layer actually. It is distributed from first layer to kth layer. The actual value of the water content for the non-equilibrium state (WCplot) is equal to the calculated WC of equilibrium state plus this extra water due to DW distribution. (click here to see the diagram)
The water content of tipping bucket model is for the balanced water content in equilibrium state is never greater than FCWC. In contrast, for the profile of the soil water which has not reach equilibrium state, the water content (WCplot) can be a value greater than FCWC and below Saturated water content. This value can be used to plot the WC as the function of the layers.
Water Content of Drain Profile Equation for "allExtraWater"

(soil layer)

The distribution of DW for each layer of a profile is based on Charbeneau, Randall J., 1989. This variable is used for the WCPlot calculation. In this equation, DWof(jj) is the the same as DWk=jj and LDof(jj) is the same as LD(k=jj). The symbols DWof and LDof are introduced here since the summation from the code generator of Simulation editor can take kth layer index for DW but not jj layer index for DW. The proportion of the LD(k+1)/LDof(jj+1) is a very rough assumption, and is an easy way to estimate the extra water of (k+1)th layer from the extra water at the wetting front.

This is count from kth layer to bottom layer and only wetting front layer jj contribute to the summation. This equation calculate how much water contribute to the kth layer from water profile contributed by DWk=jj if jj is wetting front.

Click here to see "allExtraWater"
Drained Water at Specific Layer Equation for "DWof" | It is used for the calculation of allExtraWater. DWof(jj) is DW(k=jj)
Saturated Hydraulic Conductivity (soil layer) for "SAK" The parameter for the saturated hydraulic conductivity. Saturated hydraulic conductivity is a quantitative measure of a saturated soil's ability to transmit water when subjected to a hydraulic gradient. It can be thought of as the ease with which pores of a saturated soil permit water movement.

Reference: Fares, et al, 2000. His data (for Candler) are as follows

at 10cm SAK=27.072cm/hr

at 20cm SAK=18.972 cm/hr

at 40cm SAK=31.104 cm/hr

at 70cm SAK=23.328 cm/hr

at 110cm SAK=24.588 cm/hr

Symbol "SAK" based on Fares, et al, 2000

0-15cm SAK=27.072cm/hr

15-30cm SAK=18.972 cm/hr

30-55cm SAK=31.104 cm/hr

55-90cm SAK=23.328 cm/hr

90- 200cm SAK=24.588 cm/hr


Time Remaining

Wetting Front Time Remaining Equation Descriptions

The time to pass each layer for wetting front is LayerThickness/WettingFroneSpeed. We introduce a variable named as TimeRemaining in hour for kth layer on tth day. It is the time interval between the time when wetting front reaches the bottoms of kth layer and 24:00 on tth day. The counting down of time remaining can start from 24 hours (if continue yesterday's (k-1)th layer's drain) or start from 12 hours (if the water is from the air). TimeRemaining k, t>0 means that this layer is watered; TimeRemaining k, t<0 and TimeRemaining k, t [image] -9999 means that the wetting front can not reach the bottom of kth layer on tth day; if TimeRemaining k, t >=0 and TimeRemaining k+1, t <0, then kth layer is the wetting front on day t; TimeRemaining k, t = -9999 means that this layer is not watered today and will not continue drain tomorrow; TimeRemaining k, t =0 means that the drain is just finished.

The time remaining is counted in the following way:

When the irrigation or rain come to the soil surface, the time remaining is 12 hours before 24:00pm

When the wetting front reach the bottom of the first layer, the time remaining is 12 - LT(k=1)/WFSP(k=1)

If the wetting front came to the bottom of kth layer at 24:00 pm yesterday, the time remaining is 24 hours on today. When wetting front reach the bottom of (k+1)th layer, the time remaining is 24-LT(k+1)/WFSP(K+1)

If WFTR(k) (Wetting front time remaining at the bottom of kth layer) is negative, then set WFTR(k+1)= WFTRcondExcConst ( which is -9999)

Then we exam the WFTR, if WFTR(k-1)>=0, WFTR(k)<0, then (k-1)th layer is the last layer to drain on tth day.

If WFTR(k-1)=WFTRcondExcConst, WFTR(k)= an integer between 24 and a negative value other than WFTRcondExcConst , then kth layer is the layer to continue yesterday's drain.

If WFTR(k-1)=WFTRcondExcConst , WFTR(k)= a negative value other than WFTRcondExcConst , we let the water pass this layer today.

There is no (k-1)th layer for k=1, and we assume that water content profile of the (k-1)th layer is saturated on rain day or irrigation day, otherwise it is same as the water content of the first layer.

Equation ID | Description | Equations
Wet Front Time Remain at Specific Layer Equation for "WFTRat(jj)" (soil profile) | Click here to see the description.
Wet Front Speed Equation for "WFSP"
(soil layer) 		Click here to see the description.
Wetting Front Time Remaining Condition Value Equation for "WFTRcond"

(soil layer)

WFTRcondk indicates the time remaining when the wetting front reaches the top of kth layer or bottom of (k-1)th layer. It is the same as WFTRk-1 except the first layer since WFTR is invalid for k=1. It is assumed that the water inputted onto the soil surface at 12:00, thus the zero's layer has 12 hours remaining from 24:00. If there is no water inputted onto the soil surface, the time remaining is not meaningful, the exceptional value WFTRExcConst (=-9999.0) is assigned to the WFTRcond.

This variable is used in WFTR calculation.

Wetting Front Time Remaining Equation for "WFTR"

(soil layer)

WFTRk,t is the time remaining in hour when wetting front passing the bottom of kth layer on tth day. LT/WFSP is the time interval when wetting front travels from top of kth layer to the bottom of kth layer and subtracted from WFTRk-1,t on the basis of 24-or-12 hour assumption depend upon the watering cases of its top layer is "watering today"-or-"yesterday's wetting front"-or-the air on tth day.

If kth layer have both water source from today and yesterday, then both amount of drain water are compared. If more water is from today, then 12 hours drain is assumed. If more water is from yesterday, then 24 hours drain is assumed. Following are the explanations for the condition of each case

1. WFLflag k, t-1 is non-zero integer, thus (k-1)th layer was wetting front at 24:00pm on (t-1)th day. There are water source TBDWk-1,t from rain/irrigation on tth day, and yesterday's un-finished drain (TBDWk-1,t-1). But the majority water source is TBDWk-1,t-1, then the 24 hour base is used.

2. If (k-1)th layer is not the wetting front of (t-1)th day at 24:00pm and WFTRcond=WFTRk-1,t >0 (above layer is watered today) and there is water input from above layer.

3. WFLflagk,t-1 is non zero integer, thus (k-1)th layer was wetting front at 24:00pm on (t-1)th day. There are water source TBDWk-1,t from rain/irrigation on tth day, and yesterday's un-finished drain (TBDWk-1,t-1). But the majority water source is TBDWk-1,t.

4. WFTR is calculated in the case of k=1, WFTRcond=12.

5. If t=1, do not need to consider "continue yesterday unfinished drain". WFTR is calculated if WFTRk-1,t >0 and there is water from above layer to come to this layer

6. If WFTRk-1,t is negative and there is no water passing kth layer or WFSP=0, the exception value (WFTRExcConst) is assigned. If today and yesterday's TBDWk-1 is not positive, there is no water waiting to be drained to this layer today or tomorrow, the exception value (WFTRExcConst) is assigned also.

Click here to see when WFTR = -9999 (WFTRExcConst)

The condition WFSP ¡Ù 0 is used to avoid dividing by zero.

WFTRk,t >0 means that kth layer is watered today. WFTR<0 & WFTR ¡Ù WFTRExcConst means the wetting front can not reach kth layer on tth day but will be continue watered tomorrow. WFTR = WFTRExcConst means that this layer is not watered today and will not continue drain tomorrow. WFTR=0 means that the drain is just finished. This variable is used to determine the layer of wetting front at 24:00pm including the cases of multiple wetting fronts. (see WFLNpreflag and WFLNflag).

If not continue Yesterday's drain and WFTRcond=0 (i.e. drain finished at (k-1)th layer), then WFTR should be equal to WFTRExcConst.

Click here and here to see more info about how to use WFLNflag to determine multiple wetting fronts.

Click here to see the "WFTR" equation


Wetting Front Flag

Equation Descriptions for the Flags of Wetting Front

Click here to see how to determine the wetting front flag

Click here to see how to determine the WI flag

Click here to see WIFlag and 4DrainPerDayflag when HCflag=1 or 0

The basic idea to deterring the wetting front at 24:00 pm is base on the time remaining as follows:

If WFTR(k) (Wetting front time remaining at the bottom of kth layer) is negative, then set WFTR(k+1)= WFTRcondExcConst ( which is -9999)

Then we exam the WFTR, if WFTR(k-1)>=0, WFTR(k)<0, then (k-1)th layer is the last layer to drain on tth day.

If WFTR(k-1)=WFTRcondExcConst, WFTR(k)= an integer between 24 and a negative value other than WFTRcondExcConst , then kth layer is the layer to continue yesterday¡¯s drain.

If WFTR(k-1)=WFTRcondExcConst , WFTR(k)= a negative value other than WFTRcondExcConst , we let it pass this layer today. That means, if the DW>0 for kth layer and time remaining below zero, this water should be drained tomorrow. If the first layer (or continuing drained first layer ) time remaining is negative, we let it finish drain on that day.

An intelligent treatment for the multiple wetting fronts

Actually, there is no symbol to represent the wetting front index at the end of the day (i.e. the last layer to drain at 24:00pm on tth day) . However there is a WIflagi,j,k,t which tells if WIk,t is from DWk-1,t or DWk-1,t-1 or both. WIflagi,j,k,t also tells if the drain is12 hours drain or 24 hours drain, thus we may decide how to handle the ET term. These info are used for WI and WC calculation .

There could be several wetting fronts from 0- 2 m soil depth. E.g. one wetting front is from today¡¯s rain/irr; other wetting fronts are from continuation drain of yesterday. The WIflag is the Flag of a specific layer for the consideration of multiple wetting fronts cases.

DF_12hrTdyAir: 12hours drain; water from air, comes to this layer at 12:00 pm today

DF_12hrTdyAbvLyr: 12 hours drain, both this layer and above layer are watered today, water source is from today's rain/irrigation.

DF_24hrYstrdyAbvLyr: 24hours drain, above layer is yesterday's wetting front, this layer is continue yesterday drain.

DF_24hrTdyAbvLyr: 24hours drain, both this layer and above layer are watered today, water source is from previous day.

DF_Ystrdy12hrTdyAbvLyr: Both this layer and above layer are watered today. But partial of water source is continue yesterday drain & another partial of water source is today's irrigation/rain for this layer. 12 hours drain is assumed since DWk,t-1 < DWk, t

DF_Ystrdy24hrTdyAbvLyr: Both this layer and above layer are watered today. But partial of water source is continue yesterday drain & another partial of water source is today's irrigation/rain for this layer. 24 hours drain is assumed since DWk,t-1 > DWk, t

To get WIflag, a tricky data manipulation introduce WFLNpreflag and WFLNflag. The WFLNpreflag is obtained based on the wetting front time remaining. WFLNflag is obtained based on the data manipulation of the value of WFLNpreflag.

Wetting front reaches different layer at different time. When we consider flag, the text "wetting front" below refers the wetting front at 24:00pm.

Determine if kth layer is Wetting front:

* If the WFLNflag(k+1) is 1, or 2, or 3, or any integer then kth layer is wetting front and the drain is not finished. Tomorrow will continue to drain to next layer

* If WFLNflag(k+1) = 0 means wetting front finished drain. No more water is waiting to drain

* If WFLNflag(k+1) is non-zero integer, kth layer is wetting front on tth day. The math expression is

WFLNflag(k+1)=Floor[WFLNflag(k+1)] & WFLNflag(k+1) [image] 0.

* If kth layer is not unfinished drain wetting front, then

WFLNflag(k+1) [image] Floor[WFLNflag(k+1)] or WFLNflag(k+1)= 0

Determine if this layer is watered today:

The layer with WFLNflag = 0.5 is in the first water profile; the layer with WFLNflag = 1.5 is in the second water profile; WFLNflag = 2.5 for 3rd water profile, WFLNflag = 3.5 for 4th water profile ,- - -

If PWI=0, the water source of first water profile is yesterday's unfinished drain.

The math expiration for watered kth layer is WFLNflag(k) =0.5 or WFLNflag(k) - Floor[WFLNflag(k)] = 0.5

If the kth layer is watered today and kth layer is above the first wetting front on tth day, (i.e. kth layer is within the first water profile) then WFLNflag = 0.5

If WFLNflag=0.5, then the water source can be today or yesterday depend upon if PWI = 0

WFTRcondExcConst contribute to the flag determination. This is a character different from ordinary programming.

Notes: The following explains if there is recursive calculation:

To calculate WCk,t needs to know WIk,t. To calculate WIk,t needs to know WIflagk,t. To calculate WIflagk,t needs to know the WFLNflag t (k) which need to know WFLNpreFlag t (k). To calculate WFLNpreFlag t (k) needs to know WFTRk,t. To calculate WFTRk,t needs to know WFSPk,t or HCWFSPk,t, To calculate HCWFSPk,t, needs to know WFWCk-1, t and WCk,t. To calculate WFWCk-1,t needs to know DWk-1,t.

Therefore there is no recursive in this calculation.

When the program finishes the calculation of HCWFSP, WFTR, WI flag at kth layer, we can not know if this layer is wetting front on current day since WFTRk+1 is not known yet. But we may say if kth layer is yesterday's wetting front.

WFTR is called for every layer, whereas WFSP is only be called if WFTR [image] WFTRExcConst

Calculate WFLNflag t-1(k) requires to know DWk-1,t. When check yesterday wetting front, ask if WFLNflag t-1(k) = Floor[WFLNflag t-1(k)] and WFLNflag t-1(k) [image] 0, require t>1 and k>1, otherwise there is out of bound problem.

When t=TNTS, WFWC is not calculated. Where TNTS is got from database class and equals to operation interview +3 for last term, otherwise it is the last day of the term period. For t=TNTS, WFWC=0 and WFSP<0, the hydraulic conductivity is not considered.

For j=1 ^ PWI>0 condition in WFLNflag, the WFTR will not be called by this condition. However when k=2, WFTRk=2 and WFSPk=2 are called, thus WFWCk=1 and WFWCk=2 will be called except k=1 is within the infiltration depth.
¡¡

Equation ID
&
Module 		Description Equations
Wet Front Layer Flag Equation for "WFLNflag(jj)"

(soil profile)

The WFLNflagi,j,t(jj) function are obtained from the WFTRat(jj-1) (i.e. WFTRk=jj-1) and WFLNpreflag(jj). For the layers within water profile, its value is integer-and-a-half; for the layers just below the water profile with unfinished drain on tth day and will be watered on next day, its value is non-zero integer; all of other layers, their value are zero. It is used to get the WIflag which represents the water source as the calculation condition case of WI and WC equations.

The condition of WFTRat(jj)=WFTRk=jj [image] WFTRExcConst = -9999.0 means that this layer is not watered on tth day and will not continue to be watered tomorrow..

The WFLNflagi,j,t is a variable in the Profile class and does not have layer index. Argument jj is a layer index.

Zero value of WFLNflag(jj) represents that jjth layer is never watered on tth day; none zero integer value represents that jjth layer is just below the wetting front layer on tth day; the value of "integer plus 0.5" means that this layer is watered on tth day. WFLNflag(k)=0.5 means that the water source is today's water inputted onto the soil surface.

The following are the detail explanation for each case.

1. When water flow pass (k-1)th layer, the drain finished and no more water left over to flow to the kth layer

2. WFLNpreflagk-1 and WFLNpreflagk has difference of 5. kth layer is the 1st layer of water profile or last layer of water profile

3. WFLNpreflagk-1 = WFLNpreflagk . kth layer is within the water profile.

4. WFTRk-1 >0 & WFTRk [image] -9999. The kth layer is watered on tth day or will be not be watered on (t+1)th day

5. WFTRk-1 >0 & WFTRk = -9999 means that there is no more water needs to be drain at (k-1)th layer

This function is calculated for every function call. For the purpose of saving CPU, the WFLflagi,j,k,t in layer module is introduced.

Click here to see the diagram.

Wet Front Layer Origin Flag Equation for "WFLNpreflag(jj)"

(soil profile)

WFLNpreflag is obtained from WFTR based on a tricky data manipulating method. Where jj is the layer index, WFTRExcConst =-9999. WFLNpreflag add 5 when WFTR switch sign from (k-1)th layer to kth layer except some special cases. Click here to see illustration. The following are the detail explanation for each case.

1. WFLNpreflag(k=1) = 5 if PWI>0 and no mater what kind of value of WFTRk=1. if WFTRk=1 <0, it is still assumed that the water passed 1st layer.

2. WFLNpreflag(k)=WFLNpreflag(k-1) +5 if WFTR from positive to negative when water flow from (k-1)th layer to kth layer. The (k-1)th layer is wetting front on tth day.

3. WFLNpreflag(k)=WFLNpreflag(k-1) if both WFTRk+1 & WFTRk are positive. The water flow passed both kth layer and (k+1)th layer.

4. WFLNpreflag(k)=WFLNpreflag(k-1) +5 if The (k-1)th layer is not watered and kth layer is watered on tth day. The yesterday's unfinished water drain to kth layer.

5. The (k-1)th layer is not watered and kth layer is watered on tth day. But WFTRk <0, then it is assumed that the water pass kth layer on tth day, otherwise the water will never passed kth layer on future days. The kth layer is wetting front at 24:00pm on tth day.

6. WFLNpreflag(k+1)=WFLNpreflag(k) +0.00001 if both WFTRk+1 and WFTRk are negative and (k-1)th layer is not yesterday's wetting front.

It is used to get the WFLNflag, then get the WIflag which represents the water source as the calculation condition case of WI and WC equations.

Note: WFTRk,t >0 means that kth layer is watered today. WFTR<0 & WFTR not equal to WFTRExcConst means the wetting front can not reach kth layer on tth day but will be continue watered tomorrow. WFTR<0 & WFTR = WFTRExcConst means that this layer is not watered today and will not continue drain tomorrow. WFTR=0 means that the drain is just finished.

Click here to see the diagram.

Drain Flag Equation for "WIflag"

(soil layer)

Represents the water source as the calculation condition case of WI and WC equations. WIflag is evaluated except HCFlag=0. Otherwise, WIflag = WIflagExcConst. If HCFlag=1, the possible cases for WIflag are as following:

1. DF_12hrTdyAir=101: 12hours drain; water from air, comes to this layer at 12:00 pm today

2.DF_12hrTdyAbvLyr=102: for t=1: There is no water from yesterday's un-finished drain. 12 hours drain, both this layer and above layer are watered today. Main water source is from today's rain/irrigation.

3. DF_24hrYstrdyAbvLyr=103: 24hours drain, above layer is watered yesterday and water flow is from above layer to kth layer. In another word, above layer is yesterday's wetting front, this layer is continue yesterday drain. WFLNflagk,t-1is non-zero integer and there is no rain/irrigation today. This layer is "not within the 1st water profile" or "within 1st water profile, but PWI=0".

4. DF_24hrTdyAbvLyr=104: 24hours drain, both this layer and above layer are watered today, main water source is from previous day. WFLNflagk,t is an integer plus 0.5 thus this layer is watered today. WFLNflagk,t-1is not non-zero integer, thus above layer is not yesterday's wetting front. This layer is "not within the 1st water profile" or "within 1st water profile, but PWI=0".

5. DF_24hrTdyAbvLyr=104: 24hours drain, both this layer and above layer are watered today, main water source is from previous day. WFLNflagk,t is an integer plus 0.5 thus this layer is watered today. WFLNflagk,t-1is not non-zero integer, thus above layer is not yesterday's wetting front. Above layer is 24 hour drain.

6.DF_Ystrdy12hrTdyAbvLyr=105: Both this layer and above layer are watered today. But partial of water source is continue yesterday drain & another partial of water source is today's irrigation/rain for this layer. 12 hours drain is assumed since DWk,t-1 < DWk, t, This layer is within 1st water profile and PWI=0 means at least partial water source is is today's irrigation/rain.

7.DF_Ystrdy24hrTdyAbvLyr=106: Both this layer and above layer are watered today. But partial of water source is continue yesterday drain & another partial of water source is today's irrigation/rain for this layer. 24 hours drain is assumed since DWk,t-1 > DWk, t

WIflag = WIflagExcConst if there is no water comes to this layer

If the time of passing first layer took more than 12 hours, 12 hours drain is considered. If Yesterday's water stopped at kth layer and the time of passing (k+1)th layer takes more than 24 hours on current day, kth layer as wetting front is assumed.

Click here to see more info about how to use WFLNflag to determine multiple wetting fronts.

Click here and here to see the diagrams.

Click here to see WIflag
Wet Front Time Remain at Specific Layer Equation for "WFTRat(jj)" (soil profile) WFTRat is a function with argument of layer number (jj) and WFTRat(jj) is the value of WFTR (k=jj). The summation here is the need of the code generator of equation editor.
Wet Front Soil Layer Flag Equation for "WFLflag"

(soil layer)

The equation WFLflagi,j,k,t=WFLNflagi,j,t(k) converts function value to symbol value for the purpose of saving CPU since the symbol value will not re-evaluated if it is evaluated already in the symbol calculation. This variable is used for WC & WI calculation as well as NApp12hrFlag.
Drain 12hr Flag Equation for "Drain12hrFlag"

(soil layer)

Determines if the water input to this layer on the bases of 12 hours assumption. Value of one means 12 hours drain and that water content in the afternoon will be different from the water content of the morning. Value of 0 means 24 hour drain or not watered for this layer.
Drain 24hr Flag EQUATION "Drain24hrFlag"

(soil Layer)

Determines if the water input to this layer on the bases of 24 hours assumption. Value of one means 24 hours drain. Value of 0 means 12 hour drain or not watered for this layer.


Profile Water Input

Water Balance

Equation Descriptions

Equation ID | Description | Equations
Profile Water Input Equation with Nitrogen for "PWI" (soil profile) | Profile water inputted to the soil surface has four sources as summed items. PWID1 is for the irrigation water, PWID2 is for the water from prior to or during N applications. |
Profile Water Input At Stage A Equation for "PWID1" (soil profile) | The input amount of water from the scheduled irrigation, on a unit area of soil surface in the irrigated area for a particular profile at a specific day. |
Profile Water Input At Stage B Equation for "PWID2" (soil profile) | The input amount of water from prior to and during N applications, on a unit area of soil surface in the irrigated area for a particular profile at a specific day. Where IAM converts the duration into the amount of water applied per unit area. |
Profile Water Input At Stage C Equation for "PWID3" (soil profile) | The input amount of water inputted following the N applications, on a unit area of soil surface in the irrigated area for a particular profile at a specific day. Where IAM converts the duration into the amount of water applied per unit area. |
Profile Water Input At Stage D Equation for "PWID4" (soil profile) | The input amount of water from the shaded rainfall, on a unit area of soil surface in the irrigated area for a particular profile at a specific day. The (1-shadedRainRatio) is the portion of the rain which is blocked in the shaded area. The shadedAreaRatio * (1-shadedRainRatio) is the portion of the rain which is blocked in the profile. |


Four Drain per Day

Water Balance

"Four Drains per Day" Equations Descriptions

Click here to see the 4 drain per day flag.

Click here to see the calculation order for four drains per day

There is water applied with the fertilizer in addition to scheduled irrigation and rainfall. The water related to the fertilizer is explained below.

Fertigation is liquid fertilizer that is put into the irrigation water and pumped through the irrigation system. So, fertigation is only applied to the irrigated area. Typically, there is water applied (20-30 minutes) prior to adding the fertilizer, to fill the pipes with water and bring up the pressure in the irrigation system; then, the fertilizer is injected into the water for a period of time (from 20 minutes to 1 hour); finally the water is run for an additional 10 to 20 minutes to rinse all the fertilizer out of the irrigation pipes and wash the fertilizer into the soil. So the process of water flow in the soil has three wetting fronts: 1) water, 2) water + fertilizer, and 3) water. Since the first amount of water is usually very small, it is assumed that there are two wetting fronts: one is the 1+2 above and then a separate one for 3 above. There may or may not have 30 minutes irrigation after the dry fertilizer applied.

The dry fertilizer is applied to the soil by a spreader and can be in both the irrigated and non-irrigated areas except middle way. When dry fertilizer is applied, irrigation should be run before application to wet the soil and then after application to wash the fertilizer into the soil. However, farmers may not apply irrigation before dry fertilizer applied. By default, database set the water applied prior to N application as zero. Nitrogen input interface gives user choice for this variable. This water would only affect the dry fertilizer in the irrigated area. The soil water in the non-irrigated area would only be affected by rainfall on the day the fertilizer is applied. If there is no rain on the day it is applied then the fertilizer should stay in layer 0 until the next rain.

To summarize, there are four types of wetting fronts. The irrigation, water of prior/during N application, water following N application and rain, are all handled separately. (i.e. four drains per day). To avoid the confusion, the "irrigation" (or say, scheduled irrigation) in the equation/symbol descriptions does not include the water of prior/during N application and the water following N application; the "water with N application" in the equation/symbol descriptions includes the water of prior/during N application and the water following N application. It is assumed that if there is irrigation other than that applied with the N application on the fertilizer day, it occurs prior to N application because growers would (or should) not irrigate right after applying fertilizer. We also assume that if there is rainfall on the day of N application, it occurs after N application.

Equation ID | Description | Equations
Four Drain Per Day Flag Equation

For "FourDrainPerDayFlag"

(soil layer)

The value of one-or-zero for the FourDrainPerDayFlag indicates whether it is-or-is not necessary to simulate four drains of water flow per day. "Four drains per day" is only simulated for particular days and particular layers if they satisfy all of the following conditions:

1. FourDrainperDayActivationFlag is activated.

2. The profile is located in the irrigated area.

3. There are more than one kind of water sources inputted into the soil surface on the current day. These water sources are expressed by PWID1, PWID2, PWID3 or PWID4.

4. WFLNflag(k)=0.5 or "HCFlag=0 & k>1 & DWk-1>0 or k=1"
WFLNflag(k)=0.5 indicates that the kth layer is watered by today's PWID1, PWID2, PWID3 or PWID4 in the hydraulic conductivity simulation; "HCFlag=0 & k>1 & DWk-1>0 or k=1" indicates that the hydraulic conductivity simulation is turned off and there is water drain to kth layer from above layer or from soil surface. To avoid the DW array out of boundary, the k>1 condition is added.

FourDrainPerDayFlag=0 for the layers which does not watered or the layers which are watered on the bases of the 24 hours draining assumption.

Four Drain per Day Activation Flag (block) | The flag indicated if "4 drains per day" consideration will be activated: 0 means that the drain water from irrigation, prior to / during N application, following N application and rain are calculated together. 1 means that the drain water of irrigation, pre N app/with N app, after N app and rain are calculated separately. | "FourDrainperDayActivationFlag" is a symbol
Profile Water Input At Stage A Equation for "PWID1" (soil profile)

The input amount of water from the scheduled irrigation, on a unit area of soil surface in the irrigated area for a particular profile at a specific day.

Profile Water Input At Stage B Equation for "PWID2"
(soil profile) 		The input amount of water from prior to and during N applications, on a unit area of soil surface in the irrigated area for a particular profile at a specific day. Where IAM converts the duration into the amount of water applied per unit area.
Profile Water Input At Stage C Equation for "PWID3"
(soil profile) 		The input amount of water inputted following the N applications, on a unit area of soil surface in the irrigated area for a particular profile at a specific day. Where IAM converts the duration into the amount of water applied per unit area.
Profile Water Input At Stage D Equation for "PWID4"

(soil profile)

The input amount of water from the shaded rainfall, on a unit area of soil surface in the irrigated area for a particular profile at a specific day.

The (1-shadedRainRatio) is the portion of the rain which is blocked in the shaded area. The shadedAreaRatio * (1-shadedRainRatio) is the portion of the rain which is blocked in the profile.

Water Content Dynamics Drain Stage A Equation

for "WCD1"

(soil profile)

The water content before 24:00pm in a layer due to scheduled irrigation (or continue yesterday unfinished drain) on tth day based on WCi,j,k,t at 0:00am on the same day for daily step tipping bucket model.

The water content increases through rain water input and decreases through evapotranspiration if DWD1k-1 is not enough to provide the daily ET deduction. If DWD1k-1 is enough to provide the daily ET deduction, the ET deduction will be counted in WID1 calculation.

This equation is calculated when 4 drains per day flag is turned on. FourDrainPerDayFlag equals zero and WCD1 is not called for the watered layers on the bases of the 24 hours draining assumption.
Water Content Dynamics Drain Stage B Equation

for "WCD2"

(soil profile)

The water content before 24:00pm on tth day in a layer. The source of the water is from prior to or during N applications. The calculation is based on the water content of WCD1 on the same day for daily step Tipping Bucket model.

The water content increases through WID2 water input and decreases through evapotranspiration if DWD2k-1 is not enough to provide the daily ET deduction. If DWD2k-1 is enough to provide the daily ET deduction, the ET deduction will be counted in WID2 calculation.

This equation is calculated when 4 drains per day flag is turned on.

Water Content Dynamics Drain Stage C Equation

for "WCD3"

(soil profile)

The water content before 24:00pm on tth day in a layer. The source of the water is from prior to or during N applications. The calculation is based on the water content of WCD2 on the same day for daily step Tipping Bucket model.

The water content increases through WID3 water input and decreases through evapotranspiration if DWD3k-1 is not enough to provide the daily ET deduction. If DWD3k-1 is enough to provide the daily ET deduction, the ET deduction will be counted in WID3 calculation.

This equation is calculated when 4 drains per day flag is turned on.

Water Content Dynamics Drain Stage D Equation

for "WCD4"

(soil profile)

The water content before 24:00pm in a layer due to rainfall on tth day based on WCD3i,j,k,t at 0:00am on the same day for daily step tipping bucket model.

The water content increases through rain water input and decreases through evapotranspiration if DWD4k-1 is not enough to provide the daily ET deduction. If DWD4k-1 is enough to provide the daily ET deduction, the ET deduction will be counted in WID4 calculation.

This equation is calculated when 4 drains per day flag is turned on.

Water Input Drain Stage A Equation for "W1D1"

(soil profile)

The water inputted onto a unit area of the top of a specific soil profile from irrigation/rain or yesterday's unfinished drain on the bases of the 12 hours draining assumption.

If wetting front can not reach this layer before 24:00pm due to limited hydraulic conductivity, the water input is zero.

The nowETD1 as the daily ET per unit area for this layer based on the field capacity water content, is subtracted from the drain water of the above layer, if it is available. Otherwise, it is subtracted from WCD1.

This equation is calculated when 4 drains per day flag is turned on. FourDrainPerDayFlag equals zero and WID1 is not called for the watered layers on the bases of the 24 hours draining assumption.

Water Input Drain Stage B Equation for "W1D2"

(soil profile)

The water inputted onto a unit area of the top of a specific soil profile from prior to and during the N application.

The nowETD2 as the daily ET per unit area for this layer based on the field capacity water content, is subtracted from the drain water of the above layer, if it is available. Otherwise, it is subtracted from WCD2.

This equation is calculated when 4 drains per day flag is turned on.

¡¡

Water Input Drain Stage C Equation for "W1D3"

(soil profile)

The water inputted onto a unit area of the top of a specific soil profile following the N application.

The nowETD3 as the daily ET per unit area for this layer based on the field capacity water content, is subtracted from the drain water of the above layer, if it is available. Otherwise, it is subtracted from WCD3.

This equation is calculated when 4 drains per day flag is turned on.

¡¡

Water Input Drain Stage D Equation "WID4"

(soil profile)

The water inputted onto a unit area of the top of a specific soil profile due to the rain.

The nowETD4 as the daily ET per unit area for this layer based on the field capacity water content, is subtracted from the drain water of the above layer, if it is available. Otherwise, it is subtracted from WCD4.

This equation is calculated when 4 drains per day flag is turned on.

Layer Drained Water by Water Input Drain Stage A Equation for "DWD1" (soil profile) | Layer drain water due to irrigation (or continue yesterday unfinished drain) after 12:00pm. This equation is calculated when 4 drains per day flag is turned on.
Layer Drained Water by Water Input Drain Stage B Equation for "DWD2" (soil profile) | Layer drain water from prior to and during N application after 12:00pm. This equation is calculated when 4 drains per day flag is turned on.
Layer Drained Water by Water Input Drain Stage C Equation for "DWD3" (soil profile) | Layer drain water of after N application after 12:00pm. This equation is calculated when 4 drains per day flag is turned on.
Layer Drained Water by Water Input Drain Stage D Equation for "DWD4" (soil profile) | Layer drain water of rain after 12:00pm. This equation is calculated when 4 drains per day flag is turned on.
Water Content Positive Part Drain Stage A Equation for "WCposD1" (soil profile) The water content daily increases through WID1 for tipping bucket model with daily time step. Where WID1 is the water input from the scheduled irrigation or yesterday's unfinished drain, to the unit area of the layer; LT is the layer thickness; FCWC is the water content at the field capacity. Here it is assumed that the maximum water content is FCWC.

This equation is calculated when "FourDrainPerDayFlag" is turned on.

Water Content Positive Part Drain Stage B Equation for "WCposD2" (soil profile) The water content daily increases through WID2 for tipping bucket model with daily time step. Where WID2 is the water input from prior to and during N application, to the unit area of the layer; LT is the layer thickness; FCWC is the water content at the field capacity. Here it is assumed that the maximum water content is FCWC.

This equation is calculated when "FourDrainPerDayFlag" is turned on.

Water Content Positive Part Drain Stage C for "WCposD3" Equation (soil profile) The water content daily increases through WID3 for tipping bucket model with daily time step. Where WID3 is the water input following N application, to the unit area of the layer; LT is the layer thickness; FCWC is the water content at the field capacity. Here it is assumed that the maximum water content is FCWC.

This equation is calculated when "FourDrainPerDayFlag" is turned on.

Water Content Positive Part Drain Stage D Equation (soil profile) The water content daily increases through WID4 for tipping bucket model with daily time step. Where WID4 is the water input due to the rain, to the unit area of the layer; LT is the layer thickness; FCWC is the water content at the field capacity. Here it is assumed that the maximum water content is FCWC.

This equation is calculated when "FourDrainPerDayFlag" is turned on.

Evapotranspiration for Watered Day Drain Stage A Equation for "nowETD1"

(soil profile)

The portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the scheduled irrigation water amount to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm.

To avoid divided by zero, PWI>0 is required. This equation is calculated when 4 drains per day flag is turned on.

Evapotranspiration for Watered Day Drain Stage B Equation for "nowETD2"

(soil profile)

The portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the water from prior to and during N applications to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm.

To avoid divide-by-zero error, PWI>0 is required. This equation is calculated when 4 drains per day flag is turned on.

Evapotranspiration for Watered Day Drain Stage C Equation for "nowETD3"

(soil profile)

The portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the water following N application to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm.

To avoid divide-by-zero error, PWI>0 is required. This equation is calculated when 4 drains per day flag is turned on.

Evapotranspiration for Watered Day Drain Stage D Equation for "nowETD4"

(soil profile)

The portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the rain water amount to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm.

To avoid divide-by-zero error, PWI>0 is required. This equation is calculated when 4 drains per day flag is turned on.

Four Drain Per Day Flag | See Symbol description | Symbol "FourDrainPerDayFlag"


WC, WI and DW

Water Balance

Equation Descriptions for the WC, WI and WD with Hydraulic Conductivity & 4 Drain per day

Click here to see the basic tipping bucket model

Click here to see the calculation logical design

Click here to see the calculation flow

Click here to see how to determine the WI flag

Click here to see WIFlag and 4DrainPerDayflag when HCflag=1 or 0

Click here to see the Tipping Bucket model enhanced by simplified Hydraulic Conductivity consideration

Equation ID | Description | Equations
Water Content Dynamics with Nitrogen Input for "WC"

(soil layer)

The WCi,j,k,t water content in kth layer at 0:00am on tth day based on the water content on the previous day for daily step tipping bucket model. The water content increases through water input and decreases through evapotranspiration if DWk-1 is not enough to provide the daily ET deduction of kth layer. If DWk-1 is enough to provide the daily ET deduction, the ET deduction will be deducted in the WIk calculation. If the drain water is from both DWk-1,t-1 and DWk-1,t-2, the DWk-1,t-2 is counted.

WC(dini) is the initial condition at t=0, the dini is the initial condition for depletion.

If FourDrainPerDayFlag is turned on, WC at 0:00am on tth day is equal to the Water content after 4th drain on (t-1)th day.

If HCFlag=0, the pure tipping bucket model is used, i.e. the draining of water does not delay.

WCneg is 24 hour ET deduction for the non-watering day or the case that WIk is not enough to provide the ET deduction. The nowET is 12 hour ET deduction for watering day and based on based on the FCWC as water content (i.e. ks=1). the 2 * nowET -WCneg is 24 hour ET deduction for watering day (based on WC in the morning and based on based on the FCWC as water content in the afternoon)

If kth layer is not watered on the (t-1)th day or WIk is not enough to provide the ET deduction, the max(WCpos-WCneg, PWPWC) is used. The minimum water content is PWPWC.

Click here to see the description of WIflag

Click here to see WIFlag and 4DrainPerDayflag when HCflag=1 or 0

Click here to see the diagram for the WC and WCneg calculations.

Click here to see the equation for WC
Initial Depletion symbol for "dini" | Initial condition of deletion. | "dini" = 0.15
Depletion Equation for "d"

(soil layer)

Depletion (d) expresses the dryness of the soil. It is the ratio of the amount by which the current soil wetness is below the maximum wetness and amount by which maximum dryness is below the maximum wetness. Depletion is 0 if wetness is at maximum and 1 if moisture content is smallest allowable dryness.

The depletion here is used for the initial condition of WC. There is no tree root and no ET deduction below 90cm for the Flatwoods soil type. Thus the water content will not go below field capacity.

Water Input to Layer with Nitrogen Equation for "WI"

(soil layer)

If 4 drain per day flag is turned on, the water input due to rain and each type of irrigation are calculated separately and the total water input is the sum of each water input. Otherwise, we do not distinguish water input source and consider rain and irrigation together. Generally speaking, the water input for the first layer is the profile water input (PWI) minus the daily ET water and the water input for other layer (kth layer) is the water drain of the (k-1)th layer minus the daily ET water, if DW is large enough to provide this deduction and if the wetting front can reach this layer on tth day.

Here we assume the rain and irrigations are happened at 12:00pm and WC are changed after 12:00pm, thus the calculations of ET are different in the morning and afternoon for the watered day. For the case of 24 hours drain, the ET water deduction is based on the WC of (t-1)th day. For the case of 12 hours drain, morning ET water deduction is based on the WC of (t-1)th day, whereas afternoon ET water deduction is based on WC=FCWC. If wetting front can not reach this layer before 24:00pm due to limited hydraulic conductivity, the water input is zero. If DW is not large enough to provide the ET water deduction, ET will be deducted from WC.

Click here to see the description of WIflag

Click here to see WIFlag and 4DrainPerDayflag when HCflag=1 or 0

Click here to see the diagram for the WC and WCneg calculations.

Click here to see the equation for WI
Layer Drained Water by Water Input with Nitrogen Equation for "DW"

(soil layer)

Daily total water drained through a unit area of the bottom of kth layer on tth day with tipping bucket model without runoff. If FourDrainPerDayFlag is turned on, the drain for irrigation, water from prior and during N appligation, water following N application and rain are calculated separately then sum together.

Click here to see the diagram for the WC and WCneg calculations.

Evapotranspiration for Watered Day for "nowET'

(soil layer)

¡¡

The daily ET water for the case of watered day. The morning ET on tth day is based on the WC at 0:00am on t_th day, whereas the afternoon ET is based on the FCWC as water content (i.e. ks=1) since the water inputted onto the soil surface at 12:00pm.

This variable is calculated If FourDrainPerDayFlag is turned off.

Water Content Negative Part Equation for "WCneg"

(soil layer)

¡¡

Click the Basic Tipping Bucket page to see the description
Evapotranspiration based on root density for "ETLcs"

(soil layer)

Click the ET page to see the description
Soil Water Coefficient for "ks"

(soil layer)

Click the ET page to see the description
Water Content Positive Part Equation for "WCpos"

(soil layer)

Click the Basic Tipping Bucket page to see the description
Water Content for plotting Equation using WFLNflag for "WCplot"

(soil layer)

When the wetting front of soil water flow reaches the kth layer, the drain water (DW) for kth layer is not located in kth layer actually. It is distributed from first layer to kth layer. The actual value of the water content for the non-equilibrium state (WCplot) is equal to the calculated WC of equilibrium state plus this extra water due to DW distribution. (click here to see the diagram)
The water content of tipping bucket model is for the balanced water content in equilibrium state is never greater than FCWC. In contrast, for the profile of the soil water which has not reach equilibrium state, the water content (WCplot) can be a value greater than FCWC and below Saturated water content. This value can be used to plot the WC as the function of the layers.
Drained Water at Specific Layer Equation for "DWof(jj)"

(soil profile)

It is used for the calculation of allExtraWater. DWof(jj) is DW(k=jj)
Layer Depth at Specific Layer Equation for LDof(jj)

(soil profile)

LD(k=jj). This equation is introduced to meet the need of code generator in equation editor.
Water Content of Drain Profile Equation for "allExtraWater"

(soil layer)

The distribution of DW for each layer of a profile is based on Charbeneau, Randall J., 1989. This variable is used for the WCPlot calculation. In this equation, DWof(jj) is the the same as DWk=jj. The symbols DWof and LDof are introduced here since the summation from the code generator of Simulation editor can take kth layer index for DW but not jj layer index for DW. The proportion of the LD(k+1)/LDof(jj+1) is a very rough assumption, and is an easy way to estimate the extra water of (k+1)th layer from the extra water at the wetting front. Click here to see "allExtraWater"
Drain Flag Equation for "WIflag"
(soil layer) 		Click here to see the description Click here to see the equation for "WIflag"
Four Drain Per Day Flag (soil layer) | Indicates if there is one drain or more than one drain for the given day. If there is more than one drain, the 4 drains including the water drain of irrigation, pre N app/with N app, after N app and rain are calculated separately. | Symbol "FourDrainPerDayFlag"
Hydraulic Conductivity Active Flag (soil layer) | Indicates if the drain speed, which is limited by the hydraulic conductivity, is considered. If HCflag=0, the limited drain speed will be neglected, and the profile water will all drain in the same day as the pure Tipping Bucket model, thus the simulation is simplified. | Symbol "HCFlag"
Drain 12hr Flag Equation for "Drain12hrFlag"

(soil layer)

See Wetting Front Flag
Drain 24hr Flag Equation for "Drain24hrFlag"

(soil layer)

¡¡

Determines if the water input to this layer on the bases of 24 hours assumption. Value of one means 24 hours drain. Value of 0 means 12 hour drain or not watered for this layer.

¡¡


Irrigation Schedule

Equation Description for the Irrigation Schedule Predication

Click to see picture for SWC, WC and PWPWC

When the irrigation should be scheduled?

Based on the interpretation of IFAS irrigation recommendation from Morgan, Kelly, an irrigation will be scheduled if the water content of any layer of any irrigated profile within set-point depth is below the allowable depletion. The layerDryFlag=1, if the water content of a layer within set-point depth is below the allowable depletion. The cellDryFlag is obtained by the summation of layerDryFlag over all of the layers and root sections. An irrigation on tth day will be scheduled if cellDryFlagt >0

Predicted irrigation interval in days (calculation of symbol CDEAD)

For the tradition simulation programming, the count of the predicted irrigation interval will be done in a "do loop" of daily time steps. In contrast of Matlab, Maple, Mathematica which have their own syntaxes for "do loop", EquationEditor requires the pure equation expression in ordinary math syntax instead of "do loop" syntax for the calculation of the value of any symbol. An tricky approach is using summation to fulfill "do loop" function since there is a "do loop" in Java codes behind the summation.

The farmers only check three days (today, tomorrow and the day after tomorrow) for the prediction of the irrigation interval. The checking of more days is not realistic, since the rainfall might occurs and the ET is unknown in days of the near future. The farmers do not needs the irrigation prediction in advanced for many days.

Usually Farmers run this program in the morning, CDEAD=1 means that the predicted irrigation day is today.

Here we assume that there is no irrigation nor rain and the only water loss from each layer is by ET. The ET values are based on an average of 5 days prior to current date from the FAWN site.

Predicted irrigation duration in hour if irrigates today (DURt)

The predicted irrigation amount in cm3 is the total water needs to bring the WCi,j,k,t to FCWC for the irrigated area within the irrigation depth. Where the WCi,j,k,t refers to 0:00am on tth day. The predicted irrigation duration in hour is obtained from the predicted irrigation amount in cm3 based on the irrigation flow rate and the irrigation efficiency.

Display for the developer

Equation ID | Description | Equations
Cell Days Elapse to Allowed Depletion Equation for "CDEAD"

(cell)

The elapsed time (in days) before the water content in the layers within the set-point depth drops to the allowed depletion for any profile and any layer gives the predicted irrigation interval. This is based on an interpretation of IFAS irrigation recommendation provided by Kelly Morgan.

The upper limit of summation is set to be CDELN=TodayTS+2. That means, if the predicted interval is more than 3 days (today, tomorrow and the day after tomorrow), the schedule is difficult to be predicted since the weather may have change.

CDEAD=1 means that the predicted irrigation day is today.

The cellDryFlag = 0 means that within set-point depth of any profile of irrigated area, there is no any layer where water content is below the allowed depletion.

Here we assume that there is no irrigation nor rain and the only water loss from each layer is by ET, which is calculated based on the root length distribution. The ET values are based on an average of 5 days prior to current date from the FAWN site.

Cell Days Elapse Limit Number Equation for "CDELN"
(cell) 		This is used for the upper limit of the summation for the schedule interval calculation. CDELN=TodayTS+2 where 2 is customized setting. That means, if the predicted interval is more than 3 days, the schedule is difficult to be predicted since the wether may have change.
Layer Dry Flag Equation for "layerDryFlag" (soil layer) If current water content is smaller than the water content at allowed depletion within set-point depth, value one is assigned to the layerDryFlag to denote as dry soil needed irrigation. Otherwise, not count.

Reference: interpretation of IFAS irrigation recommendation from Morgan, Kelly.

Cell Dry Flag Equation for "cellDryFlag" (cell) | Sum of profileDryFlag over the layers within set-point depth in the irrigated area. The value larger than one means that within set-point depth of any profile of irrigated area, there is at least a layer where water content is below the allowed depletion and the irrigation should be scheduled.
Profile Dry Flag Equation for "profileDryFlag" (profile) | Number of layers for which the water contents are below the allowed depletion in a specific profile within set-point depth. It is the sum of layerDryFlag over the layers within set-point depth in the irrigated area. Where LDof(k)=LD(k=jj) is the depth of the kth layer measured from the surface of the soil to the top of current soil layer. A layer will be counted if partial of the layer is within the set-point depth.
Layer Depth at Specific Layer Equation for "LDof(jj)" (soil layer) | Click here to see the description.
Irrigation Duration Calculation for "DUR"

(irrigation system)

Calculated irrigation duration for prediction is the time needed to run the irrigation system. It is equal to the volume of water needed in the irrigated area down to the irrigation depth divided by the volume emitted per unit time and irrigation efficiency. The equation expression is same for any kind of spray pattern. Kelly Morgan created this equation from soil water holding.

The irrigation time should be DURt in minutes, if irrigation on day tth, no matter whether the day tth is on the day meeting the predicted interval.

Reference: Equation from soil water holding from Morgan Kelly.

Cell Water Needed Calculation for "CIrrWN(irrDep)" (cell) Cell water need is equal to the sum of the profile total water needed to irrigation depth over the profiles of the irrigation area. This is used for the predicted irrigation duration.

Actually, the 1st root zone needs more water than the 4th root zone. If this amount of water is irrigated, the 4th root zone is over irrigated and 1st root zone will get dry soon. We accept this situation.

Profile Water Needed to Irrigation Depth Equation for "PWNID(irrDep)" (soil profile) The total water needed in all layers that are above the irrigation depth, including part of the layer that crosses the irrigation depth. This variable is used for predicting irrigation amount. ¡¡

Click here to see the equation for "PWNID"

¡¡

Profile Unfinished Drain EQUATION for "PUnfishedDrain" Profile unfinished drain water at 24:00pm will reduce the total water need for irrigation prediction. PUnfishedDrain is the water amount of the portion of the unfinished drain water which will contribute to the water content for the layers below wetting front and above irrigation depth. These water amount will reduce the profile total water needed within the irrigation depth.

If t=1, the yesterday's unfinished drain is zero.

If yesterday's wetting front is below the irrigation depth, the unfinished drain water will not contribute to the water content within irrigation depth.

If HCFlag=0, there is no yesterday's unfinished water

DW*PA is yesterday's unfinished water and will drain down today. It will bring water content to field capacity on tth day for the layers above irrDep below yesterday's wetting front layer. Its portion which is more than water needed in these soil layers will not be counted in PWNID.

The summation from k=2 to avoid the array out of bound

Click here to see the equation for "PUnfishedDrain"
Profile Water Amount from Certain Layer to Layer of Irrigation Depth EQUATION for "PWCLID" The water amount needed to bring water content to field capacity on tth day for the layers above irrDep below yesterday's wetting front layer.

If 15th layer is from 70cm to 75 cm, transk(74cm)=15

Here we assume that there is only one wetting front, otherwise LINWA will be multiple counted. However the multiple wetting front within irrigation depth is rarely happened.

Layer Ideal Needed Water Amount EQUATION for "LINWA" | The water needed to bring the kth layer water content to field capacity on tth day. Where the ET deduction is not considered for the water needed. Yesterday's unfinished drain is not included.
Irrigation Depth (block) | Database data which is measured from soil surface. | Symbol "irrDep" from database


Nitrogen

Nitrogen Equation Descriptions

The simulations of nitrogen related processes are handled in conjunction with the modified Tipping Bucket water flow procedure. Nitrogen drains with water on a day are handled separately for the different sources of water e.g. irrigation, water from prior/during N application, water followed N application or water from rain. Some Nitrogen process happened first and some other process happened later, e.g. nitrate drain happened before nitrate uptake. Click here to see the detail description for the water flow. Click here to see the diagram for the order of the variables which represent the preferential ammonium processes, click here for that of the nitrate.

NH4Nc and NO3NC are denote the soil concentration for NH4-N and NO3N in ¦Ìg of N/cm3. NH4NIn and NO3NIn denote the NH4-N and NO3-N input in ¦Ìg of N/cm2.

To turn off nitrogen calculation, comment out the following statement

SoilLayer.getInstance().NH4NIn(i,j,k,t);

SoilLayer.getInstance().NO3NIn(i,j,k,t);

SoilLayer.getInstance().NH4NC(i,j,k,t);

SoilLayer.getInstance().NO3NC(i,j,k,t);

SoilLayer.getInstance().NH4NCpct(i,j,k,t);

SoilLayer.getInstance().NO3NCpct(i,j,k,t);

SoilLayer.getInstance().LDNH4NTP(i,j,k,t);

¡¡

Equation ID | Description | Equations
Ammonium Soil Content Equation for "NH4NC" (soil layer) | Ammonium soil concentration is the amount of ammonium-N per unit soil volume in the layer at 0:00am on tth day. It is obtained from subtracting yesterday's ammonium-N nitrification amount from ammonium-N amount after uptake on (t-1)th day. Nitrification is a process of converting ammonium to nitrate. In the case of t=1, the t-1 does not exist and an initial value for the NH4-N concentration is assumed that NH4-N concentration decreases as soil depth increases. It is a modification from the reference Neitsch, S.L., 2002. |
Layer Ammonium Initial Value EQUATION for "NH4Nini" (soil layer) | ¡¡ |
Ammonium Soil Content at Phase A Equation for "NH4NC1" (soil layer) | NH4-N soil concentration after drain with the irrigation water, water with N application and rainfall on tth day. If "FourDrainPerDayFlag" is turned on, NH4NC1 is the same as NH4NC1D4 which is the NH4-N concentration after four drains. Otherwise, the four drains are treated as one drain. If WI>0, the NH4NIn will flow to this layer and LDNH4NTP will leach out; otherwise, the ammonium nitrogen concentration will stay unchanged in the nitrogen drain simulation. NH4NC represents the NH4-N concentration before the drain process. |
Ammonium Soil Content at Phase A Drain Stage A Equation for "NH4NC1D1" (soil layer) ¡¡ | Click here to see the nitrogen drain. |
Ammonium Soil Content at Phase A Drain Stage B Equation for "NH4NC1D2" (soil layer) | Click here to see the nitrogen drain. |
Ammonium Soil Content at Phase A Drain Stage C Equation for "NH4NC1D3" (soil layer) | Click here to see the nitrogen drain. |
Ammonium Soil Content at Phase A Drain Stage D Equation for "NH4NC1D4" (soil layer) | Click here to see the nitrogen drain. |
Ammonium Soil Content at Phase B Equation for "NH4NC2" (soil layer) | NH4-N soil concentration after volatilization on tth day. If "VOLAActivationFlag" is not turned on, the volatilization will be ignored and NH4NC2 is the same as NH4NC1; otherwise, the VOLA term is deducted from NH4NC1(k=1) and the resulting NH4-N concentration is denoted as NH4NC2. VOLA/LT is converted from per unit soil area to per unit soil volume. |
Ammonium Soil Content at Phase C Equation for "NH4NC3" (soil layer) | NH4-N soil concentration after NH4-N uptake on tth day. The uptake term is deducted from NH4NC2 and the resulting NH4-N concentration is NH4NC3. |
Nitrate Soil Content Equation for "NO3NC" (soil layer) | Amount of nitrate-N per unit soil volume in the layer at 0:00am on tth day, is obtained from subtracting yesterday's nitrate-N denitrification amount from the nitrate-N amount after nitrification on (t-1)th day. The initial value for the NO3-N concentration is assumed that NH4-N concentration decreases as soil depth increases, since top layers have more newly applied NO3 which have not drained to the deep layer; whereas it is also assumed that NH4-N concentration increases as soil depth increases for the deep layers since nitrate has a soluble rate of nearly one and the old applied NO3 have gone to the deep layer. The initial value is from the modification of the data manipulation based on the reference Neitsch, S.L., 2002. |
Layer Nitrate Initial Value EQUATION for "NO3Nini" (soil layer) | ¡¡ |
Nitrate Soil Content at Phase A Equation for "NO3NC1" (soil layer) | NO3-N soil concentration after drain with the irrigation water, water with N application and rainfall on tth day. If "FourDrainPerDayFlag" is turned on, NO3NC1 is the same as NO3NC1D4 which is the NO3-N concentration after four drains. Otherwise, the four drains are treated as one drain. If WI>0, the NO3NIn will flow to this layer and LDNO3NTP will leach out; otherwise, the nitrate nitrogen concentration will stay unchanged in the nitrogen drain simulation. NO3NC represents the NO3-N concentration before the drain process. |
Nitrate Soil Content at Phase A Drain Stage A Equation for "NO3NC1D1" (soil layer) | Click here to see the nitrogen drain. |
Nitrate Soil Content at Phase A Drain Stage B Equation for "NO3NC1D2" (soil layer) | Click here to see the nitrogen drain. |
Nitrate Soil Content at Phase A Drain Stage C Equation for "NO3NC1D3" (soil layer) | Click here to see the nitrogen drain. |
Nitrate Soil Content at Phase A Drain Stage D Equation for "NO3NC1D4" (soil layer) | Click here to see the nitrogen drain. |
Nitrate Soil Content at Phase B Equation for "NO3NC2" (soil layer) | NO3-N soil concentration after NO3-N uptake on tth day. The NO3NU is deducted from NO3NC1 and the resulting NO3-N concentration is denoted as NO3NC2. |
Nitrate Soil Content at Phase C Equation for "NO3NC3" (soil layer) | NO3-N soil concentration after nitrification on tth day. Nitrification is a process of converting ammonium to nitrate. The converted NO3-N is added to the NO3NC2 and the resulting NO3-N concentration is NO3NC3. |
Ammonium Solute Content Equation for "NH4NCsolute" (soil layer) | The ammonium nitrogen solute concentration is equal to the ammonium soil concentration divided by the water content. |
Nitrate Solute Content Equation for "NO3NCsolute" (soil layer) | The nitrate nitrogen solute concentration is equal to the nitrate soil concentration divided by the water content. |


Nitrogen Input

Nitrogen

Equation Descriptions for the Nitrogen Input

Click here to see the Nitrogen Input Interface

Nitrogen input calculation

Dry fertilizer can be considered as nitrogen input only if there is water inputted onto the soil after application. If not, these dry fertilizer will stay to future days until some water inputted onto the soil surface. Note: It is assumed that the N application time is at 12:00, the rain is assumed before N application, irrigation is assumed after N application.

Percentage of nitrogen among fertilizer times the percentage of NH4-N among nitrogen is the percentage of NH4-N among fertilizer.

The percentage of NH4-N and the percentage of NO3-N among fertilizer are obtained from user input if FertilizerFlag is commercial mixed fertilizer otherwise they are set by the equation.

Dry fertilizer amount applied is measured by the weight and fertigation amount applied is measured by volume. To meet the simulation need, the amount per volume of fertigation is converted to the amount in weight, by multiplying the solution density.

Fertigation is applied on the irrigated area, and dry fertilizer is applied on the tree area except the middle way. The symbol "allocation" is the percentage portion of N application applied on a unit of non-irrigated area if i=1 or irrigated area if i=2,

The application rate is the weight of fertilizer (for liquids often volume) applied per unit area. However the inputted fertilizer amount can be per hectare or per Block as application. For either cases, we have to convert them into nitrogen amount in weight per tree. This amount is applied on the partial area of the tree area.

Note: converting the unit of application rate (kg of NH4-N /ha) into ¦Ìg of NH4-N/cm2 can not be considered as the nitrogen input for simulation, since the fertilizer is not applied onto the whole area of the hectare. Fertigation is only applied onto the irrigated area, and the dry fertilizer does not applied onto the middle way (i.e. hedging distance). We may calculate the number of trees per hectare = (cm between trees * cm between rows)/ cm in ha, then multiply the area fertilizer is applied too per tree * trees per ha to get the application area (cm^2) per ha, then use the kg of N per ha / fertilizer application area/ha to get Kg N per cm^2.

Click here to see the water from prior to, during and following N applications.

It is assumed that the dry fertilizer and fertigation are not applied on same day. The appFlg t equals DryFertilizerCase or FertigationCase and it can not equals both case.

Irrigation on fertilizer day

Fertigation is liquid fertilizer that is put into the irrigation water and pumped through the irrigation system. So, fertigation is only applied to the irrigated area. Typically, there is water applied (20-30 minutes) prior to adding the fertilizer, to fill the pipes with water and bring up the pressure in the irrigation system; then, the fertilizer is injected into the water for a period of time (from 20 minutes to 1 hour); finally the water is run for an additional 10 to 20 minutes to rinse all the fertilizer out of the irrigation pipes and wash the fertilizer into the soil. So the process of water flow in the soil has three wetting fronts: 1) water, 2) water + fertilizer, and 3) water. Since the first amount of water is usually very small, it is assumed that there are two wetting fronts: one is the 1+2 above and then a separate one for 3 above. There may or may not have 30 minutes irrigation after the dry fertilizer applied.

The units of nitrogen input used in simulation is ¦Ìg of NH4-N/cm2 and ¦Ìg of NO3-N/cm2. The units used in user interface and database are as follows

Unit for solution density

Application Method | Unit System | Solution density Unit in User Interface | Solution Density Unit in Database
Fertigation | English | lb/gal | kg/lit
Fertigation | Metric | kg/lit
Dry Fertilizer |  | N/A | N/A

Unit for NAmountPerBlock

Application Method | Amount Flag | Unit System | AmountPerBlock Unit in User Interface | NAmountPerBlock Unit in Database
Fertigation | perBlock | English | gal/Block | lit/Block
Fertigation | perBlock | Metric | lit/Block
DryFertilizer | perBlock | English | lb/Block | lit/Block
DryFertilizer | perBlock | Metric | kg/Block
 | perAcre |  | N/A | N/A

Unit for ApplicationRate

Application Method | Amount Flag | Unit System | ApplicationRate Unit in Interface | NApplicationRate Unit in Database
Fertigation | perAcre | English | gal/hectare | lit/hectare
Fertigation | perAcre | Metric | lit/hectare
DryFertilizer | perAcre | English | lb/hectare | lit/hactare
DryFertilizer | perAcre | Metric | kg/hectare
 | perBlock |  | N/A | N/A

Equation ID | Description | Equations
Profile Ammonium Input Equation for "PNH4NIN" (profile) | The amount of ammonium nitrogen inputted on a unit area of the soil surface on tth day for a specific profile. The "prePNH4NIN" is the amount of ammonium nitrogen in dry ammonium nitrate applied on a unit area of the soil surface on the previous day and that has stayed on the soil surface until tth day. It is counted as today's fertilizer application since there was no water to make this ammonium nitrogen drain to the soil. The "tdNH4NIN" is the amount of the ammonium nitrogen inputted on a unit area of the soil on current day. | (¦Ìg/cm^2)
Profile Ammonium Input of Previous No water Input Day Equation for "prePNH4NIN" (profile) | The "prePNH4NIN" is the amount of ammonium nitrogen in dry ammonium nitrate applied on a unit area of the soil surface on the previous day and that has stayed on the soil surface until tth day. It is counted as today's fertilizer application since there was no water to make this ammonium nitrogen drain to the soil. First case is for the application applied on yesterday, whereas the second case is for the application applied prior yesterday. The conditions of t are used in order to avoid the array index becoming negative. | Click here to see prePNH4NIN
Profile Ammonium Input of Today Equation for "tdPNH4NIN" (profile) | The amount of ammonium nitrogen inputted on a unit area of the soil on current day for a specific profile. The "NAppAmountPer" divided by treePer is the application amount per tree in kg. Both NAppAmountPer and treePer refer to per hectare if HectareBlockFlag=perHectare, or per block if HectareBlockFlag=perBlock. NH4NPct is the percentage of NH4-N amount among the ammonium nitrate application amount. The symbol allocation is an array with index i. It represents the percentage portion of the application in a unit of irrigated area (or a unit of non-irrigated area). If the application is dry fertilizer, the NAppAmountPer amount is in kg of NH4NO3/hectare or kg of NH4NO3/block. If the application is fertigation, the NAppAmountPer amount is in liter of NH4NO3/hectare or liter of NH4NO3/block and the liter is converted to kg by using the solution density in kg of N/liter of water. | Click here to see tdPNH4NIN
Ammonium Percentage in Fertilizer EQUATION for "NH4NPctinFertilizer" (irrigation system) | Percentage portion of the NH4-N among the amount of fertilizer in weight. The data are given by the program for pure fertilizer. Only for commercial mixed fertilizer, NH4NPctofN and NPctinFertilizer have to be given by user. |
Ammonium Percentage in FertilizerN Equation for "NH4NPctinFertilizerN" (irrigation system) | Percentage portion of the NH4-N among the amount of fertilizer-N in weight. The data are given by the program for pure fertilizer. Only for commercial mixed fertilizer, NH4NPctofN has to be given by user. |
Ammonium Percentage of Nitrogen | Percentage portion of the NH4-N among the total N in weight. The ammonium nitrate fertilizer may contains NH4-N, NO3-N, etc. Only for commercial mixed fertilizer, this has to be given by user. | Symbol: "NH4NPctofN"
Nitrogen Percentage in Fertilizer (irrigation system) | Percentage portion of the N among the Fertilizer in weight. The ammonium nitrate commercial mixed fertilizer may contains NH4, NO3 and some other ingredient, therefore it has to be indicated in the database. For ammonium nitrate, this variable is not need since it can be calculated. | Symbol: "NPctinFertilizer" is obtained from database for commercial Mix fertilizer
Representative Amount of Nitrogen Per Unit Equation for "NAppAmountPer" (soil cell) | The NAppAmountPer refers to per hectare if HectareBlockFlag=perHectare, or per block if HectareBlockFlag=perBlock. If the application is dry fertilizer, the NAppAmountPer amount is in kg of NH4NO3/hectare or kg of NH4NO3/block. If the application is fertigation, the NAppAmountPer amount is in liter of NH4NO3/hectare or liter of NH4NO3/block. |
Application Amount Per Hectare Symbol |  | Symbol "applicationAmountPerHectare" from database
Application Amount Per Block Symbol |  | Symbol "applicationAmountPerBlock" from database
Representative Number of Trees Per Unit Equation for "treesPer" (soil cell) | The way to measure the number of trees on a specific unit basis. If user selects "per block" to enter the application amount per block, the "treesPer" represents the total number of trees per block. If user selects "per hectare" to enter the application rate, the "treesPer" represents the total number of trees per hectare. If user selects "per acres" to enter the application rate, the database will convert "per acre to per hectare" and the "treesPer" will represent the total number of trees per hectare. |
Profile Nitrate Input Equation for "PNO3NIN" (soil profile) | The amount of nitrate nitrogen inputted on a unit area of the soil surface on tth day for a specific profile. The "prePNO3NIN" is the amount of nitrate nitrogen in dry ammonium nitrate applied on a unit area of the soil surface on the previous day and that has stayed on the soil surface until tth day. It is counted as today's fertilizer application since there was no water to make this ammonium nitrogen drain to the soil. The "tdNO3NIN" is the amount of the ammonium nitrogen inputted on a unit area of the soil on current day. |
Profile Nitrate Input of Previous No water Input Day Equation for "prePNO3NIN" (soil profile) | The "prePNO3NIN" is the amount of nitrate nitrogen in dry ammonium nitrogen applied on a unit area of the soil surface on the previous day and that has stayed on the soil surface until tth day. It is counted as today's fertilizer application since there was no water to make this nitrate nitrogen drain to the soil. First case is for the application applied on yesterday, whereas the second case is for the application applied prior yesterday. The conditions of t are used in order to avoid the array index becoming negative. | Click here to see prePNO3NIN
Profile Nitrate Input of Today Equation for "tdPNO3NIN" (soil profile) | The amount of nitrate nitrogen inputted on a unit area of the soil on current day for a specific profile. The "NAppAmountPer" divided by treePer is the application amount per tree in kg. Both NAppAmountPer and treePer refer to per hectare if HectareBlockFlag=perHectare, or per block if HectareBlockFlag=perBlock. NO3NPct is the percentage of NO3-N amount among the ammonium nitrate application amount. The symbol allocation is an array with index i. It represents the percentage portion of the application in a unit of irrigated area (or a unit of non-irrigated area). If the application is dry fertilizer, the NAppAmountPer amount is in kg of NH4NO3/hectare or kg of NH4NO3/block. If the application is fertigation, the NAppAmountPer amount is in liter of NH4NO3/hectare or liter of NH4NO3/block and the liter is converted to kg by using the solution density in kg of N/liter of water. | Click here to see tdPNO3NIN
Number of Trees Per Block for "TreesPerBlock" (block) | The number of trees per block is equal to the block size in cubic centimeters divided by the cell area. |
Number of Trees Per Hectare for "TreesPerHectare" (block) | The number of trees per hectare is equal to one hectare divided by the cell area. |
Nitrate Percentage in Fertilizer EQUATION for "NO3NPctinFertilizer" (irrigation system) | Percentage portion of the NO3-N among the amount of fertilizer in weight. The data are given by the program for pure fertilizer. The user entered data are obtained from the database for the commercial mixed. |
Nitrate Percentage in FertilizerN Equation for "NO3NPctinFertilizerN" (irrigation system) | ¡¡ |
Nitrate Percentage of Nitrogen | Percentage portion of the NO3-N among the total N in weight. The ammonium nitrate fertilizer may contains NH4-N, NO3-N, etc. Only for commercial mixed fertilizer, this has to be given by user. | Symbol: "NO3NPctofN" from database
Cell Plant Area Equation for "CPA" | Cell plant area is the cell area minus the middle way. It is the maximum shaded area for hedged tree. The dry fertilizer is only applied in this area. |
applicationMethod | appMethod=0 means "non of below" appMethod=1 means "Dry Fertilizer" appMethod=2 means "Fertigation" appMethod=3 means "Foliar Spray" appMethod=4 means "Residual Soil N" appMethod=5 means "Slurry" | Symbol "appFlag" from database.


Nitrogen Drain

Nitrogen

Nitrogen Drain Equation Descriptions

Click here to see the 4 drain per day flag.

Click here to see the calculation order for four drains per day

Click here to see the comparison of the speed and concentration for Nitrate drain, ammonium drain as well as water drain

Click here to see the Ammonium Nitrate concentration distribution after drain of rain

If the nitrogen fertilizer applied is dry fertilizer, the fertilizer will stay on the soil surface day by day without drain until there is water input on to the soil surface. You may see the PNH4IN/PNO3NIN for several continuing days until PWI>0 in the output excel file.

When nitrogen moves through the soil profile, NH4 in soil solution can be exchanged with captions adsorbed onto negative charged clay mineral or humus surface and therefore, NH4 leaching is retarded. In contrast, NO3 in soil solution is repelled from rather than adsorbed onto negatively charged clay surface. The nitrate anion is very soluble in water and the nitrate is the most mobile form of N because of the high solubility and negative charge. When nitrogen drains with water flow, leaching, the loss of water-soluble nutrients from the soil, occurs. Leaching is a major cause of N loss from soil in humid climates or under irrigated condition. The following explanations are based on Suprayogo, D. 2002

Retardation Factor

For the one-dimensional stead-state flow, the continuity equation for the transport of sorbed solutes in soil is as follows

Considering S as a function of C

Retardation factor, which can be defined as the retention capacity for NH4 or NO3, describes the rate of nitrogen transport relative to that of groundwater.

Soluble Rate or leaching rate as mobility conductivity is inversely proportional to R.

Soluble Rate here is a dimensionless parameter characterizing the mobility of nitrogen on solute transport. Its value is between 0 and 1. 1 means total soluble. It is empirical site dependent data. If the SolubleRateCalculationActivationFlag is turned off, the value of 0.1 for the NH4SolubleRate is assumed and the value of 1.0 for the NO3SolubleRate is assumed.

Leached nitrogen in Tipping Bucket model

The portion of water to be drained in a layer is as follows:

The soluble NH4 per unit area in the soil layer

The soluble NH4 per unit area in DW, i.e. the amount of NH4 per unit area of soil, to drain to next layer is as follows

The factors that affect the soluble rate

Based on Suprayogo, D. 2002, we have the following (this paper is for clay type soil, and we will try to find the better data in the future):

 | NH4 |  | NO3
Parameters and range | Constant | Slope | Constant | Slope
pH range 4.6-5.5 | -0.44 | +0.43 | +0.76 | -0.14
SOM (Soil Organic matter) 0.14-2.04% | +1.47 | +0.16 | +0.15 | -0.06
Clay 27.5-38.0% | +0.27 | -0.03 | -0.30 | +0.01
CEC (cmol/kg) 2.42-5.05 | +1.43 | +0.05 | +0.11 | -0.003

After normalization, the equations for factors are as follows:

 | NH4 | NO3
pHFactor |  |
SOMFactor (Soil Organic matter) |  |
ClayFactor |  |
CECFactor (cmol(+)kg-1) |  |

Our calculation result is as follows

NO3 SolubleRate(mobility conductivity) =1.0

NH4 SolubleRate(Mobility conductivity)=0.09062904187762723

Equation ID | Description | Equations
Ammonium Input Equation for "NH4NIn" (soil layer) | The amount of ammonium nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1, to the kth layer with water input WI. This equation is only to be called when the "FourDrainPerDayFlag" is turned off. |
Layer Drained NH4 by Tipping Bucket Equation for "LDNH4NTP" (soil layer) | The daily total NH4-N leached through a unit area of the bottom of kth layer. DW/(WI+WC*LT) is the portion of water drained, and LDNH4NTP/(NH4NC*LT+NH4NIn) is the portion of NH4-N drained. Dimensionless parameter "NH4SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. NH4 in soil solution is exchanged with cations adsorbed onto negative charged clay mineral or humus surface and therefore, the NH4 leaching is retarded. If the "FourDrainPerDayFlag" is turned on, the irrigation, water of prior/during fertiliz (or dry dry fertilizer), water following fertigation (or dry fertilizer) and rain are simulated separately. |
Ammonium Input Drain Stage A Equation for "NH4NInD1" (soil layer) | The amount of ammonium nitrogen inputted through a unit area of above layer if k>1 or soil surface if k=1. The water source is current day's irrigation water or yesterday's unfinished drain water. It equals the NH4-N leached from the above layer, excepting the top layer. For the top layer, it is the un-drained dry fertilizer from the previous day. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Ammonium Soil Content at Phase A Drain Stage A Equation for "NH4NC1D1" (soil layer) | The amount of ammonium-N per unit soil volume after flow with irrigation water or yesterday's unfinished drain water. If WID1>0, the NH4NInD1 will flow to this layer and LDNH4ND1 will leach out. Otherwise the ammonium nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NH4NC represents the NH4-N concentration before the drain process and NH4NC1D1 represents the NH4-N concentration after the drain process. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Layer Drained NH4 Drain Stage A Equation for "LDNH4ND1"(soil layer) | The NH4-N leached through a unit area of the bottom of this layer with drain water of irrigation (or continue yesterday unfinished drain). DWD1/(WID1+WC*LT) is the portion of water drained, and LDNH4ND1/(NH4NC*LT+NH4NInD1) is the portion of NH4-N drained. Dimensionless parameter "NH4SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Ammonium Input Drain Stage B Equation for "NH4NInD2" (soil layer) | The amount of ammonium nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1. The source of the water is from prior to or during N applications. It equals the NH4-N leached from the above layer, excepting the top layer. For the top layer, it equals the un-drained dry fertilizer from the previous day plus the N application on the current day if there is no scheduled irrigation; it equals the fertilizer on the current day if there is scheduled irrigation to drain down all of the fertilizer applied on the previous day. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Ammonium Soil Content at Phase A Drain Stage B Equation for "NH4NC1D2" (soil layer) | The amount of ammonium-N per unit soil volume after flow with the water from prior to and during N application. If WID2>0, the NH4NInD2 will flow to this layer and LDNH4ND2 will leach out. Otherwise the ammonium nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NH4NC1D1 represents the NH4-N concentration before this drain process and NH4NC1D2 represents the NH4-N concentration after this drain process. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Layer Drained NH4 Drain Stage B Equation for "LDNH4ND2" (soil layer) | The NH4-N leached through a unit area of the bottom of this layer with drain water from prior to and during N application. DWD2/(WID2+WCD1*LT) is the portion of water drained, and LDNH4ND2/(NH4NC1D1*LT+NH4NInD2) is the portion of NH4-N drained. Dimensionless parameter "NH4SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Ammonium Input Drain Stage C Equation for "NH4NInD3" (soil layer) | The amount of ammonium nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1. The source of the water is following N applications. It equals the NH4-N leached from the above layer, excepting the top layer. For the top layer, it equals the un-drained dry fertilizer from the previous day plus the un-drained dry fertilizer applied on the current day if there is neither irrigation nor water applied prior to the N application on the current day; it equals the un-drained fertilizer applied on the current day if the fertilizer from the previous day has been drained. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Ammonium Soil Content at Phase A Drain Stage C Equation for "NH4NC1D3" (soil layer) | The amount of ammonium-N per unit soil volume after flow with the water following N application. If WID3>0, the NH4NInD3 will flow to this layer and LDNH4ND3 will leach out. Otherwise the ammonium nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NH4NC1D2 represents the NH4-N concentration before this drain process and NH4NC1D3 represents the NH4-N concentration after this drain process. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Layer Drained NH4 Drain Stage C Equation for "LDNH4ND3" (soil layer) | The NH4-N leached through a unit area of the bottom of this layer when flowing with the water following N application. DWD3/(WID3+WCD2*LT) is the portion of water drained, and LDNH4ND3/(NH4NC1D2*LT+NH4NInD3) is the portion of NH4-N drained. Dimensionless parameter "NH4SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Ammonium Input Drain Stage D Equation for "NH4NInD4" (soil layer) | The amount of ammonium nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1. The source of the water is the rainfall. It equals the NH4-N leached from the above layer excepting the top layer. For the top layer, it equals the un-drained dry fertilizer from the previous day plus the un-drained dry fertilizer applied on the current day if there is neither irrigation nor water applied with N application on the current day; it equals the un-drained fertilizer applied on the current day if the fertilizer from the previous day has been drained. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Ammonium Soil Content at Phase A Drain Stage D Equation for "NH4NC1D4" (soil layer) | The amount of ammonium-N per unit soil volume after flow with the rain water. If WID4>0, the NH4NInD4 will flow to this layer and LDNH4ND4 will leach out. Otherwise the ammonium nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NH4NC1D3 represents the NH4-N concentration before this drain process and NH4NC1D4 represents the NH4-N concentration after this drain process. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Layer Drained NH4 Drain Stage D Equation for "LDNH4ND4" (soil layer) | The NH4-N leached through a unit area of the bottom of this layer with drain water of rain. DWD4/(WID4+WCD3*LT) is the portion of water drained, and LDNH4ND4/(NH4NC1D3*LT+NH4NInD14 is the portion of NH4-N drained. Dimensionless parameter "NH4SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Ammonium Soluble Rate Equation for "NH4SolubleRate" (soil layer) | NH4SolubleRate represents the portion of soluble NH4 among total NH4 solution or parameter of ammonium mobility conductivity when NH4 moves down with the water. Actually, it is the inversion of the retardation and is the site specific data. It is used to determine the ammonium leached. The equation here is based on the Eq. 3 in D. Suprayogo et al. 2002. This calculation requires knowing of soil series property about the pH, clay portion, soil organic matter, and cation exchange capacity which may not available for some project. Then the SolubleRateCalculationActivationFlag has to be turned off and the value of 0.1 for the NH4SolubleRate is assumed. | Click here to view the equation for NH4SolubleRate.
Ammonium SOM Factor Equation for "NH4SOMFactor" (soil layer) ¡¡ | Soil organic matter factor of ammonium adsorption coefficient calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at SOMPct=2.04. Our modification is to make this factor normalized to one at SOMPct=2.04. |
Ammonium Clay Factor Equation for "NH4ClayFactor" (soil layer) | Soil clay factor of ammonium adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at ClayPct=27.5. Our modification is to make this factor normalized to one at ClayPct=27.5. |
Ammonium CEC Factor Equation for "NH4CECFactor" (soil layer) | Cation exchange capacity factor of ammonium adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at CEC=5.05. Our modification is to make this factor normalized to one at CEC=5.05. |
Ammonium pH Factor Equation for "NH4pHFactor" (soil layer) | Soil pH factor of ammonium adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at SoilpH=5.3. Our modification is to make this factor normalized to one at SoilpH=5.3. |
Ammonium Coefficient of Adsorption for "NH4AdsorptionCoeff" | Coefficient of adsorption for NH4 used to calculate NH4SolubleRate for NH4 drain, which is set as 1.81 | "NH4AdsorptionCoeff" =1.81
Soluble Rate Calculation Activation Flag (block) | The flag which indicates if the soluble rate will be calculated or used in a constant value: 1 means using the equation to calculate the soluble rate, 0 means using the constant value. | "SolubleRateCalculationActivationFlag" from database
Nitrate Input Equation for "NO3NIn" (soil layer) | The amount of nitrate nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1, to the kth layer with water input WI. This equation is only to be called when the "FourDrainPerDayFlag" is turned off. |
Layer Drained NO3 by Tipping Bucket equation for "LDNO3NTP" (soil layer) | The daily total NO3-N leached through a unit area of the bottom of kth layer. DW/(WI+WC*LT) is the portion of water drained, and LDNO3NTP/(NO3NC*LT+NO3NIn) is the portion of NO3-N drained. Dimensionless parameter "NO3SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. Nitrate is the most mobile form of N because of the high solubility and negative charge. If the "FourDrainPerDayFlag" is turned on, the irrigation, water of prior/during fertigation, water following fertigation and rain are calculated separately. |
Nitrate Input Drain Stage A Equation for "NO3NInD1" | The amount of nitrate nitrogen inputted through a unit area of above layer if k>1 or soil surface if k=1. The water source is current day's irrigation water or yesterday's unfinished drain water. It equals the NO3-N leached from the above layer, excepting the top layer. For the top layer, it is the un-drained dry fertilizer from the previous day. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Nitrate Soil Content at Phase A Drain Stage A Equation for "NO3NC1D1"(soil layer) | The amount of nitrate-N per unit soil volume after flow with irrigation water or yesterday's unfinished drain water. If WID1>0, the NO3NInD1 will flow to this layer and LDNO3ND1 will leach out. Otherwise the nitrate nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NO3NC represents the NO3-N concentration before the drain process and NO3NC1D1 represents the NO3-N concentration after the drain process. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Layer Drained NO3 Drain Stage A Equation for "LDNO3ND1" (soil layer) | The NO3-N leached through a unit area of the bottom of this layer with drain water of irrigation (or continue yesterday unfinished drain). DWD1/(WID1+WC*LT) is the portion of water drained, and LDNO3ND1/(NO3NC*LT+NO3NInD1) is the portion of NO3-N drained. Dimensionless parameter "NO3SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Nitrate Input Drain Stage B Equation for "NO3NInD2" (soil layer) | The amount of nitrate nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1. The source of the water is from prior to or during N applications. It equals the NO3-N leached from the above layer, excepting the top layer. For the top layer, it equals the un-drained dry fertilizer from the previous day plus the N application on the current day if there is no scheduled irrigation; it equals the fertilizer on the current day if there is scheduled irrigation to drain down all of the fertilizer applied on the previous day. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Nitrate Soil Content at Phase A Drain Stage B Equation for "NO3NC1D2" (soil layer) | The amount of nitrate-N per unit soil volume after flow with the water from prior to and during N application. If WID2>0, the NO3NInD2 will flow to this layer and LDNO3ND2 will leach out. Otherwise the nitrate nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NO3NC1D1 represents the NO3-N concentration before this drain process and NO3NC1D2 represents the NO3-N concentration after this drain process. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Layer Drained NO3 Drain Stage B Equation for "LDNO3ND2" (soil layer) | The NO3-N leached through a unit area of the bottom of this layer with drain water from prior to and during N application. DWD2/(WID2+WCD1*LT) is the portion of water drained, and LDNO3ND2/(NO3NC1D1*LT+NO3NInD2) is the portion of NO3-N drained. Dimensionless parameter "NO3SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Nitrate Input Drain Stage C Equation for "NO3NInD3" (soil layer) | The amount of nitrate nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1. The source of the water is following N applications. It equals the NO3-N leached from the above layer, excepting the top layer. For the top layer, it equals the un-drained dry fertilizer from the previous day plus the un-drained dry fertilizer applied on the current day if there is neither irrigation nor water applied prior to the N application on the current day; it equals the un-drained fertilizer applied on the current day if the fertilizer from the previous day has been drained. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Nitrate Soil Content at Phase A Drain Stage C Equation for "NO3NC1D3" (soil layer) | The amount of nitrate-N per unit soil volume after flow with the water following N application. If WID3>0, the NO3NInD3 will flow to this layer and LDNO3ND3 will leach out. Otherwise the nitrate nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NO3NC1D2 represents the NO3-N concentration before this drain process and NO3NC1D3 represents the NO3-N concentration after this drain process. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Layer Drained NO3 Drain Stage C Equation for "LDNO3ND3" (soil layer) | The NO3-N leached through a unit area of the bottom of this layer when flowing with the water following N application. DWD3/(WID3+WCD2*LT) is the portion of water drained, and LDNO3ND3/(NO3NC1D2*LT+NO3NInD3) is the portion of NO3-N drained. Dimensionless parameter "NO3SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Nitrate Input Drain Stage D Equation for "NO3NInD4" (soil layer) | The amount of nitrate nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1. The source of the water is the rainfall. It equals the NO3-N leached from the above layer excepting the top layer. For the top layer, it equals the un-drained dry fertilizer from the previous day plus the un-drained dry fertilizer applied on the current day if there is neither irrigation nor water applied with N application on the current day; it equals the un-drained fertilizer applied on the current day if the fertilizer from the previous day has been drained. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Nitrate Soil Content at Phase A Drain Stage D Equation for "NO3NC1D4" (soil layer) | The amount of nitrate-N per unit soil volume after flow with the rain water. If WID4>0, the NO3NInD4 will flow to this layer and LDNO3ND4 will leach out. Otherwise the nitrate nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NO3NC1D3 represents the NO3-N concentration before this drain process and NO3NC1D4 represents the NO3-N concentration after this drain process. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Layer Drained NO3 Drain Stage D Equation for "LDNO3ND4" (soil layer) | The NO3-N leached through a unit area of the bottom of this layer with drain water of rain. DWD4/(WID4+WCD3*LT) is the portion of water drained, and LDNO3ND4/(NO3NC1D3*LT+NO3NInD14 is the portion of NO3-N drained. Dimensionless parameter "NO3SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. This equation is calculated when the "FourDrainPerDayFlag" is turned on. |
Nitrate Soluble Rate Equation for "NO3SolubleRate". (soil layer) | NO3 SolubleRate is the NO3 mobility conductivity or leaching rate when NH4 move down with water. Actually, it is inversion of the retardation and it is site specific data. The equation here is based on the Eq. 3 in D. Suprayogo et al. 2002. This calculation requires knowing of soil series property about the pH, clay portion, soil organic matter, and cation exchange capacity which may not available for some project. Then the SolubleRateCalculationActivationFlag has to be turned off and the value of 1 for the NO3SolubleRate is assumed. | Click here to view the equation for NO3SolubleRate.
Nitrate SOM Factor Equation for "NO3SOMFactor" (soil layer) | Soil organic matter factor of nitrate adsorption coefficient calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at SOMPct=2.04. Our modification is to make this factor normalized to one at SOMPct=2.04. |
Nitrate CEC Factor Equation for "NO3CECFactor" (soil layer) | Cation exchange capacity factor of nitrate adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at CEC=5.05. Our modification is to make this factor normalized to one at CEC=5.05. |
Nitrate Clay Factor Equation for "NO3ClayFactor" (soil layer) | Soil clay factor of nitrate adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at ClayPct=27.5. Our modification is to make this factor normalized to one at ClayPct=27.5. |
Nitrate pH Factor Equation for "NO3pHFactor" (soil layer) | Soil pH factor of nitrate adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at SoilpH=5.3. Our modification is to make this factor normalized to one at SoilpH=5.3. |
Nitrate Coefficient of Adsorption (soil layer) | Coefficient of Adsorption of NO3 used to calculate NO3SolubleRate for NO3 drain. It is set as 0.03. | "NO3AbsorptionCoeff" = 0.03


Uptake

Nitrogen

Uptake Equation Descriptions

Click here to see Michaelis-Menten equation for Nitrate uptake
Click here to see the nitrogen process
Click here to see the uptake temperature effect
Click here to see the diagram for the order of the variables which represent the preferential ammonium processes, click here for that of the nitrate.

Uptake: Nitrogen uptake occurs as the plant absorbs nitrogen from the soil root zone. Once the nutrient is in contact with the root, it can enter passively or actively. Passive uptake is typical of nutrients delivered primarily by mass flow. They simply enter the plants along with the water. The plant actively acquires some nutrients; in other words, the plant expends energy to actively pull soluble nutrients across the cell membrane into the root cells.

Active uptake can be expressed in Michaelis-Menten uptake kinetics model characterized by root with plant-specific parameters Vmax (µg of NO3-N/cm of root/d) and Km (µg of NO3-N/cm3 of water).

Where rl is the root length in a specific layer, the ActiveNUptake is in g of N/day, CNo3-N and Km are in g of N/cm3 of water

The table 3 of the reference (J. M. S. Scholberg, et al., in preparation) gives the overview of Michaelis-Menten parameters for citrus root stocks under soil conditions expressed on root length basis of fibrous (< 1 mm) roots. They observed Vmax and Km value were 0.146 and 0.188 ¦Ìmol /m/h and 583 and 772 mmol/m3 for Swingle and Volkamer, respectively. We use the average value 0.167¦Ìmol /m/h for Vmax and 677.5 mmol/m3 for Km, i.e. 0.56µg of NO3-N/cm of root/d for Vmx and 9.49µg of NO3-N/cm^3 of water for Km.

If there is Nitrogen input on tth day at kth layer, the nitrogen concentration will be the average of value of morning and afternoon, otherwise, the morning value is used

The active uptake of ammonium is neglected.

The uptake temperature effects are obtained based on figure 6 in J. M. S. Scholberg, et al., 2002. This figure tell s us that Nitrogen uptake (mg N/plant) for the Swingle and Volkamer seeding with 70 mg N/L

N_Uptake = 1.12 + 0.58 * X

Where x is in oCdN (UTS value assume a base temperature for citrus of 10 oC, with one oCDN unit being accrued by 2.4 h uptake at 20 oC or 1.6 h uptake at 25 oC). This equation can be rewrite as following:

N_Uptake/day = 1.12 + 0.58 * (SoilT-10)

We used the average of above two cases: N_Uptake/day=0.935+0.535(SoilT-10)

Equation ID | Description | Equations
Nitrate Active Uptake Equation for "NO3NUA" (soil layer) | Soil concentration of nitrate nitrogen (in ¦Ìg of NO3-N/cm3 of soil/day) taken up per day by the tree root in a layer through active mechanism is the average of the morning-active-uptake and the afternoon-active-uptake. It equals Michaelis-Menten equation multiplied by the layer root length (rl). Where NO3NUVmax is the maximum uptake; NO3NUKm is the half-saturation constants for nitrate uptake; the rl is the root length in the layer; NO3NC is the nitrate soil concentration in ¦Ìg of NO3-N /cm3 of soil. | Click here to see NO3NUA equation
Ammonium Passive Uptake Equation for "NH4NUP" (soil layer) | Soil concentration of ammonium nitrogen (in ¦Ìg of NH4-N/cm3 of soil/day) taken up per day by tree root in a layer through water is the average of the morning-passive-uptake and the afternoon-passive-uptake that are determined by layer ks & kc adjusted evapotranspiration. |
Nitrate Passive Uptake Equation for "NO3NUP" (soil layer) | Soil concentration of nitrate nitrogen (in ¦Ìg of NO3-N/cm3 of soil/day) taken up per day by tree root in a layer through water is the average of the morning-passive-uptake and the afternoon-passive-uptake that are determined by layer ks & kc adjusted evapotranspiration. |
Ammonium Uptake Equation for "NH4NU" (soil layer) | Amount of ammonium per unit volume of soil taken up by the tree equals the sum of active and passive ammonium uptakes over a day. The active ammonium uptake is considered as little as zero. |
Nitrate Uptake Equation for "NO3NU" (soil layer) | Amount of nitrate per unit volume of soil taken up by the tree root equals the sum of active and passive nitrate uptakes over a day. |
Nitrate Uptake Temp Factor Equation for "NO3NUTF(soilTemp)" (soil layer) | NO3NUTF is the temperature factor of NO3NUVmax. It is normalized at 8 oC, the condition of NO3NUVmax data used (J. M. S. Scholberg, et al., in preparation). The parameters in this equation are the average of case A and B in Fig. 6, J. M. S. Scholberg, et al., 2002. The upper limit of soilTemp=25 oC is added by us. |
Nitrate Uptake Vmax Constant | The parameter of the maximum value of nitrogen uptake through a unit length of the root per day in the Michaelis-Menten equation. The data from J.M.S. Scholberg, et al., (in preparation) is the average for the data of Swingle and the data of Volkamer. | "NO3NUVmax" = 0.56
Nitrate Uptake km | Nitrate Uptake km (half-saturation constant for uptake) is a parameter in the Michaelis-Menten equation. Data is obtained from J.M.S. Scholberg, et al. (in preparation) | "NO3NUKm" = 9.49
Drain 12hr Flag Equation for "Drain12hrFlag" (soil layer) | See Wetting Front Flag |


Volatilization

Nitrogen

Volatilization Equation Descriptions

Click here for time line explanation
Click here to see the soil moisture effect for the volatilization
Click here to see the nitrogen process
Click here to see the diagram for the order of the variables which represent the preferential ammonium processes, click here for that of the nitrate

Ammonia volatilization is the process by which ammonia is lost to the atmosphere. Where the ammonia is obtained from converting the ammonium in the soil.

Our equation for the cumulative volatilization losses over a daily time step is determined as follows

Where iDay is the days counting from the volatilization starting time. qm is the total applied N, qm=6.325 in % of applied NH4-N beta =3.33day. 0.01 came from the pct unit of qm. The Factors are obtained by the data manipulation to make them fits the experimental results and equal to one (normalized to 1) at the Mottos¡¯s experimental condition

The following are the explanations for our equation

Second order kinetic model for the volatilization rate and cumulative volatilization we used

The volatilization from an experimental plot can be expressed as the volatilization rate in the course of time or as the cumulative amount of NH3 volatilized during consecutive measuring intervals.

The volatilization rate (volatilization amount per hour) varies with the time after application: after an initial peak, the rate gradually dropped. Click here to see the characteristics of the NH4 cumulative lost, leftover and volatilization rate. This diagram shows that the rate is not constant nor proportional to the ammonium concentration in soil.

The volatilization rate is approximately proportional to the gaseous ammonia concentration at soil surface minus the ammonia concentration in the air above the soil surface. Gaseous ammonia concentration at soil surface depends on the chemical equilibrium between aqueous ammonium and aqueous ammonia in the soil surface and the equilibrium between aqueous ammonia and gaseous ammonia. Thus the wind, soil temperature, pH, etc. will be the factors affect the volatilization.(Huijsmans,J.F.M.,2003, Manure application and ammonia volatilization, PhD thesis, Wageningen University, Netherlands, ISBN 90-5808-937-1)

The cumulative volatilization is often expressed as the percentage of total ammonium N applied or say, the relation between cumulative volatilization and time can be described for each plot by asymptotic curves. This type of saturation curve is usually described by the following equation:

µ = t / (β0 + β1 * t)

where µ is the expected value of the cumulative volatilization at time t, t the time lapsed since the fertilizer was applied, 1/β0 is volatilization rate at t=0,β1 the inverse of the intercept of the asymptote on the ordinate of the curve.

The volatilization equation of Langmuir kinetic model given by He, Z.L., 1999 are as follows:

Where qm is the maximum cumulative volatilization, k*qm is the volatilization rate at t=0. Both cumulative volatilization and maximum cumulative volatilization are expressed as % of total applied N in g of N/kg of soil. This equation consider that the volatilization is roughly proportional to the nitrogen application rate through the unit ( % of total applied N in g of N/kg of soil). The nitrogen application rate also show up as the factor of qm.

Compare two equations above, we may see that they are same, just different way to write: k=β1/β0 and qm*k=1/ β0

First order kinetic model (we do not like this model)

Above is second order kinetic model. There is another widely referenced first kinetic model from Reddy et al, 1979

(TAN)t = (TAN)t=0 * exp(-k*t)

Where TAN is the total ammonical N in soil and they assumed that k is independent of t

This 1st order kinetic model gives the maximum volatilization 100% of (TAN)t=0, that is not correct for the large t. Actually, the maximum volatilization can be 5% of (TAN)t=0 which is far below 100%.

In addition of 1st order kinetic model, more assumption is made by s ome model projects (we do not like their model)

EPIC model (Vijay P. Singh, J. R. Williams. 1995. The EPIC Model. Computer Models of Watershed Hydrology, Chapter 25. Water Resources Publications, Highlands Ranch, Colorado.), SWAT 2000 model (Neitsch, S.L., et al., 2002) , use above equation for t=1 day to get volatilization rate as follows

In contrast with Langmuir kinetic model equation, their daily volatilization amount is proportional to the ammonium amount in soil instead of the nitrogen application rate. As time t goes on, the volatilization rate reduced as ammonium concentration reduced, but not proportionally. The ammonia in the air is difficult to measure nor to predict. After N application, the ammonia in the air will increase as time goes on. When it is nearly equilibrium between ammonium in the soil and ammonia in the air, the volatilization will be very small even if the current NH4 concentration is finite. Thus the ratio of NH4LostPerDay / NH4Concentration would be very small and would not be constant.

As far as I know, many modeling published for volatilization only consider that the daily volatilization amount is proportional to current NH4C. We do not like that.

Real word experimental data at Florida citrus field by Mattos Jr., 2003 (we used)

Experimental condition: FL Citrus; initial nitrpgen in soil: 0.4g/kg for 0-15cm and 0.2g/kg in 15-30cm; Fertilizer type dry NH4NO3 granules, 0.25*230g N per tree (1.10m radius) (i.e. AppliedNH4N=0.0015g/cm2) followed by 7 mm irrigation; Candler fine soil , 6 years old tree, free of weeds, wind speed effect; irrigation is scheduled when depletion=33% in top 40cm soil depth; Soil Temperature ( in 10cm depth)=18.5 at 5pm and 14.3 at 8am; Original soil pH=7.03 for 0-15cm and 6.98 for 15-30cm; Soil pH with Application =6.9. In the real word experiments, the nitrogen process such as N drain with rain / irrigation, uptake, nitrification are included automatically. The shaded radiation effect is included also.

Mottos's paper provides the experimental data, but his fitting function does not represents any kinetic model. We use Langmuir kinetic model equation to fit his data and get the parameters of Langmuir equation as follows.

Nitrogen application rate factor from lab data of He, Z.L., 1999

We prefer the real word data, however, Dr. He's lab measured the cumulative volatilization vs. days for two different application rates 50mg/kg and 150mg/kg. From these graphs, we got the fitting parameters qm and ¦Â (=1/k) of Langmuir kinetic model equation as follows

Combine both Mottos and He's data, we got the linear regression fitting as following:

qmNAppRateFactor=1.094-62.5 *AppliedNH4-N and betaNAppRateFactor=0.796+135.8 *AppliedNH4-N which satisfy

and

Click here and here to see the fitting fitting function for application rates 50mg/kg and 150mg/kg. The data are based on the table 2 of Z.L.He, et al., 1999.

Shaded wind and wind speed factors of volatilization

The shaded wind speed as the function of weather wind speed for citrus forest is as follows (Tanny, J.,2003.)

The experimental result given by Tanny did not gave the relation with canopy volume and we assume that the shaded wind speed is proportional to the canopy volume. His experiment is for 6 years old tree which is corresponding to the canopyVolume=7.8cm3 based on the paper: (reference the paper which gives the tree age vs canopy volume???) and we made the canopy volume factor(CanopyVolume/7.8) equals one for 6 years old tree.

The wind effect of volatilization is reported as the the linear relation by Fillery, I.R.P., J.R. Simpson and S.K. De Datta. 1984. (Influence of field environment and fertilizer management on ammonia loss from flooded rice. Soil Science Society of America Journal 48: 914-920.) Whereas Reddy, K.R., et al., 1979. based on the data of Watkins, S.H., R.F. Strand, D.S. Debell, and J. Esch, Jr. 1972. (Factors Influencing Ammonia Losses from Urea Applied to Northwestern Forest Soils. Soil Sc. Soc. Am, Proc. 36, 354-357.) reported the Ln relation for wind effect of volatilization. Mattos Jr., 2003 provides the graphs or volatilization vs. days for two wind speeds. We assume a linear wind effect, and based on the graphs of Mottos, to get the following volatilization wind speed factor

Where the second expression is obtained from the following conditions

The first expressions is pure assumption to make the VWSF not increasing too fast as ShadeWS increases; the second expressions is pure assumption too to make the VWSF increasing faster as ShadeWS increases.

To simplify, we assume that the β is independent of the wind. and the β we used is the average of 3.4104 (fan on) and 3.2621(fan off)

The fan-off case of Mottos's data is qm=6.325 & beta=3.33 at weather wind speed=0.7, i.e. shaded-wind speed =0.381 m/s ( Mattos, D. Jr., et al., 2003); the fan-on case of Mottos's data is qm=14.9 & beta=3.41 at weather wind speed=0.7 m/s plus shaded-wind speed 0.7m/s, i.e. shaded-wind speed =1.081 m/s (Mattos, D. Jr., et al., 2003)

Temperature factor of volatilization

Volatilization related to both air temperature and soil temperature. The available data from FAWN is the mean 10cm soil temperature and mean 60cm air temperature. The following is our modified soil temperature factor from SWAT & EPIC model and let qmVTF=1 at shade soil temperature =16.4 oC that is daily average temperature at top soil layer under the tree for Mottos's experiments

Volatilization vs. soil depth

SWAT 2000 (Neitsch, S.L., et al., 2002) gives the volatilization depth factor equation with no reference provided. However, the experimental data do not give how much NH4 lost from which depth of soil layer. The Neitsch's equation gives the depth factor(at 5cm)=5.27*10-7. For simplify, we consider volatilization happens in the 1st layer only. Once NH4-N moves beyond the top soil layers it is no longer subject to volatilization.

Water effect and vapor effects:

Bouwer, H., 1966. (Rapid field measurements of air entry value and hydraulic conductivity of soil as significant parameter in flow system analysis, Water Resources Research, 2(4), 729-738.) reported that the Nitrogen losses were increased by 8% when initial soil moisture was increased from 21% to 31%. Here we neglect the soil moisture effect for now if there is water come with the nitrogen application.

On the other hand the humidity decrease vapor, thus decrease the volatilization. It seams that dry weather increases volatilization, Dry soil decreases volatilization

Significant rainfall soon after slurry application can reduce ammonium volatilization by moving ammonium into the soil where it is held y soil colloids.

Our volatilization equations does not consider the soil water content effect for now.

Dry fertilizer

In our calculation, the fertilizer applied to the soil surface is assumed to stay in a dry state until dissolved and moved into the soil by either irrigation or rainfall. Once NH4-N is in the upper most soil layer (5 cm) it is susceptible to volatilization or the conversion to ammonia gas which dissipates from the soil.

The volatilization losses from surface applied dry ammonium nitrate are usually quite small, especially compared to urea-based fertilizers, since the ammonium fraction becomes bound to negatively charged soil particles. (Tom Dorn, Nitrogen Sources, Facts, 288-01, University of Nebraska, Cooperative extension in Lancaster county education resource)

Considering that the volatilization rate has an initial peak, the precedence of nitrogen process in a day for NH4 are handled as drain first, then volatilization, then uptake, and finally nitrification, i.e. we assume that volatilization happens before uptake.

We use the time index from the starting day of the volatilization in addition counting of the total amount of NH4C applied (TON) as well as the weather data such as wind speed and temperature effects.

In our equations below, there are two different date related variables and they are easy to make us confuse. One is the time step index, the other is the NApplyElapse is the number of the days elapsed from the volatilization starting day to tth day.

Equation ID | Description | Equations
Volatilization Equation for "VOLA"

(soil profile)

The ammonium nitrogen lost per unit area on tth day is calculated from the cumulative ammonium nitrogen lost which is obtained from the Langmuir Kintic model. VOLA/LT will be subtracted from the ammonium nitrogen soil concentration at the first layer.

In this equation the conditions for i should go to the VolStartDayFlag equation. Since it needs too much work to change in the EquationEditor, they are listed here.

Click here to see the equation for "VOLA"
Cumulative Volatilization Equation for "cumulativeVOLA"

(soil profile)

Cumulative volatilization (loss of ammonium nitrogen amount to the atmosphere on a unit soil surface) for a given day. Where VOLPNH4NIn is NH4-N application rate on the fertilizer day. NApplyElapse is the number of the days elapsed from the volatilization starting day to tth day.
The equation is based on the Langmuir Kintic Model (Z.L.He, et al., 1999.)
The fitting parameter beta and qm ( potential maximum volatilization of ammonium) are obtained from the data of Mattos, D. Jr., et al., 2003. It is assumed that all of the ammonium lost observed by Mottos are deducted from NH4-N soil concentration of the first soil layer.
The wind speed factors (VWSF) are from Mattos, D. Jr., et al. 2003 also. The nitrogen application rate factors for qm and beta are from the Z.L.He, et al. 1999. The temperature factor for qm is from SWAT 2000 model. Since Mattos's data is refer to percentage, 0.01 is applied.
The qm, beta, VolPNH4NIn, qmNAppRateFactor, betaNAppRateFactor are only related to the days elapsed from the volatilization starting day, whereas qmVTF, betaVTF, VWSF are related to the index t.

The pH factor is neglected for now.

Click here to see the equation for "cumulativeVOLA"
Profile N Apply Elapse Equation for "NApplyElapse"

(soil profile)

This equation counts how many days elapsed since volatilization starts. If the volatilization starts today, the NApplyElapse is counted as a half day. After then, each day is counted as one day.
Profile Volatilization Start Day Flag Equation for "VolStartDayFlag"
(soil profile) 		Indicates if volatilization starts on current day or earlier day or never started. Volatilization will start if there is fertigation of ammonium nitrate fertilizer, or there is dry ammonium nitrate fertilizer followed with any kind of water input on the soil surface.

For dry fertilizer, only certain amount of profile water input can start the volatilization. i.e. assume that the first layer would have to come to FC.

Click here to see the equation for "VolStartDayFlag"
Profile Volatilization Ammonium Input Equation for "VolPNH4NIn"
(soil profile) 		The ammonium nitrogen amount over a unit area applied on a most recent application day. If there is fertilizer applied on on the tth day, then VolPNH4NInt= PNH4NINt; if there is no fertilizer on the tth day, but there was fertilizer applied on earlier day, then VolPNH4NInt= VolPNH4NInt-1; if volatilization is never started, VolPNH4NIn is zero.
Profile Volatilization Parameter qm EQUATION for "qm"

(soil profile)

The qm is the fitting parameter of the Langmuir Kintic Equation (Z.L.He, et al. 1999.) . It is obtained from the data of Mattos, D. Jr., et al., 2003 for the case of fan-off. (weather wind speed is 0.7m/s, 6 year-old-tree, 38013g of NH4-N/cm^2)
Profile Volatilization Parameter beta EQUATION for 'beta"

(soil profile)

The beta is the fitting parameter of the Langmuir Kintic Equation (Z.L.He, et al. 1999.) It is obtained from the data of Mattos, D. Jr., et al., 2003, for the case of fan-off.
N App Rate Factor of beta Equation for "betaNAppRateFactor"
(soil profile)

¡¡

The betaNappRateFactor represents the N Application rate factor of beta. This equation is obtained by data manipulation, based on Mattos, et al. 2003. It is normalized to one when VOLPNH4NIn=0.0015g/cm2, satisfies beta=3.66 when VOLPNH4NIn=1.125mg/cm2 and beta=4.9463 VOLPNH4NIn=3.375mg/cm2. Where VOLPNH4NIn is the application rate on the fertilizer day. (Z.L.He, et al., 1999)

Click here and here to see the fitting fitting function for application rates 50mg/kg and 150mg/kg. The data are based on the table 2 of Z.L.He, et al., 1999.

N App Rate Factor of qm Equation for "qmNAppRateFactor"

(soil profile)

The qmNappRateFactor represents the N Application rate factor of qm. This equation is obtained by data manipulation, based on Mattos, et al. 2003. It is normalized to one when VOLPNH4NIn=1500μg/cm2, qm1/qm2=20.8/17.6 when VOLPNH4NIn1=1125μg/cm2 and VOLPNH4NIn2=3375μg/cm2. Where VOLPNH4NIn is application rate on the fertilizer day. (Z.L.He, et al., 1999)

Click here and here to see the fitting fitting function for application rates 50mg/kg and 150mg/kg. The data are based on the table 2 of Z.L.He, et al., 1999.

Volatilization Factor of qm Equation for "qmVTF" (SoilProfile) | Volatilization temperature factor is obtained based on the reference by S.L. Neitsch, et al., 2002. Data manipulate was made to make the normalization at temperature condition of Mottos' volatilization data.
Profile Top Layer Soil Temperature EQUATION for "PTLSoilTemp" (profile) | PTLSoilTemp is soilTempi,j,k=1,t
Volitalization Temp Factor of beta for "betaVTF"
(weather) 		Temperature factor for volatilization parameter beta. Symbol betaVTF=1
Volatilization Wind Speed Factor Equation for "VWSF"

(weather)

The Impact of the wind speed on cumulative volatilization.
The fan-off case of Mottos's data is qm=6.325 & beta=3.33 at weather wind speed=0.7, i.e. shaded-wind speed =0.381 m/s ( Mattos, D. Jr., et al., 2003);
the fan-on case of Mottos's data is qm=14.9 & beta=3.41 at weather wind speed=0.7 m/s plus shaded-wind speed 0.7m/s, i.e. shaded-wind speed =1.081 m/s (Mattos, D. Jr., et al., 2003)
Fillery, I.R.P., et al., 1984 reported the linear relation of wind effect. Whereas Reddy, K.R., et al., 1979. based on the data of Watkins, S.H., et al., 1972 reported the linear relation for wind effect.
The data manipulation is made to fit the data and information above.
Shade Wind Speed Equation for "ShadeWS"
(weather) 		See wind equation description

Shade Top Soil Temperature Equation (not used)

(soil cell)

See soil temperature description
VOLA Activation Flag | See Symbol Description | Symbol "VOLAActivationFlag"
Fertilizer Flag tdFertilizerFlag=1 refers "Ammonium Nitrate"
tdFertilizerFlag=2 refers "Ammonium Sulfate"
tdFertilizerFlag=3 refers "Urea"
tdFertilizerFlag=4 refers "Commercial Mixed Fertilizer"
tdFertilizerFlag=0 refers non of the above

 symbol "tdFertilizerFlag" from database
¡¡ ¡¡ preFertilizerFlag


Nirtification

Nitrogen

Nitrification Equation Descriptions

Click here to see the soil moisture effect for the nitrification
Click here to see the nitrogen process
Click here to see the diagram for the order of the variables which represent the preferential ammonium processes, click here for that of the nitrate.

Nitrification: The conversion of ammonium to nitrate by bacteria in soil (NH4 ----> NO3).

Models for nitrification ranges from simple empirical relationship to a set of mathematical equations based on enzyme kinetics. Mechanistic model use Michaelis-Menten kinetics and describe the rate of maximum nitrification as a function of substrate (NH4)concentration and site-specific parameters Vmax and Km.

Temperature is one of the most important factors affecting rates of microbial growth. John M. Stark, 1996 provides five model equations to describe the effect of soil temperature on maximum nitrification rate in soil for both open and oaks canopy (0 -9cm soil layers) cases. The mean precipitation is 644mm. The experiment is for Argonaut silt loam soil with a pH (1:1 soil:water) of 6.4, and total C and N concentrations of 49 and 3.4g kg-1, respectively.

Our Vmax and its temperature effect is based on the "square root" model equation for canopy case in this paper and this model model equation is appropriate from 5 to 50 oC. The maximum nitrification rate in mg N /kg/day) given by this paper is as follows

The Vmax is above equation is in mg NO3-N /kg of soil/day, whereas our NITVmax is in µg of NO3-N/cm3 of soil/day

Click here to see the temperature effect (we used); Click here to see the temperature effect Sally used

Shi, W., et al., 2000 gives the kinetic parameters of nitrification in the control soil Km=0.012mM (we consider that mM is mmol/l, i.e. Km=0.000012*14g/1000cm3=0.168¦Ìg/cm3

Soil water effect for the nitrification equation is from Neitsch, S.L., 2002 (SWAT 2000)

Equation ID | Description | Equations
Nitrification for Layer Equation for "NIT" (soil layer) | Nitrification amount per unit volume of soil for a layer is the amount of ammonia converted to nitrate. Where NITKm is the ammonium solute concentration at half of the maximum nitrification, NITVmax is the maximum nitrification, NH4NC3 is the ammonium soil concentration. Temperature factor of the nitrification is include in the NITVmax. Soil pH is modified and kept at a reasonable range by the growers, so the effect of pH on nitrification is not considered for now. |
Nitrification Vmax of Shade Area by Canopy EQUATION for "ShadeNITVmax" (soil layer) | Maximum nitrification as the function of soil temperature for shaded area is obtained based on the "square root" model of John M. Stark, 1996. The mean precipitation is 644mm for Argonaut silt loam soil in the experiments of John M. Stark, thus it is assumed that for NITwf=1. |
Nitrification Vmax of Unshade Area by Canopy EQUATION for "UnshadeNITVmax" (soil layer) | Maximum nitrification as the function of soil temperature for un-shaded area is obtained based on the "square root" model of John M. Stark, 1996. The mean precipitation is 644mm for Argonaut silt loam soil in the experiments of John M. Stark, thus it is assumed that for NITwf=1. |
Nitrification Vmax Equation for "NITVmax" (soil layer) | The parameter of nitrification model followed the form of Michaelis-Menten kinetics. The NITVmax represents the maximum nitrification amount per unit volume of soil per day. BulkDensity is multiplied since the data from paper is on per soil weight basis. The temperature effect is included. It is obtained from John M. Stark, 1996. |
Nitrification Km (soil layer) | NITKm (half-saturation constant for nitrification) is the so-called Michaelis-Menten constant and is the ammonium nitrogen concentration which corresponds to half of the maximum nitrification amount. The data of 90 is obtained from CERES | Symbol: "NITKm" = 90.0
Soil Water Effect for Nitrification Equation for "NITwf"(soil layer) | Reference: Neitsch, S.L., 2002 (SWAT 2000) |


Denitrification

Nitrogen

Denitrification Equation Descriptions

Click here to see the soil moisture effect for the denitrification
Click here to see the nitrogen process
Click here to see the diagram for the order of the variables which represent the preferential ammonium processes, click here for that of the nitrate.

Denitrification: The conversion of nitrate to various gaseous forms of nitrogen which can be lost to the atmosphere (nitric oxide, nitrous oxide, dinitrogen). Denitrification occurs under oxygen-limiting conditions, such as when soils are saturated.

We use the approach adopted in the CERES models. They have the following description: (Our result may have some thing wrong, since their paper did not describe the derivation and the unit clearly)

Linn and Doran (1983) used percentage of water filled porosity as an index of soil water availability effects on soil N transformations. In their studies, denitrification commenced with a water-filled porosity of 60% and increased linearly up to 100% water filled porosity. This approximates the linear increase in FW as SW increases from DUL to SAT. A factor for soil temperature (FT) is also calculated.

FT=0.1*EXP(0.046*ST(L))

Rolston et al. (1980) using the data of Burford and Bremner (1976) and Reddy et al. (1971) to estimate the water-extractable C in soil organic matter (CW) as:

CW=24.5 + 0.0031*SOILC

In the CERES model, SOILC is calculated as 58% of the stable humic fraction. To this is added the carbon contained in the carbohydrate fraction organic matter pool (40% of FPOOL(L,1)). Appropriate unit conversions are made using FAC(L) and the total water extractable carbon (CW) estimated.

CW = FAC(L)*(SOILC*0.0031+0.4*FPOOL(L,1))+24.5

Denitrification rate (DNRATE) is then calculated from the nitrate concentration and converted to a kg N/ha basis for the mass balance calculations.

DNRATE = 6.0*1.0E-05*CW*NO3(L)*FW*FT*DLAYR(L)

Following the calculation of DNRATE the nitrate pool in the layer is updated with appropriate checks to ensure that a minimum concentration of nitrate is retained in the layer.

SNO3(L)=SNO3(L)-DNRATE

Difinitrification is only occur for soil moisture above FCWC. But the WC at 0:00 am is never above FCWC in Tipping Bucket model. We assume that if soil is watered on tth day, the water factor is 0.5 since it is assumed that the watering is at 12:00pm and assumed that the water content is nearly SWC if DW>0. Click here to see the soil moisture effect for the denitrification

Equation ID | Description | Equations
Denitrification Equation for "DNIT" (soil layer) | Nitrate denitrification amount per unit volume at kth layer on tth day. Referene is CERES model by Godwin, D.C. et al., 1998. In CERES model, WaterSolubleCarbon is in ppm, Denitrification/LayerThickness is in kg/ha/cm/day, nitrate concentration is in ppm. But our DNIT and NO3NC here is in µg/cm3 |
Denitrification Soil Temp Factor Equation for "DNITTFactor" (soil layer) | Nitrate denitrification temperature factor. Referene is CERES model from Godwin, D.C. et al., 1998 and Ma, L., et al., 2001. We added an arbitrary upper limit 30 oC here, since we do not want the DNITTfactor blow up as temperature increase. |
Denitrification Water Content Factor Equation for "DNITWCFactor" (soil layer) | The DNITWCFactor is (TBWC-FCWC)/(SWC-FCWC) based on the CERES model (Godwin et al. 1998 and Ma, L., et al., 2001). The water of tipping bucket model is never above FCWC, whereas the TBWC could be above FCWC. However, if the hydraulic conductivity is turn off, the TBWC is not available in our calculation, thus TBWC can not be used in this equation. For simplify, we assume that the water content is nearly SWC if DW>0, i.e. denitrification happened for half day if the water source is today's rain/irrigation. |
DNIT Water Soluble Carbon Equation for "WaterSolubleCarbon" (soil layer) | Water soluble carbon content of soil (ppm) is the water-extractable C in soil organic matter in ppm. SoilCarbonPortion* SOMPct is soil carbon content (kg C/ha); SoilCarbonPortion is the constant value 0.58; Soil organic matter SOMPct in % is obtained from database. Referene is CERES model by Godwin, D.C. et al., 1998. |
Soil Carbon Portion (soil layer) | The soil carbon portion among the stable humus, which is set as 58%. | Symbol: "SoilCarbonPortion" =0.58
Soil Organic Matter Percentage (soil layer) | Percentage of organic matter is a soil property for a certain soil type. | Symbol: "SOMPct" get data from database. typical value is 0.5
Nitrogen Application 12hr Flag Equation for "Drain12hrFlag" (soil layer) | click here to see the description |


Report Page

Equations in Report Page

Click WAM project to see the non-graphic interface output.

The graphic interface application can output both report page and excel file.

The excel output file lists the data of each variable for all layers and all days which are used for debugger.

If user selects "Simple output file" , the output only list certain variables. You may choose the variables you want by modifying the Java codes in ControlMain class

If user selects "Full output file" , the output file only list all of the important variables.

If user selects "No Output" , the output file is none. This choice will save your CPU.

If the developer want to check the data reading from database or from input, he/she may un-comment out the statement getSimulationCondition() in DatabaseForCalculation.java. You may find the data in Eclipse console or "Simulation Condition Info" tab of Report Interface

The following is for graphic interface output

Daily Irrigation Schedule Tab

Bloac ID | Last Irrigation |  | Last Rainfall |  | Available Water |  | Interval | Irrigation Duration (hh:mm)
 | Date yyyy-mm-dd | amount hh:mm | Date yyyy-mm-dd | amount hh:mm | IrrDep (%) | SPDepth (%) |  | Today | Tomorrow | Next day
 | From Database |  | From Database |  | IAAW(IrrDep) Click here to see the equation | IAAW(SPDep) Click here to see the equation | Click here to see the irrigation schedule equation | Click here to see the irrigation schedule equation
 |  |  |  |  | IRZD is depletion |  |

Note: The criteria of irrigation schedule is "the water content within set-point depth is below the allowed depletion". The decision is made if any profile is below this criteria. The available water here is the summation of all the irrigated profile.

Daily Report Tab for Given i Index and t Index

Soil Profile# | Layer # | Root Section # | Root Length (pct) | WC(%) | NH4(%) | NO3(%) | Ks used
j | k |  | rli,j,k,t | WCpct | NH4NCpct | NO3NCpct | ksi,j,k,t

Monthly Report Tab

Day | Interval (day) | Duration (hour) | ETc (inches/day) | kc | ks | Irrigation (hh:mm) | Rain (cm) | Water Leached Below |  | N Leached Below
 |  |  |  |  |  |  |  | 2m | Irr Dep | 2m | Irr Dep
converted from t | From Database | From Database | ETo*kc*cmToInch ETo is from Database | From Database | From Database | From Database | From Database |  |  |  |
 | Save the calculated data to Database Click here to see the irrigation schedule equation | Save the calculated data to Database Click here to see the irrigation schedule equation |  |  | Save the calculated data to Database Click "DailyKs" to see the equation |  |  | CLWA | CLWAID? IZLWAID? | CLN | CLNID

Yearly Report Tab

Month | Total Irrigation (hh:mm) | Total Rain (cm) | Fertilizing (¦Ìg of N) | Water Leached Below |  | N Leached Below
 |  |  |  | 2m | Irr Dep | 2m | Irr Dep
 | k |  | rli,j,k,t |  |  |  |


Report

Leaching Report Related Equation Descriptions

Click here to see the equations used in Report tab.

Equation ID | Description | Equations
Cell Leaching Water Amount Equation for 'CLWA" (cell) | Cell leached water amount is equal to the sum of profile leached water amount over profile index of the irrigates area and the non-irrigated area. |
Profile Leaching Water Amount Equation for "PLWA" (profile) | The amount of water leached below the simulation depth over a specific profile area after daily water drain. |
Irrigated Zone Water Leaching at Irr Depth Equation for "IZLWAID" (cell) | Water leached at the irrigation depth in the irrigated area. This is used for report. |
Irrigated Zone Water Leaching Equation for "IZLWA" (cell) | Water leached at the depth of the model maximum depth in the irrigated area. This is used for report. |
Profile Leaching Water Amount at Irr Depth Equation for "PLWAID" (profile) | The amount of water leached below the irrigation depth over a specific profile area after daily water drain. Includes part of the layer that crosses the irrigation depth. |
Cell Leaching Ammonium Amount Equation for "CLAA" (cell) | NH4-N leached from the bottom of last soil layer in cell area. |
Cell Leaching Ammonium Rate Equation for "CLAR" (cell) | NH4-N leached in kg below the 2 meter depth on a hectare basis. |
Irrigated Zone Ammonium Leaching at Irr Depth Equation for "IZLAAID" (cell) | NH4-N leached at the irrigation depth in the irrigated area. This is used for report |
Irrigated Zone Ammonium Leaching Equation for "IZLAA" (cell) | NH4-N leach at the depth of the maximum simulation depth in irrigation zone. This is used for report. |
Cell Leaching Nitrate Amount Equation for "CLNA" (cell) | NO3-N leached from the bottom of last soil layer in cell area |
Cell Leaching Nitrate Rate Equation for "CLNR" (cell) | NO3-N leached in kg below the 2 meter depth on a hectare basis. |
Irrigated Zone Nitrate Leaching at Irr Depth Equation for "IZLNAID" (cell) | NO3-N leached at the irrigation depth in the irrigated area. This is used for report. |
Irrigated Zone Nitrate Leaching Equation for "IZLNA" (cell) | NO3-N leach at the depth of the maximum simulation depth in irrigation zone. This is used for report. |
Cell Leaching Nitrogen Amount at Irr Depth Equation for "CLNID" (cell) | NH4-N and NO3_N leached at irrigation depth. This will be saved to the database and is used for report table. |
Cell Leaching Nitrogen Amount Equation for "CLN" (cell) | NO3-N leached at model maximum depth. This is used for report table. |
Profile Leaching Ammonium Amount at Irr Depth Equation for "PLAAID" (profile) | The amount of the ammonium nitrogen leached below the irrigation depth over a specific profile area after daily nitrogen drain. Includes part of the layer that crosses the irrigation depth. |
Profile Leaching Ammonium Amount Equation for "PLAA" (profile) | The amount of the ammonium nitrogen leached below the simulation depth over a specific profile area after daily nitrogen drain. |
Profile Leaching Nitrate Amount at Irr Depth Equation for "PLNAID" (profile) | The amount of the nitrate nitrogen leached below the irrigation depth over a specific profile area after daily nitrogen drain. Includes part of the layer that crosses the irrigation depth. |
Profile Leaching Nitrate Amount Equation for "PLNA" (profile) | The amount of the nitrate nitrogen leached below the simulation depth over a specific profile area after daily nitrogen drain. |


Report

Other Report Related Equation Descriptions

Click here to see the equations used in Report tab.

Equation ID | Description | Equations
Non-Irrigated Area Available Water Calculation for "NIAAW(irrDep)" (cell) | Non-irrigated area available calculation. Where PWTCD(ID) is the profile water amount to irrigation depth; PWPWPCD(ID) is the profile water amount at permanent wilting point to irrigation depth; PWFCCD(ID) is the profile water amount at field capacity to irrigation depth; NNIP is the total number of profiles in non-irrigated area. |
Irrigated Area Available Water Calculation for "IAAW(irrDep)" (cell) | IAAW is the average of available water over each layer and each profile in irrigated area. Where PWFCCD(irrDep) is the profile water amount at field capacity to irrigation depth; PWPWPCD(irrDep) is the profile water amount at permanent wilting point to irrigation depth; PWTCD(irrDep) is the profile water amount to irrigation depth; NIP is the total number of profiles in irrigated area. IAAW(irrDep) and IAAW(spDep) are used in the daily irrigation schedule report table. |
Profile Water Amount at FC to Certain Depth Equation for "PWFCCD(irrDep)' (profile) | Field capacity water amount at certain depth within the profile area is sum of water amount of each layers at field capacity over layer 1 to layer jj based. The water amount in each layer at field capacity is the field capacity water content times the layer volume. This is used for available water calculation in the irrigated area. |
Profile Water Amount to Certain Depth Equation for "PWTCD(dep)" (profile) | Profile water amount at certain depth within the profile area is sum of water amount of each layers over layer 1 to layer jj. The water amount in each layer is the water content times the layer volume if the layer is entirely above the given depth, 0 if the layer is entirely below the given depth, and the layer water content times the layer area times the amount of the layer that is above the given depth depth if the given depth depth occurs somewhere within the layer. This is used for available water calculation in the irrigated area. |
Profile Water Amount at PWP to Certain Depth Equation for "PWPWPCD(irrDep)" (profile) | Profile water amount at PWP (Permanent Wilting Point) at certain depth depth within the profile area is sum of water amount of each layers at PWP over layer 1 to layer jj. The water amount in each layer at PWP is the water content at PWP times the layer volume if the layer is entirely above the given depth, 0 if the layer is entirely below the given depth, and the layer water content at PWP times the layer area times the amount of the layer that is above the given depth depth if the given depth depth occurs somewhere within the layer. This is used for available water calculation in the irrigated area. |
Cell Effective Rain Equation for "CEffRain" (cell) | Rain amount that is used to the water content from WC(t) to FCWC within irrigation depth. Where CIrrWN(irrDep) is the water needs to bring the water content from WC(t) to FCWC. If there is no enough rain to provide, the effective rain is the rain amount. |
Cell Daily Soil Coefficient Equation for "DailyKs" (cell) | Cell daily soil coefficient |
Profile Average Soil Coefficient Equation for "PKsAvg" (profile) | The average soil coefficient for a specific profile |
Water Content in Percentage Equation for "WCpct" (soil layer) | Water content of the dry soil in (g water/g dry soil)*100. ¡¡ |
Ammonium Soil Content in Percentage Equation for "NH4NCpct" (soil layer) | The portion of ammonium in soil by weight. Where NH4NC is in µg of NH4-N/cm^3 of soil and bulk density is in g of soil/cm^3 of soil. Used in daily report page. |
Nitrate Soil Content in Percentage Equation for "NO3NCpct" (soil layer) | The portion of nitrate in soil by weight. Where NO3NC is in µg of NO3-N/cm^3 of soil and bulk density is in g of soil/cm^3 of soil. Used in daily report page. |


Equation List

Equation List, Expression and Descriptions

Ascending sorted by the Equation ID

Click here to see the updated info

Module Equation ID Left side of the equation
 (click to view the equation expression) 		Equation Description Status Model Group Diagram
soil profile | Allocation Equation | "allocation" | The "allocation" is the percentage portion of N application applied on a unit of non-irrigated area if i=1 or irrigated area if i=2, where the "AllocationOnNonIrr" is the percentage of nitrogen applied on a unit of non-irrigated area and the "100-AllocationOnNonIrr =AllocationOnIrr" is the percentage of nitrogen applied on a unit of irrigated area. The "allocation" is used in the PNH4NIN and PNO3NIN calculation | 1 | Nitrogen Input
irrigation system | Allocation On Irrigated Equation | "AllocationOnIrr" | The percentage portion of fertilizer applied on the irrigated area. The dry fertilizer is applied on the cell area except the middle way (=HedgingDist*IRD). The fertigation is applied on the irrigated area.
irrigation system | Allocation On Non Irrigated Equation | "AllocationOnNonIrr" | The percentage portion of fertilizer applied on the non-irrigated area equals one hundred minus the percentage portion of fertilizer applied on the irrigated area.
soil layer | Ammonium CEC Factor Equation | "NH4CECFactor" | Cation exchange capacity factor of ammonium adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at CEC=5.05. Our modification is to make this factor normalized to one at CEC=5.05. | 1
soil layer | Ammonium Clay Factor Equation | "NH4ClayFactor" | Soil clay factor of ammonium adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at ClayPct=27.5. Our modification is to make this factor normalized to one at ClayPct=27.5. | 1
soil layer Ammonium Input Drain Stage A Equation "NH4NInD1" The amount of ammonium nitrogen inputted through a unit area of above layer if k>1 or soil surface if k=1. The water source is current day's irrigation water or yesterday's unfinished drain water. It equals the NH4-N leached from the above layer, excepting the top layer. For the top layer, it is the un-drained dry fertilizer from the previous day.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Ammonium Input Drain Stage B Equation "NH4NInD2" The amount of ammonium nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1. The source of the water is from prior to or during N applications. It equals the NH4-N leached from the above layer, excepting the top layer. For the top layer, it equals the un-drained dry fertilizer from the previous day plus the N application on the current day if there is no scheduled irrigation; it equals the fertilizer on the current day if there is scheduled irrigation to drain down all of the fertilizer applied on the previous day.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Ammonium Input Drain Stage C Equation "NH4NInD3" The amount of ammonium nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1. The source of the water is following N applications. It equals the NH4-N leached from the above layer, excepting the top layer. For the top layer, it equals the un-drained dry fertilizer from the previous day plus the un-drained dry fertilizer applied on the current day if there is neither irrigation nor water applied prior to the N application on the current day; it equals the un-drained fertilizer applied on the current day if the fertilizer from the previous day has been drained.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Ammonium Input Drain Stage D Equation "NH4NInD4" The amount of ammonium nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1. The source of the water is the rainfall. It equals the NH4-N leached from the above layer excepting the top layer. For the top layer, it equals the un-drained dry fertilizer from the previous day plus the un-drained dry fertilizer applied on the current day if there is neither irrigation nor water applied with N application on the current day; it equals the un-drained fertilizer applied on the current day if the fertilizer from the previous day has been drained.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Ammonium Input Equation "NH4NIn" The amount of ammonium nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1, to the kth layer with water input WI.
This equation is only to be called when the "FourDrainPerDayFlag" is turned off. 		1
irrigation system | Ammonium Percentage | "NH4NPct" | Percentage portion of the NH4-N among the amount of ammonium nitrate fertilizer in weight. The data are given by the program for pure fertilizer. The user entered data are obtained from the database for the commercial mixed ammonium nitrate.
soil layer | Ammonium Passive Uptake Equation | "NH4NUP" | Soil concentration of ammonium nitrogen (in μg of NH4-N/cm3 of soil/day) taken up per day by tree root in a layer through water is the average of the morning-passive-uptake and the afternoon-passive-uptake that are determined by layer ks & kc adjusted evapotranspiration. | 1
soil layer | Ammonium pH Factor Equation | "NH4pHFactor" | Soil pH factor of ammonium adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at SoilpH=5.3. Our modification is to make this factor normalized to one at SoilpH=5.3. | 1
soil layer Ammonium Soil Content at Phase A Drain Stage A Equation "NH4NC1D1" The amount of ammonium-N per unit soil volume after flow with irrigation water or yesterday's unfinished drain water. If WI>0, the NH4NInD1 will flow to this layer and LDNH4ND1 will leach out. Otherwise the ammonium nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NH4NC represents the NH4-N concentration before the drain process and NH4NC1D1 represents the NH4-N concentration after the drain process.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Ammonium Soil Content at Phase A Drain Stage B Equation "NH4NC1D2" The amount of ammonium-N per unit soil volume after flow with the water from prior to and during N application. If WID2>0, the NH4NInD2 will flow to this layer and LDNH4ND2 will leach out. Otherwise the ammonium nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NH4NC1D1 represents the NH4-N concentration before this drain process and NH4NC1D2 represents the NH4-N concentration after this drain process.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Ammonium Soil Content at Phase A Drain Stage C Equation "NH4NC1D3" The amount of ammonium-N per unit soil volume after flow with the water following N application. If WID3>0, the NH4NInD3 will flow to this layer and LDNH4ND3 will leach out. Otherwise the ammonium nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NH4NC1D2 represents the NH4-N concentration before this drain process and NH4NC1D3 represents the NH4-N concentration after this drain process.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Ammonium Soil Content at Phase A Drain Stage D Equation "NH4NC1D4" The amount of ammonium-N per unit soil volume after flow with the rain water. If WID4>0, the NH4NInD4 will flow to this layer and LDNH4ND4 will leach out. Otherwise the ammonium nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NH4NC1D3 represents the NH4-N concentration before this drain process and NH4NC1D4 represents the NH4-N concentration after this drain process.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 　 		1
soil layer | Ammonium Soil Content at Phase A Equation | "NH4NC1" | NH4-N soil concentration after drain with the irrigation water, water with N application and rainfall on tth day. If "FourDrainPerDayFlag" is turned on, NH4NC1 is the same as NH4NC1D4 which is the NH4-N concentration after four drains. Otherwise, the four drains are treated as one drain. If WI>0, the NH4NIn will flow to this layer and LDNH4NTP will leach out; otherwise, the ammonium nitrogen concentration will stay unchanged in the nitrogen drain simulation.NH4NC represents the NH4-N concentration before the drain process. | 1
soil layer Ammonium Soil Content at Phase B Equation "NH4NC2" NH4-N soil concentration after volatilization on tth day. If "VOLAActivationFlag" is not turned on, the volatilization will be ignored and NH4NC2 is the same as NH4NC1; otherwise, the VOLA term is deducted from NH4NC1(k=1) and the resulting NH4-N concentration is denoted as NH4NC2.
VOLA/LT is converted from per unit soil area to per unit soil volume.

 1
soil layer | Ammonium Soil Content at Phase C Equation | "NH4NC3" | NH4-N soil concentration after uptake on tth day. The uptake term is deducted from NH4NC2 and the resulting NH4-N concentration is NH4NC3. | 1
soil layer Ammonium Soil Content Equation "NH4NC" Amount of ammonium-N per unit soil volume in the layer at 0:00am on tth day, is obtained from subtracting yesterday's ammonium-N nitrification amount from ammonium-N amount after uptake on (t-1)th day. Nitrification is a process of converting ammonium to nitrate.
In the case of t=1, the t-1 does not exist and an initial value for the NH4-N concentration is assumed that NH4-N concentration decreases as soil depth increases. It is a modification from the reference Neitsch, S.L., 2002. 		1
soil layer Ammonium Soil Content in Percentage Equation "NH4NCpct" The portion of ammonium in soil by weight. Where NH4NC is in µg of NH4-N/cm^3 of soil and bulk density is in g of soil/cm^3 of soil.

Used in daily report page.

soil layer Ammonium Soluble Rate Equation "NH4SolubleRate" NH4SolubleRate represents the portion of soluble NH4 among total NH4 solution or parameter of ammonium mobility conductivity when NH4 moves down with the water. Actually, it is the inversion of the retardation and is the site specific data. It is used to determine the ammonium leached. The equation here is based on the Eq. 3 in D. Suprayogo et al. 2002.
This calculation requires knowing of soil series property about the pH, clay portion, soil organic matter, and cation exchange capacity which may not available for some project. Then the SolubleRateCalculationActivationFlag has to be turned off and the value of 0.1 for the NH4SolubleRate is assumed. 　 		1
soil layer | Ammonium Solute Content Equation | "NH4NCsolute" | The ammonium nitrogen solute concentration is equal to the ammonium soil concentration divided by the water content. | 1
soil layer | Ammonium SOM Factor Equation | "NH4SOMFactor" | Soil organic matter factor of ammonium adsorption coefficient calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at SOMPct=2.04. Our modification is to make this factor normalized to one at SOMPct=2.04. | 1
soil layer | Ammonium Uptake Equation | "NH4NU" | Amount of ammonium per unit volume of soil taken up by the tree equals the sum of active and passive ammonium uptakes over a day. The active ammonium uptake is considered as little as zero. | 1
soil profile Assumed Infiltration Depth Equation "AssumedInfDep" The maximum infiltration depth is a function of current soil water content (WC) and saturated soil water content (SWC) which varies by layer index. To solve, the infiltration depth is approximated and assumed all layers have the same WC & SWC as those of the 1st layer. This variable will be used to calculate the pre-infiltration average water content in the infiltration area for the calculation of maximum infiltration depth.
Reference: Mein, R.G. et al., 1973.

 1
soil cell | Assumed Radius of Cell Boundary Equation | "AssumedCellBoundaryR" | For the profile with the boundary of the rectangular area of InRow by betweenRow, the tree area with InRow*(betweenRow-HedgingDist) is converted to the circle area with the same value to get a value of assumedCellBoundaryR. In this conversion, the middle way area does not count since it’s resulting non-iggigated profile radius (NIPR) is used to measure the shadeAreaRatio | 1
weather | beta Equation | "beta" | The beta is the fitting parameter of the Langmuir Kintic Equation (Z.L.He, et al. 1999.) It is obtained from the data of Mattos, D. Jr., et al., 2003, for the case of fan-off. | 1
block Canopy Radius Equation "CR" If the tree edge does not touch the edge of the InRow or (betwennRow-HedgingDistance), the upper half of ellipsoid shape is used to calculate the canopy radius from the canopy volume. Otherwise the shaded area=InRow*(betweenRow-HedgingDistance) is assumed. Where the pi * assumedCellBoundaryR ^2 equals InRow*(betweenRow-HedgingDistance).
Reference: Wheaton T.A ., et al., 1995. 		1
block | Canopy Volume Equation | "cv" | The canopy volume equals natureCV from database based on tree age. But it will not be larger than inRow*(betweenRow)*hedgingTreeHight
soil cell | Cell Area Calculation | "CA" | Area of cell is equal to the distance in row times the distance between rows. Note that the distance between rows includes the hedging distance. | 0
soil cell | Cell Daily Irrigation Amount Equation | "CIAM" | Cell daily irrigation amount per unit area is obtained from the converting the irrigation duration. | 1
soil cell | Cell Daily Soil Coefficient Equation | "DailyKs" | The average soil coefficient for a specific profile | 1
soil cell | Cell Days Elapse Limit Number Equation | "CDELN" | This is used for the upper limit of the summation for the schedule interval culation. CDELN=TodayTS+2 where 2 is customerized setting. That means, if the predicted interval is more than 3 days, the schedule is difficult to be predicted since the wether may have change. | 1
soil cell Cell Days Elapse to Allowed Depletion Equation "CDEAD" The elapsed time (in days) before the water content in the layers within the set-point depth drops to the allowed depletion for any profile and any layer gives the predicted irrigation interval . This is based on an interpretation of IFAS irrigation recommendation provided by Kelly Morgan.
The upper limit of summation is set to be CDELN=TodayTS+2. That means, if the predicted interval is more than 3 days, the schedule is difficult to be predicted since the wether may have change.
Here we assume that there is no irrigation nor rain and the only water loss from each layer is by ET, which is calculated based on the root length distribution. The ET values are based on an average of 5 days prior to current date from the FAWN site.　 		1
soil cell | Cell Dry Flag Equation | "cellDryFlag" | Sum of profileDryFlag over the layers within set-point depth in the irrigated area. The value larger than one means that there is at least a layer of a profile which water content is below the allowed depletion and the irrigation should be scheduled. | 1
soil cell | Cell Effective Rain Equation | "CEffRain" | Rain amount that is used to the water content from WC(t) to FCWC within irrigation depth. Where CIrrWN(irrDep) is the water needs to bring the water content from WC(t) to FCWC. If there is no enough rain to provide, the effective rain is the rain amount. | 1
soil cell | Cell Evapotranspiration | "ETCc" | Citrus crop adjusted evapotranspiration attributed to a cell. ETo is the evapotranspiration per unit area in the unit of cm/day. | 0
soil cell | Cell Leaching Ammonium Amount Equation | "CLAA" | NH4-N leached from the bottom of last soil layer in cell area | 1
soil cell | Cell Leaching Ammonium Rate Equation | "CLAR" | NH4-N leached in kg below the 2 meter depth on a hectare basis. | 1
soil cell | Cell Leaching Nitrate Amount Equation | "CLNA" | NO3-N leached from the bottom of last soil layer in cell area | 1
soil cell | Cell Leaching Nitrate Rate Equation | "CLNR" | NO3-N leached in kg below the 2 meter depth on a hectare basis. | 1
soil cell | Cell Leaching Nitrogen Amount at Irr Depth Equation | "CLNID" | NH4-N and NO3_N leached at irrigation depth. This will be saved to the database and is used for report table. | 1
soil cell | Cell Leaching Nitrogen Amount Equation | "CLN" | NO3-N leached at model maximum depth. This is used for report table. | 1
soil cell | Cell Leaching Water Amount Equation | "CLWA" | Cell leached water amount is equal to the sum of profile leached water amount over profile index of the irrigates area and the non-irrigated area. | 1
soil cell | Cell Maximum Soil Depth Equation | "CMAXSoilDep" | The model maximum depth is calculated as summation of layer thickness over the layer index for any one profile. | 1
soil cell | Cell Plant Area Equation | "CPA" | Cell plant area is the cell area minus the middle way. It is the maximum shaded area for hedged tree. The dry fertilizer is only applied in this area.
soil cell | Cell Root Length Calculation | "TR" | Cell total root length is equal to the sum of profile root length over profile index of irrigated area and non-irrigated area. | 0
soil cell | Cell Water Amount to Certain Depth at Allowed Depletion Equation | "CIrrWTCDAD" | not used | 1
soil cell | Cell Water Amount to Certain Depth Equation | "CIrrWTCD(dep)" | not used | 1
soil cell | Cell Water Amount to Setpoint Depth at Allowed Depletion Equation | "CIrrWTSPCD" | not used | 1
soil cell | Cell Water Amount to Setpoint Depth Equation | "CIrrWTSP" | not used | 1
soil cell | Cell Water Needed Calculation | "CIrrWN(IrrDep)" | Cell water need is equal to sum of the profile total water need to irrigation depth over the profiles of irrigation area. This is used for the predicted irrigation duration | 0
block Crop Coefficient Equation "kc" Empirically determined crop coefficient which adjusts evapotranspiration to the citrus crop. The Julian day dependent is because the crop uses different amounts of water at different times of the year. The ks has higher value in summer and lower value in winter.
Reference: Fig. 5 in Morgan K.T., et al., 2006.　 		1
soil profile Cumulative Volatilization Equation "cumulativeVolA" Cumulative volatilization (loss of ammonium nitrogen amount to the atmosphere on a unit soil surface) for a given day. Where VOLPNH4NIn is NH4_N application rate on the fertilizer day. NApplyElapse is the number of the days elapsed from the volatilization starting day to tth day.
The equation is based on the Langmuir Kintic Model (Z.L.He, et al., 1999.)
The fitting parameter beta and qm ( potential maximum volatilization of ammonium) are obtained from the data of Mattos, D. Jr., et al., 2003. It is assumed that all of the ammonium lost observed by Mottos are deducted from NH4_N soil concentration of the first soil layer.
The wind speed factors (VWSF) are from Mattos, D. Jr., et al. 2003 also. The nitrogen application rate factors for qm and beta are from the Z.L.He, et al. 1999. The temperature factor for qm is from SWAT 2000 model. Since Mattos's data is refer to percentage, 0.01 is applied.
The qm, beta, VolPNH4NIn, qmNAppRateFactor, betaNAppRateFactor are only related to the days elapsed from the volatilization starting day, whereas qmVTF, betaVTF, VWSF are related to the index t.
The pH factor is neglect for now.　 		1
soil layer | Depletion Equation | "d" | Depletion (d) expresses the dryness of the soil. It is the ratio of the amount by which the current soil wetness is below the maximum wetness and amount by which maximum dryness is below the maximum wetness. Depletion is 0 if wetness is at maximum and 1 if moisture content is smallest allowable dryness. | 0
soil layer | Denitrification Equation | "DNIT" | Nitrate denitrification amount per unit volume at kth layer on tth day. Referene is CERES model by Godwin, D.C. et al., 1998. In CERES model, WaterSolubleCarbon is in ppm, Denitrification/LayerThickness is in kg/ha/cm/day, nitrate concentration is in ppm. But our DNIT and NO3NC here is in µg/cm3 | 1
soil layer | Denitrification Soil Temp Factor Equation | "DNITTFactor" | Nitrate denitrification temperature factor. Referene is CERES model from Godwin, D.C. et al., 1998 and Ma, L., et al., 2001. We added an arbitrary upper limit 30 oC here, since we do not want the DNITTfactor blow up as temperature increase. | 1
soil layer | Denitrification Water Content Factor Equation | "DNITWCFactor" | The DNITWCFactor is (TBWC-FCWC)/(SWC-FCWC) based on the CERES model (Godwin et al. 1998 and Ma, L., et al., 2001). The water of tipping bucket model is never above FCWC, whereas the TBWC could be above FCWC. However, if the hydraulic conductivity is turn off, the TBWC is not available in our calculation, thus TBWC can not be used in this equation. For simplify, we assume that the water content is nearly SWC if DW>0, i.e. denitrification happened for half day if the water source is today's rain/irrigation. | 1
block | Depth to Certain Layer Range Equation | "DepLR" | The depth from soil surface to the bottom of last layer of range ii. If ii=1, it is layer thickness times # of layers in the 1st layer thickness range. If ii=2, it is layer thickness times # of layers in the 1st layer thickness range plus the layer thickness times # of layers in the 2nd layer thickness range. | 1
Cell | Distance from Tree to Boundary of Hedging Area EQUATION | "DistToHedgingBoundary" | The distance between center of tree to hedging boundary
Cell | Distance from Tree to Boundary of In Row Area EQUATION | "DistToInRowBoundary" | The distance between center of tree to boundary of the in row area
soil layer DNIT Water Soluble Carbon Equation "WaterSolubleCarbon" Water soluble carbon content of soil (ppm) is the water-extractable C in soil organic matter in ppm. SoilCarbonPortion* SOMPct is soil carbon content (kg C/ha); SoilCarbonPortion is the constant value 0.58; Soil organic matter SOMPct in % is obtained from database.
Referene is CERES model by Godwin, D.C. et al., 1998. 		1
soil layer Drain Flag Equation "WIflag" Represents the water source as the calculation condition case of WI and WC equations. WIflag is evaluated except HCFlag=0. Otherwise, WIflag = WIflagExcConst. If HCFlag=1, the possible cases for WIflag are as following:

1. DF_12hrTdyAir: 12hours drain; water from air, comes to this layer at 12:00 pm today

2.DF_12hrTdyAbvLyr for t=1: There is no water from yesterday's un-finished drain. 12 hours drain, both this layer and above layer are watered today. Main water source is from today's rain/irrigation.

3. DF_24hrYstrdyAbvLyr: 24hours drain, above layer is watered yesterday and water flow is from above layer to kth layer. In another word, above layer is yesterday's wetting front, this layer is continue yesterday drain. WFLNflagk,t-1is non-zero integer and there is no rain/irrigation today. This layer is "not within the 1st water profile" or "within 1st water profile, but PWI=0".

4. DF_24hrTdyAbvLyr: 24hours drain, both this layer and above layer are watered today, main water source is from previous day. WFLNflagk,t is an integer plus 0.5 thus this layer is watered today. WFLNflagk,t-1is not non-zero integer, thus above layer is not yesterday's wetting front. This layer is "not within the 1st water profile" or "within 1st water profile, but PWI=0".

5. DF_24hrTdyAbvLyr: 24hours drain, both this layer and above layer are watered today, main water source is from previous day. WFLNflagk,t is an integer plus 0.5 thus this layer is watered today. WFLNflagk,t-1is not non-zero integer, thus above layer is not yesterday's wetting front. Above layer is 24 hour drain.

6.DF_Ystrdy12hrTdyAbvLyr: Both this layer and above layer are watered today. But partial of water source is continue yesterday drain & another partial of water source is today's irrigation/rain for this layer. 12 hours drain is assumed since DWk,t-1 < DWk, t, This layer is within 1st water profile and PWI=0 means at least partial water source is is today's irrigation/rain.

7.DF_Ystrdy24hrTdyAbvLyr: Both this layer and above layer are watered today. But partial of water source is continue yesterday drain & another partial of water source is today's irrigation/rain for this layer. 24 hours drain is assumed since DWk,t-1 > DWk, t

WIflag = WIflagExcConst if there is no water comes to this layer

If the time of passing first layer took more than 12 hours, 12 hours drain is considered. If Yesterday's water stopped at kth layer and the time of passing (k+1)th layer takes more than 24 hours on current day, kth layer as wetting front is assumed.

Click here to see more info about how to use WFLNflag to determine multiple wetting fronts.

Click here and here to see the diagrams.

1
soil layer | Drain 12hr Flag Equation | "Drain12hrFlag" | Determines if the water input to this layer on the bases of 12 hours assumption. Value of one means 12 hours drain and that water content in the afternoon will be different from the water content of the morning. Value of 0 means 24 hour drain. | 1
soil layer | Drain 24hr Flag Equation | "Drain24hrFlag" | Determines if the water input to this layer on the bases of 24 hours assumption. Value of one means 24 hours drain. Value of 0 means 12 hour drain or not watered for this layer. | 1
soil profile | Drained Water at Specific Layer Equation | "DWof(jj)" | It is used for the calculation of allExtraWater. DWof(jj) is DW(k=jj) | 1
soil layer | Evapotranspiration based on root density | "ETLcs" | The kc & ks adjusted evapotranspiration per day on layer volume, based on the roots distribution in that cell, based on the percentage of roots length in the layer compared to the total roots length, and based on the factors in the soil coefficient (ks) and crop coefficient (kc). Its unit is cm3 per day. | 0
soil layer Evapotranspiration for Watered Day "nowET" The daily ET water for the case of watered day. The morning ET on tth day is based on the WC at 0:00am on t_th day, whereas the afternoon ET is based on the FCWC as water content (i.e. ks=1) since the water inputted onto the soil surface at 12:00pm.
This variable is calculated If FourDrainPerDayFlag is turned off.　 		1
soil layer Evapotranspiration for Watered Day Drain Stage A Equation "nowETD1" Portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the scheduled irrigation water amount to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm.
To avoid divided by zero, PWI>0 is required. This equation is calculated when 4 drains per day flag is turned on.　 		1
soil layer Evapotranspiration for Watered Day Drain Stage B Equation "nowETD2" Portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the water from prior to and during N applications to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm.
To avoid divided by zero, PWI>0 is required. This equation is calculated when 4 drains per day flag is turned on.　 		1
soil layer Evapotranspiration for Watered Day Drain Stage C Equation "nowETD3" Portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the water following N application to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm.
To avoid divided by zero, PWI>0 is required. This equation is calculated when 4 drains per day flag is turned on.　 		1
soil layer Evapotranspiration for Watered Day Drain Stage D Equation "nowETD4" Portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the rain water amount to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm.
To avoid divided by zero, PWI>0 is required. This equation is calculated when 4 drains per day flag is turned on.　 		1
soil layer | Field Capacity Calculation | "fc" | Water amount at field capacity in a layer is equal to the water amount per unit volume of soil at field capacity water content (FCWC) times layer volume (LV). | 0
soil layer Four Drain Per Day Flag Equation "FourDrainPerDayFlag" The value of one-or-zero for the FourDrainPerDayFlag indicates whether it is-or-is not necessary to simulate four drains of water flow per day. "Four drains per day" is only simulated for particular days and particular layers if they satisfy all of the following conditions:
1. FourDrainperDayActivationFlag is activated.
2. The profile is located in the irrigated area.
3. There are more than one kind of water sources inputted into the soil surface on the current day. These water sources are expressed by PWID1, PWID2, PWID3 or PWID4.
4. WFLNflag(k)=0.5 or "HCFlag=0 & k>1 & DWk-1>0 or k=1"
WFLNflag(k)=0.5 indicates that the kth layer is watered by today's PWID1, PWID2, PWID3 or PWID4 in the hydraulic conductivity simulation; "HCFlag=0 & k>1 & DWk-1>0 or k=1" indicates that the hydraulic conductivity simulation is turned off and there is water drain to kth layer from above layer or from soil surface. To avoid the DW array out of boundary, the k>1 condition is added.
FourDrainPerDayFlag=0 for the layers which does not watered or the layers which are watered on the bases of the 24 hours draining assumption.　 		1
soil layer Historical UnShaded Soil Layer Temperature Equation "unshadedSoilTemp"

An annual temperature variations in soil are represented by an analytic solution of a partial differential equation of a one dimensional conservation of heat and heat transfer. It is a damping sinusoidal function. The damping depth is from Neitsch, S.L.,2002.

The layerSoilTempAvg is our depth modification version for the traditionally used non-depth dependent yearly average soil temperature. The constant data of non-depth dependent yearly average soil temperature and The AmpAnnual is obtained from Fawn online. The modification is based on the experimental data from DuCharme, E.P. 1971.

The miniTampTimeLag is the date of the coldest day of a year, expressed by Julian day.

1
soil layer | Hydraulic Conductivity fitting parameter m Equation | "HCPm" | Parameter in the Hydraulic conductivity calculation based on Fares, et al, 2000. | 1
soil layer | Hydraulic Conductivity Function of Water Content | "KThets(WC)" | The unsaturated hydraulic conductivity as the function of water content based on Fares, et al, 2000. Since the Ktheta will blow up if WC is large than SWC, we set it no larger than Ks/2 based on Bouwer, H., 1966. | 1
soil layer Hydraulic Conductivity Wetting Front Speed Equation "HCWFSP" The wetting front speed for kth layer is the wetting front speed when the wetting front is at the bottom of (k-1)th layer and top of kth layer. Wetting front speed indicates how fast the water flow brings the dry soil to FCWC. The calculation is based on equation 4 in Charbeneau, Randall J., 1989. For k=1, the layer k-1 is invalid, the WFWCk=0 =SWC is assumed.
Here WFWCcond is WFWCk-1 except first layer. When WFWCk-1=WCk, the denominator of the equation expression equals zero. This case may happened if (k-1)th layer and kth layer are not watered on the tth day and we set HCWFSP=0. The condition of NL>0 is required by the WFWC.
WFWC should not be large than saturated water content. Otherwise, the KTheta will be infinity. 　 		1
soil profile Infiltration Maximum Depth Equation "InfMaxDep"

It is assumed that there is a sharp wetting front for infiltration water and that the soil above the wetting front is saturated. Therefore, the maximum infiltration depth is equal to the total water infiltrating the soil, divided by (SWC-WC). The problem is that SWC and WC are the functions of the layer index. To simplify this problem, SWC(k=1) is used and the WC is replaced by the average water content, which is the total water to the assumed infiltration depth (PWTCD) divided by its volume.

Here it is assumed that runoff will not occur, since the rainfall intensity is usually less than the saturated hydraulic conductivity.

Reference: Mein, R.G. et al., 1973.

1
soil profile Infiltration Rate Equation "InfRate"

For many rainfall events, there is an initial period during which all the rainfall infiltrates into the soil. During this time, as water infiltrates, the capacity of the soil to absorb water decreases until it becomes less than the rainfall intensity (i.e. pounding/runoff occurs). Here it is assumed that runoff will not occur, since the rainfall intensity is usually smaller than saturated hydraulic conductivity. Therefore, the infiltration rate is equal to the rainfall intensity or irrigation intensity. If rain amount is larger than the irrigation amount in same day, rain intensity is used, otherwise irrigation intensity.

Reference: Mein, R.G. et al., 1973.

1
soil layer Infiltration Wetting Front Speed Equation "InfWFSP"

Infiltration water wetting front speed for a specific layer is equal to Infiltration Rate divided by (SWC-WC). It is assumed that there is a sharp wetting front for infiltration water and the soil above the wetting front is saturated. SWC-WC is the water content increase provided by the infiltration water. "InfRate" is the rate of infiltration water movement on per hour bases.

Reference: Mein, R.G. et al., 1973.

1
irrigation system | Irrigated Area Calculation | "IA" | Calculates amount of area irrigated by a single emitter. If wetted diameter is greater than in-row distance, then area is just cell area times the spray pattern. Otherwise it is the area of the circle wetted by the emitter times the spray pattern. NOTE: if wetted diameter > in-row distance, isn't there overlap from neighboring emitters? Then some areas get irrigated twice, but this is not included in the calculation. This may be a good assumption if the amount of overlap is small. NOTE: It is assumed that the in-row distance is less than the between-row distance. | 0
soil profile | Irrigated Profile Radius Matrix | "IPR" | Radius of outer boundary for the ring/circle of irrigated profile. This 1x 4 matrix represents the radius for four irrigated profiles at most. If the boundary of the wetted area is smaller than the 1st root section, there is only one irrigated profile which is half of the wetted diameter. In this case the radius of the 2nd, 3rd and 4th irrigated profiles are set as zero. | 1
soil cell | Irrigated Area Depletion Calculation | "IRZD(IrrDep)" | IRZD is the average of available water depletion over each layer and each profile in irrigated area. Where PWFCCD(irrDep) is the profile water amount at field capacity to irrigation depth; PWPWPCD(irrDep) is the profile water amount at permanent wilting point to irrigation depth; PWTCD(irrDep) is the profile water amount to irrigation depth; NIP is the total number of profiles in irrigated area. IRZD(irrDep) and IRZD(spDep) are used in the daily irrigation schedule report table. | 1
soil cell | Irrigated Zone Ammonium Leaching at Irr Depth Equation | "IZLAAID" | NH4-N leached at the irrigation depth in the irrigated area. This is used for report | 1
soil cell | Irrigated Zone Ammonium Leaching Equation | "IZLAA" | NH4-N leach at the depth of the maximum simulation depth in irrigation zone. This is used for report. | 1
soil cell Irrigated Zone Nitrate Leaching at Irr Depth Equation
"IZLNAID" 		NO3-N leached at the irrigation depth in the irrigated area. This is used for report. 1
soil cell | Irrigated Zone Nitrate Leaching Equation | "IZLNA" | NO3-N leach at the depth of the maximum simulation depth in irrigation zone. This is used for report. | 1
soil cell | Irrigated Zone Water Leaching at Irr Depth Equation | "IZLWAID" | Water leached at the irrigation depth in the irrigated area. This is used for report. | 1
soil cell | Irrigated Zone Water Leaching Equation | "IZLWA" | Water leached at the depth of the model maximum depth in the irrigated area. This is used for report. | 1
irrigation system | Irrigation Amount as a Function of Duration | "IAM(IDur)" | A function used for converting the irrigation duration of running the irrigation pumps in minutes to the irrigation amount in centimeters. Where EFR is emitter flow rate in liters per hour, IE is the irrigation efficiency in percentage, and IA is irrigation area. | 0
irrigation system Irrigation Duration Calculation "DUR" Calculated irrigation duration for prediction is the time need to run the irrigation system. It is equal to the volume of water needed in the irrigated area down to the irrigation depth divided by the volume emitted per unit time and irrigation efficiency. Kelly Morgan created this equation from soil water holding.
The irrigation time should be DURt in minutes, if irrigation on day tth, no matter whether the day tth is on the day meeting the predicted interval.
Reference: Equation from soil water holding from Morgan Kelly.　 		0
irrigation system Irrigation Duration Equation as Water Input "IDur" The data of irrigation duration is from database or from predicted irrigation duration dependent upon duration source flag setting. If predict irrigation duration is set, this equation will check if water content below the allowed depletion up to the set point depth. As soon as the soil dries out below the allowed depletion within the set point depth for any layer of any profile, the calculated DUR is used as irrigation duration. Otherwise, the irrigation is not necessary. This is based on an interpretation of IFAS irrigation recommendation provided by Kelly Morgan.

Before the simulation editor sets the project flag, database class takes this job for now. If the value of IDURDB from database class is equal to the PredictIrrFlag = -9999.0 the calculated DUR is used as irrigation duration.

1
irrigation system | Irrigation Intensity Equation | "IrrIntensity" | Calculates irrigation amount per unit irrigated area per hour in cm/hr. Where EFR is emitter flow rate in Liter per hour, IE is irrigation efficiency, IA is irrigation area. | 1
soil layer | Layer Average Soil Temperature Equation | "layerSoilTempAvg" | The popularly used analytic solution of the differential equation of conservation of heat and heat transfer assumed that the yearly average soil temperature is constant and does not dependent upon the soil depth, that does not agree with the experimental results. Here the yearly averaged soil temperature is adjusted by multiplying its depth factor which is obtained from the graph of Neitsch, S.L., 2002. | 1
soil layer Layer Daily Average Water Content Equation "dailyWCavg"

If there is rain or irrigation, the water content will be changed in the afternoon. For the layer which has 12-hour water drain, it is assumed that water content equals WC at 0:00-12:00 and FCWC at 12:00-24:00. For the layer which has 24-hour water drain (e.g. continue yesterday drain), it is assumed that water content equals FCWC for the whole day. The SWC is neglected in the daily average water content since the soil in some layers may stay in the saturated situation at most 6 hours before the water draining finishs.

If some parameters are soil water content-dependent, the dailyWCavg may be used.

1
soil layer Layer Daily Damping Depth Equation "dd"

The parameter in the historical soil temperature equation with a damping sinusoidal function.

This expression is obtained from Neitsch, S.L., 2002.

1
soil layer | Layer Damping Depth Scaling Factor Equation | "wcScallingFactor" | The parameter in damping depth equation, obtained from Neitsch, S.L., 2002. | 1
soil layer | Layer Dry Flag Equation | "layerDryFlag" | Represents if a specific layer is too dry and needs irrigation. Value of one means that its water contents is below the allowed depletion and is considered as dry soil which needs irrigation.
soil profile | Layer Depth at Specific Layer Equation | "LDof(jj)" | LD(k=jj) . This equation is introduced to meet the need of code generator in equation editor. | 1
soil layer | Layer Depth Equation | "LD" | Layer depth is measured from the surface of the soil to the top of current soil layer. The 1st case use the 1st row of LThickRangeArr. If (k-1) th layer is in the 1st layer thickness range, only 1st case contributes to the sum. If (k-1)th layer is in the 2nd layer thickness range, 2nd case (when ii=1) and 3rd (when ii=2) case contribute to the sum. If (k-1)th layer is in the 3rd layer thickness range, 2nd case (when ii=2) and 3rd (when ii=3) case contribute to the sum. 　 | 1
soil layer Layer Drained NH4 by Tipping Bucket Equation "LDNH4NTP" The daily total NH4-N leached through a unit area of the bottom of kth layer. DW/(WI+WC*LT) is the portion of water drained, and LDNH4NTP/(NH4NC*LT+NH4NIn) is the portion of NH4-N drained. Dimensionless parameter "NH4SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. NH4 in soil solution is exchanged with cations adsorbed onto negative charged clay mineral or humus surface and therefore, the NH4 leaching is retarded.
If the "FourDrainPerDayFlag" is turned on, the irrigation, water of prior/during fertigation, water following fertigation and rain are calculated separately. 		1
soil layer Layer Drained NH4 Drain Stage A Equation "LDNH4ND1" The NH4-N leached through a unit area of the bottom of this layer with drain water of irrigation (or continue yesterday unfinished drain). DWD1/(WID1+WC*LT) is the portion of water drained, and LDNH4ND1/(NH4NC*LT+NH4NInD1) is the portion of NH4N drained. Dimensionless parameter "NH4SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Layer Drained NH4 Drain Stage B Equation "LDNH4ND2" The NH4-N leached through a unit area of the bottom of this layer with drain water from prior to and during N application. DWD2/(WID2+WCD1*LT) is the portion of water drained, and LDNH4ND2/(NH4NC1D1*LT+NH4NInD2) is the portion of NH4-N drained. Dimensionless parameter "NH4SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Layer Drained NH4 Drain Stage C Equation "LDNH4ND3" The NH4-N leached through a unit area of the bottom of this layer when flowing with the water following N application. DWD3/(WID3+WCD2*LT) is the portion of water drained, and LDNH4ND3/(NH4NC1D2*LT+NH4NInD3) is the portion of NH4-N drained. Dimensionless parameter "NH4SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport.
This equation is calculated when the "FourDrainPerDayFlag" is turned on.　 		1
soil layer Layer Drained NH4 Drain Stage D Equation "LDNH4ND4" The NH4-N leached through a unit area of the bottom of this layer with drain water of rain. DWD4/(WID4+WCD3*LT) is the portion of water drained, and LDNH4ND4/(NH4NC1D3*LT+NH4NInD14 is the portion of NH4-N drained. Dimensionless parameter "NH4SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Layer Drained NO3 by Tipping Bucket equation "LDNO3NTP" The daily total NO3-N leached through a unit area of the bottom of kth layer. DW/(WI+WC*LT) is the portion of water drained, and LDNO3NTP/(NO3NC*LT+NO3NIn) is the portion of NO3-N drained. Dimensionless parameter "NO3SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport. Nitrate is the most mobile form of N because of the high solubility and negative charge.
If the "FourDrainPerDayFlag" is turned on, the irrigation, water of prior/during fertigation, water following fertigation and rain are calculated separately. 		1
soil layer Layer Drained NO3 Drain Stage A Equation "LDNO3ND1" The NO3-N leached through a unit area of the bottom of this layer with drain water of irrigation (or continue yesterday unfinished drain). DWD1/(WID1+WC*LT) is the portion of water drained, and LDNO3ND1/(NO3NC*LT+NO3NInD1) is the portion of NO3-N drained. Dimensionless parameter "NO3SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Layer Drained NO3 Drain Stage B Equation "LDNO3ND2" The NO3-N leached through a unit area of the bottom of this layer with drain water from prior to and during N application. DWD2/(WID2+WCD1*LT) is the portion of water drained, and LDNO3ND2/(NO3NC1D1*LT+NO3NInD2) is the portion of NO3-N drained. Dimensionless parameter "NO3SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Layer Drained NO3 Drain Stage C Equation "LDNO3ND3" The NO3-N leached through a unit area of the bottom of this layer when flowing with the water following N application. DWD3/(WID3+WCD2*LT) is the portion of water drained, and LDNO3ND3/(NO3NC1D2*LT+NO3NInD3) is the portion of NO3-N drained. Dimensionless parameter "NO3SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport.
This equation is calculated when the "FourDrainPerDayFlag" is turned on.　 		1
soil layer Layer Drained NO3 Drain Stage D Equation "LDNO3ND4" The NO3-N leached through a unit area of the bottom of this layer with drain water of rain. DWD4/(WID4+WCD3*LT) is the portion of water drained, and LDNO3ND4/(NO3NC1D3*LT+NO3NInD14 is the portion of NO3-N drained. Dimensionless parameter "NO3SolubleRate" with a value less than one characterizes the retarding effect of adsorption on solute transport.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer | Layer Drained Water by Water Input Drain Stage A Equation | "DWD1" | Layer drain water due to irrigation (or continue yesterday unfinished drain) after 12:00pm. This equation is calculated when 4 drains per day flag is turned on. | 1
soil layer | Layer Drained Water by Water Input Drain Stage B Equation | "DWD2" | Layer drain water from prior to and during N application after 12:00pm. This equation is calculated when 4 drains per day flag is turned on. | 1
soil layer | Layer Drained Water by Water Input Drain Stage C Equation | "DWD3" | Layer drain water of after N application after 12:00pm. This equation is calculated when 4 drains per day flag is turned on. | 1
soil layer | Layer Drained Water by Water Input Drain Stage D Equation | "DWD4" | Layer drain water of rain after 12:00pm. This equation is calculated when 4 drains per day flag is turned on. | 1
soil layer Layer Drained Water by Water Input with Nitrogen Equation "DW" Daily total water drained through a unit area of the bottom of kth layer on tth day with tipping bucket model without runoff. If FourDrainPerDayFlag is turned on, the drain for irrigation, water from prior and during N appligation, water following N application and rain are calculated separately then sum together.

Click here to see the diagram for the WC and WCneg calculations.

1
soil layer | Layer Dry Flag Equation | "layerDryFlag" | Represents if a specific layer is too dry and needs irrigation. value of one means its water contents is below the allowed depletion. | 1
soil layer | Layer Maximum Damping Depth Equation | "ddMax" | The parameter in damping depth equation obtained from Neitsch, S.L., 2002. | 1
soil layer Layer Root Density Equation "LRD(ii,jj)" Root densities are represented by the root density layers (1-10), instead of simulation layers. Layer Root Density Equation represents the root density for a given root section index ii and a given simulation layer index jj. LRD has indexes i, j, k, and argument ii, jj in the Java codes, but actually, i, j, k are not used.
RD is the root density matrix. The first index of RD subscript is the root density layer index, and the second index of RD subscript is the root section index. 		1
soil layer Layer Soil Temperature Equation "soilTemp" Historical shade adjusted soil temperature as the function of depth and date in a year.

Where the shadeAreaRatio is the ratio of the shade area to the total area within the profile. The shadedSoilTempAdjustFactor is obtained from DuCharme, E.P. 1971.

1
soil layer | Layer Thickness Equation | "LT" | Layer thickness is obtained from Layer Thickness Range Array. 1st case of this equation uses the 1st row of the LThickRangeArr array. Other cases use the rows other than 1st row in the array. For given layer index k, there is only one case that contributes to the sum. | 1
block Layer Thickness Range Array "LThickRangeArr"

A developer defined LThickArrLeng * 3 matrix. Row index is the layer range index which is ascending from top to bottom.

1st column is Tipping Bucket model layer thickness for each range

2nd column is number of layers for each range

3rd column is aggregated number of layers from soil surface to the last layer of each range. Developer may change the data in the matrix according to their needs. If the number of rows changed, the LThickArrLeng has to have corresponding row number change.

1
block Layer Thickness Range Array 2 "LThickRangeArr2" An additional example of LThickRangeArr with constant layer thickness.

This Layer thickness definition requires LThickArrLeng=1.

For this definition to be used, the symbol name LThickRangeArr2 has to be renamed as LThickRangeArr

1
irrigation system | N Apply Elapse Equation | "NApplyElapse" | This equation counts how many days elapsed since volatilization starts. If the volatilization starts today, the NApplyElapse is counted as a half day. After then, each day is counted as one day. | 1
soil profile | N App Rate Factor of beta Equation | "betaNAppRateFactor" | The betaNappRateFactor represents the N Application rate factor of beta. This equation is obtained by data manipulation, based on Mattos, et al. 2003. It is normalized to one when VOLPNH4NIn=0.0015g/cm2, satisfies beta=3.66 when VOLPNH4NIn=1.125mg/cm2 and beta=4.9463 VOLPNH4NIn=3.375mg/cm2. Where VOLPNH4NIn is the application rate on the fertilizer day. (Z.L.He, et al., 1999) | 1
soil profile | N App Rate Factor of qm Equation | "qmNAppRateFactor" | The qmNappRateFactor represents the N Application rate factor of qm. This equation is obtained by data manipulation, based on Mattos, et al. 2003. It is normalized to one when VOLPNH4NIn=1500μg/cm2, qm1/qm2=20.8/17.6 when VOLPNH4NIn1=1125μg/cm2 and VOLPNH4NIn2=3375μg/cm2. Where VOLPNH4NIn is application rate on the fertilizer day. (Z.L.He, et al., 1999) | 1
soil layer | Nitrate Active Uptake Equation | "NO3NUA" | Soil concentration of nitrate nitrogen (in μg of NO3-N/cm3 of soil/day) taken up per day by the tree root in a layer through active mechanism is the average of the morning-active-uptake and the afternoon-active-uptake. It equals Michaelis-Menten equation multiplied by the layer root length (rl). Where NO3NUVmax is the maximum uptake; NO3NUKm is the half-saturation constants for nitrate uptake; the rl is the root length in the layer; NO3NC is the nitrate soil concentration in μg of NO3-N /cm3 of soil. | 1
soil layer | Nitrate CEC Factor Equation | "NO3CECFactor" | Cation exchange capacity factor of nitrate adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at CEC=5.05. Our modification is to make this factor normalized to one at CEC=5.05. | 1
soil layer | Nitrate Clay Factor Equation | "NO3ClayFactor" | Soil clay factor of nitrate adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at ClayPct=27.5. Our modification is to make this factor normalized to one at ClayPct=27.5. | 1
soil layer Nitrate Input Drain Stage A Equation "NO3NInD1" The amount of nitrate nitrogen inputted through a unit area of above layer if k>1 or soil surface if k=1. The water source is current day's irrigation water or yesterday's unfinished drain water. It equals the NO3-N leached from the above layer, excepting the top layer. For the top layer, it is the un-drained dry fertilizer from the previous day.

This equation is calculated when the "FourDrainPerDayFlag" is turned on.

1
soil layer Nitrate Input Drain Stage B Equation "NO3NInD2" The amount of nitrate nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1. The source of the water is from prior to or during N applications. It equals the NO3-N leached from the above layer, excepting the top layer. For the top layer, it equals the un-drained dry fertilizer from the previous day plus the N application on the current day if there is no scheduled irrigation; it equals the fertilizer on the current day if there is scheduled irrigation to drain down all of the fertilizer applied on the previous day.

This equation is calculated when the "FourDrainPerDayFlag" is turned on.

1
soil layer Nitrate Input Drain Stage C Equation "NO3NInD3" The amount of nitrate nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1. The source of the water is following N applications. It equals the NO3-N leached from the above layer, excepting the top layer. For the top layer, it equals the un-drained dry fertilizer from the previous day plus the un-drained dry fertilizer applied on the current day if there is neither irrigation nor water applied prior to the N application on the current day; it equals the un-drained fertilizer applied on the current day if the fertilizer from the previous day has been drained.

This equation is calculated when the "FourDrainPerDayFlag" is turned on.

1
soil layer Nitrate Input Drain Stage D Equation "NO3NInD4" The amount of nitrate-N per unit soil volume after flow with the water following N application. If WID3>0, the NO3NInD3 will flow to this layer and LDNO3ND3 will leach out. Otherwise the nitrate nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NO3NC1D2 represents the NO3-N concentration before this drain process and NO3NC1D3 represents the NO3-N concentration after this drain process.
This equation is calculated when the "FourDrainPerDayFlag" is turned on.
soil layer Nitrate Input Equation "NO3NIn" The amount of nitrate nitrogen inputted through a unit area of the above layer if k>1 or soil surface if k=1, to the kth layer with water input WI.

This equation is only to be called when the "FourDrainPerDayFlag" is turned off.

11
soil layer | Nitrate Passive Uptake Equation | "NO3NUP" | Soil concentration of nitrate nitrogen (in μg of NO3-N/cm3 of soil/day) taken up per day by tree root in a layer through water is the average of the morning-passive-uptake and the afternoon-passive-uptake that are determined by layer ks & kc adjusted evapotranspiration. | 1
irrigation system | Nitrate Percentage | "NO3NPct" | Percentage portion of the NO3-N among the amount of ammonium nitrate fertilizer in weight. The data are given by the program for pure fertilizer. The user entered data are obtained from the database for the commercial mixed ammonium nitrate.
soil layer | Nitrate pH Factor Equation | "NO3pHFactor" | Soil pH factor of nitrate adsorption coefficient is calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at SoilpH=5.3. Our modification is to make this factor normalized to one at SoilpH=5.3. | 1
soil layer Nitrate Soil Content at Phase A Drain Stage A Equation "NO3NC1D1" The amount of nitrate-N per unit soil volume after flow with irrigation water or yesterday's unfinished drain water. If WID1>0, the NO3NInD1 will flow to this layer and LDNO3ND1 will leach out. Otherwise the nitrate nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NO3NC represents the NO3-N concentration before the drain process and NO3NC1D1 represents the NO3-N concentration after the drain process.

This equation is calculated when the "FourDrainPerDayFlag" is turned on.

1
soil layer Nitrate Soil Content at Phase A Drain Stage B Equation "NO3NC1D2" The amount of nitrate-N per unit soil volume after flow with the water from prior to and during N application. If WID2>0, the NO3NInD2 will flow to this layer and LDNO3ND2 will leach out. Otherwise the nitrate nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NO3NC1D1 represents the NO3-N concentration before this drain process and NO3NC1D2 represents the NO3-N concentration after this drain process.

This equation is calculated when the "FourDrainPerDayFlag" is turned on.

1
soil layer Nitrate Soil Content at Phase A Drain Stage C Equation "NO3NC1D3" The amount of nitrate-N per unit soil volume after flow with the water following N application. If WID3>0, the NO3NInD3 will flow to this layer and LDNO3ND3 will leach out. Otherwise the nitrate nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NO3NC1D2 represents the NO3-N concentration before this drain process and NO3NC1D3 represents the NO3-N concentration after this drain process.
This equation is calculated when the "FourDrainPerDayFlag" is turned on. 		1
soil layer Nitrate Soil Content at Phase A Drain Stage D Equation "NO3NC1D4" The amount of nitrate-N per unit soil volume after flow with the rain water. If WID4>0, the NO3NInD4 will flow to this layer and LDNO3ND4 will leach out. Otherwise the nitrate nitrogen concentration will stay unchanged in the nitrogen drain simulation. Here NO3NC1D3 represents the NO3-N concentration before this drain process and NO3NC1D4 represents the NO3-N concentration after this drain process.

This equation is calculated when the "FourDrainPerDayFlag" is turned on.

1
soil layer | Nitrate Soil Content at Phase A Equation | "NO3NC1" | NO3-N soil concentration after drain with the irrigation water, water with N application and rainfall on tth day. If "FourDrainPerDayFlag" is turned on, NO3NC1 is the same as NO3NC1D4 which is the NO3-N concentration after four drains. Otherwise, the four drains are treated as one drain. If WI>0, the NO3NIn will flow to this layer and LDNO3NTP will leach out; otherwise, the nitrate nitrogen concentration will stay unchanged in the nitrogen drain simulation. NO3NC represents the NO3-N concentration before the drain process. | 1
soil layer | Nitrate Soil Content at Phase B Equation | "NO3NC2" | NO3-N soil concentration after NO3-N uptake on tth day. The NO3NU is deducted from NO3NC1 and the resulting NO3-N concentration is denoted as NO3NC2. | 1
soil layer | Nitrate Soil Content at Phase C Equation | "NO3NC3" | NO3-N soil concentration after nitrification on tth day. Nitrification is a process of converting ammonium to nitrate. The converted NO3-N is added to the NO3NC2 and the resulting NO3-N concentration is NO3NC3. | 1
soil layer Nitrate Soil Content Equation "NO3NC" Amount of nitrate-N per unit soil volume in the layer at 0:00am on tth day, is obtained from subtracting yesterday's nitrate-N denitrification amount from the nitrate-N amount after nitrification on (t-1)th day.

The initial value for the NO3-N concentration is assumed that NH4-N concentration decreases as soil depth increases, since top layers have more newly applied NO3 which have not drained to the deep layer; whereas it is also assumed that NH4-N concentration increases as soil depth increases for the deep layers since nitrate has a soluble rate of nearly one and the old applied NO3 have gone to the deep layer. The initial value is from the modification of the data manipulate based on the reference Neitsch, S.L., 2002.

1
soil layer Nitrate Soil Content in Percentage Equation "NO3NCpct" The portion of nitrate in soil by weight. Where NO3NC is in µg of NO3-N/cm^3 of soil and bulk density is in g of soil/cm^3 of soil.

Used in daily report page.

soil layer | Nitrate Soluble Rate Equation | "NO3SolubleRate" | NO3 SolubleRate is the NO3 mobility conductivity or leaching rate when NH4 move down with water. Actually, it is inversion of the retardation and it is site specific data. The equation here is based on the Eq. 3 in D. Suprayogo et al. 2002 | 1
soil layer | Nitrate Solute Content Equation | "NO3NCsolute" | The nitrate nitrogen solute concentration is equal to the nitrate soil concentration divided by the water content. | 1
soil layer | Nitrate SOM Factor Equation | "NO3SOMFactor" | Soil organic matter factor of nitrate adsorption coefficient calculated based on the regression parameters in table 4 from D. Suprayogo et al. 2002. The regression parameters in the numerator are obtained at SOMPct=2.04. Our modification is to make this factor normalized to one at SOMPct=2.04. | 1
soil layer | Nitrate Uptake Equation | "NO3NU" | Amount of nitrate per unit volume of soil taken up by the tree root equals the sum of active and passive nitrate uptakes over a day. | 1
soil layer | Nitrate Uptake Temp Factor Equation | "NO3NUTF(soilTemp)" | NO3NUTF is the temperature factor of NO3NUVmax. It is normalized at 8 oC, the condition of NO3NUVmax data used (J. M. S. Scholberg, et al., in preparation). The parameters in this equation are the average of case A and B in Fig. 6, J. M. S. Scholberg, et al., 2002. The upper limit is added by us. | 1
soil layer | Nitrification for Layer Equation | "NIT" | Nitrification amount per unit volume of soil for a layer is the amount of ammonia converted to nitrate. Where NITKm is the ammonium solute concentration at half of the maximum nitrification, NITVmax is the maximum Nitrification, NH4NC3 is the ammonium soil concentration. Temperature factor of the nitrification is include in the NITVmax. Soil pH is modified and kept at a reasonable range by the growers, so the effect of pH on nitrification is not considered for now. | 1
soil layer | Nitrification Vmax Equation | "NITVmax" | The parameter of nitrification model followed the form of Michaelis-Menten kinetics. The NITVmax represents the maximum nitrification amount per unit volume of soil per day. The temperature effect is included. It is obtained from John M. Stark, 1996. | 1
soil layer | Nitrification Water Factor Equation | "NWF" | Not used for now | 1
soil profile Non Irrigated Profile Radius Matrix "NIPR"

Radius of outer boundary for non-irrigation profile. The 1st column is for the case of spray pattern=3600, the 2nd column is for the case of spray pattern<3600.

For the profile with the boundary of the rectangular area of InRow by betweenRow, the rectangular of the tree area InRow*(betweenRow-HedgingDist) is converted to a circle with area of the same value as the rectangular area to get a radius, assumedCellBoundaryR. In this conversion, the middle way area does not count since this NIPR variable is used to measure the shadeAreaRatio.

 1
soil cell | Non-Irrigated Root Zone Depletion Calculation | "NIRZD(IrrDep)" | Non-irrigated root zone depletion calculation. Where PWTCD(ID) is the profile water amount to irrigation depth; PWPWPCD(ID) is the profile water amount at permanent wilting point to irrigation depth; PWFCCD(ID) is the profile water amount at field capacity to irrigation depth; NNIP is the total number of profiles in non-irrigated area. | 0
soil cell | Number of Irrigated Dry Fertilized Profile Equation | "NPIDF" | The profiles (i-=2) for which the irrigation, fertigation and dry fertilizer can be applied.
soilcell Number of Irrigated Non Dry Fertilized Profile Equation "NPINDF"
           The profiles (i=4) for which the irrigation, fertigation can be applied, but dry fertilizer will not be applied. It is middle way area.
soilcell | Number of Non Irrigated Dry Fertilized Profile Equation | "NPNIDF" | The profiles (i=1) for which the irrigation, fertigation can not be reached, but dry fertilizer will be applied.
soil cell | Number of Irrigated Profile equation | "NIP" | Number of irrigated profiles. Where WD is the wetted diameter, RZR is the root section radius. | 0
soil profile | Number of Layers Equation | "NL" | The total number of layers for the simulation. The value is equal to the element of LThickRangeArr in last row of the 3rd column. | 1
soil cell | Number of Non-irrigated Profiles equation | "NNIP" | Number of non-irrigated profiles. Where NIP is the number of irrigated profiles, SpP is the spray pattern and WD is the wetted diameter. | 0
soil cell | Number of Profiles equation | "TNP" | Number of profile equals the greater of the number of irrigated profile and number of non-irrigated profile. It is used for array length. | 0
block | Number of Trees Per Block Equation | "TreesPerBlock" | The number of trees per block is equal to the block size in square centimeters divided by the cell area. | 1
block | Number of Trees Per Hectare Equation | "TreesPerHectare" | The number of trees per hectare is equal to one hectare divided by the cell area. | 1
Cell | Overlap Between Row Arc Area EQUATION | "OverlapBRArcArea" | Click here to see the diagram.
Cell | Overlap Between Row Arc Half Angle EQUATION | "OverlapBRArcAngle" | Click here to see the diagram. "OverlapBRArcAngle" is [image] of the picture
Cell | Overlap In Row Arc Area EQUATION | "OverlapIRArcArea" | Similar derivation as "OverlapBRArcArea"
Cell | Overlap In Row Arc Half Angle EQUATION | "OverlapIRArcAngle" | Similar derivation as "OverlapBRArcAngle"
soil layer | Permanent Wilting Point Calculation | "PWP" | Calculates the amount of water in the layer at the permanent wilting point concentration. Where PWPWC is the water content at the permanent wilting point, LV is the layer volume. | 0
soil profile | Profile Ammonium Input Equation | "PH4NIN" | The amount of ammonium nitrogen inputted on a unit area of the soil surface on tth day for a specific profile. The "prePNH4NIN" is the amount of ammonium nitrogen in dry ammonium nitrate applied on a unit area of the soil surface on the previous day and that has stayed on the soil surface until tth day. It is counted as today's fertilizer application since there was no water to make this ammonium nitrogen drain to the soil. The "tdNH4NIN" is the amount of the ammonium nitrogen inputted on a unit area of the soil on current day. | 1
soil profile | Profile Ammonium Input of Previous No water Input Day Equation | "prePH4NIN" | The "prePNH4NIN" is the amount of ammonium nitrogen in dry ammonium nitrate applied on a unit area of the soil surface on the previous day and that has stayed on the soil surface until tth day. It is counted as today's fertilizer application since there was no water to make this ammonium nitrogen drain to the soil. First case is for the application applied on yesterday, whereas the second case is for the application applied prior yesterday. The conditions of t are used in order to avoid the array index becoming negative. | 1
soil profile | Profile Ammonium Input of Today Equation | "tdPH4NIN" | The amount of ammonium nitrogen inputted on a unit area of the soil on current day for a specific profile. The "NAppAmountPer" divided by treePer is the application amount per tree in kg. Both NAppAmountPer and treePer refer to per hectare if HectareBlockFlag=perHectare, or per block if HectareBlockFlag=perBlock. NH4NPct is the percentage of NH4-N amount among the ammonium nitrate application amount. The symbol allocation is an array with index i. It represents the percentage portion of the application in a unit of irrigated area (or a unit of non-irrigated area). If the application is dry fertilizer, the NAppAmountPer amount is in kg of NH4NO3/hectare or kg of NH4NO3/block. If the application is fertigation, the NAppAmountPer amount is in liter of NH4NO3/hectare or liter of NH4NO3/block and the liter is converted to kg by using the solution density in kg of N/liter of water. | 1
soil profile | Profile Area Equation | "PA" | The profile area represents non-irrigated and dry-fertilized area (PANIDF) if i=1; irrigated and dry-fertilized area (PAIDF) if i=2; non-irrigated and non-dry-fertilized area if i=3 (PANINDF); irrigated and non-dry-fertilized area (PAINDF) if i=4. All of the irrigated area are fertigation applied area. dry-fertilized area means that the dry-fertilizer applied area. SpP represents the degree of spray pattern. The first column of PANIDF represents the 3600 spray pattern; the second column of PANIDF represents the spray pattern less than 3600. | 1
SoilProfile Profile Area of Irrigated Dry Fertilized Matrix "PAIDF" Profile Area for Irrigated Dry Fertilized Matrix

SoilProfile | Profile Area of Irrigated Non Dry Fertilized EQUATION | "PAINDF" | Profile Area for Irrigated Non Dry Fertilized
SoilProfile | Profile Area of Non Irrigated Dry Fertilized Matrix | "PANIDF" | Profile Area for Non Irrigated Dry Fertilized Matrix
SoilProfile | Profile Area of Non Irrigated Non Dry Fertilized EQUATION | "PANINDF" | Profile Area of Non Irrigated Non Dry Fertilized
soil profile | Profile Average Soil Coefficient Equation | "PKsAvg" | The average soil coefficient for a specific profile | 1
soil profile | Profile Dry Flag Equation | "profileDryFlag" | Number of layers for which the water contents are below the allowed depletion in a specific profile within set-point depth. It is the sum of layerDryFlag over the layers within set-point depth in the irrigated area. Where LDof(k)=LD(k=jj) is the depth of the kth layer measured from the surface of the soil to the top of current soil layer. A layer will be counted if partial of the layer is within the set-point depth. .
soil profile Profile Irrigated Area Matrix "IPA" Matrix of profiles areas for irrigated areas is a one column matrix. The ith row of the matrix means the ith profile for the irrigated area of the cell. The profile areas are based on the root sections within wetted areas. The first element is the wetted area if the wetted diameter is smaller than the 1st root section's radius; otherwise it is the 1st root section area. The second element is zero if the wetted diameter is smaller than the 1st root section's radius; it is the wetted area minus the 1st zone area if the wetted diameter is smaller than the 2nd root section's radius and larger than the 1st root section's radius; otherwise, it is the area of the ring of the 2nd root section. The other elements are calculated in a similar way. SsP is the spray pattern, WD is the wetted diameter, RZR is the root section radius, Pi is constant 3.14159265.
This equation requires WD<InRow for non-overlap cases. 		0
soil profile | Profile Leaching Ammonium Amount at Irr Depth Equation | "PLAAID" | The amount of the ammonium nitrogen leached below the irrigation depth over a specific profile area after daily nitrogen drain. Includes part of the layer that crosses the irrigation depth. | 1
soil profile | Profile Leaching Ammonium Amount Equation | "PLAA" | The amount of the ammonium nitrogen leached below the simulation depth over a specific profile area after daily nitrogen drain. | 1
soil profile | Profile Leaching Nitrate Amount at Irr Depth Equation | "PLNAID" | The amount of the nitrate nitrogen leached below the irrigation depth over a specific profile area after daily nitrogen drain. Includes part of the layer that crosses the irrigation depth. | 1
soil profile | Profile Leaching Nitrate Amount Equation | "PLNA" | The amount of the nitrate nitrogen leached below the simulation depth over a specific profile area after daily nitrogen drain. | 1
soil profile | Profile Leaching Water Amount at Irr Depth Equation | "PLWAID" | The amount of water leached below the irrigation depth over a specific profile area after daily water drain. Includes part of the layer that crosses the irrigation depth. | 1
soil profile | Profile Leaching Water Amount Equation | "PLWA" | The amount of water leached below the simulation depth over a specific profile area after daily water drain. | 1
soil profile | Profile Nitrate Input Equation | "PNO3NIN" | The amount of nitrate nitrogen inputted on a unit area of the soil surface on tth day for a specific profile. The "prePNO3NIN" is the amount of nitrate nitrogen in dry ammonium nitrate applied on a unit area of the soil surface on the previous day and that has stayed on the soil surface until tth day. It is counted as today's fertilizer application since there was no water to make this ammonium nitrogen drain to the soil. The "tdNO3NIN" is the amount of the ammonium nitrogen inputted on a unit area of the soil on current day. | 1
soil profile | Profile Nitrate Input of Previous No water Input Day Equation | "prePNO3NIN" | The "prePNO3NIN" is the amount of nitrate nitrogen in dry ammonium nitrogen applied on a unit area of the soil surface on the previous day and that has stayed on the soil surface until tth day. It is counted as today's fertilizer application since there was no water to make this nitrate nitrogen drain to the soil. First case is for the application applied on yesterday, whereas the second case is for the application applied prior yesterday. The conditions of t are used in order to avoid the array index becoming negative. | 1
soil profile | Profile Nitrate Input of Today Equation | "tdPNO3NIN" | The amount of nitrate nitrogen inputted on a unit area of the soil on current day for a specific profile. The "NAppAmountPer" divided by treePer is the application amount per tree in kg. Both NAppAmountPer and treePer refer to per hectare if HectareBlockFlag=perHectare, or per block if HectareBlockFlag=perBlock. NO3NPct is the percentage of NO3-N amount among the ammonium nitrate application amount. The symbol allocation is an array with index i. It represents the percentage portion of the application in a unit of irrigated area (or a unit of non-irrigated area). If the application is dry fertilizer, the NAppAmountPer amount is in kg of NH4NO3/hectare or kg of NH4NO3/block. If the application is fertigation, the NAppAmountPer amount is in liter of NH4NO3/hectare or liter of NH4NO3/block and the liter is converted to kg by using the solution density in kg of N/liter of water. | 1
soil profile Profile Nonirrigated Area Matrix "NIPA" The matrix of the profile areas matrix for non-irrigated areas. They are based on "the areas of the ring of a root section". The first column of this matrix represents a 360 degree spray pattern, while the second column of the matrix represents the spray patterns smaller than 360 degrees. The ith row refers to the soil profile with index = i in the non-irrigated zone. WD is the wetted diameter, RZR is the root section's radius, Pi is the constant 3.14159265.
This equation requires WD<InRow for non-overlap cases. 		1
soil profile | Profile Radius Equation | "profileRadius" | Profile Radius is used to measure the shade area ratio in each profile. For the irrigated area, the profile radius is the same as the irrigated profile radius. For the non irrigated area with spray pattern=3600, the profile is the non-irrigated radius. For non irrigated area with spray pattern<3600, the profile is irrigated radius with the same j as profile index. | 1
soil profile | Profile Root Length Calculation | "PRL" | Profile root length is the sum of layer root length over all layers in the profile. | 0
soil profile Profile Shade Area Ratio Eqaution "shadeAreaRatio"

If the profile radius is smaller than the canopy radius, the shadeAreaRatio equals one.

Otherwise, there are 3 cases. The 1st case is for the 1st profile of irrigated area or non -irrigated area with spray pattern < 3600. It is the canopy area divided by the profile area. The second case is the canopy ring area divided by the profile ring area. The 3rd case is for the first profile of non-irrigated area with spray pattern=3600.

1
soil profile | Profile Volatilization Ammonium Input Equation | "VolPNH4NIN" | The ammonium nitrogen amount over a unit area applied on a most recent application day. If there is fertilizer applied on on the tth day, then VolPNH4NInt= PNH4NINt; if there is no fertilizer on the tth day, but there was fertilizer applied on earlier day, then VolPNH4NInt= VolPNH4NInt-1; If volatilization is never started, VolPNH4NIn is zero. | 1
soil profile | Profile Water amount at FC to Certain Depth Equation | "PWFCCD(IrrDep)" | Field capacity water amount at certain depth within the profile area is sum of water amount of each layers at field capacity over layer 1 to layer jj based. The water amount in each layer at field capacity is the field capacity water content times the layer volume. This is used for available water calculation in the irrigated area. | 1
soil profile Profile Water amount at PWP to Certain Depth Equation "PWPWPCD" Profile water amount at PWP (Permanent Wilting Point) at certain depth depth within the profile area is sum of water amount of each layers at PWP over layer 1 to layer jj. The water amount in each layer at PWP is the water content at PWP times the layer volume if the layer is entirely above the given depth, 0 if the layer is entirely below the given depth, and the layer water content at PWP times the layer area times the amount of the layer that is above the given depth depth if the given depth depth occurs somewhere within the layer.
This is used for available water calculation in the irrigated area. 		1
soil profile Profile Water Input At Stage A Eqaution "PWID1"

The input amount of water from the scheduled irrigation, on a unit area of soil surface in the irrigated area for a particular profile at a specific day.

1
soil profile | Profile Water Input At Stage B Eqaution | "PWID2" | The input amount of water from prior to and during N applications, on a unit area of soil surface in the irrigated area for a particular profile at a specific day. Where IAM converts the duration into the amount of water applied per unit area. | 1
soil profile | Profile Water Input At Stage C Eqaution | "PWID3" | The input amount of water inputted following the N applications, on a unit area of soil surface in the irrigated area for a particular profile at a specific day. Where IAM converts the duration into the amount of water applied per unit area. | 1
soil profile Profile Water Input At Stage D Eqaution "PWID4" The input amount of water from the shaded rainfall, on a unit area of soil surface in the irrigated area for a particular profile at a specific day.

The (1-shadedRainRatio) is the portion of the rain which is blocked in the shaded area. The shadedAreaRatio * (1-shadedRainRatio) is the portion of the rain which is blocked in the profile.

1
soil profile | Profile Water Input Equation with Nitrogen | "PWI" | Profile water inputted to the soil surface has four sources as summed items. PWID1 is for the irrigation water, PWID2 is for the water from prior to or during N applications. PWID3 is for the water following N application. PWID4 is for the water of rainfall. | 1
soil profile | Profile Water Needed to Irrigation Depth | "PWNID(IrrDep)" | The total water needed in all layers that are above the irrigation depth, including part of the layer that crosses the irrigation depth. This variable is used for predicting irrigation amount. | 0
weather | qm Equation | "qm" | The qm is the fitting parameter of the Langmuir Kintic Equation (Z.L.He, et al. 1999.) . It is obtained from the data of Mattos, D. Jr., et al., 2003 for the case of fan-off. (weather wind speed is 0.7m/s, 6 year-old-tree, 38013g of NH4-N/cm^2) | 1
weather Rain Intensity Equation "RIntensity"

The amount of rainfall falling over a unit area per unit of time in cm per hour. It is assumed that if the total rain in a day is 3 inch, the rain intensity is 1.75 inch/hour and the maximum value is 2inch/hour. It is also assumed that the rainfall intensity is proportional to the total rain in a day.

Rain intensity gives a relative figure of the severity of rainfall during a given duration of rainfall.

1
soil layer | Readily Available Water Content equation | "RAWC" | RAWC is the water content that provides readily available soil water for the root. When water content is between FCWC-RAWC and FCWC, the ks is equal to one. The value of this variable is related to the soil type. KRA (readily available coefficient) is a soil type dependent variable. | 0
root distribution | Regression Parameters for Lower Soil Layers | "RSL" | This matrix holds regression parameters for calculating root density at the four lowest root density layers. 0.8771 is the ratio of root density for 90-120 to 60-90 cm; 0.6851 is the ratio of root density for 120-150 to 60-90 cm; 0.4931 is the ratio of root density for 150-180 to 60-90 cm; 0.25 is the ratio of root density for 180-200 to 60-90 cm. | 0
soil cell | Representative Number of Trees Per Unit Equation | "treesPer" | The way to measure the number of trees on a specific unit basis. If user selects "per block" to enter the application amount per block, the "treesPer" represents the total number of trees per block. If user selects "per hectare" to enter the application rate, the "treesPer" represents the total number of trees per hectare. If user selects "per acres" to enter the application rate, the database will convert "per acre to per hectare" and the "treesPer" will represent the total number of trees per hectare.. | 1
soil cell | Preventative Amount of Nitrogen Per Unit Equation | "NAppAmountPer" | The NAppAmountPer refers to per hectare if HectareBlockFlag=perHectare, or per block if HectareBlockFlag=perBlock. If the application is dry fertilizer, the NAppAmountPer amount is in kg of NH4NO3/hectare or kg of NH4NO3/block. If the application is fertigation, the NAppAmountPer amount is in liter of NH4NO3/hectare or liter of NH4NO3/block. | 1
root distribution Root Density Matrix "RD" This matrix describes a 3-dimensional root density profile for a citrus tree. Each element in the matrix represents a particular soil cell. The root density in a cell is a function of canopy volume. The columns represent the root section (distance from the trunk of the citrus tree), and the rows correspond to root density layers at various depths.
In this particular matrix, space is divided into 3 dimensions. The horizontal dimension consists of root section index which represents the distance from the trunk of the citrus tree. There are three concentric circles centered on the trunk, columns 1, 2, and 3 of the matrix, with column one being the smallest circle around the trunk. The radius corresponding to 1, 2, and 3 are described by the root section radius matrix. The 4th section (column 4) corresponds to an area outside the third circle but within a rectangular area of dimension "between row spacing" by "within row spacing". The vertical dimension consists of 10 root density layers (rows 1-10). Row 1 is the top root density layer, and subsequent layers correspond to different depths. The starting soil layer number of each root density layer is described by the root zone layer depth matrix.
These data are obtained from our fitting/data manipulating based on Morgan K.T., T.A. Obreza, and J.M.S. Scholberg. 2006. 		0
soil layer | Root Length Calculation | "rl" | Root length, a measure of the total amount of roots in the layer, is equal to the root density times the layer volume. Where the LRD is the layer root density, its first argument is the root section index and the second argument is the simulation layer index. | 0
root distribution | Root Zone Layer Depth Matrix | "RZLD" | This matrix contains the starting depth of each root density layer. There are nine root density layers in the root density matrix. The ith root density layer starts at RZLDi and ends at RZDLi+1. The 10th root density layer starts at RZLD10 and ends at the maximum simulation depth. | 1
root distribution | Root Zone Radius Matrix | "RZR" | The horizontal dimension of the root distribution is divided into three concentric circles centered on the trunk of the citrus tree. This matrix gives the radius of each circle. | 0
cell | Saturated Hydraulic Conductivity at Top Layer Equation | "SAKtop" | SAK(i=1, j=1, k=1). This equation is introduced to meet the need of code generator in equation editor.
weather Shaded Rain Ratio Equation "shadedRainRatio"

The ratio of the rain amount which comes to the soil to the total rain is calculated. If the rain amount<=0.13cm, all of the rain is blocked by the tree. If the rain amount is between 0.13cm and 0.5 cm, 50% of the rain will come to the soil. Otherwise 64% of rain will fall on the soil.

Reference: Fares, A., et al., in preparation

1
soil layer | Shaded Soil Temperature Adjustment Factor Equation | "shadedSoilTempAdjustFactor" | The estimated values of shaded soil temperature minus un-shaded soil temperature as a function of depth and date, based on DuCharme, E.P. 1971. It is a Julian date and soil depth dependent variable. | 1
soil cell | Shade Top Soil Temperature Equation | "shadeTopSoilTemp(topSoilDailyAvg)" | Convert the weather temperature to the shaded temperature under canopy. The equation is obtained from the graph in DuCharme, E.P. 1971. | 1
weather Shade Wind Speed Equation "ShadeWS" Converts the weather wind speed in kph to shaded wind speed in m/s under canopy, based on the control case in Tanny, J., Cohen, S., 2003. Tanny's shaded wind speed is measured at the height of 2.32 m and we assumed that it is same as the shaded wind speed on the soil surface.

The canopy factor is added by Jin and Kelly. 7.8 is the canopy volume of a six year-old tree since Tanny's citrus tree is six years old.

1
soil layer | Soil Layer Index transformed from Soil Layer Depth Equation | "transK(dep)" | Converts soil depth (dep) to soil layer index. If the dep is within the 1st layer thickness range, only 1st case contribute to the sum, i.e. dep divides layer thickness, then rounded down to the next lowest integer. If the dep is larger than the 1st layer thickness range, only 2nd case contribute to the sum. | 1
soil layer | Soil Layer Volume | "LV" | The volume of a soil layer for a specific profile equaling the profile area (PA) times layer thickness (LT). | 0
soil layer Soil Series Layer Number Equation "hd_SSLI" The index denotation of the soil series layers converts the simulation layer index k into soil series layer index. Where hd_SSLI is an array with index i, j, k; ii is the soil series layer index; the SSLDii is the soil series layer depth for the soil series layer ii and measured from the soil surface to the top of this soil series layer.

Soil series layer depths are used to define the soil series properties, e.g. PWPWC, SWC, KRA, etc.

0
soil layer Soil Water Coefficient "ks" The soil coefficient is an adjust factor for evapotranspition and is a measure of how well the roots can absorb water, as a function of water concentration. In very dry soil, the roots have greater difficulty absorbing water even though the soil has moisture. WC is the water content, PWPWC is the water content at permanent wilting point, FCWC is the water content at field capacity, RAWC is the readily available water content.
Reference: Fig. 1, K. T. Morgan, et al., 2006. 		1
soil layer TB_Layer Drained Water by Water Input Equation "TBDW" Drain water for pure tipping bucket model on tth day. It is assumed that water flow drain to all possible layers freely in same day.

This variable is used for determine the wetting front speed only. Click here to see more explanation.

1
soil layer TB_Water Content Dynamics Equation with TBPWI "TBWC" It is WC from pure TippingBucket Model on tth day.

WFLflagk,t-2=floor(WFLflagk,t-2) means the wetting front is located between of kth layer and (k-1)th layer at 24:00 on (t-2)th day. WFLflagk, t-2=0 means that the kth layer is not watered on the (t-2)th day.

This variable is used for determine the wetting front speed only. Click here to see more explanation for TBWC. Click here to see more explanation for ET handling.

1
soil layer | TB_Water Content Positive Part Equation | "TBWCpos" | Water content increase due to water input in pure tipping bucket model on tth day. Click here to see more explanation. | 1
soil layer TB_Water Input to Layer Equation using WFLNflag "TBWI" Water input for pure tipping bucket model on tth day. It is assumed that water flow drain to all possible layers freely in same day. However there is limited wetting font speed on (t-1)th day and some water come from yesterday's unfinished drain.
If water is from profile water input on current day, the ET deduction is from water input.

WFLflagk,t-1=floor(WFLflagk,t-1) means the wetting front is located between of kth layer and (k-1)th layer at 24:00 on (t-1)th day. WFLflagk, t-1=0 means that the kth layer is not watered on the (t-1)th day.

This variable is used for determine the wetting front speed only. Click here to see more explanation. Click here to see more explanation for ET handling.

1
soil cell | Total Area of Irrigated Equation | "totalIrrArea" | Total irrigated area is equal to the sum of profile area over profile index of irrigated area. | 1
soil cell | Total Area of Non Irrigated Equation | "totalNonIrrArea" | Total non irrigated area is equal to the cell area minus the total irrigated area. | 1
irrigation system | Total Irrigation Water for Application Equation | "TotalIrrApp" | Total water applied with N application, including the water from prior to and during N applications as well as the water following N application. | 1
soil profile | Volatilization Eqaution | "VOLA" | The ammonium nitrogen lost per unit area on tth day is calculated from the cumulative ammonium nitrogen lost which is obtained from the Langmuir Kintic model. VOLA/LT will be subtracted from the ammonium nitrogen soil concentration at the first layer. | 1
soil layer | Volatilization Moisture Factor Equation | "VWF" | Not used | 1
irrigation system | Volatilization Start Day Flag Equation | "VolStartDayFlag" | Volatilization will start if there is fertigation of ammonium nitrate fertilizer, or there is dry ammonium nitrate fertilizer followed with any kind of water input on the soil surface. | 1
Profile | Volatilization Factor of qm Equation | "qmVTF" | Volatilization temperature factor is obtained based on the reference by S.L. Neitsch, et al., 2002. Data manipulate was made to make the normalization at temperature condition of Mottos' volatilization data. | 1
weather Volatilization Wind Speed Factor Equation "WSP" The Impact of the wind speed on cumulative volatilization.
The fan-off case of Mottos's data is qm=6.325 & beta=3.33 at weather wind speed=0.7, i.e. shaded-wind speed =0.381 m/s ( Mattos, D. Jr., et al., 2003);
the fan-on case of Mottos's data is qm=14.9 & beta=3.41 at weather wind speed=0.7 m/s plus shaded-wind speed 0.7m/s, i.e. shaded-wind speed =1.081 m/s (Mattos, D. Jr., et al., 2003)
Fillery, I.R.P., et al., 1984 reported the linear relation of wind effect. Whereas Reddy, K.R., et al., 1979. based on the data of Watkins, S.H., et al., 1972 reported the linear relation for wind effect.
The data manipulation is made to fit the data and information above. 		1
soil layer | Water Amount at a Specific Level of Depletion | "WA(d)" | not used | 0
soil layer | Water Amount at Saturation Calculation | "WAS" | The amount of water in the layer at saturation is equal to the water content at saturation (SWC) times the layer volume (LV). | 0
soil layer | Water Amount Equation | "WA" | The total amount of water in a layer is equal to the water content (WC) times layer volume (LV). | 0
soil profile | Water Amount to Certain Depth Equaton | "PWTCD" | The water amount in all layers that are above the irrigation depth. Includes part of the layer that crosses the irrigation depth. | 1
soil layer | Water Content at a Specific Level of Depletion Equation BK Sep280906 | "WC(d)" | Calculates the water content at a particular level of depletion at 0:00am on tth day. Where d is depletion, FCWC is the water content at field capacity, PWPWC is the water content at permanent wilting point. | 1
soil layer Water Content Dynamics Drain Stage A Equation "WCD1" The water content before 24:00pm in a layer due to scheduled irrigation (or continue yesterday unfinished drain) on tth day based on WCi,j,k,t at 0:00am on the same day for daily step tipping bucket model.

The water content increases through rain water input and decreases through evapotranspiration if DWD1k-1 is not enough to provide the daily ET deduction. If DWD1k-1 is enough to provide the daily ET deduction, the ET deduction will be counted in WID1 calculation.

This equation is calculated when 4 drains per day flag is turned on. FourDrainPerDayFlag equals zero and WCD1 is not called for the watered layers on the bases of the 24 hours draining assumption.

 1
soil layer Water Content Dynamics Drain Stage B Equation "WCD2" The water content before 24:00pm on tth day in a layer. The source of the water is from prior to or during N applications. The calculation is based on the water content of WCD1 on the same day for daily step Tipping Bucket model.

The water content increases through WID2 water input and decreases through evapotranspiration if DWD2k-1 is not enough to provide the daily ET deduction. If DWD2k-1 is enough to provide the daily ET deduction, the ET deduction will be counted in WID2 calculation.

This equation is calculated when 4 drains per day flag is turned on.

1
soil layer Water Content Dynamics Drain Stage C Equation "WCD3" The water content before 24:00pm on tth day in a layer. The source of the water is from prior to or during N applications. The calculation is based on the water content of WCD2 on the same day for daily step Tipping Bucket model.

The water content increases through WID3 water input and decreases through evapotranspiration if DWD3k-1 is not enough to provide the daily ET deduction. If DWD3k-1 is enough to provide the daily ET deduction, the ET deduction will be counted in WID3 calculation.

This equation is calculated when 4 drains per day flag is turned on.

1
soil layer Water Content Dynamics Drain Stage D Equation "WCD4" The water content before 24:00pm in a layer due to rainfall on tth day based on WCD3i,j,k,t at 0:00am on the same day for daily step tipping bucket model.

The water content increases through rain water input and decreases through evapotranspiration if DWD4k-1 is not enough to provide the daily ET deduction. If DWD4k-1 is enough to provide the daily ET deduction, the ET deduction will be counted in WID4 calculation.

This equation is calculated when 4 drains per day flag is turned on.

1
soil layer Water Content Dynamics with Nitrogen Input "WC" The WCi,j,k,t water content in kth layer at 0:00am on tth day based on the water content on the previous day for daily step tipping bucket model. The water content increases through water input and decreases through evapotranspiration if DW is not enough to provide the daily ET deduction. If DW is enough to provide the daily ET deduction, the ET deduction will be counted in the WI calculation. WC(dini) is the initial condition at t=0, the dini is the initial condition for depletion.

If FourDrainPerDayFlag is turned on, WC at 0:00am on tth day is equal to the Water content after 4th drain on (t-1)th day. The minimum water content is PWPWC.

Click here to see the diagram for the WC and WCneg calculations.

1
soil layer Water Content for plotting Equation using WFLNflag "WCplot" When the wetting front of soil water flow reaches the kth layer, the drain water (DW) for kth layer is not located in kth layer actually. It is distributed from first layer to kth layer. The actual value of the water content for the non-equilibrium state (WCplot) is equal to the calculated WC of equilibrium state plus this extra water due to DW distribution. (click here to see the diagram)
The water content of tipping bucket model is for the balanced water content in equilibrium state is never greater than FCWC. In contrast, for the profile of the soil water which has not reach equilibrium state, the water content (WCplot) can be a value greater than FCWC and below Saturated water content. This value can be used to plot the WC as the function of the layers. 		1
soil layer Water Content Negative Part Equation "WCneg" The amount of water in a unit volume of soil, decreased daily through kc, ks adjusted evapotranspiration at kth layer from 0:00am to 24:00pm on tth day if there is no water inputted into the surface of soil on this day. Otherwise the ks adjusted evapotranspiration will be different in the morning and afternoon. The ETLcs, i.e. the ks & kc adjusted evapotranspiration per day on the layer is based on the WC on tth day which is the water content at 0:00.

The maximum deduction due to ET is FCWC which is shown as the expression for the second condition.

The WCneg is used for the WC and WI calculation.

1
soil layer | Water Content of Drain Profile Equation | "allExtraWater" | The distribution of DW for each layer of a profile is based on Charbeneau, Randall J., 1989. This variable is used for the WCPlot calculation. In this equation, DWof(jj) is the the same as DWk=jj. The symbols DWof and LDof are introduced here since the summation from the code generator of Simulation editor can take kth layer index for DW but not jj layer index for DW. The proportion of the LD(k+1)/LDof(jj+1) is a very rough assumption, and is an easy way to estimate the extra water of (k+1)th layer from the extra water at the wetting front. | 1
soil layer Water Content Positive Part Drain Stage A Equation "WCposD1" The water content daily increases through WID1 for daily step tipping bucket model. Where WID1 is the water input from the scheduled irrigation or yesterday's unfinished drain, to the unit area of the layer; LT is the layer thickness; FCWC is the water content at the field capacity. Here it is assumed that the maximum water content is FCWC.

This equation is calculated when 4 drains per day flag is turned on.

1
soil layer Water Content Positive Part Drain Stage B Equation "WCposD2" The water content daily increases through WID2 for daily step tipping bucket model. Where WID2 is the water input from prior to and during N application, to the unit area of the layer; LT is the layer thickness; FCWC is the water content at the field capacity. Here it is assumed that the maximum water content is FCWC.

This equation is calculated when 4 drains per day flag is turned on.

soil layer Water Content Positive Part Drain Stage C Equation "WCposD3" The water content daily increases through WID3 for daily step tipping bucket model. Where WID3 is the water input following N application, to the unit area of the layer; LT is the layer thickness; FCWC is the water content at the field capacity. Here it is assumed that the maximum water content is FCWC.

This equation is calculated when 4 drains per day flag is turned on.

1
soil layer Water Content Positive Part Drain Stage D Equation "WCposD4" The water content daily increases through WID4 for daily step tipping bucket model. Where WID4 is the water input due to the rain, to the unit area of the layer; LT is the layer thickness; FCWC is the water content at the field capacity. Here it is assumed that the maximum water content is FCWC.

This equation is calculated when 4 drains per day flag is turned on.

1
soil layer Water Content Positive Part Equation "WCpos" The water content daily increases through water input at kth layer on tth day for daily step tipping bucket model. WI is water input to the unit area of the layer, LT is the layer thickness, FCWC is the water content at field capacity, WA is the water amount, fc is the water amount at field capacity, LV is the layer volume. Tipping bucket model assumes that the maximum water content is FCWC and any additional water flowing into the layer is moved to the next deeper layer of the soil profile.

This variable is used for the WC calculation.

soil layer Water Input Drain Stage A Equation "WID1" The water inputted onto a unit area of the top of a specific soil profile from irrigation/rain or yesterday's unfinished drain on the bases of the 12 hours draining assumption.

If wetting front can not reach this layer before 24:00pm due to limited hydraulic conductivity, the water input is zero.

The nowETD1 as the daily ET per unit area for this layer based on the field capacity water content, is subtracted from the drain water of the above layer, if it is available. Otherwise, it is subtracted from WCD1.

This equation is calculated when 4 drains per day flag is turned on. FourDrainPerDayFlag equals zero and WID1 is not called for the watered layers on the bases of the 24 hours draining assumption.

1
soil layer Water Input Drain Stage B Equation "WID2" The water inputted onto a unit area of the top of a specific soil profile from prior to and during the N application.

The nowETD2 as the daily ET per unit area for this layer based on the field capacity water content, is subtracted from the drain water of the above layer, if it is available. Otherwise, it is subtracted from WCD2.

This equation is calculated when 4 drains per day flag is turned on.

1
soil layer Water Input Drain Stage C Equation "WID3" The water inputted onto a unit area of the top of a specific soil profile following the N application.

The nowETD3 as the daily ET per unit area for this layer based on the field capacity water content, is subtracted from the drain water of the above layer, if it is available. Otherwise, it is subtracted from WCD3.

This equation is calculated when 4 drains per day flag is turned on.

1
soil layer Water Input Drain Stage D Equation "WID4" The water inputted onto a unit area of the top of a specific soil profile due to the rain.

The nowETD4 as the daily ET per unit area for this layer based on the field capacity water content, is subtracted from the drain water of the above layer, if it is available. Otherwise, it is subtracted from WCD4.

This equation is calculated when 4 drains per day flag is turned on.

1
soil layer Water Input to Layer with Nitrogen Equation "WI" If 4 drain per day flag is turned on, the water input due to rain and each type of irrigation are calculated separately and the total water input is the sum of each water input. Otherwise, we do not distinguish water input source and consider rain and irrigation together. Generally speaking, the water input for the first layer is the profile water input (PWI) minus the daily ET water and the water input for other layer (kth layer) is the water drain of the (k-1)th layer minus the daily ET water, if DW is large enough to provide this deduction and if the wetting front can reach this layer on tth day.

Here we assume the rain and irrigations are happened at 12:00pm and WC are changed after 12:00pm, thus the calculations of ET are different in the morning and afternoon for the watered day. For the case of 24 hours drain, the ET water deduction is based on the WC of (t-1)th day. For the case of 12 hours drain, morning ET water deduction is based on the WC of (t-1)th day, whereas afternoon ET water deduction is based on WC=FCWC. If wetting front can not reach this layer before 24:00pm due to limited hydraulic conductivity, the water input is zero. If DW is not large enough to provide the ET water deduction, ET will be deducted from WC.

Click here to see the diagram for the WC and WCneg calculations.

1
soil profile Wet Front Layer Flag Equation "WFLNflag" The WFLNflagi,j,t(jj) function are obtained from the WFTRat(jj-1) (i.e. WFTRk=jj-1) and WFLNpreflag(jj). It has a value of integer or integer-and-a-half, and is used to get the WIflag which represents the water source as the calculation condition case of WI and WC equations.

The condition of WFTRat(jj) ≠ SystemArrayInitialValue = -99999.0 means the WFSP is never called before.

The WFLNflagi,j,t is a variable in the Profile class and does not have layer index. Argument jj is a layer index.

Zero value of WFLNflag(jj) represents that jjth layer is never watered on tth day; none zero integer value represents that jjth layer is just below the wetting front layer on tth day; the value of "integer plus 0.5" means that this layer is watered on tth day. WFLNflag(k)=0.5 means that the water source is today's water inputted onto the soil surface.

This function is calculated for every function call. For the purpose of saving CPU, the WFLflagi,j,k,t in layer module is introduced.

Click here to see the diagram.

1
soil profile Wet Front Layer Origin Flag Equation "WFLNpreflag(jj)" WFLNpreflag is obtained from WFTR based on a tricky data manipulating method.

WFLNpreflag(k=1)=5 if PWI>0.

WFLNpreflag(k+1)=WFLNpreflag(k) +5 if WFTRk+1 x WFTRk=-1 and WFTRk+1 is not WFTRExcConst.

WFLNpreflag(k+1)=WFLNpreflag(k) if both WFTRk+1 & WFTRk are positive.

WFLNpreflag(k+1)=WFLNpreflag(k) +5 if WFTRk =0 or WFTRk>0 & WFTRk+1 =WFTRExcConst.

WFLNpreflag(k+1)=WFLNpreflag(k) +0.00001 if both WFTRk+1 and WFTRk are negative and (k-1)th layer is not yesterday's wetting front.

It is used to get the WFLNflag, then get the WIflag which represents the water source as the calculation condition case of WI and WC equations.

Click here to see the diagram.

1
soil layer | Wet Front SoilLayer Flag Equation | "WFLflag" | The equation WFLflagi,j,k,t=WFLNflagi,j,t(k) converts function value to symbol value for the purpose of saving CPU since the symbol value will not re-evaluated if it is evaluated already in the symbol calculation. This variable is used for WC & WI calculation as well as NApp12hrFlag. | 1
soil layer | Wet Front Speed Equation | "WFSP" | It is assumed that before water move down to the maximum infiltration depth, infiltration is at wetting front speed. After then, use hydraulic conductivity wetting front speed as wetting front speed. | 1
soil profile | Wet Front Time Remain at Specific Layer Equation | "WFTRat(jj)" | WFTRat is a function with argument of layer number (jj) and WFTRat(jj) is the value of WFTR (k=jj). The summation here is the need of the code generator of equation editor. | 1
soil layer | Wet Front Water Content Condition Value Equation | "WFWCcond" | The wetting front speed calculation needs the WFWC for k-1 layer. But the k-1 layer is invalid for k=1. To solve this problem, we introduce WFWCcond which is WFWCk-1 if k>1. The assumptions are given for k=1.
soil layer Wet Front Water Content Equation "WFWC" The soil water content of kth layer at the time when wetting front passes the bottom of this layer during the tth day, equals TBWCi,j,k,t+1 + an extra water content from the TBDWi,j,k,t.

This calculation of this extra water content is based on the soil moisture profile in the Fig 4 b, Charbeneau, 1989. Specifically, we assume that the water contents from LDk+1 to LDk+1-15cm are same and water contents from the soil surface to the LDk+1-15cm have the moisture profile=0.6*(LDk+1-15)*(WFWCi,j,k,t-1-FCWC). Where LDk is the depth from soil surface to the bottom of the kth layer. Click here to see the moisture profile.

The first condition in the equation expression refers to the top 15 cm for which, the moisture profile is a rectangular.

To avoid the TBWC array out of boundary, the condition t<TNTS is added. The WFWC at the bottom layer of the simulation depth can not be calculated since k+1 is invalid.

The TBWCt+1 is the water content at kth layer on tth day when the drain process would be finished.

The derivation is as follows: DWi,j,k,t-1=(15+0.6*(LDk+1-15))*(WFWCi,j,k,t-1-FCWC). If DW>0, TBWCi,j,k,t+1 will be near FCWC. Where 15 & 0.6 are assumed data in assumed soil water profile.

Click here to see the reason to use the TBWC and TBDW instead of WC, DW.

1
soil layer Wetting Front Time Remaining Condition Value Equation "WFTRcond" WFTRcondk indicates the time remaining when the wetting front reach the top of kth layer or botton of (k-1)th layer. It is the same as WFTRk-1 except the first layer since WFTR is invalid for k=1. It is assumed that the water inputted onto the soil surface at 12:00, thus the zero's layer has 12 hour time remaining from 24:00. If there is no water inputted onto the soil surface, the time remaining is not meaningful, the exceptional value WFTRcondExcConst =-9999.0 is assigned to the WFTRcond.

This variable is used in WFTR calculation.

1
soil layer Wetting Front Time Remaining Equation "WFTR" WFTRk,t is the time remaining in hour when wetting front passing the bottom of kth layer on tth day. LT/WFSP is the time interval when wetting front travels from top of kth layer to the bottom of kth layer and subtracted from WFTRk-1,t- or-24-or-12 hour assumption depend upon the watering cases of its top layer is "watering today"-or-"yesterday's wetting front"-or-the air on tth day. If there is no water passing this layer or WFSP=0, the exception value is assigned.

If kth layer have both water source from today and yesterday, then both amount of drain water are compared. If more water is from today, then 12 hours drain is assumed. If more water is from yesterday, then 24 hours drain is assumed.

WFLflagk,t-1=floor(WFLflagk,t-1) means the wetting front is located between of kth layer and (k-1)th layer at 24:00 on (t-1)th day. WFLflagk, t-1=0 means that the kth layer is not watered on the (t-1)th day.

The condition of WFSP ≠ SystemArrayInitialValue = -99999.0 means the WFSP is never called before.

WFTR<0 means the wetting front can not reach kth layer on tth day. This variable is used to determine the layer of wetting front at 24:00pm including the cases of multiple wetting front. (see WFLNpreflag and WFLNflag).

1
soil layer | Yearly Average Soil Temperature Depth Factor Equation | "soilTAvgDepFactor" | The popularly used analytic solution of the differential equation of conservation of heat and heat transfer assumed that the yearly average soil temperature is constant and does not dependent upon the soil depth, that does not agree with the experimental results. Here the yearly averaged soil temperature depth factor is introduced based on Neitsch, S.L., 2002. | 1


Symbol Description

Symbol Descriptions

Ascending sorted by the Symbol

Click here to see the updated info.

Symbol | Symbol ID | Unit | Symbol Definition | Module Name
"AcreToSquareCentimeter" | Parameter of Acre to Square Centimeter | cm3/Acre | Parameter of converting acres to square centimeters | Block
"AD" | Allowed Depletion | N/A | Level of depletion that is acceptable. It is a monthly dependent variable from database and used to calculate the water content at set-point. | Block
"allExtraWater" | Water Content of Drain Profile | cm3of water/cm3 of soil cm of water/cm of soil | The partial water content of the drain profile (which is beyond WC) at a certain layer and at 00:00am on a certain day before water drain finished, whereas WC is referring to the balanced water content after the drain finished. | SoilLayer
"allocation" | Representative Amount of Allocation | % per cm2 | Percentage portion of N application applied on irrigated/non-irrigated area divided by its area. | SoilProfile
"AllocationOnIrr" | allocationOnIrrigated | % | Percentage portion of fertilizer applied on the irrigated area. | IrrigationSystem
"AllocationOnNonIrr" | allocationOnNonIrrigated | % | Percentage portion of fertilizer applied on the non-irrigated area. | IrrigationSystem
"AMC" | Ammonium Mobility Coefficient |  | Parameter of Ammonium Mobility. It is the portion of the material (1=100%) that moves through the soil along with the water, and it is used to determine the ammonium leached. The opposite of it, (1-AMC) is the portion that stays in the soil as the water moves down. The ammonium mobility coefficient is very small, therefore most of the ammonium is located near the surface. | SoilLayer
"AmmoniumNitrateFlag" | Constant Flag of Ammonium Nitrate | text | Represents one of the cases of the FertilizerFlag (Fertilizer Name). It has a value of 1. | IrrigationSystem
"AmmoniumSulfateFlag" | Constant Flag of Ammonium Sulfate | text | Ammonium Sulfate is one of the cases of FertilizerFlag (Fertilizer Name). It has a value of 2. | IrrigationSystem
"AmpAnnual" | Annual Amplitude of the Soil Temperature | degreeC | Half of the annual soil temperature change as the amplitude of sinusoidal function for historical soil temperature. It is obtained from Fawn for year 2004. | Weather
"appFlag" | applicationMethod | text | Represents application method. It is equal to 1 for dry fertilizer and equal to 2 for fertigation. | IrrigationSystem
"applicationAmountPerBlock" | Application Amount Per Block | kg of NH4NO3 /block | Ammonium nitrate application amount per block | IrrigationSystem
"applicationAmountPerHectare" | Application Amount Per Hectare | kg of NH4NO3 /hectare for dry fertilizer and liter/hectare for fertigation | Ammonium nitrate application amount per hectare. Farms call this the nitrogen application rate, but it is actually the weight of NH4NO3 per unit area instead of the weight of N per unit area. | IrrigationSystem
"AssumedInfDep" | Assumed Infiltration Depth | cm | Infiltration depth is calculated by assuming that all layers have the same WC & SWC as those of the 1st layer. | SoilProfile
"beta" | beta parameter | day | One of the fitting parameters of the Langmuir Kintic Equation (Z.L.He, et al. 1999.). | Weather
"betaNAppRateFactor" | N App Rate Factor of beta | N/A | N application rate factor for volatilization parameter beta | SoilProfile
"betaVTF" | Temp Factor of beta | N/A | Temperature factor for volatilization parameter beta | Weather
"BRD" | Between Row Distance | cm | Distance between rows (from trunk line of trees in one row to trunk line of trees in next row). | SoilCell
"BS" | Block Size | 1/Hectares | Number of hectares in a block. | Block
"BulkDensity" | Soil Bulk Density | g of soil/cm3 of soil | Bulk density refers to the weight (mass) of soil per unit volume and the soils bulk density is expressed in g cm-3 (weight divided by volume ). Normally the dry weight and therefore the dry bulk density is determined. Bulk densities of sandy soils vary between 1.2 to 1.8 g cm-3. Fine-textured soil, such as Clays, silty clays, or clay loams, have bulk densities between 1.0 and 1.6 g cm-3. In this program, the bulk density is dependent upon the soil types and the ranges of depth. Data reference: Fares, et al, 2000 for Candler soil type | SoilLayer
"CA" | Cell Area | cm2 | Area of a cell (in-row distance multiplied by between-row distance). | SoilCell
"CAA" | Cell Ammonium Amount |  | Amount of ammonium in a Cell. | SoilCell
"CDEAD" | Cell Days Elapse to Allowed Depletion | days | The elapsed time (in days) before the water content in the layers above the set-point depth drops to the allowed depletion. This is the irrigation interval. Here we assume that there is no irrigation nor rain, and that the only water loss from each layer is by ET, which is calculated based on the root length distribution. The ET values are based on an average of 5 days prior to current date from the FAWN site. | SoilCell
"CDELN" | Cell Days Elapse Limit Number | N/A | The maximum number of days to calculate the irrigation interval. | SoilCell
"CEC" | Coefficient of Cation Exchange Capacity | cmolc/kg | Parameter cation exchange capacity which is set as 5.05 | SoilLayer
"CEffRain" | Cell Effective Rain | cm od water | The rain water that is used to bring WC to FCWC for the layers above the irrigation depth. This variable may be used in report page. | SoilCell
"CellDurPredict" | Cell Daily Predicted Irrigation Duration | minute | Daily Predicted Irrigation Duration | SoilCell
"CellETavg" | Cell Average Evapotranspiration |  | Cell average evapotranspiration | SoilCell
"CFC" | Cell Field Capacity | cm3 of water | Soil water amount in a cell at field capacity. | SoilCell
"CIAM" | Cell Daily Irrigation Amount | It is same as IAM. We do not need. PWID1 and InfRate use it | Cell daily irrigation amount | SoilCell
"CIrrWN" | Cell Irrigation Zone Water Needed | cm3 of water | Sum of water needed over all profiles in the irrigation zone of a cell. This is used to predict the irrigation water amount. | SoilCell
"CIrrWTCD" | Cell Irrigation Zone Water Amount to Certain Depth | cm3 of water | Water amount to certain depth in irrigation area | SoilCell
"CIrrWTCDAD" | Cell Irrigation Zone Water Amount to Certain Depth at Allowed Depletion | cm3 of water | Water amount to certain depth at allowed depletion in irrigation area | SoilCell
"CIrrWTSP" | Cell Irrigation Zone Water Amount to Setpoint Depth | cm3of water | Water amount to set-point depth in irrigation area | SoilCell
"CIrrWTSPAD" | Cell Irrigation Zone Water Amount to Setpoint Depth at Allowed Depletion | cm3 of water | Water amount to set-point depth at allowed depletion in irrigation area | SoilCell
"CLAA" | Cell Leaching Ammonium Amount | µg of NH4-N/cell | The amount of the ammonium leached below the simulation depth over a cell after daily nitrogen drain | SoilCell
"CLAAID" | Cell Leaching Ammonium Amount at Irr Depth | µg of NH4-N/cell | The amount of ammonium leached below the irrigation depth after daily nitrogen drain over a cell | SoilCell
"CLAR" | Cell Leaching Ammonium Rate | kg of NH4-N/ha | The amount of NH4-N leached in kg below the simulation depth on a hectare basis. | SoilCell
"ClayPct" | Soil Clay Portion | % | Percentage of clay in soil for certain soil type and certain range of soil depth. Data reference: Fares, et al, 2000 for Candler soil type | SoilLayer
"CLN" | Cell Leaching Nitrogen Amount | µg of NH4NO3-N/cell | The amount of the nitrogen (NH4-N & NO3-N) leached below simulation depth over all profiles after daily water drain | SoilCell
"CLNA" | Cell Leaching Nitrate Amount | µg of NO3-N/cell | Cell leaching nitrate amount from bottom of maximum simulation depth after daily water drain | SoilCell
"CLNAID" | Cell Leaching Nitrate Amount at Irr Depth | µg of NO3-N/cell | Cell leaching nitrate amount at irrigation depth | SoilCell
"CLNID" | Cell Leaching Nitrogen Amount at irr Depth | µg of NH4NO3-N/cell | Cell leaching nitrogen amount at irrigation depth | SoilCell
"CLNR" | Cell Leaching Nitrate Rate | kg of NO3-N/ha | NO3-N leaching in kg below the 2 meter depth on a hectare basis. | SoilCell
"CLWA" | Cell Leaching Water Amount | cm3 of water/cell | Amount of leaching water from all profiles after daily water drain | SoilCell
"CLWAID" | Cell Leaching Water Amount at Irr Depth | cm3 of water/cell | Cell leaching water amount at irrigation depth | SoilCell
"CMaxSoilDep" | Cell Maximum Soil Depth | cm | Maximum soil depth for Tipping Bucket model simulation | SoilCell
"CmToInch" | Parameter of Centimeter to Inch | Inch/cm | Parameter converting centimeters to inches | Block
"CNA" | Cell Nitrate Amount |  | Amount of nitrate in a cell | SoilCell
"CNU" | Cell Nitrogen Uptake Amount |  | Amount of nitrogen uptaken from all profiles in a Cell. | SoilCell
"CommercialMixN" | Constant Flag of Commercial Mix Ammonium Nitrate | text | The case of commercial Mixed NH4NO3 for FertilizerFlag (Fertilizer Name). It has a value of 4. | IrrigationSystem
"CPA" | Cell Plant Area | cm2 | The cell area except middle way. |
"CPWP" | Cell Permanent Wilting Point | cm3 of water | Sum of soil water amount over all areas in a cell at permanent wilting point. | SoilCell
"CR" | Canopy Radius | cm | Canopy radius | Block
"CSP" | Cell Set Point | cm3 of water | Water amount at allowable depletion in a cell | SoilCell
"cumulativeVOLA" | Cumulative Volatilization | μg of NH4-N | The cumulative ammonium nitrogen amount which is converted to the gaseous NH3 and is lost to the atmosphere on a unit area of soil surface. | SoilProfile
"cv" | Canopy Volume | cm3 | The canopy volume is related to the natureCV from database based on tree age. But its value will be limited by the cell area and hedging parameters. | Block
"CVStartDayFlag" | Cell Volatilization Start Day Flag | not used | Volatilization start day flag. a value of 1 means that volatilization starts today; -1 means that volatilization started earlier than today; -2 means that volatilization has never started | SoilCell
"CWA" | Cell Water Amount | cm3 of water | Total amount of soil water in a Cell | SoilCell
"CWAFC" | Cell Water Amount at Field Capacity | cm3 of water | Total amount of water at field capacity in a Cell | SoilCell
"CWI" | Cell Water Input |  | Total water amount of rain and irrigation | SoilCell
"CWID" | Cell Water Amount to Irrigation Depth |  | Sum of soil water amount over all profiles within irrigation area to irrigation depth. | SoilCell
"CWIDAD" | Cell Water Amount to Irrigation Depth for Allowed Depletion |  | Sum of soil water amount over all profiles within irrigation area at allowable depletion. | SoilCell
"CWSPD" | Cell Water Amount to Set Point Depth | cm3 of water | Water amount above set-point depth in the Cell | SoilCell
"CWSPDAD" | Cell Water Amount to Set Point Depth at Allowed Depletion | cm3 of water | Cell water amount to set-point depth at allowed depletion | SoilCell
"d" | Depletion | N/A | Depletion expresses the dryness of the soil. It is a number from 0 (at field capacity) to 1(at PWP) | SoilLayer
"DailyKs" | Cell Daily Soil Coefficient | N/A | Cell daily soil coefficient | SoilCell
"dailyWCavg" | Layer Daily Average Water Content | cm of water/cm of soil | Daily average water content. If there is rain/irrigation, the water content in the morning and afternoon are different. | Soil Layer
"DepLR" | Depth to Certain Layer Range | Block | The depth from soil surface to the bottom of the last layer of given range. | Block
"DF_12hrTdyAbvLyr" | Drain Flag of 12hr Today Above Layer | N/A | Drain Flag represents getting water input after 12:00pm from above layer. The layer above this layer is watered today also. | SoilLayer
"DF_12hrTdyAir" | Drain Flag of 12hr Today Air | N/A | Drain Flag represents getting water input after 12:00pm from air (rain or irrigation). | SoilLayer
"DF_24hrTdyAbvLyr" | Drain Flag of 24hr Today Above Layer | N/A | Drain Flag represents getting water input from 0:00am The layer above this layer is watered today also. | SoilLayer
"DF_24hrYstrdyAbvLyr" | Drain Flag of 24hr Yesterday Above Layer | N/A | Drain Flag represents getting water input from 0:00am The layer above this layer is yesterday's wetting front. | SoilLayer
"DF_Ystrdy12hrTdyAbvLyr" | Drain Flag of Yesterday 12hr Today Above Layer | N/A | Drain Flag represents getting partial water input from 0:00am and partial water input after 12:00pm. More portion of water is from 12:00pm. The layer above this layer is watered today also. | SoilLayer
"DF_Ystrdy24hrTdyAbvLyr" | Drain Flag of Yesterday 24hr Today Above Layer | N/A | Drain Flag represents getting partial water input from 0:00am and partial water input after 12:00pm. More portion of water is from 0:00am. The layer above this layer is watered today also. | SoilLayer
"dini" | Initial Depletion | N/A | Initial condition of deletion. | Block
"DistToHedgingBoundary" | Distance from Tree to Boundary of Hedging Area | cm | The distance between center of tree to hedging boundary |
"DistToInRowBoundary" | Distance from Tree to Boundary of In Row Area | cm | The distance between center of tree to boundary of the in row area |
"DNIT" | Denitrification | µg of NO3-N/cm3 of soil | Denitrification amount per unit volume per day | SoilLayer
"DNITTFactor" | Denitrification Soil Temp Factor | N/A | Soil temperature factor for the denitrification | SoilLayer
"DNITWCFactor" | Denitrification Water Content Factor | N/A | Water content factor for the denitrification | SoilLayer
"Drain12hrFlag" | Drain Water 12hr Flag | N/A | Determines if the water input to this layer comes after 12:00pm. This means that water content in the afternoon will be different from the water content of the morning. Value of 1 means 12 hour drain, 0 means 24 hour drain. | SoilLayer
"Drain24hrFlag" | Drain Water 24hr Flag | N/A | Determines if the water input to this layer on the bases of 24 hours assumption. Value of one means 24 hours drain. Value of 0 means 12 hour drain or not watered for this layer. | SoilLayer
"DryFertilizer" | Constant Flag of Dry Fertilizer | N/A | Dry Fertilizer case for the application method flag (appFlag). Its value is equal to 1. | IrrigationSystem
"DUR" | Irrigation Duration | minute | Amount of time (in minutes), for which the irrigation system should operate for a particular irrigation application. | IrrigationSystem
"DW" | Layer Drained Water by Water Input | cm3 of water/cm2 of soil cm of water | Total daily drained water amount per unit area from the bottom of a specific layer by Tipping Bucket Model. | SoilLayer
"DWD1" | Layer Drained Water by Water Input Drain Stage A | cm3 of water/cm2 of soil cm of water | Daily drained water amount per unit area from the bottom of a specific layer by Tipping Bucket Model. Water source is irrigation or yesterday's unfinished drain. | SoilLayer
"DWD2" | Layer Drained Water by Water Input Drain Stage B | cm3 of water/cm2 of soil cm of water | Daily water per unit area drained from the bottom of the a specific layer by Tipping Bucket Model. The source of the water is from prior to and during N applications. | SoilLayer
"DWD3" | Layer Drained Water by Water Input Drain Stage C | cm3 of water/cm2 of soil cm of water | Daily drained water amount per unit area from the bottom of a specific layer by Tipping Bucket Model. The water source is the water following N application. | SoilLayer
"DWD4" | Layer Drained Water by Water Input Drain Stage D | cm3 of water/cm2 of soil cm of water | Daily drained water amount per unit area from the bottom of a specific layer by Tipping Bucket Model. Water source is the rain. | SoilLayer
"DWof" | Drained Water at Specific Layer | cm3 of water/cm2 of soil cm of water | Drained water at specific layer function has the same value as DWk. This variable is introduced to meet the equation editor's need. | SoilProfile
"e" | Numerical Constant e | N/A | "e" is a numerical constant that is equal to 2.71828. |
"EFR" | Emitter Flow Rate | Liter/hour (1liter=1000cm3) | Volume of water discharged from the emitter within a period of time. | IrrigationSystem
"ETCc" | Cell Crop Evapotranspiration | cm3 of water/day | Daily evapotranspiration from citrus crops under optimum soil water conditions for the whole area of the Cell. | SoilCell
"ETLcs" | Layer Daily Evapotranspiration | cm3 of water/day | The layer contribution of daily adjusted citrus crop evapotranspiration under the soil water condition of the given layer based on the portion of the root length in the layer among the total root length of the tree. | SoilLayer
"ETo" | Reference Evapotranspiration | cm/day | Daily reference evapotranspiration rate is the evapotranspiration per unit area from a hypothetical grass surface under optimum soil water conditions. | Block
"fc" | Field Capacity | cm3 of water | Field Capacity is the total amount of water that a layer can hold after drainage, but prior to extraction by plants at 0:00am. It is equal to the water holding capacity times the volume of the layer. | SoilLayer
"FCWC" | Field Capacity Water Content | cm3 of water/cm3 of soil cm of water/cm of soil | Soil water content at field capacity, amount of water held in a soil after drainage of gravitational water. Any water added beyond field capacity runs off. Data reference: USDA-NRCS soil survey | SoilLayer
"FertigationCase" | Constant Flag of Fertigation | N/A | Fertigation case of application method Flag (appFlag). Its value is equal to 2 | IrrigationSystem
"FertilizerFlag" | Fertilizer Flag | N/A | FertilizerFlag refers to the fertilizer name. It is equal to 1 if the fertilizer is ammonium nitrate. | IrrigationSystem
"FlatwoodFlag" | Constant Flag of Soil Type Flatwood | N/A | Indicates that the soil type is flatwood | RootDistribution
"FourDrainperDayActivationFlag" | Four Drain per Day Activation Flag | Block | The flag indicated if "4 drains per day" consideration will be activated: 0 means to turn off and the drain water for irrigation, pre N app/with N app, after N app and rain are calculated together. 1 means to turn on and the drain water of irrigation, pre N app/with N app, after N app and rain are calculated separately. | Block
"FourDrainPerDayFlag" | Four Drain Per Day Flag | N/A | Indicates if there is one drain or more than one drain for the given day. If there is more than one drain, the 4 drains including the water drain of irrigation, pre N app/with N app, after N app and rain are calculated separately. | SoilLayer
"GramToMicroGram" | Parameter of Gram to Micro Gram | μg/g | Parameter of converting grams to micro grams | Block
"HCFlag" | Hydraulic Conductivity Active Flag | N/A | Indicates if the drain speed, which is limited by the hydraulic conductivity, is considered. If HCflag=0, the limited drain speed will be neglected, and the profile water will all drain in the same day as the pure Tipping Bucket model, thus the simulation is simplified. | SoilLayer
"HCPm" | Hydraulic Conductivity Parameter m | N/A | Hydraulic conductivity fitting parameter m in the paper of Fares, et al, 2000. | SoilLayer
"HCPn" | Hydraulic Conductivity Parameter n | N/A | Hydraulic conductivity fitting parameter n in the paper, based on Fares, et al, 2000. It is assumed that all of the soil type has same data as the value of the n, averaged by depth, given in that paper. | SoilLayer
"HCWFSP" | Hydraulic Conductivity Wetting Front Speed | cm of soil/hour | Hydraulic conductivity wetting front speed | SoilLayer
"hd_SSLI" | Soil Series Layer Index | N/A | The index denotation of the soil series layers converted from the simulation soil layer number. This is used to query the value of the soil series properties from the database. | SoilLayer
"HectareBlockFlag" | Hectare Block Flag | N/A | Indicates if using per hectare or per block to count how much nitrogen fertilizer is applied | IrrigationSystem
"HectareToSquareCentimeter" | Parameter of Hectare to Square Centimeter | cm2/Hectare | Parameter of converting hectares to square centimeters | Block
"HedgingDist" | Hedging Distance | cm | Hedging width, the middle distance between canopies of two trees in the between-row distance. | Block
"hedgingTreeHeight" | Hedging Tree Height | cm | Hedging tree height | Block
"HourToMinute" | Parameter of Hour to Minute | minute/hour | Parameter of converting hours to minutes | Block
"HumusPortion" | Coefficient of Humus Portion | % | Humus portion among the organic matter. It is set as 5% | SoilLayer
"IA" | Irrigated Area | cm2 | Area of ground wetted by a single emitter. | IrrigationSystem
"IAAW" | Irrigated Area Available Water | N/A | Available water in soil above a certain depth over the irrigation area for the report. | SoilCell
"IAM" | Irrigation Amount | cm of water or cm3 of water/cm2 of soil surface | Amount of water applied per unit area by the emitter. | IrrigationSystem
"IDur" | Irrigated Duration | minute | Amount of time (in minutes) for which the irrigation system operated for a particular irrigation application. This data was entered to the database by the user. | IrrigationSystem
"IDURDB" | Irrigation Duration from DB | minute | Irrigation duration applied from database | IrrigationSystem
"IE" | Irrigation Efficiency | % | Percent of water pumped into the irrigation system that actually gets distributed by the emitter. System efficiency can be less than 100 percent due to leaks. | IrrigationSystem
"InfMaxDep" | Infiltration Maximum Depth | cm | Maximum infiltration depth | SoilProfile
"InfRate" | Infiltration Rate | cm/hr | The rate at which infiltration takes place expressed in depth of water per unit time in cm per hour. | SoilProfile
"InfWFSP" | Infiltration Wetting Front Speed | cm/hr | Infiltration wetting front speed | SoilLayer
"IPA" | Profile Irrigated Area | cm2 | Profile irrigated area is a one-dimensional matrix that gives the value of areas for each soil profile in the irrigation area. | SoilProfile
"IPR" | Irrigated Profile Radius | cm | Outer radius of the ring or circle for the irrigated profile | SoilProfile
"IRD" | In Row Distance | cm | Distance between trees within a row. | SoilCell
"irrDep" | Irrigation Depth | cm | The desired depth in the soil to which irrigation water should reach. | Block
"IrrIntensity" | Irrigation Intensity | cm/hr | The amount of irrigation per unit area, per unit time. | IrrigationSystem
"IZLAA" | Irrigated Zone Ammonium Leaching | µg of NH4-N/cell | The amount of the ammonium leached below the simulation depth over the irrigated area | SoilCell
"IZLAAID" | Irrigated Zone Ammonium Leaching at Irr Depth | µg of NH4-N/cell | The amount of the ammonium leached below the irrigated depth over the irrigated area | SoilCell
"IZLNA" | Irrigated Zone Nitrate Leaching | µg of NO3-N/cell | The amount of the ammonium leached below the simulation depth over the irrigated area | SoilCell
"IZLNAID" | Irrigated Zone Nitrate Leaching at Irr Depth | µg of NO3-N/cell | The amount of the nitrate leached below the irrigated depth over the irrigated area | SoilCell
"IZLWA" | Irrigated Zone Water Leaching | cm3 of water/cell | The amount of the water leached below the simulation depth over the irrigated area | SoilCell
" IZLWAID" | Irrigated Zone Water Leaching at Irr Depth | cm3 of water/cell | The amount of the water leached below the irrigated depth over the irrigated area | SoilCell
"julianDay" | Julian Day | Julian day | The (integer) number of days that have elapsed since January 1 of a year. It is day of year. | SoilCell
"kc" | Crop Coefficient | N/A | Crop coefficient which adjusts evapotranspiration to the particular crop. This is a Julian day dependent variable because the crop uses different amounts of water at different times of the year. Reference: Fig. 5, K. T. Morgan, et al. 2006 | Block
"KilogramToGram" | Parameter of Kilogram To Gram | g/kg | Parameter of converting kilograms to grams. The value is 1000. | Block
"KMperHtoMperS" | Parameter of KM per H to M per S | km/m | Parameter of converting kilometers per hour to meters per second. The value is 0.2778. | Block
"KRA" | Readily Available Coefficient | N/A | The proportion of (FCWC-PWPWC) is defined as readily available for uptake (in our sandy soils KRA=0.05). | SoilLayer
"ks" | Soil Coefficient | N/A | Parameter to reduce ET due to drying of soil (plants have a more difficult time uptaking water as the soil becomes dry, because there is less water and the transport of that water is reduced). | SoilLayer
"KTheta" | Hydraulic Conductivity | cm/hour | Hydraulic conductivity as a function of the water content | SoilLayer
"LD" | Layer Depth | cm | The depth from soil surface to the top of a specific layer. | SoilLayer
"LDNH4ND1" | Layer Drained NH4 Drain Stage A | µg of NH4-N/cm2 of soil | The amount of the NH4 drained from the bottom of a specific layer. The drain water source is irrigation or yesterday's unfinished drain. | SoilLayer
"LDNH4ND2" | Layer Drained NH4 Drain Stage B | µg of NH4-N/cm2 of soil | The amount of the NH4 drained from the bottom of a specific layer. The drain water source is from prior to and during N applications. | SoilLayer
"LDNH4ND3" | Layer Drained NH4 Drain Stage C | µg of NH4-N/cm2 of soil | The amount of the NH4 drained from the bottom of a specific layer. The drain water source is the water following N application. | SoilLayer
"LDNH4ND4" | Layer Drained NH4 Drain Stage D | µg of NH4-N/cm2 of soil | The amount of the NH4 drained from the bottom of a specific layer. The drain water source is the rain. | SoilLayer
"LDNH4NTP" | Layer Drained NH4 by Tipping Bucket | µg of NH4-N/cm2 of soil | The amount of the NH4 drained by Tipping Bucket Model from the bottom of a specific layer for all kind of water input. | SoilLayer
"LDNO3ND1" | Layer Drained NO3 Drain Stage A | µg of NH4-N/cm^2 of soil | The amount of the NO3 drained from the bottom of a specific layer. The drain water source is irrigation or yesterday unfinished drain. | SoilLayer
"LDNO3ND2" | Layer Drained NO3 Drain Stage B | µg of NH4-N/cm2 of soil | The amount of the NO3 drained from the bottom of a specific layer. The drain water source is from prior to and during N applications. | SoilLayer
"LDNO3ND3" | Layer Drained NO3 Drain Stage C | µg of NH4-N/cm2 of soil | The amount of the NO3 drained from the bottom of a specific layer. The drain water source is the water following N application. | SoilLayer
"LDNO3ND4" | Layer Drained NO3 Drain Stage D | µg of NH4-N/cm2 of soil | The amount of the NO3 drained from the bottom of a specific layer. The drain water source is the rain | SoilLayer
"LDNO3NTP" | Layer Drained NO3 by Tipping Bucket | µg of NH4-N/cm2 of soil | The amount of the NO3 drained by Tipping Bucket Model from the bottom of a specific layer for all kinds of water input. | SoilLayer
"LDof" | Layer Depth at Specific Layer | cm | Layer depth at a specific Layer. This variable is introduced to meet the need of equation editor. | SoilProfile
"LINWA" | Layer Ideal Needed Water Amount | cm3 of water | The water needed to bring the kth layer water content to field capacity on tth day. Where the ET deduction is not considered for the water needed. Yesterday's unfinished drain is not included. | SoilLayer
"LiterToCubicCentimeter" | Parameter of Liter to Cubic Centimeter | cm3/Liter | Parameter of converting liters to cubic centimeters | Block
"LRD" | Layer Root Density | cm of root/cm3 of soil | Root density for a given profile index and a given simulation of soil layer. | SoilLayer
"LSOILTEMP" | Layer Soil Temperature | DegreeC | Soil temperature at each layer. It is shaded historical soil temperature. | SoilLayer
"LT" | Layer Thickness | cm | The thickness of a specific simulation layer (vertical dimension). | SoilLayer
"Ltemp" | Historical Soil Layer Temperature | DegreeC | Historical shaded soil layer temperature | SoilLayer
"LThickArrLeng" | Layer Thickness Array Length | N/A | The total number of layer thickness ranges. It is also the number of rows for the Layer Thickness Array. | Block
"LThickRangeArr" | Layer Thickness Range | N/A | A developer defined LThickArrLeng * 3 matrix. Row index is the layer range index that ascends from top to bottom. 1st column is layer thickness for each range 2nd column is number of layers for each range 3rd column is aggregated number of layers from soil surface to the last layer of each range. Developer may change the data in the matrix according to their needs. If the number of rows changed, the LThickArrLeng has to have corresponding row number change. | Block Updated
"LThickRangeArr2" | Layer Thickness Range2 | N/A | An additional example of LThickRangeArr with constant layer thickness. | Block
"LV" | Layer Volume | cm3 | Volume of a particular layer in a specific profile which is equal to layer thickness times layer area. | SoilLayer
"MaxCanopy" | Constant of Maximum Canopy | cm3 | The parameter of maximum canopy | Block
"minTempTimeLag" | Time Lag to Minimum Temperature | Julian day | The date of the coldest day of a year, expressed by Julian calendar. The coldest data is set as Jan. 15 | Weather
"monthOfDate" | Month of Date | N/A | The month of a year for a specific date in integer. | SoilCell
"natureCV" | Canopy Volume | cm3 | Canopy volume of a citrus tree which is function of tree age. It is database data that came from experiments (Morgan Kelly info). The date was for the tree age of 1-15, 20, 50 years old. The data for other tree age are obtained from the data manipulate. | Block
"NAppAmountPer" | Representative Amount of N Application per Unit | kg of NH4NO3/hectare or liter of NH4NO3/hectare or kg of NH4NO3/block which is dependent upon HectareBlockFlag & appFlag | Represents the amount of nitrogen application for a hectare or a block. | SoilCell
"NApplyElapse" | N Apply Elapse | day | The number of days passed since volatilization started at 24:00pm. The half day is counted as 0.5. | IrrigationSystem
"natureCV" | Nature Canopy Volume | cm3 | Tree canopy volume if it grows freely without hedging, without overlap of trees. The data is from database based on the tree age. | Block
"NH4AdsorptionCoeff" | Ammonium Coefficient of Adsorption | cm3 of water/g of soil | Coefficient of adsorption for NH4 used to calculate NH4SolubleRate for NH4 drain, which is set as 1.81 | SoilLayer
"NH4CECFactor" | Ammonium CEC Factor | N/A | The cation exchange capacity factor for the ammonium adsorption coefficient | SoilLayer
"NH4ClayFactor" | Ammonium Clay Factor | N/A | The clay factor for ammonium adsorption coefficient | SoilLayer
"NH4NC" | Ammonium Soil Content | µg of NH4-N/cm3 of soil | The amount of ammonium nitrogen pre unit soil volume in the layer at 0:00am on tth day. | SoilLayer
"NH4NC1" | Ammonium Soil Content Phase A | µg of NH4-N/cm3 of soil | The amount of ammonium-N pre unit soil volume after drain with water | SoilLayer
"NH4NC1D1" | Ammonium Soil Content Phase A Drain Stage A | µg of NH4-N/cm3 of soil | The amount of ammonium-N pre unit soil volume after drain with irrigation water or yesterday's unfinished drain water | SoilLayer
"NH4NC1D2" | Ammonium Soil Content Phase A Drain Stage B | µg of NH4-N/cm3 of soil | The amount of ammonium-N pre unit soil volume after drain with the water from prior to and during N applications. | SoilLayer
"NH4NC1D3" | Ammonium Soil Content Phase A Drain Stage C | µg of NH4-N/cm3 of soil | The amount of ammonium-N pre unit soil volume after drain with the water following nitrogen application | SoilLayer
"NH4NC1D4" | Ammonium Soil Content Phase A Drain Stage D | µg of NH4-N/cm3 of soil | The amount of ammonium-N pre unit soil volume after drain with the rain water | SoilLayer
"NH4NC2" | Ammonium Soil Content Phase B | µg of NH4-N/cm3 of soil | The ammonium nitrogen amount pre unit soil volume after the volatilization is deducted from NH4NC1 on a specific day | SoilLayer
"NH4NC3" | Ammonium Soil Content Phase C | µg of NH4-N/cm3 of soil | The ammonium nitrogen amount pre unit soil volume after the ammonium uptake is deducted from NH4NC2. | SoilLayer
"NH4NCsolute" | Ammonium Solute Content | µg of NH4-N/cm3 of soil | The ammonium solute concentration is the amount of ammonium nitrogen in a unit volume of water for a specific layer. | SoilLayer
"NH4NIn" | Ammonium Input | µg of NH4-N/cm3of soil | The amount of ammonium nitrogen inputted through a unit area of above layer (or soil surface if k=1) with water input WI | SoilLayer
"NH4NInD1" | Ammonium Input Drain Stage A | µg of NH4-N/cm3 of soil | The amount of ammonium nitrogen inputted through a unit area of above layer with irrigation water or yesterday's unfinished drain water | SoilLayer
"NH4NInD2" | Ammonium Input Drain Stage B | µg of NH4-N/cm3 of soil | The amount of ammonium nitrogen inputted through a unit area of above layer with the water from prior to and during N applications. | SoilLayer
"NH4NInD3" | Ammonium Input Drain Stage C | µg of NH4-N/cm3 of soil | The amount of ammonium nitrogen inputted through a unit area of above layer with the water following N application | SoilLayer
"NH4NInD4" | Ammonium Input Drain Stage D | µg of NH4-N/cm3 of soil | The amount of ammonium nitrogen inputted through a unit area of above layer with the rain water | SoilLayer
"NH4NPct" | Ammonium Percentage | % | Percentage portion of the NH4-N among the amount of fertilizer in weight. | IrrigationSystem
"NH4NCPct" | Ammonium Soil Content in Percentage | % | The portion of ammonium in soil by weight. | SoilLayer
"NH4NPctofN" | Ammonium Percentage of Nitrogen | % | Percentage portion of the NH4-N among the total N in weight. The ammonium nitrate fertilizer may contains NH4-N, NO3-N, etc. | IrrigationSystem
"NH4NU" | Ammonium Uptake | µg of NH4-N/cm3 of soil | Amount of ammonium nitrogen per unit volume of soil, taken up by the tree. It is sum of the active and the passive ammonium uptakes. | SoilLayer
"NH4NUA" | Ammonium Active Uptake | µg of NH4-N/cm3 of soil | Amount of ammonium nitrogen per unit volume of soil, taken up by the tree through the active mechanisms which require energy from the plant. | SoilLayer
"NH4NUP" | Ammonium Passive Uptake | µg of NH4-N/cm3 of soil | Amount of ammonium nitrogen per unit volume of soil, taken up by the tree through the passive mechanisms. Passive uptake is, when ammonium enters the root along with water at the same ammonium concentration as the ammonium concentration of surrounding water. | SoilLayer
"NH4pHFactor" | Ammonium pH Factor | N/A | The pH factor for ammonium adsorption coefficient | SoilLayer
"NH4SolubleRate" | Ammonium Soluble Rate | N/A | The portion of soluble NH4 among total NH4 or parameter of ammonium mobility conductivity. Usually, soluble rate is the proportion of the material (1=100%) that moves through the soil along with the water and is used to determine the ammonium leached. Ammonium soluble rate is a very small value. | SoilLayer
"NH4SOMFactor" | Ammonium SOM Factor | N/A | The soil organic matter factor for ammonium adsorption coefficient | SoilLayer
"NIPA" | Profile Non Irrigated Area | cm^2 | The value of area for each soil profile in the non-irrigation area given by a one-dimensional matrix. | SoilProfile
"NIPR" | Non Irrigated Profile Radius | cm | Non-irrigated profile radius is represented by a 2 by 5 matrix. The 1st column is for of the case of spray pattern 3600. The 2nd column is for the case of the spray pattern that is less than 3600. | SoilProfile
"NIAAW" | Non-Irrigated Area Available Water | N/A | Available water in soil above a certain depth over the non-irrigation area for the report. | SoilCell
"NIT" | Nitrification | µg of NH4-N/cm3 of soil | The amount of ammonia nitrogen per unit volume of soil, converted to nitrate nitrogen during the day through nitrification process. | SoilLayer
"NITKm" | Nitrification Km | µg of NH4-N/cm3 of water | NITKm (half-saturation constant for nitrification) is the so-called Michaelis-Menten constant and is the ammonium nitrogen concentration which corresponds to half of the maximum nitrification amount. The data of 2.75 mg N/kg/day before unit conversion is obtained from Shi, W., et al., 2000. | SoilLayer
"NITTF" | Nitrification Temperature Factor | N/A | Soil temperature effect of the nitrification. | SoilLayer
"NITVmax" | Nitrification Vmax | µg of NH4-N/cm3 of soil/d | The parameter of nitrification model followed the form of Michaelis-Menten kinetics. The NITVmax represents the maximum nitrification amount per unit volume of soil per day. The temperature effect is included. It is obtained from John M. Stark, 1996. | SoilLayer
"NL" | Number of Layers | N/A | The total number of simulation layers in a soil profile. | SoilProfile
"NMC" | Nitrate Mobility Coefficient | N/A | The proportion of the material NO3-N(1=100%) that moves through the soil along with the water, the opposite of that (1-NMC) is the proportion that stays in the soil as the water moves down. The value of the nitrate mobility conductivity is near 1, which means that NO3 moves very rapidly with the soil water. | SoilLayer
"NO3AdsorptionCoeff" | Nitrate Coefficient of Adsorption | cm3 of water/g of soil | Coefficient of Adsorption of NO3 used to calculate NO3SolubleRate for NO3 drain. It is set as 0.03. | SoilLayer
"NO3CECFactor" | Nitrate CEC Factor | N/A | The cation exchange capacity factor for nitrate adsorption coefficient. | SoilLayer
"NO3ClayFactor" | Nitrate Clay Factor | N/A | The clay factor for nitrate adsorption coefficient | SoilLayer
"NO3NC" | Nitrate Soil Content | µg of NO3-N/cm3 of soil | Amount of nitrate-N in a unit volume of soil within a specific layer at 0:00am on tth day. This equation subtracts nitrate-N denitrification amount from nitrate-N amount phase C on (t-1)th day. | SoilLayer
"NO3NC1" | Nitrate Soil Content Phase A | µg of NO3-N/cm3 of soil | The nitrate amount in a unit soil volume after all kinds of water input during the day. | SoilLayer
"NO3NC1D1" | Nitrate Soil Content Phase A Drain Stage A | µg of NO3-N/cm3 of soil | The amount of nitrate-N pre unit soil volume after drain with irrigation water or yesterday's unfinished drain water | SoilLayer
"NO3NC1D2" | Nitrate Soil Content Phase A Drain Stage B | µg of NO3-N/cm3 of soil | The amount of nitrate-N pre unit soil volume after drain with the water from prior to and during N applications. | SoilLayer
"NO3NC1D3" | Nitrate Soil Content Phase A Drain Stage C | µg of NO3-N/cm3 of soil | The amount of nitrate-N pre unit soil volume after drain with the water following nitrogen application | SoilLayer
"NO3NC1D4" | Nitrate Soil Content Phase A Drain Stage D | µg of NO3-N/cm3 of soil | The amount of nitrate-N pre unit soil volume after drain with the rain water | SoilLayer
"NO3NC2" | Nitrate Soil Content Phase B | µg of NO3-N/cm3 of soil | The nitrate nitrogen amount pre unit soil volume after the nitrate uptake is deducted from NO3NC1 on a specific day | SoilLayer
"NO3NC3" | Nitrate Soil Content Phase C | µg of NO3-N/cm3 of soil | The nitrate nitrogen amount pre unit soil volume after the nitrification adds to NO3NC2 | SoilLayer
"NO3NCPct" | Nitrate Soil Content in Percentage | % | The portion of nitrate in soil by weight. | SoilLayer
"NO3NCsolute" | Nitrate Content | µg of NO3-N/cm3 of soil | The nitrate solute concentration is the amount of nitrate nitrogen in a unit volume of water within a specific layer. | SoilLayer
"NO3NIn" | Nitrate Input | µg of NO3-N/cm3of soil | The amount of nitrate nitrogen inputted through a unit area to the given layer with water input WI | SoilLayer
"NO3NInD1" | Nitrate Input Drain Stage A | µg of NO3-N/cm3 of soil | The amount of nitrate nitrogen inputted through a unit area to the given layer with irrigation water or yesterday's unfinished drain water. | SoilLayer
"NO3NInD2" | Nitrate Input Drain Stage B | µg of NO3-N/cm3 of soil | The amount of nitrate nitrogen inputted through a unit area to the given layer with the water from prior to and during N applications. | SoilLayer
"NO3NInD3" | Nitrate Input Drain Stage C | µg of NO3-N/cm3 of soil | The amount of nitrate nitrogen inputted through a unit area to the given layer with the water following N application | SoilLayer
"NO3NInD4" | Nitrate Input Drain Stage D | µg of NO3-N/cm3of soil | The amount of nitrate nitrogen inputted through a unit area to the given layer with the rain water | SoilLayer
"NO3NPct" | Nitrate Percentage | % | Percentage portion of the NO3-N among the amount of fertilizer in weight. | IrrigationSystem
"NO3NPctofN" | Nitrate Percentage of Nitrogen | % | Percentage portion of the NO3-N among the total N in weight. The ammonium nitrate fertilizer may contains NH4-N, NO3-N, etc. | IrrigationSystem
"NO3NU" | Nitrate Uptake | µg of NO3-N/cm3 of soil | Amount of nitrate nitrogen per unit volume of soil, taken up by the tree. It is the sum of the active and the passive ammonium uptakes. | SoilLayer
"NO3NUA" | Nitrate Active Uptake | µg of NO3-N/cm3 of soil | Amount of nitrate nitrogen per unit volume of soil taken up by the tree through the active mechanisms which require energy from the plant. | SoilLayer
"NO3NUKm" | Nitrate Uptake km | µg of NO3-N/cm3 of water | Nitrate Uptake km (half-saturation constant for uptake) is a parameter in the Michaelis-Menten equation. Data is obtained from J.M.S. Scholberg, et al. (being preparation) | SoilLayer
"NO3NUP" | Nitrate Passive Uptake | µg of NO3-N/cm3 of soil | Amount of nitrate nitrogen per unit volume of soil, taken up by the tree through the passive mechanisms. Passive uptake means the nitrate enters the root along with water at the same nitrate concentration as the nitrate concentration of surrounding water. | SoilLayer
"NO3NUTF" | Nitrate Uptake Temp Factor | N/A | The parameter of the maximum value of uptake in the Michaelis-Menten equation. It is a soil temperature dependent constant. | SoilLayer
"NO3NUVmax" | Nitrate Uptake Vmax Constant | µg of NO3-N/cm of root/d | The parameter of the maximum value of nitrogen uptake through a unit length of the root per day in the Michaelis-Menten equation. The data from J.M.S. Scholberg, et al., (being preparation) is the average for Swingle and Volkamer. | SoilLayer
"NO3pHFactor" | Nitrate pH Factor | N/A | The pH factor for nitrate adsorption coefficient | SoilLayer
"NO3SolubleRate" | Nitrate Soluble Rate | N/A | The portion of soluble NO3 among total NO3 or parameter of nitrate mobility conductivity. Usually, soluble rate is the proportion of the material (1=100%) that moves through the soil along with the water and is used to determine the nitrate leached. The nitrate soluble rate is a value of near one. | SoilLayer
"NO3SOMFactor" | Nitrate SOM Factor | N/A | The soil organic matter factor for nitrate adsorption coefficient | SoilLayer
"nowET" | Layer Daily Evapotranspiration for Watered Day | cm3 of water/cm3 of soil cm of water/cm of soil | The daily water content decrease by evapotranspiration for watered day of a layer is calculated by assuming that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm. | SoilLayer
"nowETD1" | Layer Daily Evapotranspiration for Watered Day Drain Stage A | cm3 of water/cm3 of soil cm of water/cm of soil | The portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the scheduled irrigation water amount to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm. | SoilLayer
"nowETD2" | Layer Daily Evapotranspiration for Watered Day Drain Stage B | cm3 of water/cm3 of soil cm of water/cm of soil | Portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the water from prior to and during N applications to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm. | SoilLayer
"nowETD3" | Layer Daily Evapotranspiration for Watered Day Drain Stage C | cm3 of water/cm3 of soil cm of water/cm of soil | Portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the water following N application to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm. | SoilLayer
"nowETD4" | Layer Daily Evapotranspiration for Watered Day Drain Stage D | cm3 of water/cm3 of soil cm of water/cm of soil | Portion of layer daily water content decrease by evapotranspiration for watered day of a layer which is proportional to the ratio of the rain water amount to the total water inputted to the soil. It is assumed that the water content is WCt at 0:00 - 12:00pm and FCWC at 12:00 - 24:00pm. | SoilLayer
"NPIDF" | Number of Irrigated Dry Fertilized Profile | integer | The profiles (i=2) for which the irrigation, fertigation and dry fertilizer can be applied. | SoilCell
"NPINDF" | Number of Irrigated Non Dry Fertilized Profile | integer | The profiles (i=4) for which the irrigation, fertigation can be applied, but dry fertilizer will not be applied. It is middle way area. | SoiCell
"NPNIDF" | Number of Non Irrigated Dry Fertilized Profile | integer | The profiles (i=1) for which the irrigation, fertigation can not be reached, but dry fertilizer will be applied. | SoiCell
"NPctinFertilizer" | Nitrogen Percentage in Fertilizer |  | Percentage portion of the N among the Fertilizer in weight. The ammonium nitrate commercial mixed fertilizer may contains NH4, NO3 and some other ingredient. | Irrigation System
"NU" | Nitrogen Uptake | µg of N/cm3 of soil | Total amount of nitrogen uptake by the tree during a specified time period. Nitrogen uptake is the sum of nitrate and ammonium uptake (converted to nitrogen), and each of those is the sum of active and passive uptake. | SoilLayer
"NWF" | Nitrification Water Factor | N/A | The water effect factor for the nitrification. | SoilLayer
"OverlapBRArcArea" | Overlap Between Row Arc Area | cm2 | Click here to see the diagram. | Cell
"OverlapBRArcAngle" | Overlap Between Row Arc Half Angle | radians | Click here to see the diagram. "OverlapBRArcAngle" is [image] of the picture | Cell
"OverlapIRArcArea" | Overlap In Row Arc Area | cm2 | Similar derivation as "OverlapBRArcArea" | Cell
"OverlapiRArcAngle" | Overlap In Row Arc Half Angle | radians | Similar derivation as "OverlapBRArcAngle" | Cell
"PA" | Profile Area | cm2 | The profile area for each profile in irrigated area and non-irrigated area. The value is about 17000-50000cm2. | SoilProfile
"PAIDF" | Profile Area of Irrigated Dry Fertilized | cm2 | Profile Area for Irrigated Dry Fertilized Matrix | SoilProfile
"PAINDF" | Profile Area of Irrigated Non Dry Fertilized | cm2 | Profile Area for Irrigated Non Dry Fertilized | SoilProfile
"PANIDF" | Profile Area of Non Irrigated Dry Fertilized | cm2 | Profile Area for Non Irrigated Dry Fertilized Matrix | SoilProfile
"PANINDF" | Profile Area of Non Irrigated Non Dry Fertilized | cm2 | Profile Area of Non Irrigated Non Dry Fertilized | SoilProfile
"perBlock" | State Flag of per Block | /block | A case of HectareBlockFlag, which means that the amount of nitrogen fertilizer applied is counted on a "per block" basis. | Block
"perHectare" | State Flag of per Hectare | /hectare | A case of HectareBlockFlag, which means that the amount of nitrogen fertilizer applied is counted on a "per hectare" basis. | Block
"PFC" | Profile Field Capacity |  | The total water amount of the soil at field capacity, including all layers in the profile. | SoilProfile
"PFCWAD" | Profile Field Capacity Water Amount as Depth |  | The water amount in the soil at field capacity above the certain depth for a specific profile. | SoilProfile
"Pi" | Pi Value | N/A | A numerical constant with the value of Pi (3.14159265) that occurs whenever the circumference of a circle is divided by its diameter. | SoilProfile
"PKsAvg" | Profile Average Soil Coefficient | N/A | The average soil coefficient for a specific profile | SoilProfile
"PLAA" | Profile Leaching Ammonium Amount | μg of NH4-N/profile | The amount of the ammonium nitrogen leached below the simulation depth over a specific profile area after daily nitrogen drain | SoilProfile
"PLAAID" | Profile Leaching Ammonium Amount at Irr Depth | μg of NH4-N/profile | The amount of the ammonium nitrogen leached below the irrigation depth over a specific profile area after daily nitrogen drain. It includes part of the layer that crosses the irrigation depth. | SoilProfile
"PLNA" | Profile Leaching Nitrate Amount | μg of NO3-N/profile | The amount of the nitrate nitrogen leached below the simulation depth over a specific profile area after daily nitrogen drain | SoilProfile
"PLNAID" | Profile Leaching Nitrate Amount at Irr Depth | μg of NO3-N/profile | The amount of the nitrate nitrogen leached below the irrigation depth over a specific profile area after daily nitrogen drain. It includes part of the layer that crosses the irrigation depth. | SoilProfile
"PLWA" | Profile Leaching Water Amount | "cm3 of water/cm2 of soil cm of water" | The amount of water leached below the simulation depth over a specific profile area after daily water drain | SoilProfile
"PLWAID" | Profile Leaching Water Amount at Irr Depth | "cm3 of water/cm2 of soil cm of water" | The amount of water leached below the irrigation depth over a specific profile area after daily water drain. It includes part of the layer that crosses the irrigation depth. | SoilProfile
"PNH4NIN" | Profile Ammonium Input | μg of NH4-N/cm2 of soil surface | The amount of ammonium nitrogen applied on a unit area of soil surface | SoilProfile
"PNO3NIN" | Profile Nitrate Input | μg of NO3-N/cm2 of soil surface | The amount of nitrate nitrogen applied on a unit area of soil surface | SoilProfile
"PNU" | Profile Nitrogen Uptake Amount |  | The amount of nitrogen uptaken from all layers of a particular profile. | SoilProfile
"postApplication" | Post Application Water Amount | hour | The amount of water following N application applied | IrrigationSystem
"PoundToGram" | Parameter of Pound to Gram | g/lb | The parameter of converting pounds to grams | Block
"PPWP" | Profile Permanent Wilting Point |  | The total water amount of soil at permanent wilting point including all layers in the profile. | SoilProfile
"preApplication" | Pre Application Water Amount | hour | The amount of water prior to N application applied | IrrigationSystem
"PredictIrrFlag" | Predict Irrigation Flag | N/A | The flag which indicates whether to use predicated irrigation schedule/amount or real irrigated date/water amount as irrigation water input in simulation calculation. | IrrigationSystem
"prePNH4NIN" | Profile Ammonium Input of Previous No water Input Day | μg of NH4-N/cm2 of soil surface | The amount of ammonium nitrogen applied to a unit area of soil on (t-1)th day, but there is no water input on that day, these ammonium nitrogen will stay on soil surface to tth day, and is called prePNH4NIN on tth day. | SoilProfile
"prePNO3NIN" | Profile Nitrate Input of Previous No water Input Day | μg of NO3-N/cm2 of soil surface | The amount of nitrate nitrogen applied to a unit area of soil on (t-1)th day, but there is no water input on that day, these nitrate nitrogen will stay on soil surface to tth day, and is called prePNO3NIN on tth day. | SoilProfile
"PRL" | Profile Root Length | cm of root | The total root length including all layers in a particular profile. | SoilProfile
"profileRadius" | Profile Radius | cm | Radius of the circle (or a portion of the circle) for the outer boundary of given profile | SoilProfile
"PTW" | Profile Total Water | cm3 of water | Sum of the water amount of all layers in a specific profile. | SoilProfile
"PUnfishedDrain" | Profile Unfinished Drain | cm3 of water | Profile unfinished drain water at 24:00pm will reduce the total water need for irrigation prediction. PUnfishedDrain is the water amount of the portion of the unfinished drain water which will contribute to the layer below wetting front and above irrigation depth. |
"PWAdavg" | Profile Water Amount as Daily Average | cm of water | The amount of water in the soil profile from soil surface to simulation depth. | soil profile
"PWCLID" | Profile Water Amount from Certain Layer to Layer of Irrigation Depth | cm3 of water | The water amount needed to bring water content to field capacity on tth day for the layers above irrDep below dep. |
"PWFCCD" | Profile Water amount at FC to Certain Depth | cm3 of water | The total amount of water in the soil at holding capacity above a certain depth for a specific profile. It also includes part of the layer that crosses this certain depth. | SoilProfile
"PWI" | Profile Water Input | cm3 of water/cm2 of soil cm of water | The input amount of water on a unit area of soil surface for a particular profile on a specific day | SoilProfile
"PWID" | Profile Water To Irrigation Depth | cm3 of water/cm2 of soil cm of water | The total amount of water in the soil above a certain depth for a specific profile. It also includes part of the layer that crosses this irrigation depth. | SoilProfile
"PWID1" | Profile Water Input Drain Stage A | cm3 of water/cm2 of soil cm of water | The input amount of irrigation water on a unit area of soil surface for a particular profile on a specific day | SoilProfile
"PWID2" | Profile Water Input At Stage B | cm3 of water/cm2 of soil cm of water | The input amount of water from prior to and during N applications, on a unit area of soil surface for a particular profile at a specific day. | SoilProfile
"PWID3" | Profile Water Input At Stage C | cm3 of water/cm2 of soil cm of water | The input amount of water following the N applications applied, on a unit area of soil surface for a particular profile on a specific day. | SoilProfile
"PWID4" | Profile Water Input At Stage D | cm3 of water/cm2 of soil cm of water | The input amount of rain water on a unit area of soil surface for a particular profile on a specific day | SoilProfile
"PWNID" | Profile Water Needed to Irrigation Depth | cm3 of water/cm2 of soil cm of water | The total water needed in all layers that are above the irrigation depth. It includes part of the layer that crosses the irrigation depth. This variable is used for predicting irrigation amount. | SoilProfile
"PWP" | Permanent Wilting Point | cm3 of water | The water amount at which citrus trees wilt (it is the minimum level of water amount it should ever be). | SoilLayer
"PWPWC" | Permanent Wilting Point Water Content | cm3 of water/cm3 of soil cm of water/cm of soil | The water content at the permanent wilting point. Plant can not take water from soil if the soil water content is below the permanent wilting point and the result will be permanent wilting of the plant. | SoilLayer
"PWPWPCD" | Profile Water amount at PWP to Certain Depth | cm3 of water | The water amount at permanent wilting point in all layers that are above the irrigation depth. It includes part of the layer that crosses the irrigation depth. Data reference: USDA-NRCS soil survey | SoilProfile
"PWSPID" | Profile Water at Set Point to Irrigation Depth | cm3 of water | The water amount at set point in all layers that are above the irrigation depth. It includes part of the layer that crosses the irrigation depth. | SoilProfile
"PWTCD" | Profile Water Amount to Certain Depth | cm3 of water | The water amount in all layers that are above the irrigation depth. It includes part of the layer that crosses the irrigation depth. | SoilProfile
"qm" | Coefficient of qm | % of applied NH4-N | A parameter of the Langmuir Kintic equation (Z.L.He, et al. 1999.) for the cumulative volatilization calculation. | Weather
"qmNAppRateFactor" | N App Rate Factor of qm | N/A | The nitrogen application rate factor for the parameter qm in the cumulative volatilization equation | SoilProfile
"qmVTF" | Volatilization Temp Factor of qm | N/A | The temperature factor of the parameter qm in the cumulative volatilization equation | Weather
"R" | Rainfall | cm | The rainfall amount to a unit area for a given day | Weather
"RAWC" | Readily Available Water Content | cm3 of water/cm3 of soil cm of water/cm of soil | The readily available water content is the water content that provides readily available soil water for the root. | SoilLayer
"RD" | Root Density | cm of root/cm3 of soil | The matrix which gives the value of concentration of root length for each root density layer of each root section. | RootDistribution
"RidgeFlag" | Constant Flag of Soil Type Ridge | N/A | The case of ridge soil type | RootDistribution
"RIntensity" | Rain Intensity | cm/hr | The amount of rainfall over a unit area per unit of time in cm per hour. Rain intensity gives a relative figure of the severity of rainfall during a given duration of rainfall. | Weather
"rl" | Root Length | cm | The total amount of roots in a specific layer | SoilLayer
"RSL" | Root Density Regression Parameters | N/A | A coefficient for estimating root density at the lower soil layers. | RootDistribution
"RZDID" | Root Zone Depletion to Irrigation Depth |  | The amount of depletion in all layers that are above the irrigation depth. It includes part of the layer that crosses the irrigation depth. | SoilProfile
"RZLD" | Root Zone Layer Depth | cm | The depth of each root section layer measured from the soil surface to the top of this root section layer | RootDistribution
"RZR" | Root Zone Radius | cm | The horizontal radius of a root section for a circle centered on the trunk of the citrus tree. | RootDistribution
"SAK" | Saturated Hydraulic Conductivity | cm of water/hour | The parameter for the saturated hydraulic conductivity. Saturated hydraulic conductivity is a quantitative measure of a saturated soil's ability to transmit water when subjected to a hydraulic gradient. It can be thought of as the ease with which pores of a saturated soil permit water movement. Data reference: Fares, et al, 2000 for Candler soil type | SoilLayer
"SAKtop" | Saturated Hydraulic Conductivity at Top Layer | cm of water/hour | SAK(i=1, j=1, k=1). This equation is introduced to meet the need of code generator in equation editor. |
"ScheduleTS" | Date Number of Schedule Prediction | N/A | Number of days after current day. Schedule prediction will be calculated for these days. | SoilCell
"shadedRainRatio" | Shaded Rain Ratio | N/A | A variable which describes how much portion of rain may pass the shade of the tree and reach soil surface in the shaded area. | Weather
"ShadeNITVmax" | Nitrification Vmax of Shade Area by Canopy | µg of NH4-N/cm3 of soil/d | Maximum nitrification as the function of soil temperature for shaded area is obtained based on the "square root" model of John M. Stark, 1996 | Layer
"shadeTopSoilTemp" | Shade Top Soil Temperature | DegreeC | The top layer soil temperatures under the shade of the tree, corresponding to the top soil layer daily average temperatures for each month. The data is obtained from FAWN online. | SoilCell
"ShadeWS" | Shade Wind Speed | m/s | The wind speed under the shade of the tree, corresponding to a weather wind speed. | Weather
"SoilCarbonPortion" | Soil Carbon Portion | % | The soil carbon portion among the stable humus, which is set as 58%. | SoilLayer
"SoilpH" | Soil pH | N/A | The parameter of pH for a certain soil type | SoilLayer
"SoilTempAvg" | Average Soil Temperature | degreeC | The "SoilTempAvg" is obtained from the "Mean 10cm Soil Temp" of the weather table on Fawn site online by averaging the data from year 2004 and 2005 |
" SoilTypeFlag" | Soil Type Flag |  | Indicates the soil type which could be ridge or floatwood. |
"SolubleRateCalculationActivationFlag" | Soluble Rate Calculation Activation Flag | N/A | The flag which indicates if the soluble rate will be calculated or used in a constant value: 1 means using the equation to calculate the soluble rate, 0 means using the constant value. | Block
"solutionDensity" | Solution Density | kg of N /liter of water (1.198 for NH4NO3 Fertigation) | The solution density is a measure of how much mass is contained in a given unit volume of the liquid fertilizer. | IrrigationSystem
"SOMPct" | Soil Organic Matter Percentage | % | Percentage of organic matter is a soil property for a certain soil type. Data reference: Fares, et al, 2000 for Candler soil type | SoilLayer
"spDep" | Set Point Depth | cm | The parameter of set-point depth is a soil property for a certain soil type. | SoilCell
"SpP" | Spray Pattern | degree of angle | An angle from 0 to 360 indicating the range of distribution of the emitter. The emitter, when fully open, creates a circular pattern with diameter equal to "wetted diameter". But the pattern can be reduced by setting the emitter to cover an angle less than 360 degrees. | IrrigationSystem
"SSLD" | Soil Series Layer Depth | % | The depth of a specific soil series layer measured from the soil surface to the top of the soil series layer. | SoilLayer
"SSLMax" | Total Number of Soil Series Layers | N/A | Maximum soil series layer number of a specific soil series | SoilLayer
"SWC" | Saturated Water Content | cm3 of water/cm3 of soil cm of water/cm of soil | Water content at saturation for a specific soil series. Data reference: Fares, et al, 2000 for Candler soil type | SoilLayer
"SystemArrayInitalValue" | System Array Initialize Constant Value | N/A | Initialized constant value for system array, which is set as -99999. | Block
"t" | Time | day | Daily time step index | Block
"TA" | Tree Age | years old | The age of trees in the block | Block
"TBDW" | TB_Layer Drained Water by Water Input | cm3 of water/cm2 of soil cm of water | Drained water amount through a unit area by Tipping Bucket model below a specific layer without the drain speed limitation. This variable is used as an intermediate calculation variable for the wetting front calculation. | SoilLayer
"TBPWI" | Profile Water Input for Tipping Bucket |  | Input water amount from a unit area of above layer by Tipping Bucket model without the drain speed limitation. This variable is used as an intermediate calculation variable for the wetting front calculation. | SoilProfile
"TBWC" | TB_Water Content | cm3 of water/cm3 of soil cm of water/cm of soil | The amount of water per unit volume of soil in Tipping Bucket model without the drain speed limitation consideration. This variable is used as an intermediate calculation variable for the wetting front calculation. | SoilLayer
"TBWCpos" | TB_Water Content Positive | cm3 of water/cm3 of soil cm of water/cm of soil | Increased water content by water input in Tipping Bucket model without the drain speed limitation consideration. This variable is used as intermediate calculation variable for the wetting front calculation. | SoilLayer
"TBWI" | TB_Water Input | cm3 of water/cm3 of soil cm of water | The amount of water inputted onto a unit area of a particular layer in tipping bucket model without the drain speed limitation consideration. It can be due to rainfall, irrigation or unfinished drain yesterday from above layer. This variable is used as an intermediate calculation variable for the wetting front calculation. | SoilLayer
"tdPNH4NIN" | Profile Ammonium Input of Today | µg of NH4-N/cm2 of soil | The amount of ammonium nitrogen applied to a unit area of the soil surface in a specific profile on current day. | SoilProfile
"tdPNO3NIN" | Profile Nitrate Input of Today | µg of NH4-N/cm2 of soil | The amount of nitrate nitrogen applied to a unit area of the soil surface in a specific profile on current day. | SoilProfile
"TNP" | Number of Profiles | N/A | Total number of profile index set up for array boundary of variables in irrigation area and dry fertilized or non-irrigation and dry fertilized area, e.g. NPIDF for irrigation area or NPNIDF for non-irrigation area. TNP is the maximum of NPIDF and NPNIDF. | SoilCell
"TNPT" | Total Number of Profile Types | N/A | The number of profile types. Its value is 2, including the irrigated type and the non-irrigated type. | SoilCell
"TNTS" | Total Number of Time Steps | N/A | Total number of time steps for simulation. It equals the number of days user selected (current day is ending day) plus the number of days predicted for future irrigation schedule. | SoilCell
"TodayTS" | Today Number of Time Step | N/A | The number of time steps from starting date to ending date selected by user. Usually, ending date is the current day. | SoilCell
"topSoilDailyAvg" | Top Layer Soil Temperature Daily Average | DegreeC | Historical daily average temperature for the top layer of soil. | SoilCell
"TotalIrrApp" | Total Irrigation Water for Application | cm3 of water/cm2 of soil or cm of wate | Total water applied with N application, include the water from, prior to, and during N applications as well as the water following N application. | IrrigationSystem
"totalIrrArea" | Total Area of Irrigated | cm2 | Total irrigated area | SoilCell
"totalNonIrrArea" | Total Area of Non Irrigated | cm2 | Total non-irrigated area | SoilCell
"TR" | Total Roots | cm of root | Total root length including those in all profiles and all layers of a cell. | SoilCell
"treesPer" | Representative Number of Trees Per Unit | # of trees/hectare or # of kg/block which is dependent upon HectareBlockFlag | Represents the number of trees per unit (block or hectare dependent upon HectareBlockFlag). | SoilCell
"TreesPerBlock" | Number of Trees Per Block | # of trees/block | Number of trees per block | Block
"TreesPerHectare" | Number of Trees Per Hectare | trees/hectare | Number of trees per hectare | Block
"UnshadeNITVmax" | Nitrification Vmax of Unshade Area by Canopy | µg of NH4-N/cm3 of soil/d | Maximum nitrification as the function of soil temperature for un-shaded area is obtained based on the "square root" model of John M. Stark, 1996 |
"UreaCase" | Constant Flag of Urea | N/A | The case of urea for FertilizerFlag (Fertilizer Name). It has a value of 3. | IrrigationSystem
"VOLA" | Volatilization | µg of NH4-N/cm2 of soil surface | The loss of ammonium nitrogen to the atmosphere per unit soil surface area on a specific day. | SoilProfile
"VOLAActivationFlag" | VOLA Activation Flag | N/A | A flag which indicates whether the volatilization will be considered in the simulation. | Block
"VolCurrentDayCase" | Constant Flag of Volatilization Current Day | N/A | A case which indicates the volatilization started on current day. | IrrigationSystem
"VolEarlierDayCase" | Constant Flag of Volatilization Earlier Day | N/A | A case which indicates the volatilization started before current day. | IrrigationSystem
"VolNoDayCase" | Constant Flag of Volatilization No Day | N/A | A case which indicates the volatilization never started. | IrrigationSystem
"VolPNH4NIn" | Profile Volatilization Ammonium Input | µg of NH4-N/cm2 of soil | The ammonium nitrogen amount over a unit area applied on most recent application day. If there is fertilizer applied on on tth day, then VolPNH4NInt= PNH4NINt; otherwise, VolPNH4NInt= VolPNH4NInt-1 | SoilProfile
"VolStartDayFlag" | Volatilization Start Day Flag | Case texts | Indicates if volatilization starts on current day or earlier day or never started. |
"VWSF" | Volatilization Wind Factor | N/A | Impact of the wind speed on the cumulative volatilization. | Weather
"VWSMax" | Volatilization Wind Speed Maximum |  | The maximum wind speed that affects volatilization. | SoilLayer
"WA" | Water Amount | cm3 of water | The volume of water contained in the soil of a specific layer for a specific profile. | SoilLayer
"WAS" | Water Amount at Saturation | cm3 of water | The volume of water contained in the saturated soil of a specific layer for a specific profile. | SoilLayer
"WaterSolubleCarbon" | Water Soluble Carbon | µg of C/g of soil | Water soluble carbon in 10^-6 g of C / g of soil | SoilLayer
"WeatherWindSpeed" | Weather Wind Speed | killo meter/h | Weather Wind Speed from Fawn. If the grower does not provide the Fawn ID, teh default value is 3.6killoMeter/h |
"WC" | Water Content | cm3 of water/cm^3 of soil cm of water/cm of soil | The amount of water per unit volume of soil in a specific layer of a specific profile at 0:00am on tth day. It is assumed that the water has been balanced under the given model flag, e.g. "FourDrainperDayActivationFlag" or HCFlag. The unfinished drain water is not included. | SoilLayer
"WCD1" | Water Content Drain Stage A | cm3 of water/cm3 of soil cm of water/cm of soil | Water content after drain for a specific layer on the specific day. The source of the water is the irrigation or yesterday's unfinished drain water. | SoilLayer
"WCD2" | Water Content Drain Stage B | cm3 of water/cm3 of soil cm of water/cm of soil | Water content after drain for a specific layer on the specific day. The source of the water is from prior to or during N applications. | SoilLayer
"WCD3" | Water Content Drain Stage C | cm3 of water/cm3 of soil cm of water/cm of soil | Water content after drain for a specific layer on the specific day. The source of the water is following N applications. | SoilLayer
"WCD4" | Water Content Drain Stage D | cm3 of water/cm3 of soil cm of water/cm of soil | Water content after drain for a specific layer on the specific day. The source of the water is from the rain. | SoilLayer
"WCneg" | Water Content Negative | cm3 of water/cm3 of soil cm of water/cm of soil | Layer daily decreased water content by Evaportranspiration on a specific day. It is assumed that there is no water input to the layer for the whole day. | SoilLayer
"WCpct" |  | (g water/g dry soil)*100, |  |
"WCplot" | Water Content for plot | cm3 of water/cm3 of soil cm of water/cm of soil | Unbalanced water content at 24:00 considering water drain profile. The water content could be more than FCWC due to unfinished drain. This variable could be used for plotting. | SoilLayer
"WCpos" | Water Content Positive | cm3 of water/cm3 of soil cm of water/cm of soil | Daily increased water content by water input | SoilLayer
"WCposD1" | Water Content Positive Drain Stage A | cm3 of water/cm3 of soil cm of water/cm of soil | Daily increased water content by irrigation (or yesterday's unfinished drain) water input | SoilLayer
"WCposD2" | Water Content Positive Drain Stage B | cm3 of water/cm3 of soil cm of water/cm of soil | Daily increased water content by the water input which is from prior to or during N applications. | SoilLayer
"WCposD3" | Water Content Positive Drain Stage C | cm3 of water/cm3 of soil cm of water/cm of soil | Daily increased water content by the water input that follows N application. | SoilLayer
"WCposD4" | Water Content Positive Drain Stage D | cm3 of water/cm3 of soil cm of water/cm of soil | Daily increased water content by rain water input | SoilLayer
"WD" | Wetted Diameter | cm | The irrigation emitter creates a circular pattern centered on the emitter. Wetted Diameter is the diameter of this circle. However, the circle may not be complete only a certain angle may be wetted (determined by Spray Pattern). | IrrigationSystem
"WeatherWindSpeed" | Weather Wind Speed | km/h (kph) | Daily average wind speed in the located area of the block. The value of WeatherWindSpeed can be obtained from FAWN Note: mph is miles per hour, kph (i.e.km/h) is 1000 meters/hour Fawn server obtained "Mean 10m WindSpeed" from sensor is in meters/second, whereas the "http://fawn.ifas.ufl.edu/scripts/fawndataserver.asp?sql=" gets data from Fawn database in kph. However the wind speed in the web page of Fawn report is in mph. | Weather
"WFLflag" | Wet Front SoilLayer Flag | N/A | The array element WFLflagk has the same value as WFLNflag(k) function. This variable is introduced to prevent repeated calculation of WFLNflag function for every layer. | SoilLayer
"WFLNflag" | Wet Front Layer Flag | N/A | Represents the layer wetting front cases. Layers with flag value of 0.5, 1.5, 2.5, or 3.5,- - - means watered layer on day t. Layers with flag values of zero are un-watered layers on day t and will not continue drain tomorrow. Layers with flag values of integers means that its above layer is the wetting front. | SoilProfile
"WFLNpreflag" | Wet Front Layer Flag for original value | N/A | An intermediate variable used to calculate wet front layer flag. It is needed for the manipulation of a tricky data. | SoilProfile
"WFSP" | Wet Front Speed | cm/hour | Wetting front speed when drain water pass through the kth layer. | SoilLayer
"WFTR" | Wetting Front Time Remaining | hour | Time remaining after wetting front pass kth layer during day t | SoilLayer
"WFTRat" | Wet Front Time Remain at Specific Layer | hour | The "WFTRat(jj)" is the same as WFTR(k=jj). It represents wet front time remaining as a function of layer index jj. This variable is introduced to meet the equation editor's need. | SoilProfile
"WFTRcond" | Wetting Front Time Remaining Condition Value | hour | The "WFTRcond" is the same as WFTR(k-1), except it handles the case of k=1, which causes the WFTR array to go out of the boundary. | SoilLayer
"WFTRcondExcConst" | WFTRcond Exception Constant Value | N/A | The constant value representing WFTRcond exception, which is set as -9999. | SoilLayer
"WFTRExcConst" | WFTR Exception Constant Value | N/A | The WFTR exception constant value is set as -9999. It has to be a negative number so that the WFLNpreflag works properly. | SoilLayer
"WFWC" | Wet Front Water Content | cm3 of water/cm3 of soil cm of water/cm of soil | Wetting front water content at kth layer while the drain water moves from kth layer to next layer based on water profile. It is not final balanced water content and it is only used to calculate wetting front speed for hydraulic conductivity consideration. | SoilLayer
"WFWCcond" | Wet Front Water Content Condition Value | cm3 of water/cm3 of soil cm of water/cm of soil | The "WFWCcond" is the same as WFWC(k-1), except it handles the case of k=1, which causes the WFWC array to go out of the boundary. | SoilLayer
"WI" | Water Input | cm3 of water/cm2 of soil cm of water | The total amount of daily water inputted onto a unit area of the top of a specific layer from all kind of water such as irrigation; prior to / during / following N application; rain from above layer. | SoilLayer
"WID1" | Water Input Drain Stage A | cm3 of water/cm2 of soil cm of water | The water inputted onto a unit area of the top of a specific soil profile from irrigation or yesterday's unfinished drain. | SoilLayer
"WID2" | Water Input Drain Stage B | cm3 of water/cm2 of soil cm of water | The water inputted onto a unit area of the top of a specific soil profile from prior to or during N applications. | SoilLayer
"WID3" | Water Input Drain Stage C | cm3 of water/cm2 of soil cm of water | The water inputted onto a unit area of the top of a specific soil profile following N application. | SoilLayer
"WID4" | Water Input Drain Stage D | cm3 of water/cm2 of soil cm of water | The water inputted onto a unit area of the top of a specific profile from the rain. | SoilLayer
"WIflag" | Drain Flag | N/A | Drain flag representing the drain status of current layer, such as whether water source is from previous day or today, draining time is 12 hour or 24 hour, above layer is watered Today or Yesterday. | SoilLayer
"WIflagExcConst" | WIflag Exception Constant Value | N/A | The constant value representing "WIflag" exception, which is set as 999 | SoilLayer
"withApplication" | With Application Water Amount | hour | The water amount during N applications | IrrigationSystem


Symbol Dependency

Click here to see the updated info

Left of EQ | Depend Symbols
Left of EQ | Depend Symbols
TMNRS1S3 | [MNRS1S3][NFS1CO2][SOM1C][SOM1N][CNS3]
TMNRS1S2 | [MNRS1S2][NFS1CO2][SOM1C][SOM1N][CNS2]
NH4NC3 | [NH4NC2][NH4NU]
NH4NCpct | [NH4NC][BulkDensity]
NH4NC2 | [NH4NC1][VOLAActivationFlag][VOLA][LT][k]
NH4NC1 | [NH4NC1D4][FourDrainPerDayFlag][NH4NC][NH4NIn][LDNH4NTP][LT][WI]
NO3NU | [NO3NUA][NO3NUP]
CDEAD | [t][CDELN][cellDryFlag]
wcScailingFactor | [dailyWCavg][BulkDensity]
NO3NInD4 | [LDNO3ND4][k][prePNO3NIN][tdPNO3NIN][IDur][t][TotalIrrApp]
NO3NInD3 | [LDNO3ND3][k][prePNO3NIN][tdPNO3NIN][IDur][t][preApplication][withApplication]
KTheta | [SAK][WC][PWPWC][SWC][HCPm]
NO3NInD2 | [LDNO3ND2][k][prePNO3NIN][tdPNO3NIN][IDur][t]
NO3NInD1 | [prePNO3NIN][k][LDNO3ND1]
NO3NUTF | [soilTemp]
CEffRain | [CIrrWN][irrDep][R][t]
DNIT | [WaterSolubleCarbon][DNITWCFactor][DNITTFactor][NO3NC3][WC][KilogramToMicroGram][HectareToSquareCentimeter]
CFS1S3 | [TCFLOWS1][SOM1C][S1S3]
CFS1S2 | [TCFLOWS1][SOM1C][CO2FS1][CFS1S3]
PWID4 | [R][shadeAreaRatio][shadedRainRatio][t]
NPIDF | [RZR][WD][DistToHedgingBoundary]
Drain12hrFlag | [WIflag][DF_12hrTdyAir][DF_12hrTdyAbvLyr][DF_Ystrdy12hrTdyAbvLyr]
IMMMETS1 | [CFMETS1][CNS1][NFMETS1][METABC][METABN]
PWID3 | [IAM][postApplication][i]
PWID2 | [IAM][preApplication][withApplication][i]
PWID1 | [CIAM][i]
NO3NC | [GramToMicroGram][e][LD][LT][CMaxSoilDep][t][NO3NC3][DNIT]
PLWAID | [k][NL][DW][LD][irrDep][LT][PA]
TFSOM | [ATANF][ATANFstandard]
NH4SOMFactor | [SOMPct]
NO3NIn | [PNO3NIN][k][LDNO3NTP]
TBWI | [PWI][nowET][LT][k][TBDW][t][WFLflag][WCneg][DW]
nowET | [WCneg][ETCc][rl][TR][LV]
MNRMETS1 | [IMMMETS1][METABC][METABN][CNS1]
TBWC | [WC][dini][t][TBWCpos][k][PWI][nowET][TBDW][WFLflag][WCneg][DW][PWPWC]
tdPNH4NIN | [NAppAmountPer][KilogramToGram][GramToMicroGram][treesPer][NH4NPctinFertilizer][t][allocation][appFlag][DryFertilizerCase][i][solutionDensity][FertigationCase]
WCD4 | [WCposD4][t][PWID4][nowETD4][LT][WIflag][DF_12hrTdyAir][k][HCFlag][DWD4][DF_12hrTdyAbvLyr][PWPWC]
WCD3 | [WCposD3][t][PWID3][nowETD3][LT][WIflag][DF_12hrTdyAir][k][HCFlag][DWD3][DF_12hrTdyAbvLyr][PWPWC]
WCD2 | [WCposD2][t][PWID2][nowETD2][LT][WIflag][DF_12hrTdyAir][k][HCFlag][DWD2][DF_12hrTdyAbvLyr][PWPWC]
WCD1 | [WCposD1][t][PWID1][nowETD1][LT][WIflag][DF_12hrTdyAir][k][HCFlag][DWD1][DF_12hrTdyAbvLyr][DW][PWPWC]
totalNonIrrArea | [CA][totalIrrArea]
NH4pHFactor | [SoilpH]
DLTSNH4 | ¡¡
IZLWAID | [j][NPIDF][PLWAID][NPINDF]
NH4SolubleRate | [NH4AdsorptionCoeff][BulkDensity][SWC][NH4pHFactor][NH4ClayFactor][NH4SOMFactor][NH4CECFactor][SolubleRateCalculationActivationFlag]
MNRS1S3 | [IMMS1S3][SOM1C][SOM1N][CNS3]
MNRS1S2 | [IMMS1S2][SOM1C][SOM1N][CNS2]
WCposD4 | [WCD3][WID4][LT][FCWC]
WCposD3 | [WCD2][WID3][LT][FCWC]
WCposD2 | [WCD1][WID2][LT][FCWC]
WCposD1 | [WC][WID1][LT][FCWC]
AssumedInfDep | [k][PWI][SWC][WC]
CIrrWN | [j][NPIDF][PWNID][irrDep][NPINDF]
soilTemp | [unshadedSoilTemp][shadedSoilTempAdjustFactor][shadeAreaRatio]
RZLD | ¡¡
HCPm | [HCPn]
profileRadius | [IPR][j][i][NIPR][SpP]
NH4NPctinFertilizer | [FertilizerFlag][AmmoniumNitrateCase][AmmoniumSulfateCase][UreaCase][NH4NPctofN][NPctinFertilizer][CommercialMix]
S2S3 | [ClayPct]
DW | [DWD1][DWD2][DWD3][DWD4][FourDrainPerDayFlag][WI][WC][FCWC][LT]
prePNO3NIN | [tdPNO3NIN][t][R][appFlag][DryFertilizerCase][i][postApplication][prePNO3NIN][TotalIrrApp][IDur]
PWP | [PWPWC][LV]
TMNRSTRS2 | [MNRSTRS2][NFSTRCO2][STRUCC][STRUCN][CNS2]
layerDryFlag | [WC][AD]
PWI | [PWID1][PWID2][PWID3][PWID4]
shadedSoilTempAdjustFactor | [LD][LT][julianDay][t][pi]
NO3ClayFactor | [ClayPct]
WCpct | [WC][BulkDensity]
WCplot | [SWC][WC][allExtraWater][LD][LT][InfMaxDep]
NO3SolubleRate | [NO3AdsorptionCoeff][BulkDensity][SWC][NO3pHFactor][NO3ClayFactor][NO3SOMFactor][NO3CECFactor][SolubleRateCalculationActivationFlag]
CLNR | [CLNA][TreesPerHectare][KilogramToGram][GramToMicroGram]
DNITWCFactor | [PNH4NIN][HCFlag][Drain12hrFlag][k][DW]
treesPer | [TreesPerHectare][HectareBlockFlag][perHectare][TreesPerBlock][perBlock]
NO3NCsolute | [NO3NC][LV][WA]
WFWCcond | [WFWC][k][SWC][PWI][WC]
ShadeWS | [e][WeatherWindSpeed][KMperHtoMperS][cv]
CR | [cv][CubicM2CubicCm][hedgingTreeHeight][assumedCellBoundaryR]
ATANF | [pi][soilTemp]
DLTSTURCC | [CFSTRS2][CO2FSTR]
LDNH4NTP | [LDNH4ND1][LDNH4ND2][LDNH4ND3][LDNH4ND4][FourDrainPerDayFlag][DW][NH4SolubleRate][NH4NC][LT][NH4NIn][WI][WC]
DWof | [k][jj][DW]
SOM3N | [SOM3C][INICNS3][t][SOM3N][DLTSOM3N]
shadedRainRatio | [R]
IPR | [WD][RZR][assumedCellBoundaryR]
CLNA | [j][NPNIDF][PLNA][NPIDF][NPNINDF][NPINDF]
MINERALIZE | [TMNRMETS1][TMNRSTRS2][TMNRS1S2][TMNRS1S3][TMNRS2S1][TMNRS3S1][IMMMETS1][IMMSTRS2][IMMS1S2][IMMS1S3][IMMS2S1][IMMS3S1]
SOM3C | [t][SOM3C][DLTSOM3C]
CA | [IRD][BRD]
NITVmax | [UnshadeNITVmax][shadeAreaRatio][ShadeNITVmax]
NIT | [NH4NC3][LV][WA][NITVmax][NITKm]
SNO3 | [SNO3][t][DLTSNO3]
NIP | [RZR][WD]
IPA | [pi][WD][SpP][RZR]
ETLcs | [ETCc][ks][rl][TR][t][TodayTS][ETLcs]
NO3NCpct | [NO3NC][BulkDensity]
NH4CECFactor | [CEC]
beta | [FertilizerFlag][t][AmmoniumNitrateCase][VolStartDayFlag][VolCurrentDayCase][beta][VolEarlierDayCase]
nowETD4 | [PWID4][nowET][PWI]
VWSF | [ShadeWS][t]
nowETD3 | [PWID3][nowET][PWI]
nowETD2 | [PWID2][nowET][PWI]
nowETD1 | [PWID1][nowET][PWI]
LDNO3ND4 | [DWD4][NO3SolubleRate][NO3NC1D3][LT][NO3NInD4][WID4][WCD3]
SOM2N | [SOM2C][INICNS2][t][SOM2N][DLTSOM2N]
LDNO3ND3 | [DWD3][NO3SolubleRate][NO3NC1D2][LT][NO3NInD3][WID3][WCD2]
LDNO3ND2 | [DWD2][NO3SolubleRate][NO3NC1D1][LT][NO3NInD2][WID2][WCD1]
LDNO3ND1 | [DWD1][NO3SolubleRate][NO3NC][LT][NO3NInD1][WID1][WC]
DLTMETABN | [NFMETS1][MNRMETS1]
NH4NUP | [ETLcs][NH4NC][NH4NC2][WA][PNH4NIN][HCFlag][Drain12hrFlag][k][DW]
SOM2C | [t][SOM2C][DLTSOM2C]
cellDryFlag | [j][NPIDF][profileDryFlag][NPINDF]
rl | [LRD][j][NPIDF][k][LV][SpP][i][WD][RZR][profileRadius]
DLTMETABC | [CFMETS1][CO2FMET]
DUR | [CIrrWN][irrDep][EFR][LiterToCubicCentimeter][HourToMinute][IE]
CO2FSTR | [CFSTRS2][CO2STR]
WAS | [SWC][LV]
NFS1CO2 | [SOM1N][CO2FS1][SOM1C]
NFS3S1 | [SOM3N][CFS3S1][SOM3C]
PLNA | [PA][k][NL][LDNO3NTP]
WFLflag | [WFLNflag][k]
LThickRangeArr2 | ¡¡
PWTCD | [k][NL][WA][LD][LT][dep][PA][WC]
LDof | [k][jj][LD]
SOM1N | [SOM1C][INICNS1][t][SOM1N][DLTSOM1N]
PNH4NIN | [prePNH4NIN][tdPNH4NIN]
NH4NC1D4 | [NH4NC1D3][NH4NInD4][LDNH4ND4][LT][WID4]
NH4NC1D3 | [NH4NC1D2][NH4NInD3][LDNH4ND3][LT][WID3]
NH4NC1D2 | [NH4NC1D1][NH4NInD2][LDNH4ND2][LT][WID2]
NH4NC1D1 | [NH4NC][NH4NInD1][LDNH4ND1][LT][WID1]
SOM1C | [t][SOM1C][DLTSOM1C]
qm | [FertilizerFlag][t][AmmoniumNitrateCase][VolStartDayFlag][VolCurrentDayCase][qm][VolEarlierDayCase]
qmVTF | [shadeTopSoilTemp][AirTemp]
PWFCCD | [k][NL][fc][LD][irrDep][PA][FCWC]
cumulativeVOLA | [VolPNH4NIn][qm][t][NApplyElapse][beta][betaNAppRateFactor][betaVTF][qmVTF][VWSF][qmNAppRateFactor]
NO3NPctinFertilizer | [FertilizerFlag][AmmoniumNitrateCase][AmmoniumSulfateCase][UreaCase][NO3NPctofN][NPctinFertilizer][CommercialMix]
allExtraWater | [jj][k][NL][DWof][t][LDof][WFLNflag][LD]
IZLAA | [j][NPIDF][PLAA][NPINDF]
NO3pHFactor | [SoilpH]
CFMETS1 | [TCFLOWMET][METABC][CO2FMET]
ddmax | [mmToCm][BulkDensity][e]
qmNAppRateFactor | [VolPNH4NIn]
PRL | [k][NL][rl]
assumedCellBoundaryR | [IRD][BRD][HedgingDist][pi]
NO3NC3 | [NO3NC2][NIT]
NO3NC2 | [NO3NC1][NO3NU]
NO3NC1 | [NO3NC1D4][FourDrainPerDayFlag][NO3NC][NO3NIn][LDNO3NTP][LT][WI]
LRD | [RD][ii][transK][RZLD][jj]
TotalIrrApp | [preApplication][withApplication][postApplication]
CO2FMET | [TCFLOWMET][METABC][CO2MET]
betaNAppRateFactor | [VolPNH4NIn]
S1S3 | [ClayPct]
WI | [WID1][WID2][WID3][WID4][FourDrainPerDayFlag][PWI][nowET][LT][WIflag][DF_12hrTdyAir][k][HCFlag][DW][DF_12hrTdyAbvLyr][t][WCneg][DF_24hrYstrdyAbvLyr][DF_24hrTdyAbvLyr][DF_Ystrdy12hrTdyAbvLyr][DF_Ystrdy24hrTdyAbvLyr]
DistToHedgingBoundary | [BRD][HedgingDist]
NFMETS1 | [METABN][CFMETS1][METABC]
WC | [FCWC][d][PWPWC]
IMMS3S1 | [CFS3S1][CNS1][NFS3S1][SOM3C][SOM3N]
WA | [LV][WC][d]
hd_SSLI | [ii][SSLMax][k][transK][SSLD]
soilTAvgDepFactor | [LD][LT]
NFS2CO2 | [SOM2N][CO2FS2][SOM2C]
unshadedSoilTemp | [layerSoilTempAvg][AmpAnnual][e][LD][LT][dd][pi][julianDay][t][minTempTimeLag]
tdPNO3NIN | [NAppAmountPer][KilogramToGram][GramToMicroGram][treesPer][NO3NPctinFertilizer][t][allocation][appFlag][DryFertilizerCase][i][solutionDensity][FertigationCase]
IAAW | [j][NPIDF][PWFCCD][irrDep][PWTCD][NPINDF][PWPWPCD]
TCFLOWSTR | [STRUCC][DEFAC][DECSTR][e][LIGSTR][FRLSTR]
STRUCN | [STRUCN][CNSTR][t][DLTSTRUCN]
IZLWA | [j][NPIDF][PLWA][NPINDF]
STRUCC | [STRUCC][t][DLTSTURCC]
CIAM | [IAM][IDur][t]
PAINDF | [OverlapBRArcArea]
OverlapIRArcAngle | [DistToInRowBoundary][WD]
NO3NC1D4 | [NO3NC1D3][NO3NInD4][LDNO3ND4][LT][WID4]
NO3NC1D3 | [NO3NC1D2][NO3NInD3][LDNO3ND3][LT][WID3]
NApplyElapse | [VolStartDayFlag][t][VolCurrentDayCase][NApplyElapse][VolEarlierDayCase]
NO3NC1D2 | [NO3NC1D1][NO3NInD2][LDNO3ND2][LT][WID2]
SNH4 | [SNH4][t][DLTSNH4]
TNP | [NPNIDF][NPIDF]
NO3NC1D1 | [NO3NC][NO3NInD1][LDNO3ND1][LT][WID1]
TR | [j][NPNIDF][PRL][NPIDF]
NO3SOMFactor | [SOMPct]
TMNRS3S1 | [MNRS3S1][NFS3CO2][SOM3C][SOM3N][CNS1]
CNS3 | [CNS3X][AMINRL][CNS3M][LD]
PAIDF | [pi][WD][SpP][RZR][OverlapBRArcArea][OverlapIRArcArea]
IMMSTRS2 | [CFSTRS2][CNS2][NFSTRS2][STRUCC][STRUCN]
CNS2 | [CNS2X][AMINRL][CNS2M][LD]
CNS1 | [CNS1X][AMINRL][CNS1M][LD]
RZR | ¡¡
NFS2S1 | [SOM2N][CFS2S1][SOM2C]
dailyWCavg | [WC][FCWC][WIflag][DF_12hrTdyAir][DF_12hrTdyAbvLyr][DF_Ystrdy12hrTdyAbvLyr][DF_24hrYstrdyAbvLyr][DF_24hrTdyAbvLyr][DF_Ystrdy24hrTdyAbvLyr]
IrrIntensity | [EFR][LiterToCubicCentimeter][IA][IE]
CFS3S1 | [TCFLOWS3][SOM3C][CO2FS3]
ks | [WC][PWPWC][FCWC][RAWC]
WFWC | [TBDW][LD][k][TBWC][t][LT][TNTS]
IDur | [IDURDB][PredictIrrFlag][DUR][t][cellDryFlag]
MNRSTRS2 | [IMMSTRS2][STRUCC][STRUCN][CNS2]
VOLA | [cumulativeVOLA][VolStartDayFlag][t][VolCurrentDayCase][VolEarlierDayCase][FertilizerFlag][AmmoniumNitrateCase]
PLAAID | [PA][k][NL][LDNH4NTP][LD][irrDep][LT]
PWNID | [k][NL][fc][WA][LD][irrDep][PA][FCWC][WC]
PANIDF | [pi][RZR][WD][IRD][DistToHedgingBoundary][OverlapBRArcArea][OverlapIRArcArea][SpP]
kc | [julianDay]
LDNO3NTP | [LDNO3ND1][LDNO3ND2][LDNO3ND3][LDNO3ND4][FourDrainPerDayFlag][DW][NO3SolubleRate][NO3NC][LT][NO3NIn][WI][WC]
InfMaxDep | [k][PWI][SWC][PWTCD][AssumedInfDep][PA]
DailyKs | [j][NNIP][PA][PKsAvg][totalNonIrrArea][NIP][totalIrrArea]
TCFLOWMET | [METABC][DEFAC][DECMET]
WID4 | [PWID4][nowETD4][LT][WIflag][DF_12hrTdyAir][k][HCFlag][DWD4][DF_12hrTdyAbvLyr][t][DF_Ystrdy12hrTdyAbvLyr]
WID3 | [PWID3][nowETD3][LT][WIflag][DF_12hrTdyAir][k][HCFlag][DWD3][DF_12hrTdyAbvLyr][t][DF_Ystrdy12hrTdyAbvLyr]
CDELN | [TodayTS]
WID2 | [PWID2][nowETD2][LT][WIflag][DF_12hrTdyAir][k][HCFlag][DWD2][DF_12hrTdyAbvLyr][t][DF_Ystrdy12hrTdyAbvLyr]
WID1 | [PWID1][nowETD1][LT][WIflag][DF_12hrTdyAir][k][HCFlag][DWD1][DF_12hrTdyAbvLyr][DW][t][DF_Ystrdy12hrTdyAbvLyr]
VolPNH4NIn | [PNH4NIN][VolStartDayFlag][t][VolCurrentDayCase][VolPNH4NIn][VolEarlierDayCase]
WFTRcond | [WFTR][k][PWI][WFTRcondExcConst]
NFS3CO2 | [SOM3N][CO2FS3][SOM3C]
TreesPerHectare | [HectareToSquareCentimeter][CA]
MNRS3S1 | [IMMS3S1][SOM3C][SOM3N][CNS1]
IZLAAID | [j][NPIDF][PLAAID][NPINDF]
NAppAmountPer | [applicationAmountPerHectare][HectareBlockFlag][perHectare][applicationAmountPerBlock][perBlock]
RD | [cv][RSL][RD]
NO3NUP | [ETLcs][NO3NC][NO3NC1][WA][PNO3NIN][HCFlag][Drain12hrFlag][k][DW]
NIPR | [RZR][WD][assumedCellBoundaryR][IPR]
WCneg | [FCWC][ETLcs][LV]
shadeAreaRatio | [profileRadius][CR][i][j][SpP][WD]
WFLNpreflag | [k][jj][PWI][WFTR][WFTRExcConst]
PLNAID | [PA][k][NL][LDNO3NTP][LD][irrDep][LT]
WaterSolubleCarbon | [SoilCarbonPortion][SOMPct][BulkDensity][LT]
NO3NUA | [rl][NO3NUVmax][NO3NUTF][soilTemp][WA][NO3NC][NO3NUKm][LV][NO3NC1][PNO3NIN][HCFlag][Drain12hrFlag][k][DW]
NNIP | [WD][RZR][NIP][SpP]
NIPA | [pi][RZR][WD][CA][SpP]
WFTR | [LT][WFSP][t][k][WFLflag][TBDW][WFTRcond][SystemArrayInitalValue][WFTRExcConst]
UnshadeNITVmax | [soilTemp][e][BulkDensity]
PNO3NIN | [prePNO3NIN][tdPNO3NIN]
NH4NCsolute | [NH4NC][LV][WA]
OverlapBRArcArea | [WD][OverlapBRArcAngle][DistToHedgingBoundary]
VWF | [FCWC][PWPWC][WC]
NH4NU | [NH4NUP]
SiltSC | [SandSC][ClayPct]
WFTRat | [k][jj][WFTR]
IMMS2S1 | [CFS2S1][CNS1][NFS2S1][SOM2C][SOM2N]
VolStartDayFlag | [VolCurrentDayCase][appFlag][FertigationCase][DryFertilizerCase][postApplication][R][t][TotalIrrApp][VolEarlierDayCase][NApplyElapse][VolNoDayCase]
IZLNAID | [j][NPIDF][PLNAID][NPINDF]
NFSTRCO2 | [STRUCN][CO2FSTR][STRUCC]
NWF | [WC][PWPWC][FCWC]
NH4NC | [e][LD][LT][GramToMicroGram][t][NH4NC3][NIT]
TMNRMETS1 | [MNRMETS1][NFMETCO2][METABC][METABN][CNS1]
NH4ClayFactor | [ClayPct]
WFSP | [InfWFSP][LD][LT][InfMaxDep][HCWFSP]
WCpos | [WC][WI][LT][FCWC]
PA | [PANIDF][j][SpP][i][PAIDF][PANINDF][PAINDF]
TXS1 | [SandSC]
CLNID | [j][NPNIDF][PLAAID][NPIDF][NPNINDF][NPINDF][PLNAID]
NH4NIn | [PNH4NIN][k][LDNH4NTP]
RIntensity | [SAKtop][R]
PKsAvg | [k][NL][ks]
CLAR | [CLAA][TreesPerHectare][KilogramToGram][GramToMicroGram]
allocation | [totalIrrArea][appFlag][FertigationCase][i][CPA][DryFertilizerCase]
CLAA | [j][NPNIDF][PLAA][NPIDF][NPNINDF][NPINDF]
NPINDF | [WD][DistToHedgingBoundary]
CPA | [IRD][BRD][HedgingDist]
FourDrainPerDayFlag | [i][PWID2][PWID1][WFLNflag][k][HCFlag][DW][PWID4][PWID3][FourDrainperDayActivationFlag]
METABN | [METABC][CNMET][t][METABN][DLTMETABN]
WFLNflag | [jj][WFTRat][SystemArrayInitalValue][WFLNpreflag]
WIflag | [DF_12hrTdyAir][k][PWI][DF_12hrTdyAbvLyr][t][WFLNflag][DF_24hrYstrdyAbvLyr][DF_24hrTdyAbvLyr][DF_Ystrdy12hrTdyAbvLyr][DF_Ystrdy24hrTdyAbvLyr][WIflagExcConst][HCFlag]
NL | [LThickRangeArr][LThickArrLeng]
fc | [FCWC][LV]
TMNRS2S1 | [MNRS2S1][NFS2CO2][SOM2C][SOM2N][CNS1]
METABC | [t][METABC][DLTMETABC]
PWPWPCD | [k][NL][PWP][LD][irrDep][PA][PWPWC]
NFS1S3 | [SOM1N][CFS1S3][SOM1C]
NFS1S2 | [SOM1N][CFS1S2][SOM1C]
InfWFSP | [InfRate][SWC][WC]
CFS2S3 | [TCFLOWS2][SOM2C][S2S3]
CFS2S1 | [TCFLOWS2][SOM2C][CO2FS2][CFS2S3]
prePNH4NIN | [tdPNH4NIN][t][R][appFlag][DryFertilizerCase][i][postApplication][prePNH4NIN][TotalIrrApp][IDur]
InfRate | [RIntensity][t][i][R][CIAM][IrrIntensity]
shadeTopSoilTemp | [topSoilDailyAvg][monthOfDate]
PLAA | [PA][k][NL][LDNH4NTP]
DistToInRowBoundary | [IRD]
NPNIDF | [WD][RZR][SpP][NPIDF]
transK | [jj][LThickArrLeng][dep][LThickRangeArr][DepLR]
RSL | [SoilTypeFlag][Flatwoods][RidgeFlag]
TBDW | [TBWI][WC][FCWC][LT]
NH4NInD4 | [LDNH4ND4][k][prePNH4NIN][tdPNH4NIN][IDur][t][TotalIrrApp]
ATANFstandard | [pi][soilTempStandard]
IAM | [IDur][EFR][LiterToCubicCentimeter][HourToMinute][IE][IA]
NH4NInD3 | [LDNH4ND3][k][prePNH4NIN][tdPNH4NIN][IDur][t][preApplication][withApplication]
DLTSNO3 | ¡¡
NH4NInD2 | [LDNH4ND2][k][prePNH4NIN][tdPNH4NIN][IDur][t]
IZLNA | [j][NPIDF][PLNA][NPINDF]
NH4NInD1 | [prePNH4NIN][k][LDNH4ND1]
HCWFSP | [KTheta][k][WFWCcond][SWC][WC][NL][TBWI]
LV | [LT][PA]
LT | [jj][LThickArrLeng][LThickRangeArr][k]
OverlapBRArcAngle | [DistToHedgingBoundary][WD]
CFSTRS2 | [TCFLOWSTR][STRUCC][FRLSTR]
TBWCpos | [WC][TBWI][LT][PA][fc][WA][FCWC]
dd | [ddmax][e][wcScailingFactor]
DLTSOM3N | [NFS1S3][NFS3S1][MNRS3S1][IMMS1S3]
CLWA | [j][NPNIDF][PLWA][NPIDF][NPNINDF][NPINDF]
WFSOM | [WC][FCWC][SWC]
LD | [ii][LThickArrLeng][k][LThickRangeArr]
TreesPerBlock | [BS][HectareToSquareCentimeter][CA]
MNRS2S1 | [IMMS2S1][SOM2C][SOM2N][CNS1]
cv | [natureCV][CPA][hedgingTreeHeight]
DLTSOM3C | [CFS1S2][CFS2S3][CFS3S1][CO2FS3]
CO2FS3 | [TCFLOWS3][SOM3C][CO2S3]
CO2FS2 | [TCFLOWS2][SOM2C][CO2S2]
CO2FS1 | [TCFLOWS1][SOM1C][CO2S1]
TCFLOWS3 | [SOM3C][DEFAC][DECS3]
TCFLOWS2 | [SOM2C][DEFAC][DECS2]
TCFLOWS1 | [SOM1C][DEFAC][DECS1][TXS1]
DEFAC | [TFSOM][WFSOM]
DepLR | [jj][ii][LThickRangeArr]
d | [FCWC][WC][PWPWC]
CO2S1 | [SandSC]
NFMETCO2 | [METABN][CO2FMET][METABC]
DLTSOM2N | [NFSTRS2][NFS1S2][NFS2S1][MNRS2S1][IMMSTRS2][IMMS1S2]
NFSTRS2 | [STRUCN][CFSTRS2][STRUCC]
LDNH4ND4 | [DWD4][NH4SolubleRate][NH4NC1D3][LT][NH4NInD4][WID4][WCD3]
profileDryFlag | [k][NL][layerDryFlag][LDof][spDep]
LDNH4ND3 | [DWD3][NH4SolubleRate][NH4NC1D2][LT][NH4NInD3][WID3][WCD2]
LDNH4ND2 | [DWD2][NH4SolubleRate][NH4NC1D1][LT][NH4NInD2][WID2][WCD1]
LDNH4ND1 | [DWD1][NH4SolubleRate][NH4NC][LT][NH4NInD1][WID1][WC]
CLN | [CLAA][CLNA]
OverlapIRArcArea | [WD][OverlapIRArcAngle][DistToInRowBoundary]
DLTSOM2C | [CFS1S2][CFS2S1][CFS2S3][CO2FS2]
ETCc | [ETo][kc][t][CA]
IMMS1S3 | [CFS1S3][CNS3][NFS1S3][SOM1C][SOM1N]
PLWA | [k][NL][DW][PA]
IMMS1S2 | [CFS1S2][CNS2][NFS1S2][SOM1C][SOM1N]
DNITTFactor | [e][soilTemp]
AMINRL | [SNH4][SNO3]
DLTSOM1N | [NFMETS1][NFS1S2][NFS1S3][NFS2S1][NFS3S1][MNRS1S2][MNRS1S3][IMMMETS1][IMMS2S1][IMMS3S1]
CMaxSoilDep | [j][k][NL][LT]
DLTSOM1C | [CFMETS1][CFS1S2][CFS1S3][CFS2S1][CFS3S1][CO2FS1]
layerSoilTempAvg | [SoilTempAvg][soilTAvgDepFactor]
DLTSTRUCN | [NFSTRS2][MNRSTRS2]
ShadeNITVmax | [soilTemp][e][BulkDensity]
totalIrrArea | [j][NPIDF][PA][NPINDF]
PANINDF | [HedgingDist][IRD][OverlapBRArcArea]
IA | [IRD][BRD][SpP][WD]
LThickRangeArr | ¡¡
SAKtop | [j][k][SAK]
FRLSTR | [LIGC][STRUCC]
NO3CECFactor | [CEC]
DWD4 | [WID4][WCD3][FCWC][LT]
DWD3 | [WID3][WCD2][FCWC][LT]
DWD2 | [WID2][WCD1][FCWC][LT]
DWD1 | [WID1][WC][FCWC][LT]
RAWC | [KRA][FCWC][PWPWC]


Equation Reference

Reference

Boman, B.J. and L.R. Parsons. 2002. Evapotranspiration. in "Water and Florida Citrus" B.J. Boman (ED). SP 281 Florida Cooperative Extension Service, IFAS, University of Fl. Gainesville, Fl.
Bouwer, H., 1966. Rapid field measurements of air entry value and hydraulic conductivity of soil as significant parameter in flow system analysis, Water Resources Research, 2(4), 729-738.

Charbeneau, Randall J., 1989. Liquid moisture redistribution: hydrologic simulation and spatial variability, in "Unsaturated flow in hydrologic modeling: theory and practice", Book author: NATO Advanced Research Workshop on Unsaturated Flow in Hydrologic Modeling Theory and Practice, Publisher: Dordrecht; Boston: Kluwer Academic Publishers.
DuCharme, E.P. 1971. Soil temperature in Florida citrus groves. Agric. Exp. Stat. Inst. Food Agric. Sci. University of Florida, Gainesville. Bull. no. 747. pp. 1-15.
Fares, A., A.K. Alva, P. Nkedi-Kizza and M.A. Elrashidi, 2000. Estimation of soil hydraulic properties of a sandy soil using capacitance probes and guelph permeameter. Soil Science. 165(10):768-777.

Fares, A., Dogan, A., L. R. Parsons, T. Obreza, and K.T. Morgan, Water Balance Components in a Mature Citrus Orchard (submitted)
Fillery, I.R.P., J.R. Simpson and S.K. De Datta. 1984. Influence of field environment and fertilizer management on ammonia loss from flooded rice. Soil Science Society of America Journal 48: 914-920.
Godwin, D.C., and U. Singh. 1998. Nitrogen balance and crop response to nitrogen in upland and lowland cropping systems. In G.Y. Tsuji et al. (eds.), "Understanding Options for Agricultural Production", 55-77. Dordrecht: Kluwer Academic Publishers.
He, Z.L., A.K. Alva, D.V.Calvert and D.J. Banks, 1999. Ammonia volatilization from different fertilizer sources and effects of temperature and soil pH. Soil Science, 164:750-758.

Hillel, D. 1982. Introduction to soil physics. Academic Press, San Diego, CA.
¡¡
John M. Stark, Modeling the temperature response of nitrification, Biogeochemistry 35: 433-455, 1996
Konrad Mengel and Ernest A. Kirkby, Fig 7.4, page 357, book "Principles of Plant Nutrition", Publisher: International Potash Institute, 4th edition, 1987 . Pnima Publishing corp. New Delhi, Bangalor. This Fig is after Beck, Th:(G) Mineralization of soil nitrogen in laboratory incubation experiments, Z. Pflanzenernaehr. Bodenkd. 146, 243-253, 1983
Ma, L., and M.J. Shaffer. 2001. Review of carbon and nitrogen processes in nine U.S. soil nitrogen dynamics models. Chapter 4. In M.J. Shaffer et al. (Eds.) in "Modeling Carbon and Nitrogen Dynamics for Soil Management". CRC Press, Boca Raton, FL.

Mattos Jr., D., A.K. Alva, S. Paramasivam, and D.A. Graetz. 2003. Nitrogen volatilization and mineralization in a sandy Entisol of Florida under citrus. Comm. Soil Science Plant Analysis 34:1803-1824.
Mein, R.G. and C.L. Larson, 1973. Modeling infiltration during a steady rain. Water Resour. Res. 9(2): 384-394.
Morgan K.T., T.A. Obreza, and J.M.S. Scholberg. 2006. Characterizing citrus tree root distribution in space and time. J. Am. Soc. Hort. Sci. 131:149-156.
Morgan K.T., J.M.S. Scholberg, T.A. Obreza, L.R. Parsons, and T.A. Wheaton. 2006b. Citrus water uptake dynamics on a sandy Florida Entisol. Am. Soil Sci. Soc. J. 70:90-97.

Neitsch, S.L., J.G. Arnold, J.R. Kiniry, J.R. Williams, K.W. King, 2002. Soil and
Water Assessment Tool Theoretical Documentation Version
2000, Blackland Research Center, Texas Agricultural Experiment
Station, Temple, TX.

Parsons, L. R. and Morgan, K. T. , 2004. Management of Microsprinkler Systems for Florida Citrus, HS-958. Gainesville: Horticultural Sciences Department, Florida Cooperative Extension Service, Institute of Food and Agricultural Sciences, University of Florida.
Reddy, K. R., R. Khaleel, and M. R. Overcash. 1980. Carbon transformations in the land areas receiving organic wastes in relation to nonpoint source pollution: A conceptual model. J. Environ. Qual. 9:434-442..

Reddy, K.R., R. Khaleel, M.R. Overcash, and P.W. Westerman. 1979. A nonpoint source model for land areas receiving animal wastes: II. Ammonia volatilization. Trans. ASAE 22:1398-1404.
Scholberg, J.M.S., K.T. Morgan, L.R. Parsons, and T.A. Wheaton, Soil Nitrate Uptake of Citrus as Affected by N Concentration and 1 Light Conditions, Florida Experiment Station, (Being preparation)
Scholberg, J.M.S., L.R. Parsons, T.A. Wheaton, B.L. McNeal, and K.T. Morgan. 2002. Soil temperature, nitrogen concentration and residence time affect nitrogen uptake efficiency of citrus. J. Environ. Qual. 31:759-768.
Shi, W., and J.M. Norton, 2000. Effect of long-term, biennial, fall-applied anhydrous ammonia and nitrapyrin on soil nitrification. Soil Science Society of America Journal, 64: 228-234.
Suprayogo, D., M. Van Noordwijk, K. Hairiah and G. Cadisch, 2002. The inherent 'safety-net' of an Acrisol: measuring and modelling retarded leaching of mineral nitrogen, European Journal of Soil Science, Volume 53:185-194.
Tanny, J., Cohen, S., The effect of a small shade net on the properties of wind and selected boundary layer parameters above and within a citrus orchard, Biosystems Engineering 84(1):57-67, 2003

Watkins, S.H., R.F. Strand, D.S. Debell, and J. Esch, Jr., 1972. Factors Influencing Ammonia Losses from Urea Applied to Northwestern Forest Soils. Soil Sc. Soc. Am, Proc. 36, 354-357.
USDA-NRCS soil survey


Picture Index

Pictures Index

Click the text followed by " [image] " to see the picture

Click the text followed by " [image] " to see the description and key word for the pictures

Click the text followed by " [image] " to close the view of description and key word of the pictures

The symbols/equations which associated with the picture are include in the key word

Program Basic Parameters

Picture of tree soil plan view

Block, irrigation zone and weather station

Geometry of soil profile in tree area:

Four types of profiles: non-irrigated & dryFertilized area; irrigated & dryFertilized area; non-irrigated & non-dryFertilized area; non-irrigated and non-dryFertilized area

Spray pattern = 3600 for the four types of area

Spray pattern < 3600 with orientation case 1; Spray pattern <360 0 with orientation case 2 for the four types of area

Spray area overlap for the four types of area

The possible cases to define the profile area and profile radius

Calculate the area of circular segment.

Description

Key Word

Flexible Layer Thickness

Diagram

Root density layer, soil series layer and Tipping Bucket Model layer

Soil series layer, Tipping Bucket model layer and water table

Description

Key Word

Root Density

Root density vs. root section number for canopy = 35m3

Root density vs. soil depth for canopy = 35m3

Root density vs. layer index for root section 1, 2, 3, 4

The root distribution comparison between ridge and flatwoods.

Description

Key Word

Irrigated area and non-irrigated area

Orchard top view

Description

Key Word

Shaded area and non-shaded area

How to calculate canopy radius from canopy volume and how it is simplified

Possible relative positions among canopy, profile and irrigated area for non-irrigated profile if the wetted diameter < canopy

Intercept calculation

Tree age vs Tree Shape

Description

Key Word

Simulation period and Term period

Term period

Calculation order for multiple blocks and multiple terms

Description

Key Word

Weather

Weather Data online from FAWN

Fawn Station Map for Developer [image] Fawn Station Map for Farmers

Experimental historical data for shaded and un-shaded temperature in Florida

Shaded Wind speed

Water Balance

Water Drain

The comparison between tipping bucket model and piston flow model

Another view for tipping bucket model and piston flow model

Software calculation flow

Description

Key Word

ET

ET_Kc

ET_Ks

Ks equation

Description

Key Word

Irrigation Schedule

SWC, WC and PWPWC

Variable definition

Description

Key Word

Infiltration

Diagram

Description

Key Word

Hydraulic Conductivity

Water Profile

Symbol and soil water profile

Multiple wetting front

Description

Key Word

Wetting Front Speed

Wetting Front Speed [image] Other's model for wetting front speed.

Description

Key Word

Treatment for the drain layer by layer

Tipping Bucket model enhanced by simplified Hydraulic Conductivity consideration

Description

Key Word

Simulation Calculation Order

Calculation logical design

Software calculation flow

Description

Key Word

Calculation of DW, WI and WC

Determine wetting front flag [image] WIflag

WIflag_and 4Drain per day flag

Description

Key Word

Drain Delayed to Next Day

Resulting graph

Description

Key Word

Nitrogen Balance

Calculation order for NH4 process and NO3 process)

Nitrogen process cycle diagram

Nitrogen Drain

Comparison of speed and concentration for Nitrate drain, ammonium drain as well as water drain

Ammonium Nitrate concentration distribution after drain of rain

Dry fertilizer will drain later if there is no water

4 drain per day variable calculation logical design

Description

Key Word

Volatilizartion

Time line [image] C haracteristics of the NH4 cumulative lost, leftover and volatilization rate.

The fan-on case and the fan-off case of Mottos's data (Mattos, D. Jr., et al., 2003)

The fitting fitting function for application rates 150mg/kg and fitting fitting function for application rates 50mg/kg The data are based on the table 2 of Z.L.He, et al., 1999.

Description

Key Word

Nitrification [image] Temperature effect (we used) [image] Temperature effect (Sally used)

Description

Key Word

Uptake [image] Michaelis-Menten equation for Nitrate uptake [image] Uptake temperature effect

Description

Key Word

Denitrification [image] Denitrification water factor

Description

Key Word

*** Picture

Description

Key Word

Simulation Application

Unitst

Java Class / Function Calling Tree

Diagram

Description

Key Word

Database Class Member Function and member Variable

Member function

Member variable

Description

Key Word

Simulation Process

Diagram

Description

Key Word

Database

Fields of table and relationship between tables

Diagram

Description

Key Word

****

Description

Key Word